function getName(){
	return "columnsToCategory";
}

function getOperationType(){
	return "function"
}

function createOperation(){
	return {
		columns: "",
		
		getInputColumns: function(){
			return this.columns;
		},
		getOuputColumns: function(){
			return "Category,Value";
		},
		updateParameters: function(parameters){
			if (parameters != "undefined" && parameters != null){
				var index = parameters.indexOf(";");
				if (index > 0){
					var p = parameters.substring(0,index);
					parameters = parameters.substring(index + 1);
					
				}
				
				this.columns = parameters;				
			}			
		},
		createFunction: function(){
			return createFunction(this.columns.split(","));
		}		
	}
}

function createFunction(columnNames){
	return {
		map: {},			
		
		processEventData: function(){
			if (arguments != null && arguments != "undefuned"){				
				for( var i = 0; i < arguments.length && i < columnNames.length; i++){ 
					this.map[columnNames[i]] = arguments[i];
				}
						
			}			
		},		
		getFinalData: function(){
			var results = [];
			if (this.map != null){
				for (var key in this.map){					
					var val = this.map[key];
					results.push([key,val]);
				}					
			}			
			return results;
		}
	}
}
