function getName() {
	return "aurora";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "aurora",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,aurora,error",
					"name": "Error",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,yyyy-MM-dd HH:mm:ss} {number:Process,ftype=processid}{block,start,emptiness=true} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}]{block,end,emptiness=true} {regexp:host,ftype=host;refName=message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:ip,ftype=ip;refName=message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{text:message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_aurora",
					"type_uid": "mysql_error",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,yyyy-MM-dd HH:mm:ss} {number:Process,ftype=processid}{block,start,emptiness=true} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}]{block,end,emptiness=true} {regexp:host,ftype=host;refName=message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:ip,ftype=ip;refName=message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{text:message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,aurora,general",
					"name": "General",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,yyMMdd HH:dd:ss;yyyy-MM-dd HH:mm:ss}{tab}{text:thread_id,charsLength=5;,} {text:command_type,ftype=commandtype;,}{tab}{regexp:user,ftype=user;refName=message;multiLine=true,(\\S+)\\u0040\\S+\\s.*}{regexp:host,ftype=remoteip;refName=message;multiLine=true,\\S+\\u0040(\\S+)\\s.*}{regexp:DB name,ftype=db;refName=message;multiLine=true,\\S+\\u0040\\S+\\son ([^\\u0009]+).*}{regexp:argument_content,ftype=argument;refName=message;multiLine=true,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_aurora",
					"type_uid": "mysql_general",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,yyMMdd HH:dd:ss;yyyy-MM-dd HH:mm:ss}{tab}{text:thread_id,charsLength=5;,} {text:command_type,ftype=commandtype;,}{tab}{regexp:user,ftype=user;refName=message;multiLine=true,(\\S+)\\u0040\\S+\\s.*}{regexp:host,ftype=remoteip;refName=message;multiLine=true,\\S+\\u0040(\\S+)\\s.*}{regexp:DB name,ftype=db;refName=message;multiLine=true,\\S+\\u0040\\S+\\son ([^\\u0009]+).*}{regexp:argument_content,ftype=argument;refName=message;multiLine=true,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,aurora,slow",
					"name": "Slow",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "# Time: {date:Date,yyMMdd HH:mm:ss;MM/dd/yyyy HH:mm:ss}{regexp:User,ftype=user;refName=message;multiLine=true,\\# User\\@Host\\: ([^\\u005b]+)}{regexp:Host,refName=message;multiLine=true,\\s\\@\\s([^\\s]+).*}{regexp:Host IP,ftype=remoteip;refName=message;multiLine=true,\\s\\@\\s\\S+\\s\\[([^\\u005d]+).*}{regexp:ID,refName=message;multiLine=true,Id:\\s+(\\d+).*}{regexp:Query Time,ftype=querytime;refName=message;multiLine=true,\\# Query_time\\: (\\S+).*}{regexp:Lock Time,ftype=locktime;refName=message;multiLine=true,Lock_time\\: (\\S+).*}{regexp:Rows Sent,refName=message;multiLine=true,Rows_sent\\:\\s(\\d+).*}{regexp:Rows Examined,refName=message;multiLine=true,Rows_examined\\:\\s(\\d+).*}{regexp:SQL Text,refName=message;multiLine=true,Rows_examined\\:\\s\\d+([^\\u0023]+)}{string:message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_aurora",
					"type_uid": "mysql_slow",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "# Time: {date:Date,yyMMdd HH:mm:ss;MM/dd/yyyy HH:mm:ss}{regexp:User,ftype=user;refName=message;multiLine=true,\\# User\\@Host\\: ([^\\u005b]+)}{regexp:Host,refName=message;multiLine=true,\\s\\@\\s([^\\s]+).*}{regexp:Host IP,ftype=remoteip;refName=message;multiLine=true,\\s\\@\\s\\S+\\s\\[([^\\u005d]+).*}{regexp:ID,refName=message;multiLine=true,Id:\\s+(\\d+).*}{regexp:Query Time,ftype=querytime;refName=message;multiLine=true,\\# Query_time\\: (\\S+).*}{regexp:Lock Time,ftype=locktime;refName=message;multiLine=true,Lock_time\\: (\\S+).*}{regexp:Rows Sent,refName=message;multiLine=true,Rows_sent\\:\\s(\\d+).*}{regexp:Rows Examined,refName=message;multiLine=true,Rows_examined\\:\\s(\\d+).*}{regexp:SQL Text,refName=message;multiLine=true,Rows_examined\\:\\s\\d+([^\\u0023]+)}{string:message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Amazon Aurora ",
		"typetag": "database,aurora",
		"name": "aurora",
		"description": "",
		"type": "databases",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_aurora",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
