function getName() {
	return "f5";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "f5",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "https://support.f5.com/csp/article/K13080",
					"typetag": "f5,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{block,start,emptiness=true}{text} {text:Process,ftype=eventSource}:{block,end,emptiness=true}{regexp:User,ftype=username;refName=Message,user=(\\s+)}{regexp:Partition,refName=Message,partition=(\\s+)}{regexp:Level,refName=Message,level=(\\s+)}{regexp:tty,refName=Message,tty=(\\s+)}{regexp:host,ftype=host;refName=Message,host=(\\s+)}{regexp:attempts,ftype=loginAttempts;refName=Message,attempts=(\\s+)}{regexp:pid,refName=Message,pid=(\\s+)}{regexp:folder,refName=Message,folder=(\\s+)}{regexp:status,ftype=status;refName=Message,status=([^:|/]*)}{regexp:Error,ftype=message;refName=Message,Syntax Error: ([^/]]*)}{regexp:cmd_data,ftype=eventName;refName=Message,cmd_data=(\\s+)}{regexp:start,ftype=loginStart;refName=Message,start\"([\"]*)}{regexp:end,ftype=loginEnd;refName=Message,end\"([\"]*)}{string:Message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/F5",
					"type_uid": "f5_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{block,start,emptiness=true}{text} {text:Process,ftype=eventSource}:{block,end,emptiness=true}{regexp:User,ftype=username;refName=Message,user=(\\s+)}{regexp:Partition,refName=Message,partition=(\\s+)}{regexp:Level,refName=Message,level=(\\s+)}{regexp:tty,refName=Message,tty=(\\s+)}{regexp:host,ftype=host;refName=Message,host=(\\s+)}{regexp:attempts,ftype=loginAttempts;refName=Message,attempts=(\\s+)}{regexp:pid,refName=Message,pid=(\\s+)}{regexp:folder,refName=Message,folder=(\\s+)}{regexp:status,ftype=status;refName=Message,status=([^:|/]*)}{regexp:Error,ftype=message;refName=Message,Syntax Error: ([^/]]*)}{regexp:cmd_data,ftype=eventName;refName=Message,cmd_data=(\\s+)}{regexp:start,ftype=loginStart;refName=Message,start\"([\"]*)}{regexp:end,ftype=loginEnd;refName=Message,end\"([\"]*)}{string:Message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "F5",
		"typetag": "f5",
		"name": "f5",
		"description": "",
		"type": "network",
		"doclink": "https://support.f5.com/csp/article/K13080",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
