function getName() {
	return "flux";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "flux",
		"apptags": "",
		"displayName": "Flux",
		"typetag": "flux",
		"name": "flux",
		"description": "",
		"type": "flux",
		"doclink": "",
		"version": "current",
		"xwikilink": "",
		"example": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "flux,metrics",
					"name": "Metric",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,metric#_#ftype=metric;metricName#_#ftype=metric-name#_#name=Metric Name;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value#_#ftype=value;attributes->scope#_#ftype=scope#_#name=Scope;attributes->profile#_#ftype=profile#_#name=Profile;attributes->appTags#_#ftype=app-tags#_#name=AppTags;attributes->data-sync.id#_#ftype=data-sync-id#_#name=DataSync ID;attributes->data-sync.name#_#ftype=data-sync-name#_#name=DataSync Name;attributes->task.id#_#ftype=task-id#_#name=Task ID;attributes->task.name#_#ftype=task-name#_#name=Task Name;attributes->job.id#_#ftype=job-id#_#name=Job ID;attributes->job.name#_#ftype=job-name#_#name=Job Name;attributes->node.id#_#ftype=node-id#_#name=Node ID;attributes->node.name#_#ftype=node-name#_#name=Node Name;attributes->nodes.source.id#_#ftype=source-id#_#name=Source ID;attributes->nodes.source.name#_#ftype=source-name#_#name=Source Name;attributes->nodes.destination.id#_#ftype=destination-id#_#name=Destination ID;attributes->nodes.destination.name#_#ftype=destination-name#_#name=Destination Name;attributes->file_store#_#ftype=file-store#_#name=File Store;attributes->directory#_#ftype=directory#_#name=Directory;attributes->filename#_#ftype=file-name#_#name=File Name;attributes->file_length#_#ftype=file-size#_#name=File Size;attributes->start_pos#_#ftype=start-pos#_#name=Start Pos;attributes->read_pos#_#ftype=read-pos#_#name=Read Pos}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/XpoLog+Center",
					"type_uid": "flux-metric",
					"parser_specification": {
            "defaultPattern": "NONE",
            "parserparam": "",
            "defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,metric#_#ftype=metric;metricName#_#ftype=metric-name#_#name=Metric Name;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value#_#ftype=value;attributes->scope#_#ftype=scope#_#name=Scope;attributes->profile#_#ftype=profile#_#name=Profile;attributes->appTags#_#ftype=app-tags#_#name=AppTags;attributes->data-sync.id#_#ftype=data-sync-id#_#name=DataSync ID;attributes->data-sync.name#_#ftype=data-sync-name#_#name=DataSync Name;attributes->task.id#_#ftype=task-id#_#name=Task ID;attributes->task.name#_#ftype=task-name#_#name=Task Name;attributes->job.id#_#ftype=job-id#_#name=Job ID;attributes->job.name#_#ftype=job-name#_#name=Job Name;attributes->node.id#_#ftype=node-id#_#name=Node ID;attributes->node.name#_#ftype=node-name#_#name=Node Name;attributes->nodes.source.id#_#ftype=source-id#_#name=Source ID;attributes->nodes.source.name#_#ftype=source-name#_#name=Source Name;attributes->nodes.destination.id#_#ftype=destination-id#_#name=Destination ID;attributes->nodes.destination.name#_#ftype=destination-name#_#name=Destination Name;attributes->file_store#_#ftype=file-store#_#name=File Store;attributes->directory#_#ftype=directory#_#name=Directory;attributes->filename#_#ftype=file-name#_#name=File Name;attributes->file_length#_#ftype=file-size#_#name=File Size;attributes->start_pos#_#ftype=start-pos#_#name=Start Pos;attributes->read_pos#_#ftype=read-pos#_#name=Read Pos}",
            "externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "flux,events",
					"name": "Events",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,event#_#ftype=event;eventName#_#ftype=event-name#_#name=Event Name;;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value#_#ftype=value;attributes->scope#_#ftype=scope#_#name=Scope;attributes->profile#_#ftype=profile#_#name=Profile;attributes->appTags#_#ftype=app-tags#_#name=AppTags;attributes->data-sync.id#_#ftype=data-sync-id#_#name=DataSync ID;attributes->data-sync.name#_#ftype=data-sync-name#_#name=DataSync Name;attributes->task.id#_#ftype=task-id#_#name=Task ID;attributes->task.name#_#ftype=task-name#_#name=Task Name;attributes->job.id#_#ftype=job-id#_#name=Job ID;attributes->job.name#_#ftype=job-name#_#name=Job Name;attributes->execution.type#_#ftype=execution-type#_#name=Execution Type;attributes->nodes.source.id#_#ftype=source-id#_#name=Source ID;attributes->nodes.source.name#_#ftype=source-name#_#name=Source Name;attributes->nodes.destination.id#_#ftype=destination-id#_#name=Destination ID;attributes->nodes.destination.name#_#ftype=destination-name#_#name=Destination Name;attributes->error#_#ftype=error#_#name=Error}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/XpoLog+Center",
					"type_uid": "flux-event",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,event#_#ftype=event;eventName#_#ftype=event-name#_#name=Event Name;;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value#_#ftype=value;attributes->scope#_#ftype=scope#_#name=Scope;attributes->profile#_#ftype=profile#_#name=Profile;attributes->appTags#_#ftype=app-tags#_#name=AppTags;attributes->data-sync.id#_#ftype=data-sync-id#_#name=DataSync ID;attributes->data-sync.name#_#ftype=data-sync-name#_#name=DataSync Name;attributes->task.id#_#ftype=task-id#_#name=Task ID;attributes->task.name#_#ftype=task-name#_#name=Task Name;attributes->job.id#_#ftype=job-id#_#name=Job ID;attributes->job.name#_#ftype=job-name#_#name=Job Name;attributes->execution.type#_#ftype=execution-type#_#name=Execution Type;attributes->nodes.source.id#_#ftype=source-id#_#name=Source ID;attributes->nodes.source.name#_#ftype=source-name#_#name=Source Name;attributes->nodes.destination.id#_#ftype=destination-id#_#name=Destination ID;attributes->nodes.destination.name#_#ftype=destination-name#_#name=Destination Name;attributes->error#_#ftype=error#_#name=Error}",
						"externalJS": "link or code"
					}
				}
			}
		]
	}
});
