function getName() {
	return "juniper";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "juniper",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "https://www.juniper.net/documentation/en_US/webapp5.5/topics/reference/w-a-s-incident-log-format.html",
					"typetag": "syslog,juniper,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{text:Device,ftype=device} {text:Process}{block,start,emptiness=true}[{text:ID}]{block,end,emptiness=true}: {regexp:User,ftype=username;refName=Message,(user '|User '|for user |password for )[XPLG_PARAM([^\\u0027\\s]+)].*}{regexp:eventName,ftype=eventName;refName=Message,([A-Z][A-Z]+_[^:]\\w+).+}{regexp:SourceIP,ftype=sourceip;refName=message,(from address |from host \\u0027|from |ssh-connection \\u0027)[XPLG_PARAM([^\\s\\u0027]+)].*}{regexp:Status,ftype=status;refName=message,Error}{regexp:Password Status,ftype=passstatus;refName=Message,(Accepted|Failed) password}{regexp:Command,ftype=command;refName=Message,command \\u0027([^\\u0027]+).*}{text:message,ftype=message;,}\nXPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{text:Device} {text:message,ftype=message;,}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/Juniper+Networks",
					"type_uid": "juniper_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{text:Device,ftype=device} {text:Process}{block,start,emptiness=true}[{text:ID}]{block,end,emptiness=true}: {regexp:User,ftype=username;refName=Message,(user '|User '|for user |password for )[XPLG_PARAM([^\\u0027\\s]+)].*}{regexp:eventName,ftype=eventName;refName=Message,([A-Z][A-Z]+_[^:]\\w+).+}{regexp:SourceIP,ftype=sourceip;refName=message,(from address |from host \\u0027|from |ssh-connection \\u0027)[XPLG_PARAM([^\\s\\u0027]+)].*}{regexp:Status,ftype=status;refName=message,Error}{regexp:Password Status,ftype=passstatus;refName=Message,(Accepted|Failed) password}{regexp:Command,ftype=command;refName=Message,command \\u0027([^\\u0027]+).*}{text:message,ftype=message;,}\nXPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] {block,start,emptiness=true}{text:Application Name}[{text:Process Id}]: {block,end,emptiness=true}{text:Device} {text:message,ftype=message;,}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Juniper",
		"typetag": "syslog,juniper",
		"name": "juniper",
		"description": "",
		"type": "network",
		"doclink": "https://www.juniper.net/documentation/en_US/webapp5.5/topics/reference/w-a-s-incident-log-format.html",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
