function getName() {
	return "mysql_5_7";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "mysql_5_7",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,mysql,error",
					"name": "Error",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z {number:Process ID,ftype=processid}{block,start,emptiness=true} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}]{block,end,emptiness=true} {regexp:Host,ftype=host;refName=Message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:IP,ftype=ip;refName=Message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/MySQL",
					"type_uid": "mysql_error",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z {number:Process ID,ftype=processid}{block,start,emptiness=true} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}]{block,end,emptiness=true} {regexp:Host,ftype=host;refName=Message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:IP,ftype=ip;refName=Message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,mysql,general",
					"name": "General",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z{tab}{text:Thread ID,charsLength=5;ftype=threatid;,} {text:Command Type,ftype=commandtype;,}{tab}{regexp:User,ftype=user;refName=Message,(\\S+)\\u0040\\S+\\s.*}{regexp:Host,ftype=remoteip;refName=Message,\\S+\\u0040(\\S+)\\s.*}{regexp:DB,ftype=db;refName=Message,\\S+\\u0040\\S+\\son ([^\\u0009]+).*}{regexp:Argument Content,ftype=argument;refName=Message,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/MySQL",
					"type_uid": "mysql_general",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z{tab}{text:Thread ID,charsLength=5;ftype=threatid;,} {text:Command Type,ftype=commandtype;,}{tab}{regexp:User,ftype=user;refName=Message,(\\S+)\\u0040\\S+\\s.*}{regexp:Host,ftype=remoteip;refName=Message,\\S+\\u0040(\\S+)\\s.*}{regexp:DB,ftype=db;refName=Message,\\S+\\u0040\\S+\\son ([^\\u0009]+).*}{regexp:Argument Content,ftype=argument;refName=Message,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "MySQL",
		"typetag": "database,mysql",
		"name": "mysql",
		"description": "",
		"type": "databases",
		"doclink": "https://dev.mysql.com/doc/refman/5.7/en/server-logs.html",
		"version": "5.7",
		"xwikilink": "",
		"example": ""
	}
});
