function getName() {
	return "mysql_8";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "mysql_8",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,mysql,error",
					"name": "Error",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSS}Z {number:Process ID,ftype=processid} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}] [{text:Entity}] [{text:Type}]{regexp:User,ftype=user;refName=Message, user: \\u0027([^\\u0027]+).*}{regexp:Host,ftype=host;refName=Message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:IP,ftype=ip;refName=Message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/MySQL",
					"type_uid": "mysql_error",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSS}Z {number:Process ID,ftype=processid} [{priority:Priority,ftype=status,Note;Debug;Warning;Error;Critical;Alert}] [{text:Entity}] [{text:Type}]{regexp:User,ftype=user;refName=Message, user: \\u0027([^\\u0027]+).*}{regexp:Host,ftype=host;refName=Message,(Host name \\u0027|Hostname \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:IP,ftype=ip;refName=Message,(resolve to \\u0027|resolves to \\u0027|- |IP address \\u0027|IP: \\u0027)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)].*}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,mysql,general",
					"name": "General",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z{tab}{text:Thread ID,charsLength=5;ftype=threatid;,} {text:Command Type,ftype=commandtype;,}{tab}{regexp:User,ftype=user;refName=Message,(USER \\u0027|User=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:Host,ftype=host;refName=Message,(Host=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:DB,ftype=db;refName=Message,(Db=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:Argument Content,ftype=argument;refName=Message,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/MySQL",
					"type_uid": "mysql_general",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,timeDiff=0;,yyyy-MM-dd'T'HH:mm:ss.SSSSSS;MM/dd/yyyy HH:mm:ss.SSSSSS}Z{tab}{text:Thread ID,charsLength=5;ftype=threatid;,} {text:Command Type,ftype=commandtype;,}{tab}{regexp:User,ftype=user;refName=Message,(USER \\u0027|User=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:Host,ftype=host;refName=Message,(Host=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:DB,ftype=db;refName=Message,(Db=\\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:Argument Content,ftype=argument;refName=Message,\\d+\\s\\S+\\u0009([^\\u000a]+)}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			} , {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,mysql,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:JSON,stopPattern=,$;,timestamp#_#date::dateFormat=yyyy-MM-dd HH:mm:ss,dateUIFormat=MM/dd/yyyy HH:mm:ss#_#name=Date;id#_#name=ID;connection_id#_#ftype=threadid#_#name=Thread;event#_#ftype=event#_#name=Event;login->proxy#_#ftype=loginproxy#_#name=Login Proxy;login->os#_#ftype=loginos#_#name=Login OS;login->ip#_#ftype=loginip#_#name=Login IP;login->user#_#ftype=loginuser#_#name=Login User;general_data->sql_command#_#ftype=classdescription#_#name=Class Description;general_data->query#_#ftype=sqlquery#_#name=SQL Query;general_data->command#_#name=General Command;general_data->status#_#ftype=generalstatus#_#name=General Status;connection_data->connection_type#_#ftype=connectiontype#_#name=Connection Type;connection_data->db#_#ftype=database#_#name=Database;connection_data->status#_#ftype=connectionstatus#_#name=Connection Status;class#_#ftype=class#_#name=Class;account->host#_#ftype=accounthost#_#name=Account Host;account->user#_#ftype=accountuser#_#name=Account User;sql_command#_#ftype=commandclass#_#name=Command Class;startup_data->mysql_version#_#name=MySQL Version;startup_data->args#_#name=Args;startup_data->os_version#_#ftype=osversion#_#name=OS Version;startup_data->server_id#_#ftype=serverid#_#name=Server ID}{regexp:SQL-Q-DB,ftype=sqlqdb;refIndex=9,(USE\\s|use\\s|SHOW FULL COLUMNS FROM \\u0027|SHOW FULL \\w\\w\\wLES FROM \\u0027|WHERE Db\\u003D\\u0027|where Db\\u003D\\u0027|create database |CREATE DA\\w\\w\\wASE |drop database |DROP DA\\w\\w\\wASE )[XPLG_PARAM([^\\s\\u0027\\.db]+)]}{regexp:SQL-Q-USER,ftype=sqlquser;refIndex=9,( ON.*TO\\s\\u0027| USER \\u0027| ON.*FROM \\u0027|REVOKE.*FROM \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:SQL-Q-TLB,ftype=sqlqtlb;refIndex=9,( TA\\wLE | table |INTO |DESCRIBE |describe )[XPLG_PARAM([^\\u0027\\s]+)].*},",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/MySQL",
					"type_uid": "mysql_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:JSON,stopPattern=,$;,timestamp#_#date::dateFormat=yyyy-MM-dd HH:mm:ss,dateUIFormat=MM/dd/yyyy HH:mm:ss#_#name=Date;id#_#name=ID;connection_id#_#ftype=threadid#_#name=Thread;event#_#ftype=event#_#name=Event;login->proxy#_#ftype=loginproxy#_#name=Login Proxy;login->os#_#ftype=loginos#_#name=Login OS;login->ip#_#ftype=loginip#_#name=Login IP;login->user#_#ftype=loginuser#_#name=Login User;general_data->sql_command#_#ftype=classdescription#_#name=Class Description;general_data->query#_#ftype=sqlquery#_#name=SQL Query;general_data->command#_#name=General Command;general_data->status#_#ftype=generalstatus#_#name=General Status;connection_data->connection_type#_#ftype=connectiontype#_#name=Connection Type;connection_data->db#_#ftype=database#_#name=Database;connection_data->status#_#ftype=connectionstatus#_#name=Connection Status;class#_#ftype=class#_#name=Class;account->host#_#ftype=accounthost#_#name=Account Host;account->user#_#ftype=accountuser#_#name=Account User;sql_command#_#ftype=commandclass#_#name=Command Class;startup_data->mysql_version#_#name=MySQL Version;startup_data->args#_#name=Args;startup_data->os_version#_#ftype=osversion#_#name=OS Version;startup_data->server_id#_#ftype=serverid#_#name=Server ID}{regexp:SQL-Q-DB,ftype=sqlqdb;refIndex=9,(USE\\s|use\\s|SHOW FULL COLUMNS FROM \\u0027|SHOW FULL \\w\\w\\wLES FROM \\u0027|WHERE Db\\u003D\\u0027|where Db\\u003D\\u0027|create database |CREATE DA\\w\\w\\wASE |drop database |DROP DA\\w\\w\\wASE )[XPLG_PARAM([^\\s\\u0027\\.db]+)]}{regexp:SQL-Q-USER,ftype=sqlquser;refIndex=9,( ON.*TO\\s\\u0027| USER \\u0027| ON.*FROM \\u0027|REVOKE.*FROM \\u0027)[XPLG_PARAM([^\\u0027]+)].*}{regexp:SQL-Q-TLB,ftype=sqlqtlb;refIndex=9,( TA\\wLE | table |INTO |DESCRIBE |describe )[XPLG_PARAM([^\\u0027\\s]+)].*},",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "MySQL",
		"typetag": "database,mysql",
		"name": "mysql",
		"description": "",
		"type": "databases",
		"doclink": "https://dev.mysql.com/doc/refman/5.7/en/server-logs.html",
		"version": "8",
		"xwikilink": "",
		"example": ""
	}
});
