function getName() {
	return "checkpoint";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "checkpoint",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_checkpoint",
					"typetag": "syslog,firewall,checkpoint",
					"name": "Check Point",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,MMM dd HH:mm:ss} {text:CheckPoint-IP} Checkpoint: {date:Deliver Date,timeDiff=0;,ddMMMyyyy HH:mm:ss;dd MMM yyyy HH:mm:ss} {text:Action,ftype=action} {text:IP,ftype=checkpointip} >{properties:Message,keysSep=:;propSep=;;,eth2 rule#_#ftype=eth2rule#_#name=Eth2 Rule;eth3 rule#_#ftype=eth3rule#_#name=Eth3 Rule;eth5 rule#_#ftype=eth5rule#_#name=Eth5 Rule;eth8 rule#_#ftype=eth8rule#_#name=Eth8 Rule;rule_uid#_#ftype=ruleuid#_#name=Rule UID;rule_name#_#ftype=rulename#_#name=Rule Name;service_id#_#ftype=serviceid#_#name=Service ID;src#_#ftype=sourceip#_#name=SRC;icmp#_#ftype=icmp#_#name=ICMP;dst#_#ftype=targetip#_#name=DST;proto#_#ftype=proto#_#name=Protocol;product#_#ftype=prodcut#_#name=Product;icmp type#_#ftype=icmptype#_#name=ICMP Type;service#_#ftype=service#_#name=Service;icmp code#_#ftype=icmpcode#_#name=ICMP Code;s_port#_#ftype=sourceport#_#name=SRC Port;d_port#_#ftype=targetport#_#name=DST Port;xlatesrc#_#ftype=xlatesrc#_#name=X Late SRC;xlatesport#_#ftype=xlatesport#_#name=X Late SRC Port;xlatedst#_#ftype=xlatedst#_#name=X Late Dst;xlatedport#_#ftype=xlatedport#_#name=X Late DST Port;NAT_rulenum#_#ftype=natrulenum#_#name=NAT Rule Num;NAT_addtnl_rulenum#_#ftype=nataddtnlrulenum#_#name=NAT Addntl Rule Num;appi_name#_#ftype=appname#_#name=App Name;app_id#_#ftype=appid#_#name=appid;matched_category#_#ftype=matchedcategory#_#name=Matched Category;app_properties#_#ftype=appproperties#_#name=App Properties;app_risk#_#ftype=apprisk#_#name=APP Risk;app_rule_id#_#ftype=appruleid#_#name=App Rule ID;app_rule_name#_#ftype=apprulename#_#name=App Rule Name;web_client_type#_#ftype=webclienttype#_#name=Web Client Type;web_server_type#_#ftype=webservertype#_#name=Web Server Type;resource#_#ftype=resource#_#name=Resource;product_family#_#ftype=productfamily#_#name=Product Family;proxy_src_ip#_#ftype=proxysrcip#_#name=Proxy SRC IP;action#_#ftype=eventtype#_#name=Event Type;conn_direction#_#ftype=conndirection#_#name=Connection Direction;flags#_#ftype=flags#_#name=Flags;ifdir#_#ftype=ifdir#_#name=Interface Direction;ifname#_#ftype=ifname#_#name=Interface Name;logid#_#ftype=logid#_#name=Log ID;loguid#_#ftype=loguid#_#name=Log UID;origin#_#ftype=origin#_#name=Origin;originsicname#_#originname#_#name=Origin Name;sequencenum#_#ftype=sequencenum#_#name=Sequence Number;time#_#ftype=time#_#name=Time;version#_#ftype=version#_#name=Version;_policy_id_tag#_#ftype=policyid#_#name=Policy ID Tag;aggregated_log_count#_#ftype=aggregatedlogcount#_#name=Aggregated Log Count;bytes#_#ftype=bytes#_#name=Bytes;client_inbound_bytes#_#ftype=clientinboundbytes#_#name=Client Inbound Bytes;client_inbound_packets#_#ftype=clientinboundpackets#_#name=Client Inbound Packets;client_outbound_bytes#_#ftype=clientoutboundbytes#_#name=Client Outbound Bytes;client_outbound_packets#_#ftype=clientoutboundpackets#_#name=Client Outbound Packets;connection_count#_#ftype=connectioncount#_#name=Connection Count;creation_time#_#ftype=creationtime#_#name=Creation Time;duration#_#ftype=duration#_#name=Duration;hll_key#_#ftype=hllkey#_#name=hll key;inzone#_#ftype=inzone#_#name=In Zone;last_hit_time#_#ftype=lasthitname#_#name=Last Hit Name;layer_name#_#ftype=layername#_#name=Layer Name;layer_uuid#_#ftype=layeruuid#_#name=Layer UUID;match_id#_#ftype=matchid#_#name=Match ID;parent_rule#_#ftype=parentrule#_#name=Parent Rule;rule_action#_#ftype=ruleaction#_#name=Rule Action;outzone#_#ftype=outzone#_#name=Outzone;packets#_#ftype=packets#_#name=Packets;server_inbound_bytes#_#ftype=serverinboundbytes#_#name=Server Inbound Bytes;server_inbound_packets#_#ftype=serverinboundpackets#_#name=Server Inbound Packets;server_outbound_bytes#_#ftype=serveroutboundbytes#_#name=Server Outbound Bytes;server_outbound_packets#_#ftype=serveroutboundpackets#_#name=Server Outbound Packets;sig_id#_#ftype=sigid#_#name=Sigf ID;update_count#_#ftype=updatecount#_#name=Update Count}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/Check+Point",
					"type_uid": "checkpoint_firewall",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,MMM dd HH:mm:ss} {text:CheckPoint-IP} Checkpoint: {date:Deliver Date,timeDiff=0;,ddMMMyyyy HH:mm:ss;dd MMM yyyy HH:mm:ss} {text:Action,ftype=action} {text:IP,ftype=checkpointip} >{properties:Message,keysSep=:;propSep=;;,eth2 rule#_#ftype=eth2rule#_#name=Eth2 Rule;eth3 rule#_#ftype=eth3rule#_#name=Eth3 Rule;eth5 rule#_#ftype=eth5rule#_#name=Eth5 Rule;eth8 rule#_#ftype=eth8rule#_#name=Eth8 Rule;rule_uid#_#ftype=ruleuid#_#name=Rule UID;rule_name#_#ftype=rulename#_#name=Rule Name;service_id#_#ftype=serviceid#_#name=Service ID;src#_#ftype=sourceip#_#name=SRC;icmp#_#ftype=icmp#_#name=ICMP;dst#_#ftype=targetip#_#name=DST;proto#_#ftype=proto#_#name=Protocol;product#_#ftype=prodcut#_#name=Product;icmp type#_#ftype=icmptype#_#name=ICMP Type;service#_#ftype=service#_#name=Service;icmp code#_#ftype=icmpcode#_#name=ICMP Code;s_port#_#ftype=sourceport#_#name=SRC Port;d_port#_#ftype=targetport#_#name=DST Port;xlatesrc#_#ftype=xlatesrc#_#name=X Late SRC;xlatesport#_#ftype=xlatesport#_#name=X Late SRC Port;xlatedst#_#ftype=xlatedst#_#name=X Late Dst;xlatedport#_#ftype=xlatedport#_#name=X Late DST Port;NAT_rulenum#_#ftype=natrulenum#_#name=NAT Rule Num;NAT_addtnl_rulenum#_#ftype=nataddtnlrulenum#_#name=NAT Addntl Rule Num;appi_name#_#ftype=appname#_#name=App Name;app_id#_#ftype=appid#_#name=appid;matched_category#_#ftype=matchedcategory#_#name=Matched Category;app_properties#_#ftype=appproperties#_#name=App Properties;app_risk#_#ftype=apprisk#_#name=APP Risk;app_rule_id#_#ftype=appruleid#_#name=App Rule ID;app_rule_name#_#ftype=apprulename#_#name=App Rule Name;web_client_type#_#ftype=webclienttype#_#name=Web Client Type;web_server_type#_#ftype=webservertype#_#name=Web Server Type;resource#_#ftype=resource#_#name=Resource;product_family#_#ftype=productfamily#_#name=Product Family;proxy_src_ip#_#ftype=proxysrcip#_#name=Proxy SRC IP;action#_#ftype=eventtype#_#name=Event Type;conn_direction#_#ftype=conndirection#_#name=Connection Direction;flags#_#ftype=flags#_#name=Flags;ifdir#_#ftype=ifdir#_#name=Interface Direction;ifname#_#ftype=ifname#_#name=Interface Name;logid#_#ftype=logid#_#name=Log ID;loguid#_#ftype=loguid#_#name=Log UID;origin#_#ftype=origin#_#name=Origin;originsicname#_#originname#_#name=Origin Name;sequencenum#_#ftype=sequencenum#_#name=Sequence Number;time#_#ftype=time#_#name=Time;version#_#ftype=version#_#name=Version;_policy_id_tag#_#ftype=policyid#_#name=Policy ID Tag;aggregated_log_count#_#ftype=aggregatedlogcount#_#name=Aggregated Log Count;bytes#_#ftype=bytes#_#name=Bytes;client_inbound_bytes#_#ftype=clientinboundbytes#_#name=Client Inbound Bytes;client_inbound_packets#_#ftype=clientinboundpackets#_#name=Client Inbound Packets;client_outbound_bytes#_#ftype=clientoutboundbytes#_#name=Client Outbound Bytes;client_outbound_packets#_#ftype=clientoutboundpackets#_#name=Client Outbound Packets;connection_count#_#ftype=connectioncount#_#name=Connection Count;creation_time#_#ftype=creationtime#_#name=Creation Time;duration#_#ftype=duration#_#name=Duration;hll_key#_#ftype=hllkey#_#name=hll key;inzone#_#ftype=inzone#_#name=In Zone;last_hit_time#_#ftype=lasthitname#_#name=Last Hit Name;layer_name#_#ftype=layername#_#name=Layer Name;layer_uuid#_#ftype=layeruuid#_#name=Layer UUID;match_id#_#ftype=matchid#_#name=Match ID;parent_rule#_#ftype=parentrule#_#name=Parent Rule;rule_action#_#ftype=ruleaction#_#name=Rule Action;outzone#_#ftype=outzone#_#name=Outzone;packets#_#ftype=packets#_#name=Packets;server_inbound_bytes#_#ftype=serverinboundbytes#_#name=Server Inbound Bytes;server_inbound_packets#_#ftype=serverinboundpackets#_#name=Server Inbound Packets;server_outbound_bytes#_#ftype=serveroutboundbytes#_#name=Server Outbound Bytes;server_outbound_packets#_#ftype=serveroutboundpackets#_#name=Server Outbound Packets;sig_id#_#ftype=sigid#_#name=Sigf ID;update_count#_#ftype=updatecount#_#name=Update Count}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Check Point ",
		"typetag": "syslog,firewall,checkpoint",
		"name": "check_point",
		"description": "Integrate your checkpoint firewall log into your XPLG environment.",
		"type": "network",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_checkpoint",
		"version": "current",
		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_checkpoint",
		"example": ""
	}
});
