function getName() {
	return "mssql";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "mssql",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "By default, the error log is located at:\" MSSQL_ROOT_DIR\\Microsoft SQL Server\\MSSQL.n\\MSSQL\\LOG\\ERRORLOG\" - In XpoLog set name path: MSSQL{string}.{string}\\MSSQL\\Log\\ERRORLOG{string} , Encoding: ERRORLOG encoding is UCS-2 LE BOM which may not be parsed properly using the default character set. Enter Advanced  Settings - Regional Settings and choose the character set UTF-16LE",
					"typetag": "database,mssql,error",
					"name": "Error",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{date:Date,yyyy-MM-dd HH:mm:ss.SS} {text:event,ftype=eventName} {regexp:Errorcode,refName=Message;ftype=errorCode,Error: (\\d+).*}{regexp:Severity,refName=Message,Severity: (\\d+).*}{regexp:State,refName=Message,State: (\\d+).*}{regexp:User,refName=Message,(login \\u0022|user \\u0027)[XPLG_PARAM([^\\u0027\\u0022]+)].*}{regexp:DB,ftype=database;refName=Message,database \\u0027([^\\u0027]+).*}{regexp:Failure_Message,refName=Message,Reason: ([^\\u005B]*).*}{regexp:Client,ftype=source;refName=Message,\\u005BCLIENT:\\s([^\\u005D]*).*} {string:Message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_mssql",
					"type_uid": "mssql_error",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{date:Date,yyyy-MM-dd HH:mm:ss.SS} {text:event,ftype=eventName} {regexp:Errorcode,refName=Message;ftype=errorCode,Error: (\\d+).*}{regexp:Severity,refName=Message,Severity: (\\d+).*}{regexp:State,refName=Message,State: (\\d+).*}{regexp:User,refName=Message,(login \\u0022|user \\u0027)[XPLG_PARAM([^\\u0027\\u0022]+)].*}{regexp:DB,ftype=database;refName=Message,database \\u0027([^\\u0027]+).*}{regexp:Failure_Message,refName=Message,Reason: ([^\\u005B]*).*}{regexp:Client,ftype=source;refName=Message,\\u005BCLIENT:\\s([^\\u005D]*).*} {string:Message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "MSSQL",
		"typetag": "database,mssql",
		"name": "mssql",
		"description": "",
		"type": "databases",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_mssql",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
