function getName() {
	return "netapp";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "netapp",
		"apptags": "",
		"displayName": "NetApp",
		"typetag": "netapp",
		"name": "netapp",
		"description": "",
		"type": "security",
		"doclink": "",
		"version": "current",
		"supportedDataSources": "winEvent",
		"xwikilink": "",
		"example": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "netapp,audit",
					"name": "NetApp-Security-Auditing",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{priority:Type,ftype=type,Error;Warning;Information;Success;Audit Failure;Audit Success}*;*{timestamp:Date,MM/dd/yyyy HH:mm:ss}*;*{text:Source,ftype=source}*;*{text:Category,ftype=category}*;*{number:Event,ftype=event}{map:Event Description,ftype=eventdescription;refIndex=4,file:knowledge/repository/system/win/map/winEventsMap.prop}{map:Category Description,ftype=category description;refIndex=4,file:knowledge/repository/system/win/map/winEventsCategoryMap.prop}{map:Sub Category,ftype=sub category;refIndex=4,file:knowledge/repository/system/win/map/winEventsSubCategoryMap.prop}*;*{text:User,ftype=user}*;*{text:Computer,ftype=computer}*;*Message for event {number:Event ID}: {properties:Message,keysSep==;propSep='^';,SubjectUserName#_#ftype=systemaccountname;SubjectUserSid;IpAddress#_#ftype=sourceip;IpPort;SubjectDomainName#_#ftype=systemdomain;SubjectIP#_#ftype=systemsourceip;SubjectPort;TargetUserSID;TargetUserName#_#ftype=accountname;TargetUserisLocal;TargetDomainName#_#ftype=domain;LogonType#_#ftype=logon id;Status;FailureReason;FailureReasonString;AuthenticationPackageName;SubjectHostname;SubjectUnix;SubjectUserIsLocal;ObjectServer#_#ftype=objectserver;ObjectType#_#ftype=objecttype;HandleID;ObjectName#_#ftype=object;AccessList;AccessMask;DesiredAccess;Attributes;ReadOffset;ReadCount}{string:Description,ftype=description}{map:Subject User Type,ftype=usertype;refIndex=11,file:knowledge/repository/system/netapp/map/netappUsersTypes.prop}{map:Subject User Identity,ftype=useridentity;refIndex=11,file:knowledge/repository/system/useridentity.prop}{map:Target User Type,ftype=targetusertype;refIndex=19,file:knowledge/repository/system/netapp/map/netappUsersTypes.prop}{map:Target User Identity,ftype=targetuseridentity;refIndex=19,file:knowledge/repository/system/useridentity.prop}{regexp:Root Directory,refName=ObjectName,;/([^\\/]+).*}",
					"parser_type": "default",
					"xwikilink": "",
					"type_uid": "netapp_audit",
					"defaultLogLocation" : "Security",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{priority:Type,ftype=type,Error;Warning;Information;Success;Audit Failure;Audit Success}*;*{timestamp:Date,MM/dd/yyyy HH:mm:ss}*;*{text:Source,ftype=source}*;*{text:Category,ftype=category}*;*{number:Event,ftype=event}{map:Event Description,ftype=eventdescription;refIndex=4,file:knowledge/repository/system/win/map/winEventsMap.prop}{map:Category Description,ftype=category description;refIndex=4,file:knowledge/repository/system/win/map/winEventsCategoryMap.prop}{map:Sub Category,ftype=sub category;refIndex=4,file:knowledge/repository/system/win/map/winEventsSubCategoryMap.prop}*;*{text:User,ftype=user}*;*{text:Computer,ftype=computer}*;*Message for event {number:Event ID}: {properties:Message,keysSep==;propSep='^';,SubjectUserName#_#ftype=systemaccountname;SubjectUserSid;IpAddress#_#ftype=sourceip;IpPort;SubjectDomainName#_#ftype=systemdomain;SubjectIP#_#ftype=systemsourceip;SubjectPort;TargetUserSID;TargetUserName#_#ftype=accountname;TargetUserisLocal;TargetDomainName#_#ftype=domain;LogonType#_#ftype=logon id;Status;FailureReason;FailureReasonString;AuthenticationPackageName;SubjectHostname;SubjectUnix;SubjectUserIsLocal;ObjectServer#_#ftype=objectserver;ObjectType#_#ftype=objecttype;HandleID;ObjectName#_#ftype=object;AccessList;AccessMask;DesiredAccess;Attributes;ReadOffset;ReadCount}{string:Description,ftype=description}{map:Subject User Type,ftype=usertype;refIndex=11,file:knowledge/repository/system/netapp/map/netappUsersTypes.prop}{map:Subject User Identity,ftype=useridentity;refIndex=11,file:knowledge/repository/system/useridentity.prop}{map:Target User Type,ftype=targetusertype;refIndex=19,file:knowledge/repository/system/netapp/map/netappUsersTypes.prop}{map:Target User Identity,ftype=targetuseridentity;refIndex=19,file:knowledge/repository/system/useridentity.prop}{regexp:Root Directory,refName=ObjectName,;/([^\\/]+).*}",
						"externalJS": "link or code"
					}
				}
			}
		]		
	}
});
