function getName() {
	return "oracle";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "oracle",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "database,oracle,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "<AuditRecord>{regexp:Audit Type,ftype=audittype;refName=Message,<Audit_Type>(.*)</Audit_Type>}{map:Audit Type Description,ftype=type description;refIndex=0,file:knowledge/repository/system/oracle/map/audittype.prop}{regexp:Session ID,ftype=sessionid;refName=Message,<Session_Id>(.*)</Session_Id>}{regexp:Statement ID,ftype=statementid;refName=Message,<StatementId>(.*)</StatementId>}{regexp:EntryId Type,ftype=entryid;refName=Message,<EntryId>(.*)</EntryId>}{regexp:Extended Timestamp,refName=Message;columnType=date;dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSSSS'Z';dateUIFormat=yyyy-MM-dd HH:mm:ss.SSSSSS,\\d\\d\\d\\d-\\d\\d-\\d\\dT\\d\\d\:\\d\\d:\\d\\d\\.\\d\\d\\d\\d\\d\\dZ}{regexp:DB User,ftype=dbuser;refName=Message,<DB_User>(.*)</DB_User>}{regexp:Ext Name,ftype=extname;refName=Message,<Ext_Name>(.*)</Ext_Name>}{regexp:OS_User,ftype=osuser;refName=Message,<OS_User>(.*)</OS_User>}{regexp:User Host,ftype=hostname;refName=Message,<Userhost>(.*)</Userhost>}{regexp:OS Process,ftype=osprocess;refName=Message,<OS_Process>(.*)</OS_Process>}{regexp:Terminal,ftype=terminal;refName=Message,<Terminal>(.*)</Terminal>}{regexp:Instance Number,ftype=instancenumber;refName=Message,<Instance_Number>(.*)</Instance_Number>}{regexp:Object Schema,ftype=objectschema;refName=Message,<Object_Schema>(.*)</Object_Schema>}{regexp:Object Name,ftype=object;refName=Message,<Object_Name>(.*)</Object_Name>}{regexp:Action,ftype=action;refName=Message,<Action>(.*)</Action>}{map:Action Description,ftype=type description;refIndex=15,file:knowledge/repository/system/oracle/map/action.prop}{regexp:Return Code,ftype=status;refName=Message,<Returncode>(.*)</Returncode>}{regexp:SCN,ftype=scn;refName=Message,<Scn>(.*)</Scn>}{regexp:OSPrivilege,ftype=osprivilege;refName=Message,<OSPrivilege>(.*)</OSPrivilege>}{regexp:SesActions,ftype=sesaction;refName=Message,<SesActions>(.*)</SesAction>}{regexp:DB ID,ftype=dbid;refName=Message,<DBID>(.*)</DBID>}{regexp:SQL Text,ftype=sqltext;refName=Message,<Sql_Text>(.*)</Sql_Text>}{string:Message}</AuditRecord>",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_oracle",
					"type_uid": "mssql_error",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
					"defaultXpoLogPattern": "<AuditRecord>{regexp:Audit Type,ftype=audittype;refName=Message,<Audit_Type>(.*)</Audit_Type>}{map:Audit Type Description,ftype=type description;refIndex=0,file:knowledge/repository/system/oracle/map/audittype.prop}{regexp:Session ID,ftype=sessionid;refName=Message,<Session_Id>(.*)</Session_Id>}{regexp:Statement ID,ftype=statementid;refName=Message,<StatementId>(.*)</StatementId>}{regexp:EntryId Type,ftype=entryid;refName=Message,<EntryId>(.*)</EntryId>}{regexp:Extended Timestamp,refName=Message;columnType=date;dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSSSS'Z';dateUIFormat=yyyy-MM-dd HH:mm:ss.SSSSSS,\\d\\d\\d\\d-\\d\\d-\\d\\dT\\d\\d\:\\d\\d:\\d\\d\\.\\d\\d\\d\\d\\d\\dZ}{regexp:DB User,ftype=dbuser;refName=Message,<DB_User>(.*)</DB_User>}{regexp:Ext Name,ftype=extname;refName=Message,<Ext_Name>(.*)</Ext_Name>}{regexp:OS_User,ftype=osuser;refName=Message,<OS_User>(.*)</OS_User>}{regexp:User Host,ftype=hostname;refName=Message,<Userhost>(.*)</Userhost>}{regexp:OS Process,ftype=osprocess;refName=Message,<OS_Process>(.*)</OS_Process>}{regexp:Terminal,ftype=terminal;refName=Message,<Terminal>(.*)</Terminal>}{regexp:Instance Number,ftype=instancenumber;refName=Message,<Instance_Number>(.*)</Instance_Number>}{regexp:Object Schema,ftype=objectschema;refName=Message,<Object_Schema>(.*)</Object_Schema>}{regexp:Object Name,ftype=object;refName=Message,<Object_Name>(.*)</Object_Name>}{regexp:Action,ftype=action;refName=Message,<Action>(.*)</Action>}{map:Action Description,ftype=type description;refIndex=15,file:knowledge/repository/system/oracle/map/action.prop}{regexp:Return Code,ftype=status;refName=Message,<Returncode>(.*)</Returncode>}{regexp:SCN,ftype=scn;refName=Message,<Scn>(.*)</Scn>}{regexp:OSPrivilege,ftype=osprivilege;refName=Message,<OSPrivilege>(.*)</OSPrivilege>}{regexp:SesActions,ftype=sesaction;refName=Message,<SesActions>(.*)</SesAction>}{regexp:DB ID,ftype=dbid;refName=Message,<DBID>(.*)</DBID>}{regexp:SQL Text,ftype=sqltext;refName=Message,<Sql_Text>(.*)</Sql_Text>}{string:Message}</AuditRecord>",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Oracle",
		"typetag": "database,oracle",
		"name": "oracle",
		"description": "",
		"type": "databases",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_oracle",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
