function getName() {
	return "vmware";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "hp",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "syslog,vmware,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{text:Process} {text:ID} {text} {text} {date:Date,yyyy-MM-dd'T'HH:mm:ss:sss'Z'} ''{text:Event Category,ftype=eventcategory}'' {text:SesssionID,ftype=sessionid} {priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR}  [{text:EventName,ftype=eventname}, {text:EventCode,ftype=eventcode}]{regexp:Username,ftype=username;refName=Message,(User\\s|user\\s|for account )[XPLG_PARAM([^\\u0040\s]+)].*}{regexp:SourceIP,ftype=sourceip;refName=Message,\\u0040([^\\s]+).*}{regexp:Host Name,ftype=hostname;refName=Message,(host name: |on host |host: )[XPLG_PARAM([^\\s]+)].*}{regexp:Operation,ftype=operation;refName=Message,Operation \\u0027([^\\u0027]+).*}{regexp:Rule,ftype=rule;refName=Message,for rule set ([^\\s]+).*}{string:Message,ftype=message}\n{text:Process} {text:ID} {text} {text} Event [{text:Record Number}] [{text:Record ID}] [{date:Date,yyyy-MM-dd'T'HH:mm:ss.ssssss'Z'}] [{text:Event Source,ftype=eventsource}] [{priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR}] [{text:Event Category,ftype=eventcategory}] [{text:Cluster,ftype=cluster}] [{text:Number}] {regexp:Username,ftype=username;refName=Message,(User\\s|user\\s|for account\\s)[XPLG_PARAM([^\\u0040]+)].*}{regexp:SourceIP,ftype=sourceip;refName=Message,\\u0040([^\\s]+).*}{regexp:Host Name,ftype=hostname;refName=Message,(host name: |on host |host: )[XPLG_PARAM([^\\s]+)].*}{regexp:SesssionID,ftype=sessionid;refName=Message,session\\u005B([^\\s]+).*}{regexp:Operation,ftype=operation;refName=Message,Operation \\u0027([^\\u0027]+).*}{regexp:Rule,ftype=rule;refName=Message,for rule set ([^\\s]+).*}[{string:Message,ftype=message}]\n{text:Process} {text:ID} {text} {text} {date:Date,yyyy-MM-dd'T'HH:mm:ss.SSS}: {priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR} {regexp:Username,ftype=username;refName=Message,(User\\s|user\s|User=|for account\\s)[XPLG_PARAM([^\\u0040,\\s]+)].*}{regexp:Priv,ftype=priv;refName=Message,priv=([^,]+).*}{regexp:Authorized,ftype=authorized;refName=Message,authorized=([^\\s\\,]+).*}{regexp:Method,ftype=method;refName=Message,method=([^\\s\\,]+).*}{regexp:Domain,ftype=domain;refName=Message,User=.*\\u0040([^\\,]+).*}\n{text:Process} {text:ID} {text} {text}{regexp:From,ftype=from;refName=Message,from=([^\\,]+).*}{regexp:msgid,ftype=msgid;refName=Message,msgid=\\u003c([^\\u003e]+).*}{regexp:Relay,ftype=relay;refName=Message,relay=([^\\,\\s]+).*}{regexp:Size,ftype=size;refName=Message,size=([^\\,]+).*} {string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/HP",
					"type_uid": "vmware_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{text:Process} {text:ID} {text} {text} {date:Date,yyyy-MM-dd'T'HH:mm:ss:sss'Z'} ''{text:Event Category,ftype=eventcategory}'' {text:SesssionID,ftype=sessionid} {priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR}  [{text:EventName,ftype=eventname}, {text:EventCode,ftype=eventcode}]{regexp:Username,ftype=username;refName=Message,(User\\s|user\\s|for account )[XPLG_PARAM([^\\u0040\s]+)].*}{regexp:SourceIP,ftype=sourceip;refName=Message,\\u0040([^\\s]+).*}{regexp:Host Name,ftype=hostname;refName=Message,(host name: |on host |host: )[XPLG_PARAM([^\\s]+)].*}{regexp:Operation,ftype=operation;refName=Message,Operation \\u0027([^\\u0027]+).*}{regexp:Rule,ftype=rule;refName=Message,for rule set ([^\\s]+).*}{string:Message,ftype=message}\n{text:Process} {text:ID} {text} {text} Event [{text:Record Number}] [{text:Record ID}] [{date:Date,yyyy-MM-dd'T'HH:mm:ss.ssssss'Z'}] [{text:Event Source,ftype=eventsource}] [{priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR}] [{text:Event Category,ftype=eventcategory}] [{text:Cluster,ftype=cluster}] [{text:Number}] {regexp:Username,ftype=username;refName=Message,(User\\s|user\\s|for account\\s)[XPLG_PARAM([^\\u0040]+)].*}{regexp:SourceIP,ftype=sourceip;refName=Message,\\u0040([^\\s]+).*}{regexp:Host Name,ftype=hostname;refName=Message,(host name: |on host |host: )[XPLG_PARAM([^\\s]+)].*}{regexp:SesssionID,ftype=sessionid;refName=Message,session\\u005B([^\\s]+).*}{regexp:Operation,ftype=operation;refName=Message,Operation \\u0027([^\\u0027]+).*}{regexp:Rule,ftype=rule;refName=Message,for rule set ([^\\s]+).*}[{string:Message,ftype=message}]\n{text:Process} {text:ID} {text} {text} {date:Date,yyyy-MM-dd'T'HH:mm:ss.SSS}: {priority:Priority,ftype=severity;DEBUG;NOTICE;INFO;WARN;ERROR} {regexp:Username,ftype=username;refName=Message,(User\\s|user\s|User=|for account\\s)[XPLG_PARAM([^\\u0040,\\s]+)].*}{regexp:Priv,ftype=priv;refName=Message,priv=([^,]+).*}{regexp:Authorized,ftype=authorized;refName=Message,authorized=([^\\s\\,]+).*}{regexp:Method,ftype=method;refName=Message,method=([^\\s\\,]+).*}{regexp:Domain,ftype=domain;refName=Message,User=.*\\u0040([^\\,]+).*}\n{text:Process} {text:ID} {text} {text}{regexp:From,ftype=from;refName=Message,from=([^\\,]+).*}{regexp:msgid,ftype=msgid;refName=Message,msgid=\\u003c([^\\u003e]+).*}{regexp:Relay,ftype=relay;refName=Message,relay=([^\\,\\s]+).*}{regexp:Size,ftype=size;refName=Message,size=([^\\,]+).*} {string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "VMware",
		"typetag": "syslog,vmware,audit",
		"name": "vmware",
		"description": "",
		"type": "Operating Systems",
		"doclink": "",
		"version": "current",
		"xwikilink": "http://wiki.xpolog.com/display/XPOL/HP",
		"example": ""
	}
});
