<%@ page language="java"%>

<%@ page import="omega.ui.html.tree.ODefaultTreeCellRenderer"%>
<%@ page import="omega.ui.models.tree.ODefaultMutableTreeNode"%>

<%@ page import="xpolog.eye.logcollection.admin.helpers.XpologCollectionAdminHelper"%>

<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.error.ErrorModel"%>
<%@ page import="xpolog.eye.menu.ModulesMenuLoader"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.site.ui.tree.LogCollectionPolicyModuleMemberRenderer"%>
<%@ page import="xpolog.eye.site.ui.tree.ModuleMemberRenderer"%>
<%@ page import="xpolog.eye.Module"%>
<%@ page import="java.util.*"%>

<%
	String LOG_COLLECTION_POLICY_ID = "logCollectionPolicyId";

	String logCollectionPolicyId = request.getParameter(LOG_COLLECTION_POLICY_ID);

	//site management
	SiteManagment mgmt = SiteManagment.getInstance();
	
	UserContext userContext = UserEnvironment.getUserContext(request);
	Module rootmod = mgmt.getModuleFromId(Module.ROOT_MODULE_ID);
	Module curmod = null;
	ModuleMember moduleMember = null;
	
	boolean showDefaultTree = true;
	boolean showStorageTree = true;
	HashMap modulesMap = new HashMap();
	HashMap logsMap = null;
	
	boolean treeNodeExists = false;
	String treeXml = ""; 
  String id = request.getParameter("id");
  String type = null;
  if (id != null){
  	int ind = id.indexOf("-");
  	if (ind != -1){
  		type = id.substring(0,ind);
  		id = id.substring(ind+1);
  		int index = id.indexOf(ModuleMember.STORAGE_SUFFIX);
  		if (index != -1){
  			showDefaultTree = false;
  		}else{
  			showStorageTree = false;
  		}
  	}
  	if (type != null){
  		if (type.equals(XpoLogObjectTypes.MODULE_TYPE)){
  			try{
  			curmod = SiteManagment.getInstance().getModuleFromId(id);
  			rootmod = curmod;
  			treeNodeExists = true;
  			}catch(Exception e){
  				ErrorModel.log.error("Failed to load folders tree for folder " + id,e);
  			}
  		}else if (type.equals(XpoLogObjectTypes.LOG_TYPE)){
  			try{
  				moduleMember = SiteManagment.getInstance().getModuleMember(id);
  			}catch(Exception e){
  				ErrorModel.log.error("Failed to load folders tree for log " + id,e);
  			}
  		}
  	}
  }
 
	if (curmod != null){
    modulesMap.put(curmod.getId(),curmod.getId());
	}
	if (moduleMember != null){
		logsMap = new HashMap();
		String mmId = moduleMember.getId();
		logsMap.put(mmId,mmId);
	}
	
	if(logsMap == null) {
		logsMap = new HashMap();
	}
	if(false && logCollectionPolicyId != null && logCollectionPolicyId.length() > 0) {
		List storageLogIds = XpologCollectionAdminHelper.getLogIdsByLogCollectionPolicyId(logCollectionPolicyId, userContext);
		if(storageLogIds != null && storageLogIds.size() > 0) {
			for(int i = 0; i < storageLogIds.size(); i++) {
				String storageLogId = (String)storageLogIds.get(i);
				logsMap.put(storageLogId, storageLogId);
			}
		}
	}
	
	if (logsMap != null){
		ModuleMemberRenderer.addModuleMemberParents(modulesMap, logsMap);
	}
	
	if (type != null && type.equals(XpoLogObjectTypes.LOG_TYPE)){
		LogBrowsingManager lbm = SiteManagment.getInstance().getLogBrowserManager(moduleMember.getId());
		ODefaultTreeCellRenderer cr = new ODefaultTreeCellRenderer();
		ModulesMenuLoader modMenuLoader = new ModulesMenuLoader();
		modMenuLoader.setShowFilters(true);
		modMenuLoader.setShowRootFilter(false);	
		ODefaultMutableTreeNode node = (ODefaultMutableTreeNode)modMenuLoader.createMutableNodeFromLog(lbm,userContext,null);
		treeXml = cr.renderNode(node,true,false);
	}else if (rootmod != null){
    ModuleMemberRenderer.addModuleMemberParents(modulesMap,null);
    LogCollectionPolicyModuleMemberRenderer renderer = new LogCollectionPolicyModuleMemberRenderer(rootmod, userContext, modulesMap, logsMap, true, false, treeNodeExists);
    renderer.setLogCollectionPolicyId(logCollectionPolicyId);
    renderer.createMapping();
		
		if (!userContext.isModuleMemberEditable(Module.ROOT_MODULE_ID)){
			renderer.setShowRootModule(false);
		}
    HashMap selectedModules = new HashMap();
    if (curmod != null){
    	selectedModules.put(curmod.getId(),curmod.getId());
    	renderer.setSelectedModules(selectedModules);
    }
		treeXml = renderer.getTreeXML(showDefaultTree,showStorageTree);
	}
	
	//System.out.println(treeXml);
	response.setContentType("text/xml");
	out.write(treeXml);
	out.flush();
%>