<%@ page language="java"%>
 
<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.admin.*"%>
<%@ page import="xpolog.eye.admin.builders.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@ page import="xpolog.eye.audit.AuditConstants"%>
<%@ page import="xpolog.eye.audit.AuditManager"%>
<%@ page import="xpolog.eye.data.log.external.IntervalDataSource"%>
<%@ page import="xpolog.eye.data.util.FileFilterConfiguration"%>
<%@ page import="xpolog.eye.data.util.NameExpression"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.media.*"%>
<%@ page import="xpolog.eye.media.cloud.CloudManager"%>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@page import="xpolog.eye.admin.patterns.PatternAdminHelper"%>
<%@ page import="xpolog.eye.Module"%>
<%@ page import="java.util.*"%>

<%!
	static final String BASE_DIRECTORY = "../../../";
%>


<%
	if (!WebSecurityManager.getInstance().checkForPermission(request,response,ActionsPermissionConstants.AdministrationPermissions.ADD_LOG_PERMISSION,true,true)){
	  return;
	}
	
String ERROR_OBJ = "ERROR_OBJ";
  String LOG_NAME = "LogName";
  String LOG_DESCRIPTION = "LogDescription";
  String REFRESH_RATE = "RefreshRate";
  String PARENT_MODULE = "ParentModule";
  String GAE_ACCOUNT = "accountId";
  String APPLICATION_ID = "gaeApplicationsList";
  String APPLICATION_VERSION_ID = "gaeApplicationVersionsList";
  String APPLICATION_LOG_ID = "gaeLogsList";
  String LOG_DATA_PATTERN = "DataPattern";
  String LOG_ID = "LOG_ID";
  final String BUILDER = "CURRENT_LOG_BUILDER";
  String CURRENT_LOG = "CURRENT_LOG";
  String LOG_TIME_ZONE = "TimeZone";
  final String MODULE_ID = "MODULE_ID";
  String AUTO_UPDATE = "AutoUpdate";
  String NUM_OF_PATHS = "numOfPaths";
	String LOG_CHARSET = "charset";
	String IS_DUPLICATE_MODE = "isDuplicateMode";
	String LOG_COLLECTION_POLICY_ID = "logCollectionPolicyId";
	String DATA_FILTER_QUERY = "dataFilterQuery";
	String ALLOW_DUPLICATED_RECORDS = "allowDuplicatedRecords";
 
  SiteManagment mgmt = SiteManagment.getInstance();
  SiteAdministrator admin = SiteManagment.getAdminInstance();

  final String modid      = request.getParameter(PARENT_MODULE);
  String parentApps = request.getParameter("parentApplication");
	HashSet applicationsIds = new HashSet();
  String[] appArr = null;
	if(parentApps != null && parentApps.length() >0){
		appArr = parentApps.split("#");
		for(int i = 0 ;	appArr != null &&  i < appArr.length ; i++){
			applicationsIds.add(appArr[i]);
		}		
	}  
  String logname    = request.getParameter(LOG_NAME);
  String logdesc    = request.getParameter(LOG_DESCRIPTION);
	ArrayList sourceList = new ArrayList();
  String logdatapat = request.getParameter(LOG_DATA_PATTERN);
  String timeZoneId = request.getParameter(LOG_TIME_ZONE);
  String gaeAccountId = request.getParameter(GAE_ACCOUNT);
  String refrate = "-1";
  String mediaType = "GaeMedia"; 
  String autoUpdateString = request.getParameter(AUTO_UPDATE);
  String charset    = request.getParameter(LOG_CHARSET);
  String sourceGroup = request.getParameter("sourceGroup");
  String sourceTypes = request.getParameter("CustomTypeName");
  if(sourceTypes == "" && sourceGroup != null && sourceGroup.equals("system")){
	  sourceTypes = request.getParameter("SystemTypePattern");    
  }
  if (sourceGroup != null && sourceGroup.equals("system")){
     int index = sourceTypes.indexOf("#");
     if (index  >  0){
    	  sourceTypes = sourceTypes.substring(index + 1);
        sourceGroup += "#" + sourceTypes.substring(0,index);
     }
  }
  String isDuplicateModeStr = request.getParameter(IS_DUPLICATE_MODE);
  boolean isDuplicateMode = isDuplicateModeStr != null && isDuplicateModeStr.equals("true");
	String sortFilesStr = request.getParameter("sortFiles");
	boolean sortFilesByLastUpdate = sortFilesStr != null && sortFilesStr.equals("byLastUpdate");
  String dynamicFiles = request.getParameter("dynamicFiles");

	String op = request.getParameter("OP");
	if(op == null || op.length()==0){
		op = "ADD";
	}

	String logAdminScreenWidth = request.getParameter("LogAdminScreenWidth");
	if(logAdminScreenWidth == null || logAdminScreenWidth.length()==0){
		logAdminScreenWidth = "600px";
	}
	
	String applicationId = request.getParameter(APPLICATION_ID);
	String applicationVersionId = request.getParameter(APPLICATION_VERSION_ID);
	String applicationLogId = request.getParameter(APPLICATION_LOG_ID);
	
	String logCollectionPolicyId = request.getParameter(LOG_COLLECTION_POLICY_ID);
	String dataFilterQuery = request.getParameter(DATA_FILTER_QUERY);
	String allowDuplicatedRecordsStr = request.getParameter(ALLOW_DUPLICATED_RECORDS);
  int allowDuplicatedRecords = LinearBrowsingManager.DUPLICATED_RECORDS_USE_SYSTEM_DEFAULT;
  if (allowDuplicatedRecordsStr != null && allowDuplicatedRecordsStr.length() > 0){
  	allowDuplicatedRecords = Integer.parseInt(allowDuplicatedRecordsStr);
  }

	if (charset != null && charset.equals("default")){
  	 charset = null;
	}
	if (sourceTypes != null && sourceTypes.trim().length() == 0){
		  sourceTypes = null;
	  }	
  //verify data
  ErrorModel errmodel = new ErrorModel();

  if(logname == null || logname.trim().equals("")){
    errmodel.addError("No name was supplied.");
  }
  if(WebUtil.isContainSpecialCharecter(logname)){
      errmodel.addError("The following characters are prohibited in the name field: "+WebUtil.getSpecialCharectersList());
  }
  String doSaveStr = request.getParameter("doSave");
  boolean doSave = doSaveStr != null && doSaveStr.length() > 0;

	if(logdatapat == null || logdatapat.trim().equals("")){
    errmodel.addError("No data pattern was supplied.");
  }

  if(modid == null || modid.trim().equals("")){
    errmodel.addError("No parent folder was selected. If no folder is available please check your permissions");
  }
  
  if(gaeAccountId == null || gaeAccountId.trim().equals("")){
    errmodel.addError("No Account was supplied.");
  }
  
  if(applicationId == null || applicationId.trim().equals("")){
    errmodel.addError("No Application was supplied.");
  }
  
  if(applicationVersionId == null || applicationVersionId.trim().equals("")){
    errmodel.addError("No Application Version was supplied.");
  }
  
  if(applicationLogId == null || applicationLogId.trim().equals("")){
    errmodel.addError("No Application Log was supplied.");
  }
  
  if (logCollectionPolicyId == null || logCollectionPolicyId.length() == 0){
  	errmodel.addError("No collection policy was selected");
  }

  long refreshInterval = -1;
  try{
  	refreshInterval = Long.parseLong(refrate);
  }catch(Exception e){
  	errmodel.addError("Please supply a valid refresh rate.");
  }

  boolean autoUpdate = true;
  if (autoUpdateString == null || !autoUpdateString.equals("true")){
  	autoUpdate = false;
  }
  
  if(errmodel.getErrorCount() != 0){
    request.getSession().setAttribute(ERROR_OBJ,errmodel);
    response.sendRedirect("../errorpage.jsp");
    return;
  }

  FileFilterConfiguration fileFilterConfiguration = new FileFilterConfiguration();
	
  LogBrowsingManager lbm = null;
  lbm = (LogBrowsingManager)request.getSession().getAttribute(CURRENT_LOG);
  if(lbm != null && !lbm.getType().equals(GAESimpleLogBuilder.GAE_LOG_TYPE)){
		lbm = null;
  	request.getSession().removeAttribute(CURRENT_LOG);
  }

  final GAESimpleLogBuilder builder = (GAESimpleLogBuilder)LogBrowserBuilderFactory.getLogBroserBuilderByType(LogBrowserBuilderFactory.GAE_LOG_TYPE);

  if(lbm != null){
    builder.setID(lbm.getId());
    builder.setIgnoreUnparsedRecords(LogAdminHelper.isIgnoreUnparsedRecords(lbm));
    builder.setUpdateLinesNumber(LogAdminHelper.isUpdateLinesNumber(lbm));
    logdatapat = LogAdminHelper.getXpologPattern(lbm);
  } 

  builder.setName(logname);
  builder.setApplicationsIds(applicationsIds); 
  builder.setRecordPattern(logdatapat);
  builder.setLogDescription(logdesc);
  builder.setTimeZoneId(timeZoneId);
	builder.setCharset(charset);
	builder.setSourceTypes(sourceTypes);
	builder.setFileFilterConfiguration(fileFilterConfiguration);
  //builder.setDynamicFiles(dynamicFiles != null && dynamicFiles.equalsIgnoreCase("on"));
  builder.setFileBehavior(0);
  builder.setSortByLastUpdate(sortFilesByLastUpdate);
  
  String sourceLocation = applicationId + CloudManager.GAE_ID_SEPARATOR + applicationVersionId + CloudManager.GAE_ID_SEPARATOR + applicationLogId;
  
  ArrayList nameExprList = new ArrayList();
  NameExpression nameExpr = new NameExpression();
	nameExpr.setDirectory(sourceLocation);
	nameExpr.setXpologNamePatternsStr("xpolog_app_eng_log_file_{date,dd_MM_yyyy}.log");
	nameExpr.setLogDynamicType(0);
	nameExpr.setLogDynamicTypeToDisplay(0);
	nameExprList.add(nameExpr);
  
  builder.setSourceLocation(sourceLocation);
 	builder.setNameExprList(nameExprList);

  String [] pages = {"loggers/admin/logAdminGate.jsp?isPrevious=true&logType=gae&OP=" + op,
  		     "loggers/admin/logDataPattern.jsp?OP=" + op + "&LogAdminScreenWidth=" + logAdminScreenWidth,
  		     "loggers/admin/logFieldAdmin.jsp"};
  AdminUIController controller = new AdminUIController(pages);
  builder.setUiController(controller);

  
  Media med = MediaManager.newInstance().getMediaByType(mediaType);
  
  Account acc = AddressBook.getInstance().getAccountById(gaeAccountId);
  
  builder.setMedia(med);
  builder.setAccount(acc);
  if(refreshInterval != -1){
  	refreshInterval = refreshInterval * 1000 * 60;
  }
  builder.setRefreshInterval(refreshInterval);
  builder.setAutoUpdate(autoUpdate);

  //builder.setSourceLocationList(sourceList);
  
  builder.setDuplicateMode(isDuplicateMode);
  builder.setLogCollectionPolicyId(logCollectionPolicyId);
  builder.setDataFilterQuery(dataFilterQuery);
  builder.setAllowDuplicatedRecords(allowDuplicatedRecords);
  
  boolean isNew = lbm == null || lbm.getId() == null;
  if(isNew) {
	  String recordPattern = "";
	  if(applicationLogId.equals("_requests")) {
	  	LogBrowsingManager systemLog = SiteManagment.getInstance().getLogBrowserManager("gaeRequests",LogsManager.getInstance().getLoadOnlineLbmRequest());
	  	if(systemLog != null) {
	  		recordPattern = LogAdminHelper.getXpologPattern(systemLog);
	  	}
	  }else if(applicationLogId.equals("_appLog")) {
	  	LogBrowsingManager systemLog = SiteManagment.getInstance().getLogBrowserManager("gaeApp",LogsManager.getInstance().getLoadOnlineLbmRequest());
	  	if(systemLog != null) {
	  		recordPattern = LogAdminHelper.getXpologPattern(systemLog);
	  	}
	  }
	  if(recordPattern != null && recordPattern.length() > 0) {
	  	builder.setRecordPattern(recordPattern);  	
	  }
  }
  
  //audit
  UserEnvironment env = UserEnvironment.getUserEnvironment(request);
  UserContext userContext = UserEnvironment.getUserContext(request);
  AuditManager auditMgr = AuditManager.getInstance();
  auditMgr.write(AuditConstants.BASIC_AUDIT_LEVEL,
    	userContext, AuditConstants.CHANGE, "create/edit log", AuditConstants.LOGS, "create/edit gae log " + logname + " (application: " + applicationId + ", version: " + applicationVersionId + ", log: " + applicationLogId + ")");
  
 	if (doSave){
    builder.updateBuilder();
  
  	//save new log without setting pattern(gets first pattern from suggestion).
  	/*if(lbm == null && builder.getLogBrowserManager() != null){
  		String []events = LogAdminHelper.readLines(builder.getLogBrowserManager(),100);
			String xpoPattern = PatternAdminHelper.getFirstPattrernSuggestion(events);
			builder.setRecordPattern(xpoPattern);  		
			builder.updateBuilder();
  	}*/
  
  	lbm = builder.getLogBrowserManager();
  	LogBrowsingManager oldlbm = (LogBrowsingManager)request.getSession().getAttribute(CURRENT_LOG);
  	if(oldlbm != null){
	  	lbm.setFilterManager(oldlbm.getFilterManager());
	    lbm.setRecordMask(oldlbm.getRecordMask());
	    LogAdminHelper.getLogRecordBuilder(lbm).setMergeColumns(LogAdminHelper.getMergeIndexing(oldlbm));   
	    lbm.setCustomizationManager(oldlbm.getCustomizationManager());
  	}
    Module parentmod = mgmt.getModuleFromId(modid);
    if(parentmod == null){
      parentmod = mgmt.getModuleFromId(modid);
    }
		IntervalDataSource ds = IntervalAdminHelper.getIntervalDataSource(lbm);
		if(ds != null) {
			ds.setLogBrowserId(lbm.getId());
			ds.setSortByLastUpdate(false);
		}
    builder.setDynamicFiles(LogAdminHelper.isDynamicFiles(lbm));				
	  
	  String newId = admin.addLogBrowser(lbm,parentmod,userContext);
	  if (!isNew || (applicationsIds != null && applicationsIds.size() > 0)){
	  	LogAdminHelper.updateLogApplicationsMetas(lbm.getId(),applicationsIds);
	  }
	  
    if(isNew && newId != null && newId.length() > 0) {
    	// don't generate log data on gae logs
	  	/*String[] lbmIds = new String[1];
	  	lbmIds[0] = lbm.getId();
	  	admin.generateLogData(lbmIds, userContext);*/
	  }
    request.getSession().setAttribute(CURRENT_LOG,lbm);
    
    auditMgr.write(AuditConstants.BASIC_AUDIT_LEVEL,
  	userContext, AuditConstants.CHANGE, "save/edit log", AuditConstants.LOGS, "change the log " + lbm.getName()); 
	  env.setTempAttribute(SiteConstants.FORWARD_URL_ATTRIBUTE,"loggers/admin/logaddopok.jsp?removeLog=" + !builder.isLogCanBeUsed() + "&lbmId=" + lbm.getId());
  	response.sendRedirect(BASE_DIRECTORY + "common/actions/nextAction.jsp");
  	return;
  }
  request.getSession().setAttribute("IS_NEW", Boolean.valueOf(isNew));

  final UserEnvironment _env = UserEnvironment.getUserEnvironment(request);
  
  ProgressRunner runner = new ProgressRunner(BASE_DIRECTORY + controller.getForwardPage()) {
      public void run(HttpServletRequest request){
        try{
         //for configuration reasons
    	builder.updateBuilder();
        }catch(Exception e){
          errmodel.addError("Building log problem,please check patterns and path again.");
    	errmodel.addError(e.getMessage());
          createErrorRedirect(request,BASE_DIRECTORY);
        }
        request.getSession().setAttribute(MODULE_ID,modid);
  	request.getSession().setAttribute(BUILDER,builder);
  	  }
	 };
   _env.setProgressRunner(runner);
%>


<jsp:include page="../../../common/actionProgress.jsp" flush="true">
 <jsp:param name="BASE_DIRECTORY" value="<%=BASE_DIRECTORY%>"/>
 <jsp:param name="message" value="Processing"/>
 <jsp:param name="forceRedirect" value="true"/>
</jsp:include>