<%@ page language="java"%>

<%@ page import="java.io.File"%>
<%@ page import="java.util.*"%>

<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.admin.*"%>
<%@ page import="xpolog.eye.admin.builders.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@ page import="xpolog.eye.admin.patterns.PatternAdminHelper"%>
<%@ page import="xpolog.eye.audit.*"%>
<%@ page import="xpolog.eye.data.filters.DateFilter"%>
<%@ page import="xpolog.eye.data.util.FileFilterConfiguration"%>
<%@ page import="xpolog.eye.data.log.MultiLogDataSource"%>
<%@ page import="xpolog.eye.data.log.store.StoreDataSource"%>
<%@ page import="xpolog.eye.data.source.LinearDataSource"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.media.AddressBook"%>
<%@ page import="xpolog.eye.media.auth.AuthenticationAccount"%>
<%@ page import="xpolog.eye.meta.MetaDataManager"%>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="xpolog.eye.data.util.FileExtend"%>
<%@ page import="xpolog.eye.data.util.NameExpression"%>
<%@ page import="xpolog.eye.Module"%>
<%!
	static final String BASE_DIRECTORY = "../../../";
%>

<%
	if (!WebSecurityManager.getInstance().checkForPermission(request,response,ActionsPermissionConstants.AdministrationPermissions.ADD_LOG_PERMISSION,true,true)){
	  return;
	}
	
  String ERROR_OBJ = "ERROR_OBJ";
  String LOG_NAME = "LogName";
  String LOG_DESCRIPTION = "LogDescription";
  String MODULE_ID = "MODULE_ID";
  String LOG_DIRECTORY = "LogDirectoryDir";
  String LOG_NAME_PATTERN = "LogNamePattern";
  String LOG_DATA_PATTERN = "DataPattern";
  String LOG_ID = "LOG_ID";
  String BUILDER = "CURRENT_LOG_BUILDER";
  String CURRENT_LOG = "CURRENT_LOG";
  String LOG_TIME_ZONE = "TimeZone";
  String LOG_CHARSET = "charset";
	String NUM_OF_PATHS = "numOfPaths";
  String LOG_LOCATION_PATH = "fullPath_";  
  String LOG_LOCATION_STATUS = "locationStatus_";    
  String LOCATIONS_CNTR = "locationCntr";
	String LOG_COLLECTION_POLICY_ID = "logCollectionPolicyId";
	String DATA_FILTER_QUERY = "dataFilterQuery";
	String ALLOW_DUPLICATED_RECORDS = "allowDuplicatedRecords";

	
	File f = null;
 
  SiteManagment mgmt = SiteManagment.getInstance();
  SiteAdministrator admin = SiteManagment.getAdminInstance();
  
  String listenerAccountInfoId = request.getParameter("listenerAccountInfoId");
 	
  NameExpression nameExpr = new NameExpression();
  ArrayList nameExprList = new ArrayList();
  String modid      = request.getParameter("ParentModule");
  String parentApps = request.getParameter("parentApplication");
	HashSet applicationsIds = new HashSet();
  String[] appArr = null;
	if(parentApps != null && parentApps.length() >0){
		appArr = parentApps.split("#");
		for(int i = 0 ;	appArr != null &&  i < appArr.length ; i++){
			applicationsIds.add(appArr[i]);
		}		
	}
  String logname    = request.getParameter(LOG_NAME);
  String logdesc    = request.getParameter(LOG_DESCRIPTION);
  String logdatapat = request.getParameter(LOG_DATA_PATTERN);
  String timeZoneId = request.getParameter(LOG_TIME_ZONE);
  String charset    = request.getParameter(LOG_CHARSET);
  String dynamicFiles = request.getParameter("dynamicFiles");
  String sortFilesStr = request.getParameter("sortFiles");
  String sourceGroup = request.getParameter("sourceGroup");
  String sourceTypes = request.getParameter("CustomTypeName");
  if(sourceTypes == "" && sourceGroup != null && sourceGroup.equals("system")){
	  sourceTypes = request.getParameter("SystemTypePattern");    
  }
  if (sourceGroup != null && sourceGroup.equals("system")){
     int index = sourceTypes.indexOf("#");
     if (index  >  0){
        sourceGroup += "#" + sourceTypes.substring(0,index);
    	  sourceTypes = sourceTypes.substring(index + 1);
     }
  }
  boolean sortFilesByLastUpdate = sortFilesStr != null && sortFilesStr.equals("byLastUpdate");
  String authAccId = request.getParameter("accountId");
  String logType = request.getParameter("LogType");
  if(logType == null || logType.length() == 0){
  	logType = "local";
  }
	String logCollectionPolicyId = request.getParameter(LOG_COLLECTION_POLICY_ID);
	String dataFilterQuery = request.getParameter(DATA_FILTER_QUERY);
	String allowDuplicatedRecordsStr = request.getParameter(ALLOW_DUPLICATED_RECORDS);
  int allowDuplicatedRecords = LinearBrowsingManager.DUPLICATED_RECORDS_USE_SYSTEM_DEFAULT;
  if (allowDuplicatedRecordsStr != null && allowDuplicatedRecordsStr.length() > 0){
  	allowDuplicatedRecords = Integer.parseInt(allowDuplicatedRecordsStr);
  }

  
  String zippwd = request.getParameter("zippwd");
  if (charset != null && charset.equals("default")){
    charset = null;
  }
  if (sourceTypes != null && sourceTypes.trim().length() == 0){
	  sourceTypes = null;
  }
  String doSaveStr = request.getParameter("doSave");
  boolean doSave = doSaveStr != null && doSaveStr.length() > 0;
 
  //verify data
  ErrorModel errmodel = new ErrorModel();
  
  if (listenerAccountInfoId == null || listenerAccountInfoId.length() == 0){
  	errmodel.addError("No listener account info was supplied");
  }
  
  if(logname == null || logname.trim().equals("")){
    errmodel.addError("No name was supplied.");
  }

  if(WebUtil.isContainSpecialCharecter(logname)){
    errmodel.addError("The following characters are prohibited in the name field: "+WebUtil.getSpecialCharectersList());
  }
 	
  if(modid == null || modid.trim().equals("")){
    errmodel.addError("No parent module was selected. If no module is available please check your permissions");
  }
  
  if (logCollectionPolicyId == null || logCollectionPolicyId.length() == 0){
  	errmodel.addError("No collection policy was selected");
  }

  if(errmodel.getErrorCount() != 0){
    request.getSession().setAttribute(ERROR_OBJ,errmodel);
    response.sendRedirect("../errorpage.jsp");
    return;

  }
  
  DateFilter dateFilter = null;
	try {
		dateFilter = DateUtil.createDateRangeDateFilter(request, "logAdmin");
	}catch(Exception e) {
		errmodel.addError(e.getMessage());
		request.getSession().setAttribute(ERROR_OBJ,errmodel);
    response.sendRedirect("errorpage.jsp");
    return;
	}
  
	String op = request.getParameter("OP");
	if(op == null || op.length()==0){
		op = "ADD";
	}
	
	String logAdminScreenWidth = request.getParameter("LogAdminScreenWidth");
	if(logAdminScreenWidth == null || logAdminScreenWidth.length()==0){
		logAdminScreenWidth = "600px";
	}

  LogBrowsingManager lbm = null;
  lbm = (LogBrowsingManager)request.getSession().getAttribute(CURRENT_LOG);
  
  ListenerLogBuilder builder = (ListenerLogBuilder)LogBrowserBuilderFactory.getLogBroserBuilderByType(LogBrowserBuilderFactory.LISTENER_LOG_TYPE);
	boolean fetchDataPattern = true;
  if(lbm != null){
    builder.setID(lbm.getId());
    builder.setListenerAccountInfoId(listenerAccountInfoId);
    builder.setIgnoreUnparsedRecords(LogAdminHelper.isIgnoreUnparsedRecords(lbm));
    builder.setUpdateLinesNumber(LogAdminHelper.isUpdateLinesNumber(lbm));
    logdatapat = LogAdminHelper.getXpologPattern(lbm);
    builder.setDataSourceFactory(LogAdminHelper.dataSourceFactory(lbm));
    builder.setUseIndexing(lbm.isUseIndexing());
    builder.setUseIndexingForDateSearch(lbm.isUseIndexingForDateSearch());
    builder.setIndexNullValues(lbm.isIndexNullValues());
    builder.setUseWholeWords(lbm.isUseWholeWords());
    builder.setUseProxy(lbm.isUsingProxy());
    builder.setImported(lbm.isImported());
    builder.setDataSourceHeaderBuilder(LogAdminHelper.getHeaderBuilder(lbm),true);
    builder.setOnline(lbm.isOnline());
    builder.setDynamicFiles(LogAdminHelper.isDynamicFiles(lbm));
    builder.setSortByLastUpdate(LogAdminHelper.isSortByLastUpdate(lbm));
    builder.setUseQuickFilter(lbm.isUseQuickFilter());
    builder.setComputeStatistics(lbm.isComputeStatistics());
    builder.setUseInDashboard(lbm.isUseInDashboard());
    builder.setUseInDashboardTask(lbm.isUseInDashboardTask());
    builder.setHost(lbm.getHost());
    builder.setScannerRoot(lbm.getScannerRoot());
    builder.setScannerName(lbm.getScannerName());
    builder.setDataVersion(lbm.getDataVersion());
  }

  builder.setApplicationsIds(applicationsIds);
  builder.setName(logname);
  builder.setNameExprList(nameExprList);
  builder.setRecordPattern(logdatapat);
  builder.setLogDescription(logdesc);
  builder.setLogCollectionPolicyId(logCollectionPolicyId);
  builder.setDataFilterQuery(dataFilterQuery);
  builder.setDataDateFilter(dateFilter);
  builder.setTimeZoneId(timeZoneId);
  builder.setCharset(charset);
  builder.setSourceTypes(sourceTypes);
  builder.setSourceTypesGroup(sourceGroup);;
  builder.setZipPassword(zippwd);
  builder.setSortByLastUpdate(sortFilesByLastUpdate);
  builder.setAllowDuplicatedRecords(allowDuplicatedRecords);
  
  boolean isNew = lbm == null || lbm.getId() == null;
  
  try{
    //for configuration reasons
    builder.updateBuilder();
  }catch(Exception e){
  	if (doSave || !(e instanceof XpologBuilderException) || !((XpologBuilderException)e).isFilterQueryError()){
	    errmodel.addError("Building log problem,please check patterns and path again.");
	    errmodel.addError(e.getMessage());
	    request.getSession().setAttribute(ERROR_OBJ,errmodel);
	    response.sendRedirect("../errorpage.jsp");
	    return;
  	}
  }
  
  //audit
    UserEnvironment env = UserEnvironment.getUserEnvironment(request);
    UserContext userContext = UserEnvironment.getUserContext(request);
    AuditManager auditMgr = AuditManager.getInstance();
    for(int i = 0 ;nameExprList != null &&  i < nameExprList.size() ; i++){    	
  	  auditMgr.write(AuditConstants.BASIC_AUDIT_LEVEL,
	  	userContext, AuditConstants.CHANGE, "create/edit log", AuditConstants.LOGS, "create/edit log " + logname + " path - " + ((NameExpression)nameExprList.get(i)).getDirectory()+((NameExpression)nameExprList.get(i)).getXpologNamePatternsStr()); 
    }

  if (doSave){
   	builder.updateBuilder();
    
  	lbm = builder.getLogBrowserManager();

  	LogBrowsingManager oldlbm = (LogBrowsingManager)request.getSession().getAttribute(CURRENT_LOG);
  	if(oldlbm != null){ //Not new log
	  	lbm.setFilterManager(oldlbm.getFilterManager());
	    lbm.setRecordMask(oldlbm.getRecordMask());
	    LogAdminHelper.getLogRecordBuilder(lbm).setMergeColumns(LogAdminHelper.getMergeIndexing(oldlbm));      
	    lbm.setCustomizationManager(oldlbm.getCustomizationManager());
	    lbm.setSearchAndFilterDef(oldlbm.getSearchAndFilterDef());
	    lbm.setConsolidation(oldlbm.isConsolidation());
  	}
    Module parentmod = mgmt.getModuleFromId(modid);
    if(parentmod == null){
      modid = "rootModule";
      parentmod = mgmt.getModuleFromId(modid);
    }
    builder.setDynamicFiles(LogAdminHelper.isDynamicFiles(lbm));    
	  
	  String newId = admin.addLogBrowser(lbm,parentmod,userContext);
	  if (!isNew || (applicationsIds != null && applicationsIds.size() > 0)){
	  	LogAdminHelper.updateLogApplicationsMetas(lbm.getId(),applicationsIds);
	  }
		 
	  if(isNew && newId != null && newId.length() > 0) {
	  	String[] lbmIds = new String[1];
	  	lbmIds[0] = lbm.getId();
	  	admin.generateLogData(lbmIds, userContext);
	  }
    request.getSession().setAttribute(CURRENT_LOG,lbm);
    
    auditMgr.write(AuditConstants.BASIC_AUDIT_LEVEL,
  	userContext, AuditConstants.CHANGE, "save/edit log", AuditConstants.LOGS, "change the log " + lbm.getName()); 
	  env.setTempAttribute(SiteConstants.FORWARD_URL_ATTRIBUTE,"loggers/admin/logaddopok.jsp?removeLog=" + !builder.isLogCanBeUsed() + "&lbmId=" + lbm.getId());
  	response.sendRedirect(BASE_DIRECTORY + "common/actions/nextAction.jsp");
  	return;
  }
  request.getSession().setAttribute("IS_NEW", Boolean.valueOf(isNew));

  String BASE_DIRECTORY = "../../../";
  String [] pages = {"loggers/admin/logAdminGate.jsp?isPrevious=true&logType=listener&OP=" + op,
  			 "loggers/admin/logDataPattern.jsp?OP=" + op + "&LogAdminScreenWidth=" + logAdminScreenWidth,
  			 "loggers/admin/logFieldAdmin.jsp"};
  AdminUIController controller = new AdminUIController(pages);
  builder.setUiController(controller);

  request.getSession().setAttribute(MODULE_ID,modid);
  request.getSession().setAttribute(BUILDER,builder);
  
  String forwardURL = request.getParameter("forwardURL");
  if (forwardURL != null && forwardURL.length() > 0){
  	String nextToken = forwardURL.indexOf("?") == -1 ? "?" : "&";
  	forwardURL = forwardURL + nextToken + "forwardURL=loggers/admin/logAdminGate.jsp";
  	response.sendRedirect(forwardURL);
  	return;
  }
  
  response.sendRedirect(BASE_DIRECTORY + controller.getForwardPage());
%>