<%@ page language="java"%>

<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.audit.*" %>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.main.*"%>
<%@ page import="xpolog.eye.site.*" %>
<%@ page import="xpolog.eye.Module"%>

<%@ page import="java.util.*"%>
<%
	if (!WebSecurityManager.getInstance().checkForPermission(request,response,ActionsPermissionConstants.AdministrationPermissions.REMOVE_LOG_PERMISSION,true,true)){
	  return;
	}
	
  String LOG_ID = "logid";
  String CURRENT_LOG = "CURRENT_LOG";

  SiteManagment mgmt = SiteManagment.getInstance();
  SiteAdministrator admin = SiteManagment.getAdminInstance();
  UserContext userContext = UserEnvironment.getUserContext(request);
  String logid = request.getParameter(LOG_ID);

  LogBrowsingManager lbm = null;
  if(logid == null || logid.trim().equals("")){
    lbm = (LogBrowsingManager)request.getSession().getAttribute(CURRENT_LOG);
    logid = lbm.getId();
  }
  String name = "";
  if(lbm == null) {
	  try {
		  ModuleMember member = SiteManagment.getInstance().getModuleMember(logid);
		  if(member != null) {
			  name = member.getName();
		  }
	  }catch(Exception e) {}
  }else {
	  name = lbm.getName();
  }
  
  UserEnvironment env = UserEnvironment.getUserEnvironment(request);
	MainViewModel model = env.getMainViewModel();
	final MainViewTabModel tab = model.getOnlineTabByDataId(logid);
	if (tab != null){
		model.removeTab(tab);
		new Thread() {
	    public void run() {
	    	tab.dispose();
   			 Runtime.getRuntime().gc();
	    }}.start();
	}
	
  //audit
  AuditManager.getInstance().write(AuditConstants.BASIC_AUDIT_LEVEL,
  			userContext, AuditConstants.CHANGE, "remove log", AuditConstants.LOGS, "remove the log " + name);
  
  Module parent = mgmt.getParentModule(logid);
  String str =  admin.removeLogBrowser(logid,parent,userContext);
  request.getSession().removeAttribute(CURRENT_LOG);
  
  
  response.sendRedirect("removeopok.jsp");

%>