<%@ page import="java.net.*" %>
<%@ page import="javax.net.ssl.*" %>
<%@ page import="java.net.http.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.security.cert.*" %>
<%@ page import="org.json.simple.*" %>

<%!

SSLContext createTrustAllSSLContext() throws Exception {
   TrustManager[] trustAllCerts = new TrustManager[]{new X509ExtendedTrustManager() {
           @Override
           		public void checkClientTrusted(X509Certificate[] chain, String authType, Socket socket) throws CertificateException {

           		}

           		@Override
           		public void checkServerTrusted(X509Certificate[] chain, String authType, Socket socket) throws CertificateException {

           		}

           		@Override
           		public void checkClientTrusted(X509Certificate[] chain, String authType, SSLEngine engine) throws CertificateException {

           		}

           		@Override
           		public void checkServerTrusted(X509Certificate[] chain, String authType, SSLEngine engine) throws CertificateException {

           		}

           		@Override
           		public java.security.cert.X509Certificate[] getAcceptedIssuers() {
           			return new java.security.cert.X509Certificate[0];
           		}

           		@Override
           		public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {

           		}

           		@Override
           		public void checkServerTrusted(java.security.cert.X509Certificate[] chain, String authType) throws CertificateException {
           			// empty method
           		}
       }};
       SSLContext sc = SSLContext.getInstance("SSL");
       sc.init(null, trustAllCerts, new java.security.SecureRandom());
       return sc;
}

ProxySelector createProxySelector(final Proxy proxy){
     ProxySelector selector = new ProxySelector() {

          @Override
          public List<Proxy> select(URI uri) {
              return Collections.singletonList(proxy);
          }


          @Override
          public void connectFailed(URI uri, SocketAddress sa, IOException ioe){

          }
    };
    return selector;
}

HttpClient createHttpClient()throws Exception {
    return HttpClient.newBuilder().sslContext(createTrustAllSSLContext()).build();

}

HttpClient createHttpClient(Proxy proxy)throws Exception {
    return HttpClient.newBuilder().sslContext(createTrustAllSSLContext()).proxy(createProxySelector(proxy)).build();

}

HttpClient createHttpsClient()throws Exception {
    Properties props = System.getProperties();
    props.setProperty("jdk.internal.httpclient.disableHostnameVerification", Boolean.TRUE.toString());
    return HttpClient.newBuilder().sslContext(createTrustAllSSLContext()).build();
}

HttpClient createHttpsClient(Proxy proxy)throws Exception {
    Properties props = System.getProperties();
    props.setProperty("jdk.internal.httpclient.disableHostnameVerification", Boolean.TRUE.toString());
    return HttpClient.newBuilder().sslContext(createTrustAllSSLContext()).proxy(createProxySelector(proxy)).build();
}


String buildErrorResult(String message,Exception e,int errorCode){
    JSONObject result = new JSONObject();
    JSONObject error = new JSONObject();
    error.put("errorCode",errorCode);
    String msg = message;
    if (e != null && msg != null && msg.length() > 0){
        msg = msg + ", cause: " + e.getMessage();
    }else if (e != null){
        msg = e.getMessage();
    }
    if (msg == null){
      msg = "";
    }
    error.put("errorMessage",msg);

    StringWriter sw = new StringWriter();
    if (e != null){
        PrintWriter pw = new PrintWriter(sw);
        e.printStackTrace(pw);
    }
    String stackTrace = sw.toString();
    error.put("errorTrace",stackTrace);

    result.put("error",error);

    return result.toString();
}

String buildErrorResult(String message,Exception e){
    return buildErrorResult(message,e,500);
}


void logError(String message, Exception e){
    new xpolog.eye.plugin.log.PluginLogger(this.getClass().getName()).error(message,e);
}

boolean checkSecurity(HttpServletRequest request){
    if (!xpolog.eye.security.WebSecurityManager.getInstance().isSecurityEnabled()){
        return true;
    }
    xpolog.eye.site.UserContext userContext = xpolog.eye.site.UserEnvironment.getUserContext(request);
    if (userContext != null && userContext.getUser() != null && userContext.getUser().isAdmin()){
        return true;
    }
    String ipAddress = request.getRemoteAddr();
    if (ipAddress != null && ("localhost".equals(ipAddress) || "127.0.0.1".equals(ipAddress) || "0:0:0:0:0:0:0:1".equals(ipAddress))){
        return true;
    }else {
        try {
            String host = null;
            InetAddress inetAddress = xpolog.config.Configuration.getCurrentNodeAddress();
            if(inetAddress != null) {
                host = inetAddress.getHostAddress();
            }else {
                host = InetAddress.getLocalHost().getHostAddress();
            }
            if (host != null && host.equals(ipAddress)){
                return true;
            }
        }catch (Exception e1){}
        logError("Security failed for ipAddress " + ipAddress + " and user " + (userContext == null || userContext.getUser() == null || userContext.getUser().getUser() == null ? "NONE" : userContext.getUser().getUser()),null);
    }
    return false;
}

%>
