<%@ page language="java" %>

<%@page import="xpolog.config.Configuration" %>
<%@page import="xpolog.eye.site.UserEnvironment" %>
<%@page import="xpolog.eye.util.ModuleMembersUtil" %>
<%@page import="xpolog.eye.LogsManager" %>
<%@page import="xpolog.eye.LbmRequest" %>
<%@page import="xpolog.eye.search.SearchUtil" %>
<%@page import="xpolog.eye.search.SearchQueryParseResponse" %>
<%@page import="xpolog.eye.ModuleMember" %>
<%@page import="xpolog.eye.SiteManagment" %>
<%@page import="xpolog.eye.error.ErrorModel" %>
<%@page import="xpolog.eye.site.UserContext" %>
<%@page import="xpolog.eye.security.WebSecurityManager" %>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper" %>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper.LogDataStatus" %>
<%@page import="java.util.Iterator" %>
<%@page import="java.util.HashMap" %>
<%@page import="java.util.*" %>
<%@page import="java.util.Comparator" %>
<%@page import="java.text.SimpleDateFormat" %>
<%@page import="java.util.ArrayList" %>
<%@page import="java.util.HashSet" %>
<%@page import="java.util.Collections" %>
<%@page import="xpolog.eye.data.store.file.XpologFilesInfo" %>
<%@page import="xpolog.eye.data.store.XpologDataStoreHelper" %>
<%@page import="xpolog.eye.data.store.file.StoreFileInfo" %>
<%@page import="xpolog.eye.data.store.file.StoreFilesInfo" %>
<%@page import="xpolog.eye.LogInfo" %>
<%@page import="xpolog.eye.util.*" %>
<%@page import="org.apache.commons.io.FileUtils" %>
<%@ page import="java.io.File" %>

<%!
    ErrorModel errmod = new ErrorModel();

    void print(String str) {
        errmod.log.info(str);
    }

    Comparator logNameComp = new Comparator() {
        public int compare(Object o1, Object o2) {
            if (o1 == o2) return 0;
            if (o2 == null) return 1;
            if (o1 == null) return -1;
            String logName1 = (String) o1;
            String logName2 = (String) o2;
            int index1 = logName1.indexOf("^");
            if (index1 != -1) {
                logName1 = logName1.substring(0, index1);
            }
            int index2 = logName2.indexOf("^");
            if (index2 != -1) {
                logName2 = logName2.substring(0, index2);
            }
            return logName1.toLowerCase().compareTo(logName2.toLowerCase());
        }
    };
%>

<html>
<head>
    <META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
    <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
    <META HTTP-EQUIV="EXPIRES" CONTENT="0">
    <link rel="stylesheet" type="text/css"
          href="../../css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"/>
    <script type="text/javascript"
            src="../../scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
    <script type="text/javascript"
            src="../../scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>


    <script>
        function startFixLogsDataAction() {
            var logs = "";
            $('input[type=checkbox]').each(function () {
                var v = (this.checked ? $(this).val() : "");
                if (logs == "") {
                    logs = v;
                } else {
                    logs = logs + "," + v;
                }
            });
            alert(logs);
            sendAjaxRequest("reconstructLogsDataAction.jsp?logs=" + logs, function (req) {
                updateFixLogsDataStatus();
            });
        }

        function checkAll() {
            $('input[type=checkbox]').each(function () {
                this.checked = true;
            });
        }

        function uncheckAll() {
            $('input[type=checkbox]').each(function () {
                this.checked = false;
            });

        }

        function stopFixLogsDataAction() {
            doBackgroundAction("fixLogsDataActionStop.jsp");
        }

        function updateFixLogsDataStatus() {

        }
    </script>
</head>
<body>
<table class="REGULARTEXT" style="border: 0; width: 100%; margin: 0; padding: 0">
    <tr>
        <td colspan="5" style="padding-top:10px">
            <div id="fixLogsDataDiv" style="font-family:Tahoma,Verdana,Helvetica; font-size:14px; ">
                <a href="javascript:checkAll()">Check all</a>&nbsp;
                <a href="javascript:uncheckAll()">Uncheck all</a>
            </div>
        </td>
    </tr>
    <tr>
        <td>#</td>
        <td>Log Name</td>
        <td>Summary</td>
        <td>Size</td>
        <td>Log Path</td>
    </tr>
    <%

        WebSecurityManager manager = WebSecurityManager.getInstance();
        if (!manager.checkForPermission(request, response, null, true)) {
            return;
        }
        UserContext userContext = UserEnvironment.getUserContext(request);
        String message = "";
        SiteManagment mgmt = SiteManagment.getInstance();
        String errorLogs = null;

        String ALL_TYPE = "all";
        String ONLY_LAST_TYPE = "last";

        int ALLOWED_GAP = 5;
// treat all the inputs

        String query = request.getParameter("query");
        String compareTypeStr = request.getParameter("compareType");
        String allowedGapStr = request.getParameter("allowedGap");
        String minNumberOfFilesStr = request.getParameter("minNumberOfFiles");
        boolean showRealSize = "true".equals(request.getParameter("showRealSize"));
        int minNumberOfFIles = 500 ;
        if (StringUtil.isNotEmpty(minNumberOfFilesStr)) {
            try {
                minNumberOfFIles = Integer.parseInt(minNumberOfFilesStr);
                print("minNumberOfFiles was set to " + minNumberOfFilesStr);
            } catch (NumberFormatException e) {
                print("failed to parse minNumberOfFiles to integer  , the value was " + minNumberOfFilesStr);
            }
        }
//init
        String compareType = ONLY_LAST_TYPE; // can be LAST or ALL
        int allowedGap = ALLOWED_GAP; // can be any number default 5

        if (StringUtil.isNotEmpty(compareTypeStr)) {
            compareType = compareTypeStr;
            print("compare type was set to " + compareType);
        }
        if (StringUtil.isNotEmpty(allowedGapStr)) {
            try {
                allowedGap = Integer.parseInt(allowedGapStr);
                print("allowed gap was set to " + allowedGap);
            } catch (NumberFormatException e) {
                print("failed to parse allowed gap to integer  , the value was " + allowedGapStr);
            }
        }

        HashSet<String> logsIds = new HashSet<String>();
        ArrayList<String> logNames = new ArrayList<String>();

        if (query == null || query.length() == 0) {
            ModuleMember[] allLogs = mgmt.getAllLogBrowsersIds();
            if (allLogs != null) {
                for (int i = 0; i < allLogs.length; i++) {
                    String logNameId = allLogs[i].getName() + "^" + allLogs[i].getId();
                    logNames.add(logNameId);
                }
                Collections.sort(logNames, logNameComp);
            }
        } else {
            SearchQueryParseResponse parseResponse = SearchUtil.getSearchQueryParseResponse(userContext, xpolog.eye.search.SearchUtil.appendSourcesQueryPrefix(query,false));
            if (parseResponse == null) {
                if (errmod == null) {
                    errmod = new ErrorModel();
                }
                errmod.addError("Failed to apply name pattern to logs");
            } else {
                if (parseResponse.getErrorMessage() != null && parseResponse.getErrorMessage().length() > 0) {
                    if (errmod == null) {
                        errmod = new ErrorModel();
                    }
                    errmod.addError("The specified logs to change don't exist");
                } else {
                    HashMap sourcesToQueries = parseResponse.getSourcesToQueries();
                    if (sourcesToQueries == null || sourcesToQueries.size() == 0) {
                        if (errmod == null) {
                            errmod = new ErrorModel();
                        }
                        errmod.addError("Failed to apply name pattern to logs");
                    } else {
                        logsIds.addAll(sourcesToQueries.keySet());
                    }
                }
                if (logsIds != null && logsIds.size() > 0) {
                    Iterator<String> it = logsIds.iterator();
                    while (it.hasNext()) {
                        String lbmId = it.next();
                        try {
                            ModuleMember mm = mgmt.getModuleMember(lbmId);
                            if (mm != null) {
                                String logNameId = mm.getName() + "^" + mm.getId();
                                logNames.add(logNameId);
                            }
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                    Collections.sort(logNames, logNameComp);
                }
            }
        }

//      HashMap<String, XpologFilesInfo> xpologFilesInfoMapOfBadLogs =  new HashMap<>();
        List<String> brokenLbms = new ArrayList<>();
        Map<String, String> lbmIdToSummary = new HashMap<>();

        print("logNames  = " + logNames);
        Map<String, LogInfo> badLogIdToLogInfo = new HashMap<>();
        Map<String, Long> badLogIdToRealSize = new HashMap<>();


        if (logNames != null && !logNames.isEmpty()) {
            Iterator<String> it = logNames.iterator();
            String lbmId;
            XpologFilesInfo xpologFilesInfo = null;

            while (it.hasNext()) {
                String logNameAndId = it.next();

                int index = logNameAndId.indexOf("^");
                if (index == -1) {
                    continue;
                }
                lbmId = logNameAndId.substring(index + 1);

                print("lbm id  = " + lbmId);
                LogInfo logInfo = LogsManager.getInstance().getLogInfo(lbmId);

                String pathToLogData = logInfo.getLogBaseDirectory()+"/data";
                try {
                    long count = new File(pathToLogData).listFiles().length;

                    if (count > minNumberOfFIles){
                        brokenLbms.add(logNameAndId);
                        badLogIdToLogInfo.put(lbmId, logInfo);

                        if(showRealSize){
                            long folderRealSize = FileUtils.sizeOfDirectory(new File(pathToLogData));
                            badLogIdToRealSize.put(lbmId,new Long(folderRealSize) );
                        }

                        String summary = "Path : " + pathToLogData + ", there were " + count + " files";
                        lbmIdToSummary.put(lbmId, summary);
                    }
                }catch (Exception e ){
                    System.out.println("exception");
                }
            }
        }


        print("brokenLbms  = " + brokenLbms);
        if (brokenLbms != null) {
            String logNameAndId = null, lbmId = null, logName = null, logPath = null, dataStatusDesc = null, logErrorMessage = null;
            int n = 0;
            for (int i = 0; i < brokenLbms.size(); i++) {

                logNameAndId = brokenLbms.get(i);
                int index = logNameAndId.indexOf("^");
                if (index == -1) {
                    continue;
                }
                logName = logNameAndId.substring(0, index);
                lbmId = logNameAndId.substring(index + 1);
                n++;

                try {
                    print("trying    lbm id = " + lbmId);
                    logPath = ModuleMembersUtil.getPathToRoot(lbmId);
                    ///	StoreFileInfo[] storeFileInfos =xpologFilesInfoMap.get(lbmId).getStoreFilesInfo().getAllStoreFileInfos();
                    // long  lastOfPrev =  storeFileInfos[storeFileInfos.length - 2].getMaxBlock();
                    //long firstOfLast = storeFileInfos[storeFileInfos.length - 1].getMinBlock();
                    String summary = lbmIdToSummary.get(lbmId);
                    String logSize = "";

                    if (showRealSize){
                        logSize = XpologUtil.formatSize(badLogIdToRealSize.get(lbmId));
                    }else{
                        logSize = XpologUtil.formatSize(badLogIdToLogInfo.get(lbmId).getSizeInStore());
                    }

                    String checkedStr = "checked";
    %>
    <tr>
        <td>
            <nobr><input type="checkbox" name="log" id="log" value="<%=lbmId %>"
                         style="vertical-align: middle" <%=checkedStr%>><%=n %>
            </nobr>
        </td>
        <td>
            <nobr><%=logName + " (" + lbmId + ")" %>
            </nobr>
        </td>
        <td>
            <nobr><%=summary %>
            </nobr>
        </td>
        <td>
            <nobr><%=logSize %>
            </nobr>
        </td>
        <td>
            <nobr><%=logPath %>
            </nobr>
        </td>
    </tr>
    <%
            } catch (Exception e) {
            } finally {
            }
        }
        if (n > 0) {
    %>
<%--    <tr>--%>
<%--        <td colspan="5" style="padding-top:10px">--%>
<%--            <div id="fixLogsDataDiv" style="font-family:Tahoma,Verdana,Helvetica; font-size:14px; ">--%>
<%--                <a href="javascript:startFixLogsDataAction()">Reconstruct Logs </a>--%>
<%--            </div>--%>
<%--        </td>--%>
<%--    </tr>--%>
    <%
            }
        }

    %>
</table>
</body>
</html>