<%@page import="org.apache.lucene.index.IndexReader"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentInfo"%>
<%@page import="java.util.List"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentsInfo"%>
<%@ page language="java" %>

<%@ page import="org.apache.lucene.index.IndexWriter"%>
<%@ page import="org.apache.lucene.index.ConcurrentMergeScheduler"%>
<%@ page import="org.apache.lucene.index.LogDocMergePolicy"%>
<%@ page import="java.io.IOException"%>
<%@ page import="org.apache.lucene.index.SegmentInfoPerCommit"%>
<%@ page import="org.apache.lucene.index.LogMergePolicy"%>
<%@ page import="org.apache.lucene.index.IndexWriterConfig.OpenMode"%>
<%@ page import="org.apache.lucene.util.Version"%>
<%@ page import="org.apache.lucene.index.IndexWriterConfig"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.impl.KeepLastNCommitsDeletionPolicy"%>
<%@ page import="java.io.File"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.XpologAnalyzer"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.DefaultIndexingHelper"%>
<%@ page import="org.apache.lucene.store.Directory"%>

<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.util.ModuleMembersUtil"%>
<%@page import="xpolog.eye.LogsManager"%>
<%@page import="xpolog.eye.LbmRequest"%>
<%@page import="xpolog.eye.search.SearchUtil"%>
<%@page import="xpolog.eye.search.SearchQueryParseResponse"%>
<%@page import="xpolog.eye.ModuleMember"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.SiteAdministrator"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@page import="xpolog.eye.security.*"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper.LogDataStatus"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.Comparator"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.HashSet"%>
<%@page import="java.util.Collections"%>
<%@page import="xpolog.eye.Module"%>
<%@page import="xpolog.eye.util.*"%>

<%@page import="org.apache.logging.log4j.util.Strings"%>
<%@page import="xpolog.eye.LogInfo"%>
<%@page import="xpolog.eye.LogsManager"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.ExtendedDataForwarderManager"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.status.ExtendedDataForwarderStatusManager"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.status.pojo.CommonForwardingStatusWrapper"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.status.pojo.ForwarderStatusWrapper"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.status.pojo.ForwardersStatusSummary"%>
<%@page import="xpolog.eye.data.forwarders.extended.managers.status.pojo.enums.ForwardingStatus"%>
<%@page import="xpolog.eye.data.forwarders.extended.ExtendedDataForwarder"%>
<%@page import="xpolog.eye.util.StringUtil"%>
<%@page import="xpolog.middleware.bl.commons.core.BEExecuter"%>
<%@page import="java.util.*"%>
<%@page import="java.util.stream.Collectors"%>
<%@page import="xpolog.eye.messaging.producers.data.forwarding.XpologExtendedDataForwarderProducerHandler"%>
<%@page import="xpolog.eye.util.cluster.com.ClusterMessagingManager"%>
<%@page import="xpolog.eye.data.forwarders.DataForwardersHelper"%>
<%@page import="xpolog.common.messaging.XpoLogMessage"%>

<%!

    void runExtendedDataForwarder(String extendedDataForwarderId) {
        if (Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("data.forwarders.runExtendedDataForwarder.sendClusterMessage", true) &&
            Configuration.getInstance().isCluster() &&
            !Configuration.getInstance().isMaster()
        ) {
            XpologExtendedDataForwarderProducerHandler extendedDataForwarderProducerHandler = new XpologExtendedDataForwarderProducerHandler(extendedDataForwarderId);
            XpoLogMessage messageRequest = extendedDataForwarderProducerHandler.getMessageRequest();
            ClusterMessagingManager.getInstance().sendMessage(messageRequest);
        } else {
            DataForwardersHelper.runForwardingForOneExtendedForwarder(extendedDataForwarderId,true);
        }
    }

    List<List<String>> getDataForForwarder(StringBuilder builder, String forwarderId, String cacheName) {
        List<List<String>> ret = new ArrayList<>();
        ExtendedDataForwarder extendedForwarderById = ExtendedDataForwarderManager.getInstance().getExtendedForwarderById(forwarderId);

        if (extendedForwarderById == null) {
            builder.append("Forwarder was not found  ");
        } else {
            ForwardersStatusSummary summaryToRunOn = null;
            ForwardersStatusSummary mainCache = ExtendedDataForwarderStatusManager.getInstance().getMainCache();
            List<ForwardersStatusSummary> allActiveSummaries = ExtendedDataForwarderStatusManager.getInstance().getAllActiveSummaries();
            if (StringUtil.isEmpty(cacheName) || ExtendedDataForwarderStatusManager.MAIN.equalsIgnoreCase(cacheName)) {
                summaryToRunOn = mainCache;
            } else {
                if (allActiveSummaries != null && !allActiveSummaries.isEmpty()) {
                    for (ForwardersStatusSummary curr : allActiveSummaries) {
                        if (cacheName.equalsIgnoreCase(curr.getMachineName())) {
                            summaryToRunOn = curr;
                            break;
                        }
                    }
                }
            }
            if (summaryToRunOn == null) {
                builder.append("no cache was found with the name " + cacheName);
                if (allActiveSummaries != null && !allActiveSummaries.isEmpty()) {
                    builder.append("available caches are " + Strings.join(allActiveSummaries.stream().map(ForwardersStatusSummary::getMachineName).collect(Collectors.toList()), ','));
                }
            } else {
                ForwarderStatusWrapper forwarderStatus= summaryToRunOn.getStatusForForwarderId(forwarderId);
                if(forwarderStatus == null ){
                    builder.append("no status for forwarder is available in this cache ");
                    return ret ;
                }
                Collection<String> logIdsByExtendedForwarderId = ExtendedDataForwarderManager.getInstance().getLogIdsByExtendedForwarderId(forwarderId);

                if (forwarderStatus.getLogIdToForwardingStatus() == null || forwarderStatus.getLogIdToForwardingStatus().isEmpty()) {
                    builder.append(" status of the forwarder is " +forwarderStatus.getStatus().name()  + "<BR>");
                    builder.append("  no statuses per log are saved for this forwarder");
                } else {
                    for (String currLogId : logIdsByExtendedForwarderId) {
                        CommonForwardingStatusWrapper statusForLogId = forwarderStatus.getStatusForLogId(currLogId);
                        LogInfo logInfo = LogsManager.getInstance().getLogInfo(currLogId);
                        if (logInfo == null) {
                            builder.append("logInfo was empty for lbmid " + currLogId);
                        } else {
                            String logRepresentation = logInfo.getPathToRoot() + "->" + logInfo.getLbmName() + " (" + logInfo.getLbmId() + ")";
                            if (statusForLogId == null) {
                                boolean hasCommits = logInfo.hasDataCommit();
                                if (!hasCommits) {
                                    ret.add(Arrays.asList(logRepresentation, ForwardingStatus.DONE.name() + " (NO COMMITS)", "-"));
                                } else {
                                    try{
                                      ForwardingStatus fromMeta =  ExtendedDataForwarderStatusManager.getInstance()
                                      .getStatusFromMetaForLogForForwarder(logInfo.getLbmId(),forwarderId,extendedForwarderById );
                                       if (fromMeta != null) {
                                        ret.add(Arrays.asList(logRepresentation, fromMeta.name() + " (from meta )", "-"));
                                       } else {
                                            ret.add(Arrays.asList(logRepresentation, ForwardingStatus.PENDING.name() + " (nothing in meta )", "-"));
                                       }
                                    }
                                    catch(Exception e){
                                        ret.add(Arrays.asList(logRepresentation, ForwardingStatus.PENDING.name() + " (NO STATUS )", "-"));
                                    }
                                }
                            } else {
                                ret.add(Arrays.asList(logRepresentation, statusForLogId.getStatus().name(), new Date(statusForLogId.getLastUpdateTime()).toString()));
                            }// end of status for log id id
                        }//end of info log = 0
                    }//end of for
                }//end of map tuils
            }//end of summary
        }//end of all
        return ret;
    }

        boolean shouldIncludeStatus ( String currStatus , List<String> statusesToIgnore){
            if (statusesToIgnore != null && !statusesToIgnore.isEmpty()) {
                return statusesToIgnore.stream().noneMatch(s-> currStatus.toLowerCase().startsWith(s.toLowerCase()));
            }
            return true;
        }
%>

<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<link rel="stylesheet" type="text/css" href="../../css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<script type="text/javascript" src="../../scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="../../scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>

</head>
<body>


<%

WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request, response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION, true)) {
	return;
}
UserContext userContext = UserEnvironment.getUserContext(request);
String message = "";
ErrorModel errmod = null;
SiteManagment mgmt = SiteManagment.getInstance();
String errorLogs = null;
StringBuilder builder = new StringBuilder();
List<String> statusesToIgnore =null;
HashMap<String, Integer > map = new HashMap<>();
String forwarderId ="";
    List<List<String>> ret = new ArrayList<>();
    try{
        forwarderId = request.getParameter("forwarder");
        String statusesToIgnoreStr = request.getParameter("statusesToIgnore");
        String cacheName = request.getParameter("cacheName");
        String rerun = request.getParameter("rerun");

        if (StringUtil.isNotEmpty(statusesToIgnoreStr)){
            statusesToIgnore = Arrays.asList(statusesToIgnoreStr.split(","));
        }

        if (ExtendedDataForwarderManager.getInstance().getExtendedForwarderById(forwarderId) == null) {
            for (ExtendedDataForwarder curr : ExtendedDataForwarderManager.getInstance().getAllExtendedForwarders()) {
                if (curr.getName().toLowerCase().startsWith(forwarderId.toLowerCase())) {
                    forwarderId = curr.getId();
                }
            }
        }

        if ("true".equalsIgnoreCase(rerun)){
            runExtendedDataForwarder(forwarderId);
            builder.append("Rerun was executed on forwarder "+ forwarderId);
        }
        else {
            ret = getDataForForwarder(builder ,forwarderId, cacheName);
        }
    } catch (Exception e ){
        builder.append(e.getMessage());
    }

%>

<%=builder.toString()%>



<table class="REGULARTEXT" style="border: 0; width: 100%; margin: 0; padding: 0">
<tr>
	<td>#</td>
	<td>Log Name</td>
	<td>Data Status</td>
	<td>Status Time </td>
</tr>
<%
        ret.sort(Comparator.comparing(values -> values.get(0)));

if (ret != null && !ret.isEmpty()){
    ret.sort(Comparator.comparing(values -> values.get(0)));
	for (int i=0; i<ret.size(); i++){
		map.merge(ret.get(i).get(1), 1, (a, b) -> a + b);
	    if(!shouldIncludeStatus(ret.get(i).get(1), statusesToIgnore) ){
	        continue;
	    }
        %>
        <tr>
            <td><nobr><%=i %></nobr></td>
            <td><nobr><%=ret.get(i).get(0) %></nobr></td>
            <td><nobr><%=ret.get(i).get(1) %></nobr></td>
            <td><nobr><%=ret.get(i).get(2) %></nobr></td>
        </tr>
        <%
	}
}
%>
</table>
<BR>
<%
for (String statusKey : map.keySet()) {
    String msg = statusKey + " -> " + map.get(statusKey);
   %> <%=msg%>  <BR> <%
}
%>
</body>
</html>