<%@page import="org.apache.lucene.index.IndexReader"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentInfo"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Date"%>
<%@page import="java.util.Arrays"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentsInfo"%>
<%@ page language="java" %>

<%@ page import="org.apache.lucene.index.IndexWriter"%>
<%@ page import="org.apache.lucene.index.ConcurrentMergeScheduler"%>
<%@ page import="org.apache.lucene.index.LogDocMergePolicy"%>
<%@ page import="java.io.IOException"%>
<%@ page import="org.apache.lucene.index.SegmentInfoPerCommit"%>
<%@ page import="org.apache.lucene.index.LogMergePolicy"%>
<%@ page import="org.apache.lucene.index.IndexWriterConfig.OpenMode"%>
<%@ page import="org.apache.lucene.util.Version"%>
<%@ page import="org.apache.lucene.index.IndexWriterConfig"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.impl.KeepLastNCommitsDeletionPolicy"%>
<%@ page import="java.io.File"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.XpologAnalyzer"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.DefaultIndexingHelper"%>
<%@ page import="org.apache.lucene.store.Directory"%>

<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.util.ModuleMembersUtil"%>
<%@page import="xpolog.eye.LogsManager"%>
<%@page import="xpolog.eye.LbmRequest"%>
<%@page import="xpolog.eye.search.SearchUtil"%>
<%@page import="xpolog.eye.search.SearchQueryParseResponse"%>
<%@page import="xpolog.eye.ModuleMember"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@page import="xpolog.eye.security.*"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper.LogDataStatus"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.Comparator"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.HashSet"%>
<%@page import="java.util.Collections"%>

<%@page import="java.util.Set"%>
<%@page import="xpolog.eye.util.StringUtil"%>
<%@page import="xpolog.eye.util.XpologUtil"%>
<%@page import="java.io.FileWriter"%>
<%@page import="java.io.File"%>
<%@page import="org.apache.lucene.index.IndexableField"%>
<%@page import="org.apache.lucene.index.IndexReader"%>
<%@page import="org.apache.lucene.document.Document"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.DefaultSearcherFactory"%>


<%!

Comparator logNameComp = new Comparator(){
	public int compare(Object o1, Object o2){
    if (o1 == o2) return 0;
    if (o2 == null) return 1;
    if (o1 == null) return -1;
		String logName1 = (String)o1;
		String logName2 = (String)o2;
		int index1 = logName1.indexOf("^");
		if (index1 != -1){
			logName1 = logName1.substring(0,index1);
		}
		int index2 = logName2.indexOf("^");
		if (index2 != -1){
			logName2 = logName2.substring(0,index2);
		}
		return logName1.toLowerCase().compareTo(logName2.toLowerCase());
  }
};

SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss");
double RAM_BUFFER_SIZE_MB = Configuration.getInstance().getPropertiesManager().getPropertyAsDouble("index.adapters.defaultadapter.ramBufferSizeMB",IndexWriterConfig.DEFAULT_RAM_BUFFER_SIZE_MB);
int MERGE_FACTOR = Configuration.getInstance().getPropertiesManager().getPropertyAsInt("index.adapters.defaultadapter.mergeFactor",-1);

String SEPARATOR = ",";
Set<String> allProps = XpologUtil.newHashSet("fileName", "startTimeLong", "startRefKey", "lastRefKey", "length", "numRecords", "dataSize", "startDate", "endDate");
String[] props = new String[]{"fileName", "startTimeLong", "startRefKey", "lastRefKey", "length", "numRecords", "dataSize"};
String[] dateProps = new String[]{"startDate", "endDate"};

String openIndexWithSelector(String lbmId, IndexSegmentInfo indexSegmentInfo) throws Exception {
    String segmentId = indexSegmentInfo.getSegmentId();
    if (StringUtil.isEmpty(segmentId)) {
        return null;
    }
    StringBuilder docInfoStringBuilder = new StringBuilder(lbmId + SEPARATOR + segmentId + " ");

    docInfoStringBuilder.
            //append("segmentFirstDate = ").
            append(indexSegmentInfo.getSegmentFirstDate()).append(SEPARATOR).
            //append("segmentLastDate = ").
            append(indexSegmentInfo.getSegmentLastDate()).append(SEPARATOR).
            //append("segmentMinRefKey = ").
            append(indexSegmentInfo.getSegmentMinRefKey()).append(SEPARATOR).
            //append("segmentMaxRefKey = ").
            append(indexSegmentInfo.getSegmentMaxRefKey()).append("\n");


    try (IndexReader reader = DefaultSearcherFactory.getIndexReader(lbmId, segmentId, true, true)) {
        if (reader == null) {
            docInfoStringBuilder.append("reader is null");
            return docInfoStringBuilder.toString();
        }

        int numDocs = reader.maxDoc();
        for (int i = 0; i < numDocs; i++) {
            try{
                docInfoStringBuilder.append(segmentId).append(SEPARATOR).append(i).append(SEPARATOR);
                Document doc = reader.document(i, allProps);
                for(int j = 0; j < props.length; j++){
                    String propKey = props[j];
                    IndexableField field = doc.getField(propKey);
                    if (field != null && StringUtil.isNotEmpty(field.stringValue())) {
                        docInfoStringBuilder.append(field.stringValue()).append(SEPARATOR);
                    }
                    else{
                        docInfoStringBuilder.append(" ").append(SEPARATOR);
                    }
                }
                for(int j = 0; j < dateProps.length; j++){
                    String propKey = dateProps[j];
                    IndexableField field = doc.getField(propKey);
                    if (field != null && StringUtil.isNotEmpty(field.stringValue())) {
                        docInfoStringBuilder.append(field.stringValue()).append(SEPARATOR);
                    }
                    else{
                        docInfoStringBuilder.append(" ").append(SEPARATOR);
                    }
                }
                docInfoStringBuilder.append("\n");
            }
            catch(Throwable t){
                docInfoStringBuilder.append("failed to get document i = " + i + " numDocs = " + numDocs + "\n");
                t.printStackTrace();
            }
        }
        return docInfoStringBuilder.toString();
    }
    catch(Throwable t){
        t.printStackTrace();
        return null;
    }
}

int getIndexStatus(String lbmId, StringBuffer buffer, long timeFromUpdated, long endTime, long startTime, FileWriter fileWriter) throws Exception {
    String directory = DefaultIndexingHelper.getObjectIndexDirectory(false, lbmId);
    File path = new File(directory);
    if (path.exists()) {
        IndexSegmentsInfo segmentsInfo = IndexSegmentsInfo.getIndexSegmentsInfo(lbmId);
        if (segmentsInfo != null) {
            List list = segmentsInfo.getAllSegmentInfosList();
            for (int i = 0; i < list.size(); i++) {
                IndexSegmentInfo indexSegmentInfo = (IndexSegmentInfo) list.get(i);
                if (indexSegmentInfo != null) {
//                        String docData = openIndexOneByOne(lbmId, indexSegmentInfo);

                    long now = System.currentTimeMillis();
                    if (timeFromUpdated > 0){
                        long time = indexSegmentInfo.getSegmentUpdateDate();
                        if (now - time > timeFromUpdated){
                            continue;
                        }
                    }
                    if (endTime > 0){
                        long segmentLastDate = indexSegmentInfo.getSegmentLastDate();
                        if (segmentLastDate > endTime){
                            continue;
                        }
                    }
                    if (startTime > 0){
                        long segmentFirstDate = indexSegmentInfo.getSegmentFirstDate();
                        if (startTime > segmentFirstDate){
                        //System.out.println(new Date(startTime) + " " + new Date(segmentFirstDate));
                            continue;
                        }
                    }

                    String docData = openIndexWithSelector(lbmId, indexSegmentInfo);
                    if (docData != null) {
                        fileWriter.write(docData);
                        fileWriter.write("\n");
                        fileWriter.flush();
                    }
                }
                else {
                    fileWriter.write("No segment for lbmId = " + lbmId + ", index " + i + "\n");
                    //System.out.println("No segment for lbmId = " + lbmId + ", index " + i + "\n");
                    buffer.append("No last segment");
                    return 2;
                }
            }
        }
        else {
            buffer.append("No segments info for lbmId = ").append(lbmId);
            // System.out.println("No segments info for lbmId = " + lbmId);
            return 2;
        }
    }
    else {
        buffer.append("No index directory");
        // System.out.println("No index directory");
        return 1;
    }
    return 0;
}

%>

<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<link rel="stylesheet" type="text/css" href="../../css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<script type="text/javascript" src="../../scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="../../scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>


<script>
function startFixLogsIndexAction() {
	var logs = "";
	$('input[type=checkbox]').each(function () {
    var v = (this.checked ? $(this).val() : "");
    if (logs == ""){
    	logs = v;
    }else{
    	logs = logs + "," + v;
    }
	});
	alert(logs);
	sendAjaxRequest("fixLogsIndexAction.jsp?logs="+logs, function(req){
		updateFixLogsIndexStatus();
	});
}

function checkAll(){
	$('input[type=checkbox]').each(function () {
    this.checked = true;
	});
}

function uncheckAll(){
	$('input[type=checkbox]').each(function () {
    this.checked = false;
	});
	
}

function stopFixLogsIndexAction() {
	doBackgroundAction("fixLogsIndexActionStop.jsp");
}

function updateFixLogsIndexStatus() {
	sendAjaxRequest("fixLogsIndexActionStatus.jsp", function(req){
		var xmldoc = req.responseXML.documentElement;
		if(xmldoc) {
	    var responseElement = xmldoc.getElementsByTagName("Response")[0];
			if(responseElement) {
				var isRunning = responseElement.getAttribute("isRunning");
				var numberOfLogs = responseElement.getAttribute("numberOfLogs");
				var numberOfLogsProcessed = responseElement.getAttribute("numberOfLogsProcessed");
				var totalSize = responseElement.getAttribute("totalSize");
				var totalAvgDailySize = responseElement.getAttribute("totalAvgDailySize");
				var totalMaxDailySize = responseElement.getAttribute("totalMaxDailySize");
				var errorMessage = responseElement.getAttribute("errorMessage");
				
				var	innerHtml = "";
				if(!errorMessage || errorMessage == "") {
					innerHtml = "Processed " + numberOfLogsProcessed + " out of " + numberOfLogs + " logs:<br>";
				
					var logInfos = responseElement.getElementsByTagName("LogInfo");
					var logInfoElement;
					var logId, logName, host, parentFolder, size;
					for(var i = 0; i < logInfos.length; i++) {
						logInfoElement = logInfos[i];
	
						logId = logInfoElement.getAttribute("logId");
						logName = logInfoElement.getAttribute("logName");
						parentFolder = logInfoElement.getAttribute("parentFolder");
						host = logInfoElement.getAttribute("host");
						size = logInfoElement.getAttribute("size");
	
						innerHtml += ((i + 1) + ". " + logName + " (" + logId + ") in folder " + parentFolder + " on host " + host + "<br>");
					}

					if(isRunning && isRunning == "false") {
						innerHtml += "<br><br>Processing completed!";
					}else {
						innerHtml += "<br><br>Processing...";
						innerHtml += "<br><br><a href=\"javascript:stopFixLogsIndexAction()\">Stop processing</a>";
					}
				}else {
					innerHtml = "An error occurred:<br>" + errorMessage; 
				}
				document.getElementById("fixLogsIndexDiv").innerHTML = innerHtml;
				if(isRunning && isRunning == "true") {
					setTimeout("updateFixLogsIndexStatus()", 1000);
				}
			}
	  }
	});
}
</script>
</head>
<body>
<table class="REGULARTEXT" style="border: 0; width: 100%; margin: 0; padding: 0">

<%

WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request, response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION, true)) {
	return;
}
UserContext userContext = UserEnvironment.getUserContext(request);
String message = "";
ErrorModel errmod = null;
SiteManagment mgmt = SiteManagment.getInstance();
String errorLogs = null;

SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss");
String query = request.getParameter("query");
long timeFromUpdated = 0;
long endTime = 0;
long startTime = 0;
String prop = request.getParameter("timeFromUpdated");
if (prop != null && prop.length() > 0){
	try {
		timeFromUpdated = Integer.parseInt(prop)*86400000l;
	}catch (Exception e){
		e.printStackTrace();
	}
}

prop = request.getParameter("startTime");
if (prop != null && prop.length() > 0){
	try {
		startTime = sdf.parse(prop).getTime();
	}catch (Exception e){
		e.printStackTrace();
	}
}

prop = request.getParameter("endTime");
if (prop != null && prop.length() > 0){
	try {
		endTime = sdf.parse(prop).getTime();
	}catch (Exception e){
		e.printStackTrace();
	}
}


boolean ignoreNoDirectory = false;
prop = request.getParameter("ignoreNoDirectory");
if (prop != null && prop.length() > 0){
	ignoreNoDirectory = prop.equalsIgnoreCase("true");
}
boolean ignoreNoSegment = true;
prop = request.getParameter("ignoreNoSegment");
if (prop != null && prop.length() > 0){
	ignoreNoSegment = prop.equalsIgnoreCase("true");
}

int markToDelete = 0;
prop = request.getParameter("markToDelete");
if (prop != null && prop.length() > 0){
	markToDelete = Integer.parseInt(prop);
}


HashSet<String> logsIds = new HashSet<String>();
ArrayList<String> logNames = new ArrayList<String>();


if (query == null || query.length() == 0){
	ModuleMember[] allLogs = mgmt.getAllLogBrowsersIds();
	if (allLogs != null){
		for (int i=0; i<allLogs.length; i++){
			String logNameId = allLogs[i].getName() + "^" + allLogs[i].getId();
			logNames.add(logNameId);
		}
		Collections.sort(logNames,logNameComp);
	}

}else{
	SearchQueryParseResponse parseResponse = SearchUtil.getSearchQueryParseResponse(userContext, xpolog.eye.search.SearchUtil.appendSourcesQueryPrefix(query,false));
	if(parseResponse == null) {
		if(errmod == null) {
			errmod = new ErrorModel();
		}
		errmod.addError("Failed to apply name pattern to logs");
	}else {
		if(parseResponse.getErrorMessage() != null && parseResponse.getErrorMessage().length() > 0) {
			if(errmod == null) {
				errmod = new ErrorModel();
			}
			errmod.addError("The specified logs to change don't exist");
		}else {
			HashMap sourcesToQueries = parseResponse.getSourcesToQueries();
			if(sourcesToQueries == null || sourcesToQueries.size() == 0) {
				if(errmod == null) {
					errmod = new ErrorModel();
				}
				errmod.addError("Failed to apply name pattern to logs");
			}else {
				logsIds.addAll(sourcesToQueries.keySet());
			}
		}
		if (logsIds != null && logsIds.size() > 0){
			Iterator<String> it = logsIds.iterator();
			while (it.hasNext()){
				String lbmId = it.next();
				try{
					ModuleMember mm = mgmt.getModuleMember(lbmId);
					if (mm != null){
						String logNameId = mm.getName() + "^" + mm.getId();
						logNames.add(logNameId);
					}
				}catch(Exception e){
					e.printStackTrace();
				}
			}
			Collections.sort(logNames,logNameComp);
		}
	}
}


File fileWriterPath = new File(Configuration.XPOLOG_SITE_ROOT, "temp/indexinfo.txt");
FileWriter fileWriter = new FileWriter(fileWriterPath);
long startOfAll = System.currentTimeMillis();
if (logNames != null){
	LbmRequest lbmRequest = LogsManager.getInstance().getLoadOfflineLbmRequest();
	String logNameAndId = null, lbmId = null, logName = null, logPath = null, dataStatusDesc = null, logErrorMessage = null;
	int n=0;
	XpologAnalyzer analyzer = new XpologAnalyzer();
	//System.out.println(logNames);
	for (int i=0; i<logNames.size(); i++){
		logNameAndId = logNames.get(i);
		int index = logNameAndId.indexOf("^");
		if (index == -1){
			continue;
		}
		logName = logNameAndId.substring(0,index);
		lbmId = logNameAndId.substring(index+1);
		int indexStatus = 0;
		StringBuffer buffer = new StringBuffer();
		try{
			indexStatus = getIndexStatus(lbmId, buffer,timeFromUpdated,endTime,startTime, fileWriter);
		}catch(Exception e){
			indexStatus = 0;
		}
		if (indexStatus == 0){
			continue;
		}
		if (ignoreNoDirectory && indexStatus == 1){
			continue;
		}
		if (ignoreNoSegment && indexStatus == 2){
			continue;
		}
		
		n++;
		if (errorLogs == null){
			errorLogs = lbmId;
		}else{
			errorLogs += "," + lbmId;
		}
		try{
			logPath = ModuleMembersUtil.getPathToRoot(lbmId);
			dataStatusDesc = "Index error " + indexStatus;
			if (dataStatusDesc == null){
				dataStatusDesc = "";
			}
			logErrorMessage = buffer.toString();
			if (logErrorMessage == null){
				logErrorMessage = "";
			}%>

				<%
		}catch(Exception e){
		}finally{
		}
	}
	%>
        <tr>
            <td>Path to index info file :<%=fileWriterPath.getAbsolutePath() %> (file size is <%= xpolog.eye.util.XpologUtil.formatSize(fileWriterPath.length()) %>)</td>
        </tr>
        <tr>
            <td><%="Total time to run is ~" + ((System.currentTimeMillis() - startOfAll)/1000) + " seconds"%></td>
        </tr>
        <tr>
            <td><a href="../../temp/indexinfo.txt">Link to file</a></td>
        </tr>
	<%
	}
%>
</table>
</body>
</html>