<%@page import="org.apache.lucene.index.IndexReader"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentInfo"%>
<%@page import="java.util.*"%>
<%@page import="java.util.zip.*"%>
<%@page import="xpolog.eye.data.index.adapters.defaultadapter.segment.IndexSegmentsInfo"%>
<%@ page language="java" %>
<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.data.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="xpolog.eye.data.linear.*"%>
<%@ page import="xpolog.eye.data.log.*"%>
<%@ page import="java.io.*"%>
<%@ page import="java.nio.charset.*"%>
<%@ page import="xpolog.eye.data.source.*"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.DefaultIndexingHelper"%>
<%@ page import="org.apache.lucene.store.Directory"%>

<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.util.ModuleMembersUtil"%>
<%@page import="xpolog.eye.LogsManager"%>
<%@page import="xpolog.eye.LbmRequest"%>
<%@page import="xpolog.eye.search.SearchUtil"%>
<%@page import="xpolog.eye.search.SearchQueryParseResponse"%>
<%@page import="xpolog.eye.ModuleMember"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@page import="xpolog.eye.security.*"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper"%>
<%@page import="xpolog.eye.data.store.log.LogDataStoreHelper.LogDataStatus"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.Comparator"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.HashSet"%>
<%@page import="java.util.Collections"%>


<%!
SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss.SSS");


%>

<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<link rel="stylesheet" type="text/css" href="../../css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<script type="text/javascript" src="../../scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script type="text/javascript" src="../../scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>



</script>
</head>
<body>

<%

WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request, response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION, true)) {
	return;
}
UserContext userContext = UserEnvironment.getUserContext(request);
ErrorModel errmod = null;
SiteManagment mgmt = SiteManagment.getInstance();
String errorLogs = null;

String query = request.getParameter("query");
boolean delete = request.getParameter("delete") != null && "true".equals(request.getParameter("delete"));
boolean all = request.getParameter("all") != null && "true".equals(request.getParameter("all"));
HashSet<String> logsIds = new HashSet<String>();
ArrayList<String> logNames = new ArrayList<String>();
ArrayList<String> logNamesAll = new ArrayList<String>();

String message = "Finished ";

if (query == null || query.length() == 0){
    message += "no logss";
}else{
	SearchQueryParseResponse parseResponse = SearchUtil.getSearchQueryParseResponse(userContext, xpolog.eye.search.SearchUtil.appendSourcesQueryPrefix(query,false));
	if(parseResponse == null) {
		if(errmod == null) {
			errmod = new ErrorModel();
		}
		errmod.addError("Failed to apply name pattern to logs");
	}else {
		if(parseResponse.getErrorMessage() != null && parseResponse.getErrorMessage().length() > 0) {
			if(errmod == null) {
				errmod = new ErrorModel();
			}
			errmod.addError("The specified logs to change don't exist");
		}else {
			HashMap sourcesToQueries = parseResponse.getSourcesToQueries();
			if(sourcesToQueries == null || sourcesToQueries.size() == 0) {
				if(errmod == null) {
					errmod = new ErrorModel();
				}
				errmod.addError("Failed to apply name pattern to logs");
			}else {
				logsIds.addAll(sourcesToQueries.keySet());
			}
		}
		if (logsIds != null && logsIds.size() > 0){
			Iterator<String> it = logsIds.iterator();
			while (it.hasNext()){
				String lbmId = it.next();
				try{
					ModuleMember mm = mgmt.getModuleMember(lbmId);
					if (mm != null){
						String logNameId = mm.getName() + "^" + mm.getId();
						logNames.add(logNameId);
						if (all){
						    logNamesAll.add(mm.getId());
						}
					}
				}catch(Exception e){
					e.printStackTrace();
				}
			}

		}
	}
}


if (logNames != null){
    int count = 0;

	for (int i=0; i<logNames.size(); i++){
		String logNameAndId = logNames.get(i);
		int index = logNameAndId.indexOf("^");
		if (index == -1){
			continue;
		}
		String logName = logNameAndId.substring(0,index);
        String lbmId = logNameAndId.substring(index+1);

        count++;
		try{
		    String logPath = ModuleMembersUtil.getPathToRoot(lbmId);
		    if (delete && !all){
                SiteManagment.getAdminInstance().removeLogBrowser(lbmId);
            }
            String str = count + " - " + logPath;
            %>
            <%=str%><br>
            <%

		}catch(Exception e){
		    message += e.getMessage();
		    e.printStackTrace();
		}finally{

		}
	}

	if (delete && !logNamesAll.isEmpty()){
        SiteManagment.getAdminInstance().removeQuickLogs(logNamesAll,null);
        message = "Finished remove " + logNamesAll.size() + " logs";
	}
	if (all && !delete){
	     message = "Finished go over " + logNamesAll.size() + " logs";
	}
}
%>
result = <%=message%>
</body>
</html>