
<%@page import="xpolog.eye.*"%>
<%@page import="xpolog.eye.Module"%>
<%@page import="java.util.*"%>
<%@ page language="java" %>

<%!
    void run(Module pm, String path) {
        List<ModuleMember> mms = pm.getModuleMembers();
        if (mms == null){
            return;
        }
        for (ModuleMember mm : mms) {
            if (mm != null && mm.getType().equalsIgnoreCase("module")){
                try {
                    Module moduleFromId = SiteManagment.getInstance().getModuleFromId(mm.getId(), false, true);
                    if (moduleFromId != null) {
                        run(moduleFromId, path + "->" + moduleFromId.getName());
                    }
                    else {
                        String s = path + "->" + mm.getName() + ", id=" + mm.getId();
                        System.out.println(s);
                    }
                } catch (Exception e) {
                    System.out.println("error with path = " + path + " and id = " + mm.getId());
                    e.printStackTrace();
                }
            }
        }
    }

    void run(){
         try {
                System.out.println("starting at " + new Date());
                Module root = SiteManagment.getInstance().getModuleFromId(Module.ROOT_MODULE_ID);
                run(root, "root");
            }
            catch (Exception e) {
                e.printStackTrace();
            }
            finally{
                System.out.println("finished at " + new Date());
            }
    }

%>

<%
    run();
%>