<%@ page language="java"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.audit.AuditConstants"%>
<%@ page import="xpolog.eye.audit.AuditManager"%>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.eye.site.UserEnvironment"%>
<%@ page import="xpolog.eye.system.health.SystemHealthRepository"%>
<%@ page import="xpolog.eye.system.health.XpoLogSystemHealth"%>
<%@ page import="xpolog.eye.system.health.collection.SystemHealthCollectionGroupConfiguration"%>
<%@ page import="xpolog.eye.system.health.ui.SystemHealthViewModel"%>
<%@ page import="xpolog.eye.SiteManagment"%>
<%@ page import="xpolog.eye.util.BusinessHoursUtil"%>
<%@ page import="xpolog.tools.XpologSystemInfo"%>
<%@ page import="xpolog.eye.util.XpologEncoder"%>

<%!
static final String BASE_DIRECTORY = "../";
%>

<%
UserContext userContext = UserEnvironment.getUserContext(request);
WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request,response,ActionsPermissionConstants.ToolsPermissions.VIEW_SYSTEM_HEALTH_PERMISSION,true)){
  return;
}
XpologEncoder encoder = XpologEncoder.getInstance();

%>

<html>

<head>
	<META HTTP-EQUIV="Content-Language" CONTENT="en-us">
	<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="EXPIRES" CONTENT="0">
	
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
	
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/systemHealth.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
	
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/jquery/tablesorter/system-health-style.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/jquery/tablesorter/pager/style.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>xpolog-component/dist/assets/styles/variables/light/_bucket-variables.css" />
	<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>xpolog-component/dist/assets/styles/variables/_theme-handler-variables.css" />


	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/angular/core/lodash.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="systemHealthView.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="settingsDivContent.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jquery/tablesorter/jquery.tablesorter.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jquery/tablesorter/jquery.metadata.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jquery/tablesorter/pager/xplg.jquery.tablesorter.pager.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>widgets/charts/js/FusionCharts.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>widgets/popup/js/popup.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>widgets/charts/js/swfobject.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script type="text/javascript" src="<%=BASE_DIRECTORY%>widgets/charts/js/highcharts.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	
	<script>
	var BASE_DIRECTORY = "<%=BASE_DIRECTORY %>";
	
	var SYSTEM_HEALTH_VIEW_KEY_OVERVIEW = "OVERVIEW";
	var SYSTEM_HEALTH_VIEW_KEY_SYSTEM_ALERTS = "SYSTEM_ALERTS";
	
	var BUSINESS_HOURS_MODE_IGNORE = "<%=SystemHealthCollectionGroupConfiguration.BUSINESS_HOURS_MODE_IGNORE %>";
	var BUSINESS_HOURS_MODE_ACTIVE = "<%=SystemHealthCollectionGroupConfiguration.BUSINESS_HOURS_MODE_ACTIVE %>";
	var BUSINESS_HOURS_TYPE_ALL = "<%=BusinessHoursUtil.TYPE_ALL %>";
	var BUSINESS_HOURS_TYPE_BUSINESS = "<%=BusinessHoursUtil.TYPE_BUSINESS %>";
	var BUSINESS_HOURS_TYPE_NON_BUSINESS = "<%=BusinessHoursUtil.TYPE_NON_BUSINESS %>";
	
	</script>
</head>

<script>

document.onclick = hideSystemHealthUIDivsIfClickedOutside;

function hideSystemHealthUIDivsIfClickedOutside(e) {
	hideElementIfClickedOutside(e, "systemHealthListDiv");
}

</script>

<%

String selectedKey = request.getParameter("selectedKey");
if(selectedKey == null || selectedKey.length() == 0) {
	selectedKey = (String)session.getAttribute("systemHealthSelectedKey");
	if(selectedKey == null) {
		selectedKey = "";
	}
}

//audit
AuditManager.getInstance().write(AuditConstants.BASIC_AUDIT_LEVEL, userContext, AuditConstants.VIEW, "view system health", AuditConstants.SYSTEM_HEALTH, "view system health");

String pdfSuffix = "systemHealth";
		
session.removeAttribute("SystemHealthViewModel");
response.setContentType("text/html; charset=UTF-8");
%>

<body onLoad="javascript:init('<%=encoder.encodeForJavaScript(selectedKey) %>')"
    class="theme-handler xplg-palette-default-light">
	<div id="systemHealthWrapper">
		<table border="0" width="100%" cellspacing="0" height="100%" cellpadding="0">
			<tr>
				<td id="systemHealthHeaderDiv">
					<table border="0" width="100%" cellspacing="0" height="100%" cellpadding="0">
						<tr>
							<td id="systemHealthHeaderImage">
								<img src="<%=BASE_DIRECTORY %>images/systemhealth/systemHealthTitle.png" border="0" style="vertical-align:middle;">
							</td>
							<td id="systemHealthHeaderTitle">XpoLog Center System Status</td>
							<td>&nbsp;</td>
							<!--
							<jsp:include page="button.jsp" flush="true">
								<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
								<jsp:param name="buttonOuterCellId" value="systemHealthHeaderRefreshData" />
								<jsp:param name="buttonId" value="0" />
								<jsp:param name="buttonText" value="Refresh Data" />
								<jsp:param name="buttonColor" value="BLUE" />
								<jsp:param name="buttonAction" value="init(selectedKey, 'true')" />
								<jsp:param name="buttonSize" value="BIG" />
							</jsp:include>
							-->
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td id="systemHealthBodyDiv">
					<table border="0" width="100%" cellspacing="0" height="100%" cellpadding="0">
						<tr height="10px" style="background-color:white;"><td colspan="3">&nbsp;</td></tr>
						<tr>
							<td id="systemHealthLeftDiv">
							</td>
							<td id="systemHealthBorderDiv">
							</td>
							<td valign="top">
								<!--<div id="systemHealthRightDiv" style="overflow-y:auto;">-->
								<div id="systemHealthRightDiv" style="height:100%;">
									&nbsp;
								</div>
							</td>
						</tr>
						<tr height="10px" style="background-color:white;"><td colspan="3">&nbsp;</td></tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<div id="systemHealthCoverDiv" class="systemHealthCoverDivClass"></div>
	<div id="systemHealthPopupDiv" style="display:none;"></div>
	<div id="collectionGroupConfigurationPopupDiv" style="display:none;"></div>
	<div id="systemHealthLoadingDiv" style="display:none;">
		<img id="systemHealthLeftDivHeaderLoadingImage" border="0" src="<%=BASE_DIRECTORY %>images/systemhealth/loadingAnimation.gif" />
	</div>
	<div id="systemHealthListDiv" style="display:none">
		<div id="systemHealthListShadowDiv">
			<div id="systemHealthListContentDiv">
			</div>
		</div>
	</div>
	<div id="systemHealthHelpDiv" style="display:none;z-index:1000;">
		<div id="systemHealthHelpDivTitle"></div>
		<div id="systemHealthHelpDivMessage"></div>
	</div>
	
	<jsp:include page="../tools/pdf/generatePdfIncluder.jsp" flush="true" >
		<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY %>" />
		<jsp:param name="suffix" value="<%=pdfSuffix %>" />
	</jsp:include>

</body>

</html>
