<%@ page language="java"%>

<%@ page import="java.util.*"%>

<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.media.*"%>
<%@ page import="xpolog.eye.media.telsh.*"%>
<%@ page import="xpolog.eye.automation.tasks.*"%>
<%@ page import="xpolog.eye.automation.tasks.logssync.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.util.WebUtil"%>
<%@ page import="xpolog.eye.XpoLogObjectTypes"%>
<%@ page import="xpolog.eye.util.XpologEncoder"%>
<%!
  static final String BASE_DIRECTORY = "../../";
%>


<%
	if (!WebSecurityManager.getInstance().checkForPermission(request, response, ActionsPermissionConstants.AutomationPermissions.EDIT_TASK_PERMISSION, true)) {
		return;
	}
	XpologEncoder encoder = XpologEncoder.getInstance();
	String PREFIX = "taskSyncLogs_";

	String baseDirectory = request.getParameter("baseDirectory");
	if (baseDirectory == null){
		baseDirectory = BASE_DIRECTORY;
	}
	
	UserContext userContext = UserEnvironment.getUserContext(request);
	
	String locationType = "none";
	
	String syncLogsConfigurationFilePath = "";
	
	String taskId = "";
	SyncLogsTask task = (SyncLogsTask)request.getAttribute("CURRENT_TASK");
	if(task != null){
		taskId = task.getId();
		syncLogsConfigurationFilePath = task.getSyncLogsConfigurationFilePath();
	}
	String parentModuleId = "rootModule";
	String appIdsStr = "";
	boolean createConfiguration = false;
	LogsRepositoryScanConfiguration logsRepositoryScanConfig = task != null ? task.getLogsRepositoryScanConfig() : null;
	if (logsRepositoryScanConfig != null){
		parentModuleId = logsRepositoryScanConfig.getParentModuleId();
		createConfiguration = logsRepositoryScanConfig.isScanLogs();
		appIdsStr = logsRepositoryScanConfig.getParentApplication();
		if (appIdsStr == null){
			appIdsStr = "";
		}
	}
	
	
	
%>

<script>

var BASE_DIRECTORY = "<%=baseDirectory%>";
var PREFIX = "<%=PREFIX%>";

</script>

<input type="hidden" name="MODULE_ID">
<input type="hidden" name="prefix" value="<%=PREFIX%>">
<input type="hidden" name="parentApplication" id="parentApplication">

<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	<tr>
		<td style="padding-left:15;padding-top:10">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			  <tr height="10">
			  	<td width="160px"><span class="REGULARTEXT">Configuration file path *</span>
					
						<input type="text" class="TEXTBOX" name="<%=PREFIX%>fullPath_1" value="<%=encoder.encodeForHTMLAttribute(syncLogsConfigurationFilePath)%>" id="<%=PREFIX%>fullPath_1" onKeyPress="javascript:clearFormError('<%=PREFIX%>fullPath_1', '<%=PREFIX%>Location1ErrorMsg');doOpenBrowser('<%=PREFIX%>fullPath_1','1',event,'');" size="70" value="" onClick="javascript:clearBgColor('<%=PREFIX%>fullPath_1');">
						<input type=button id="<%=PREFIX%>fileBrowseButton_1" value="Browse" onClick="clearFormError('<%=PREFIX%>fullPath_1', '<%=PREFIX%>Location1ErrorMsg');openBrowser('<%=PREFIX%>fullPath_1','1','')">
					</td>
			  </tr>
			  <tr height="20">
				<td style="padding-top:3">
					<div id="<%=PREFIX%>Location1ErrorMsg" style="display:none;" class="ERROR_MSG">
					</div>			        			        
				</td>
			  </tr>
				<tr height="30">
				  <td>
				  	<span class="REGULARTEXT">Create configuration <input type="checkbox" name="<%=PREFIX%>createConfiguration" value="true" <%=createConfiguration ? "checked" : "" %>></span>
				  </td>
				</tr>
				<tr height="20">
				  <td>
				  	<span class="REGULARTEXT">Select the parent folder of the new folders and logs: </span>
				  </td>
				</tr>
				<tr>
					<td width="15%" height="18" style="padding-top:10">
						<jsp:include page="../../common/selectParentModule.jsp" flush="true">
						<jsp:param name="baseDirectory" value="<%=baseDirectory%>" />
						<jsp:param name="PARENT_MODULE_ID" value="<%=parentModuleId%>" />
						<jsp:param name="allowNewFolder" value="true" />
						<jsp:param name="titleColWidth" value="10%" />
						<jsp:param name="divY" value="100"/>
						</jsp:include>
					</td>
				</tr>
				<tr>
					<td width="15%" height="18" style="padding-top:5">
					<jsp:include page="../../common/selectParentApplication.jsp" flush="true">
					<jsp:param name="baseDirectory" value="<%=baseDirectory%>" />
					<jsp:param name="OBJECT_TYPE" value="<%=XpoLogObjectTypes.TASK_TYPE%>" />
					<jsp:param name="OBJECT_ID" value="<%=taskId%>" />
					<jsp:param name="APPLICATIONS_IDS" value="<%=appIdsStr%>" />																																																						
					<jsp:param name="titleColWidth" value="150" />
					<jsp:param name="useTextBox" value="true" />
					<jsp:param name="textBoxSize" value="50" />		
					<jsp:param name="allowNewApplication" value="true" />																																																																																																		
					</jsp:include>
					</td>																															 			                   						 			                   						 			                   
		    </tr>
			  <tr height="10">
		      	<td style="padding-top:20" colspan="2">
		        	<span class="SMALLTEXT">* marks a mandatory field</span>
		        </td>
		    </tr>
			  <tr>
			  	<td>&nbsp;</td>
			  </tr>
			</table>
		</td>
	</tr>
</table>