<%@page import="xpolog.flux.migration.SyncLogTasksHelper"%>
<%@ page language="java"%>

<%
String status = "ok";
String message = null;
String title = null;

String operation = request.getParameter("operation");
if(operation != null) {
	String id = request.getParameter("id");
	if(id != null) {
		if(operation.equals("forceFullScan")) {
			title = "Reconstruct Configuration";
			if(SyncLogTasksHelper.writeSyncLogsTaskFullScanFile(id)) {
				message = "The reconstruction will take place during the next task execution";
			}else {
				status = "error";
				message = "Failed to complete the operation, please try again";
				title += " Error";
			}
		}else if(operation.equals("forceRecollection")) {
			title = "Force LogSync";
			if(SyncLogTasksHelper.writeSyncLogsTaskRecreateDataFile(id)) {
				message = "The re-sync will take place during the next task execution";
			}else {
				status = "error";
				message = "Failed to complete the operation, please try again";
				title += " Error";
			}
		}else if(operation.equals("forceChecksumUpdate")) {
      title = "LogSync checksum update";
      if(SyncLogTasksHelper.writeSyncLogsTaskChecksumUpdateFile(id)) {
        message = "The rchcksum update will take place during the next task execution";
      }else {
        status = "error";
        message = "Failed to complete the operation, please try again";
        title += " Error";
      }
    }
	}
}else {
	status = "error";
	message = "No operation to execute";
}

if(message == null) {
	message = "";
}
if(title == null) {
	title = "";
}

response.setContentType("text/xml; charset=UTF-8");
%>
<SyncLogsOperationResponse>
	<Response status="<%=status %>" message="<%=message %>" title="<%=title %>" />
</SyncLogsOperationResponse>