<%@page import="xpolog.eye.util.XpologEncoder"%>
<%@page import="java.net.URLEncoder"%>
<%@page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page language="java"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.template.*"%>
<%@ page import="xpolog.eye.template.log.*"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.meta.*"%>
<%@ page import="java.util.*"%>
<%@ page import="xpolog.eye.Module"%>
<%!
	static final String BASE_DIRECTORY = "../";
%>
<%
  String ERROR_OBJ = "ERROR_OBJ";
  String TEMP_CURRENT_LOG = "TEMP_CURRENT_LOG";
  request.getSession().removeAttribute(TEMP_CURRENT_LOG);

  SiteManagment mgmt = SiteManagment.getInstance();
  TemplateManager tmg = mgmt.getTemplateManager();
  MetaDataCategoriesManager mdcmgr = mgmt.getMetaDataCategoriesManager();
  UserContext userContext = UserEnvironment.getUserContext(request);

  String csrfToken = UserEnvironment.getCsrfToken(request);
  String csrfTokenField = WebSecurityManager.CSRF_TOKEN_PARAMETER;

  String categoryId = request.getParameter("CategoryId");
  if (categoryId == null || categoryId.equals("")){
  	categoryId = MetaDataCategory.ROOT_CATEGORY_ID;
  }
  MetaDataCategory cat = mdcmgr.getMetaDataCategory(categoryId);
  String letterSysTemplate = request.getParameter("LetterSysTemplate");
  if (letterSysTemplate == null || letterSysTemplate.equals("")){
  	letterSysTemplate = "all";
  }
  String letterUserTemplate = request.getParameter("LetterUserTemplate");
  if (letterUserTemplate == null || letterUserTemplate.equals("")){
  	letterUserTemplate = "all";
  }

  boolean allowApplyTemplatePattern = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("allowApplyTemplatePattern", false);

  Template[] tsysarr = tmg.getAllSystemTemplates(userContext);
  Template[] tusrarr = tmg.getAllUserTemplates(userContext);

  XpologEncoder encoder = XpologEncoder.getInstance();
%>

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />

<%
if(allowApplyTemplatePattern) {
%>
<script LANGUAGE="JavaScript1.2" src="<%=BASE_DIRECTORY%>scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script LANGUAGE="JavaScript1.2" src="<%=BASE_DIRECTORY%>scripts/common/messages.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<jsp:include page="../widgets/xtree/jsp/treeIncluder.jsp" flush="true">
	<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
</jsp:include>
<%
}
%>

<script>

var csrfToken = "<%=csrfToken %>";
var csrfTokenField = "<%=csrfTokenField %>";
var csrfTokenData = {"csrfKey":csrfTokenField,"csrfToken":csrfToken};

  function operationOk(){
  }

  function refreshByCategory(category){
  	document.access.CategoryId.value = category;
  	document.access.LetterSysTemplate.value = "all";
  	document.access.submit();
  }

  function refreshByLetterSysTemplate(letter){
  	document.access.LetterSysTemplate.value = letter;
  	document.access.submit();
  }

  function refreshByLetterUserTemplate(letter){
  	document.access.LetterUserTemplate.value = letter;
  	document.access.submit();
  }

<%
if(allowApplyTemplatePattern) {
%>
	var BASE_DIRECTORY = '<%=BASE_DIRECTORY %>';
	var applyTemplatePatternTree;
	function openApplyTemplatePatternDiv(templateId) {
		var applyTemplateId = document.getElementById("applyTemplateId");
		if(applyTemplateId) {
			applyTemplateId.value = templateId;

			var params = "";
			var page = "applyTemplatePatternAdminDiv.jsp?";
			sendAjaxRequest(page, function(req) {
						var result = req.responseText;
						result = result.replace(/^\s+|\s+$/g, '');
						if (!result) {
							alert("Could not get logs list!");
							return;
						}
						showHideGeneralAdminDiv("applyTemplatePattern");
						updateGeneralAdminDiv("applyTemplatePattern", result);
						applyTemplatePatternTree = new dhtmlXTreeObject("treeboxbox_tree_1", "100%", "100%", "0");
						applyTemplatePatternTree.setImagePath(BASE_DIRECTORY + "dhtmlxSuite/dhtmlxTree/codebase/imgs/");
						applyTemplatePatternTree.setIconSize(13, 13);
						applyTemplatePatternTree.enableTreeLines(false);
						applyTemplatePatternTree.setOnLoadingStart(startLoading);
						applyTemplatePatternTree.setOnLoadingEnd(endLoading);
						applyTemplatePatternTree.enableCheckBoxes(1);
						applyTemplatePatternTree.enableThreeStateCheckboxes(true);
						applyTemplatePatternTree.setXMLAutoLoading("applyTemplatePatternModuleTreeXML.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>");
						applyTemplatePatternTree.loadXML("applyTemplatePatternModuleTreeXML.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>");
						addDomListener("click","treeboxbox_tree_1", makeCheckboxChecked, "logsSelectionOptionTree");
						addDomListener("focus","query", makeCheckboxChecked, "logsSelectionOptionQuery");
					}, 'POST', params);
		}
	}

	function addDomListener(eventType, selectorId, callback, params) {
		document.getElementById(selectorId).addEventListener(eventType, function(){
			callback(params);
	});
	}

	function removeDomListeners(elementsList) {
		elementsList.map(function(listItem) {
			var eventType = listItem.type,
				callback = listItem.callback;

			listItem.elements.every(function(selector) {
				document.getElementById(selector).removeEventListener(eventType, callback);
			});
		});
	}

	function makeCheckboxChecked(selectorId) {
		document.getElementById(selectorId).checked = true;
	}

	function applyTemplatePattern() {
		var logsSelectionOptionQuery = document.getElementById("logsSelectionOptionQuery")
		var logsSelectionOptionTree = document.getElementById("logsSelectionOptionTree")
		if(logsSelectionOptionQuery && logsSelectionOptionTree) {
			var ok = true;
			var query = "";
			var logsStr = "";
			var modsStr = "";
			var logsSelectionOption;
			if(logsSelectionOptionQuery.checked) {
				logsSelectionOption = "query";
				var queryElem = document.getElementById("query");
				if(!queryElem || queryElem.value == "") {
					var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs Error","<%=BASE_DIRECTORY%>");
		    	msgWriter.addAction("OK","javascript:hideLayer('applyTemplatePatternMessage')");
		    	var msg = "Log name was not specified";
		    	msgWriter.showMessage(msg);
					ok = false;
				}else {
					query = queryElem.value;
				}
			}else {
				logsSelectionOption = "tree";
				var list = applyTemplatePatternTree.getAllChecked();
				var arr = list.split(",");
				for ( var i = 0; i < arr.length; i++) {
					var s = arr[i];
					var ind = s.indexOf("-");
					if (ind == -1) {
						continue;
					} else {
						type = s.substring(0, ind);
						id = s.substring(ind + 1, s.length);
						if (type == "Module") {
							if (modsStr != "") {
								modsStr += ",";
							}
							modsStr += id;
							if (applyTemplatePatternTree.hasChildren(s) && applyTemplatePatternTree.hasChildren(s) == true) {
								modsStr += "*";
							}
						} else {
							if (logsStr != "") {
								logsStr += ",";
							}
							logsStr += id;
						}
					}
				}
				if(logsStr == "") {
					var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs Error","<%=BASE_DIRECTORY%>");
		    	msgWriter.addAction("OK","javascript:hideLayer('applyTemplatePatternMessage')");
		    	var msg = "No logs were selected";
		    	if(modsStr != "") {
		    		msg = "You cannot select folders without selecting  child logs";
		    	}
		    	msgWriter.showMessage(msg);
		    	ok = false;
				}
			}
			if(ok) {
				var applyTemplateId = document.getElementById("applyTemplateId");
				if(!applyTemplateId) {
					var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs Error","<%=BASE_DIRECTORY%>");
				  msgWriter.addAction("OK","javascript:hideLayer('applyTemplatePatternMessage')");
				  msgWriter.showMessage("No template was selected");
					ok = false;
				}
			}
			if(ok) {
				var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs","<%=BASE_DIRECTORY%>");
		    msgWriter.showMessage("Applying template on selected logs...");

		  	var params = "";
	    	params += ("&templateId=" + applyTemplateId.value);
	    	params += ("&logsSelectionOption=" + logsSelectionOption);
	    	params += ("&query=" + query);
	    	params += ("&mods=" + modsStr);
	    	params += ("&logs=" + logsStr);
	    	params += ("&" + csrfTokenData.csrfKey + "=" + encodeURIComponent(csrfTokenData.csrfToken));
		    var url = "applyTemplatePatternAction.jsp?";
		    sendAjaxRequest(url,function(req){
			    var xmldoc = req.responseXML.documentElement;
		      var result = xmldoc.getElementsByTagName('result')[0].firstChild.nodeValue;
		      if (result == "false"){
					  var message = xmldoc.getElementsByTagName('message')[0].firstChild.nodeValue;
		    		var msg = "<ul>";
		    		var errs = message.split("*;*");
		    		for (var i=0; i<errs.length; i++){
		        		var err = errs[i];
		        		var index = err.indexOf("^;^");
		        		if(index == -1) {
		    					msg = msg + "<li>" + err + "</li>";
		        		}else {
									var innerErrs = err.split("^;^");
									for (var j=0; j<innerErrs.length; j++){
										if(j == 0) {
											msg = msg + "<li>" + innerErrs[j] + "</li>";
										}else {
											msg = msg + innerErrs[j];
											msg = msg + "<br>";
										}
					    		}
		        		}
		    		}
		    		msg = msg + "</ul>"

				    var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs Error","<%=BASE_DIRECTORY%>");
		    		msgWriter.addAction("OK","javascript:hideLayer('applyTemplatePatternMessage')");
		    		msgWriter.setStyle("left");
				    msgWriter.showMessage(msg);
		      }else{
		    	  closeApplyTemplatePatternDiv();
		    	  var msgWriter = new messageWriter("applyTemplatePatternMessage","Apply Template on Logs","<%=BASE_DIRECTORY%>");
			    	msgWriter.addAction("OK","javascript:hideLayer('applyTemplatePatternMessage');");
			    	var message = xmldoc.getElementsByTagName('message')[0].firstChild.nodeValue;
			    	msgWriter.showMessage(message);
		      }
			  }, 'POST', params);
			}
		}
	}

	function closeApplyTemplatePatternDiv() {
		showHideGeneralAdminDiv("applyTemplatePattern");
		removeDomListeners([
			{type: "click", callback: makeCheckboxChecked, elements: ["treeboxbox_tree_1"]},
			{type: "focus", callback: makeCheckboxChecked, elements: ["query"]}
		]);
	}

	function templateAction(action) {
		var eventData;
		if (action === 'import') {
			eventData = {frameUrl: 'templates/importTemplate.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>'};
		} else if (action === 'export') {
			eventData = {frameUrl: 'templates/exportTemplate.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>'};
		}

		var event = new CustomEvent('logAction', {
			detail: eventData
		});
		document.dispatchEvent(event);
	}

	function createLogFromTemplate(templateId) {
		var event = new CustomEvent('logAction', {
				detail: {
					id: templateId,
					type: 'createFromTemplate'
				}
			});

		document.dispatchEvent(event);
	}
<%
}
%>
</script>
</head>

<body>

<form AUTOCOMPLETE="OFF" id="access" name="access" method="post" action="templateview.jsp">
<input type="hidden" name="<%=xpolog.eye.security.WebSecurityManager.CSRF_TOKEN_PARAMETER %>" value="<%=xpolog.eye.site.UserEnvironment.getCsrfTokenOrEmpty(request)%>">
<input type="hidden" name="CategoryId" value="<%=categoryId%>">
<input type="hidden" name="LetterSysTemplate" value="<%=letterSysTemplate%>">
<input type="hidden" name="LetterUserTemplate" value="<%=letterUserTemplate%>">
<%
if(allowApplyTemplatePattern) {
%>
<input type="hidden" id="applyTemplateId" name="applyTemplateId" value="">
<jsp:include page="../common/adminGeneralDiv.jsp" flush="true">
	<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>"/>
	<jsp:param name="title" value="Specify Template Target Logs"/>
	<jsp:param name="suffix" value="applyTemplatePattern"/>
	<jsp:param name="width" value="650px"/>
	<jsp:param name="height" value="400px"/>
	<jsp:param name="actionsNames" value="Apply#Cancel"/>
	<jsp:param name="actions" value="javascript:applyTemplatePattern()#javascript:closeApplyTemplatePatternDiv()"/>
</jsp:include>
<%
}
%>
<table border="0" width="100%" cellspacing="0" height="100%" cellpadding="0">
  <tr valign="top">
    <td width="100%">
    <table border="0" width="100%" cellspacing="0" cellpadding="0">
  <!--    <tr>
        <td valign="top" style="border-left: 1px solid #FF9900; border-right-width: 1; border-top-width: 1; border-bottom-width: 1" height="1">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <td class="TOPLEFTBORDER " width="33%"  height="2"></td>
            <td class="TOPBORDER" width="33%" height="2"></td>
            <td class="TOPRIGHTBORDER"  width="34%" height="2"></td>
          </tr>
        </table>
        </td>
      </tr>-->
      <tr>
        <td valign="top" height="100%">
        <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="100%" id="AutoNumber1">
          <tr>
            <td width="100%">
            <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="100%" id="AutoNumber2">
              <tr>
                <td width="1%" class="TOPLEFTBORDER ">&nbsp;</td>
                <td width="55%" class="TOPBORDER">
                <span class="PAGEHEADER">Templates </span></td>
                <td width="100%" class="TOPRIGHTBORDER">&nbsp;</td>
              </tr>
              <tr>
                <td width="3%">&nbsp;</td>
                <td width="24%">&nbsp;</td>
                <td width="100%">&nbsp;</td>
              </tr>
              <tr>
                <td width="3%">&nbsp;</td>
                <td width="147%" colspan="2">
                <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="100%" id="AutoNumber3" height="53">
                  <tr>
                    <td><span class="HEADER">User defined templates</span></td>
                  </tr>
                  <tr><td></td></tr>
                  <tr>
	                  <td>
		                  <table border="0" cellpadding="0" cellspacing="0">
		                  <tr>
		                  	<td><a class="MEDIUMLINK" <%=letterUserTemplate.equals("all")?"style=\"background-color:#CCCCCC; padding:4px;\"":""%> href="javascript:refreshByLetterUserTemplate('all')">all</a>&nbsp;</td>
		                  <%
		                  for (char i='a'; i<='z'; i++){
		                  	String l = Character.toString(i);
		                  	String style = l.equals(letterUserTemplate) ? "style=\"background-color:#CCCCCC; padding:4px;\"" : "";
		                  	boolean showLink = TemplateHelper.contains(tusrarr,l);
		                  %>
		                  	<td>&nbsp;
		                  	<%if (showLink){%>
		                  	<a class="MEDIUMLINK" <%=style%> href="javascript:refreshByLetterUserTemplate('<%=i%>')"><%=i%></a>
		                  	<%} else {%>
		                  	<span class="DISABLEDLINK"><%=i%></span>
		                  	<%}%>
		                  	</td>
		                  <%}%>
		                  </tr>
		                  </table>
		                </td>
                 	</tr>
                  <tr><td></td></tr>
                  <tr>
                    <td>
                    <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="100%" id="AutoNumber6">
                      <tr class="TABLES_HEADERS">
                        <td width="16%"><span class="REGULARTEXT">Name</span></td>
                        <td width="10%"><span class="REGULARTEXT">UID</span></td>
                        <td width="40%"><span class="REGULARTEXT">Description</span></td>
                        <td width="24%">&nbsp;</td>
                        <td width="10%"></td>
                      </tr>
                     <%
										  if (!(letterUserTemplate.equals("all"))){
										  	tusrarr = TemplateHelper.getAllTemplatesByFilter(tusrarr,null,letterUserTemplate);
										  }
                     for(int t=0;t<tusrarr.length;t++){
                     %>
                      <tr onMouseOver="javascript:this.className='MARKITEM'" onMouseOut ="javascript:this.className='UNMARKITEM'" class="UNMARKITEM">
			  								<td width="16%"><a href="saveastemplate.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>&templateId=<%=encoder.encodeForURL(tusrarr[t].getId())%>" class="LINK"><%=encoder.encodeForHTML(tusrarr[t].getName())%></a></td>
			  								<td width="10%"><span class="REGULARTEXT"><%=encoder.encodeForHTML(tusrarr[t].getUid())%></span></td>
                        <td width="40%"><span class="REGULARTEXT"><%=encoder.encodeForHTML(tusrarr[t].getDescription())%></span></td>
                     <%
                     	String width = "24%";
                     if(allowApplyTemplatePattern) {
                    	 width = "34%";
                     }
                     %>
                          <td width="<%=width %>"><a onclick="createLogFromTemplate('<%=encoder.encodeForURL(tusrarr[t].getId())%>')" class="create-link">create log</a>
                     <%
                     	if(allowApplyTemplatePattern) {
                     %>
               				     	&nbsp;<a href="javascript:openApplyTemplatePatternDiv('<%=encoder.encodeForJavaScript(tusrarr[t].getId())%>')" class="LINK">apply template on logs</a>
                     <%
                     	}
                     %>
                          	&nbsp;<a href="removeopcheck.jsp?templateId=<%=encoder.encodeForURL(tusrarr[t].getId())%>&<%=csrfTokenField %>=<%=encoder.encodeForURL(csrfToken) %>" class="LINK">delete</a></td>
                        <td width="10%"></td>
                       </tr>
                      <%
                        }
                      %>
                        <tr>
		  										<td width="16%">&nbsp;</td>
                          <td width="10%"></td>
                          <td width="40%"></td>
                          <td width="24%"></td>
                         <td width="10%"></td>
                       </tr>
                    </table>
                   </td>
                  </tr>
                  <tr>
                    <td></td>
                  </tr>
                  <!--
                  <tr>
                    <td>
                    <span class="HEADER">System defined templates</span>
                    </td>
                  </tr>
                 	<tr>
                  	<td>
                  	<table border="0" cellpadding="0" cellspacing="0">
                  	<tr>
	                  	<td>
	    	              <%
	                  	MetaDataCategory mdCat = cat;
	                  	List list = new LinkedList();
	                  	MetaDataCategory[] mdcarr = mdcmgr.getPathFromRoot(mdCat);
	                  	for (int i=0; i<mdcarr.length; i++){
	                  		mdCat = mdcarr[i];
	      	            %>
			                  <a class="MEDIUMLINK" href="javascript:refreshByCategory('<%=mdCat.getId()%>')"><%=mdCat.getName()%></a>&nbsp;&gt;&nbsp;
	        	          <%}%>
			                <a class="MEDIUMLINK" style="background-color:#CCCCCC; padding:4px;" href="javascript:refreshByCategory('<%=cat.getId()%>')"><%=cat.getName()%></a>&nbsp;</td>
			              <%if(cat.getParent() != null && (cat.getMembers() != null && cat.getMembers().size() != 0)){%>
			              </tr>
		                <tr>
		                <%}%>
	              	    <td style="padding-left:10">
	              	    <%
										  List categoryMembers = cat.getMembers();
										  Iterator it = categoryMembers.iterator();
	                  	while (it.hasNext()){
	                  		mdCat = (MetaDataCategory)it.next();
	                	  %>
			              	  <nobr><a class="MEDIUMLINK" href="javascript:refreshByCategory('<%=mdCat.getId()%>')"><%=mdCat.getName()%></a>&nbsp;&nbsp;</nobr>
		                  <%}%>
		                  </td>
	                  </tr>
	                  </table>
	                  </td>
                  </tr>
                  <tr><td></td></tr>
                  <tr>
	                  <td>
		                  <table border="0" cellpadding="0" cellspacing="0">
		                  <tr>
		                  	<td><a class="MEDIUMLINK" <%=letterSysTemplate.equals("all")?"style=\"background-color:#CCCCCC; padding:4px;\"":""%> href="javascript:refreshByLetterSysTemplate('all')">all</a>&nbsp;</td>
		                  <%
		                  for (char i='a'; i<='z'; i++){
		                  	String l = Character.toString(i);
		                  	String style = l.equals(letterSysTemplate) ? "style=\"background-color:#CCCCCC; padding:4px;\"" : "";
		                  	boolean showLink = TemplateHelper.contains(tsysarr,l);
		                  %>
		                  	<td>&nbsp;
		                  	<%if (showLink){%>
		                  	<a class="MEDIUMLINK" <%=style%> href="javascript:refreshByLetterSysTemplate('<%=i%>')"><%=i%></a>
		                  	<%} else {%>
		                  	<span class="DISABLEDLINK"><%=i%></span>
		                  	<%}%>
		                  	</td>
		                  <%}%>
		                  </tr>
		                  </table>
		                </td>
                 	</tr>
                  <tr><td></td></tr>
                  <tr>
                    <td>

                    <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="100%" id="AutoNumber6">
                      <tr class="TABLES_HEADERS">
                        <td width="16%"><span class="REGULARTEXT">Name</span></td>
                        <td width="50%"><span class="REGULARTEXT">&nbsp; Description</span></td>
                        <td width="24%">&nbsp;</td>
                        <td width="10%"></td>
                      </tr>
                     <%
										  if (!categoryId.equals(MetaDataCategory.ROOT_CATEGORY_ID) || !(letterSysTemplate.equals("all"))){
										  	tsysarr = TemplateHelper.getAllTemplatesByFilter(tsysarr,categoryId,letterSysTemplate);
										  }
                      for(int i=0;i<tsysarr.length;i++){
                     %>
                      <tr onMouseOver="javascript:this.className='MARKITEM'" onMouseOut ="javascript:this.className='UNMARKITEM'" class="UNMARKITEM">
											  <td width="16%"><span class="REGULARTEXT"><%=tsysarr[i].getName()%></span></td>
                        <td width="50%"><span class="REGULARTEXT">&nbsp;<%=tsysarr[i].getDescription()%></span></td>
                        <td width="24%">&nbsp;<a href="createlogaction.jsp?<%=xpolog.eye.site.UserEnvironment.getUserEnvironment(request).getUrlCsrfToken()%>&templateId=<%=tsysarr[i].getId()%>" class="LINK">create log</a></td>
                        <td width="10%"></td>
                       </tr>
                      <%}%>
                      <tr>
			  								<td width="16%">&nbsp;</td>
                        <td width="50%"></td>
                        <td width="24%"></td>
                        <td width="10%"></td>
                      </tr>
                    </table>
                    </td>
                  </tr>
                  -->
                  <tr>
                    <td>
                    </td>
                  </tr>
                  <tr>
                    <td>
                    </td>
                  </tr>
                  <tr>
                    <td>
                    </td>
                  </tr>
                </table>
                </td>
              </tr>
            </table>
            </td>
          </tr>
          <tr>
            <td width="100%">&nbsp;</td>
          </tr>
          <tr>
            <td width="100%">&nbsp;</td>
          </tr>
          <tr>
            <td width="100%" height="100%">&nbsp;</td>
          </tr>
        </table>
        </td>
      </tr>
      <tr valign="bottom">
        <td valign="bottom" height="10%">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <td class="BOTTOMLEFTBORDER" width="33%">&nbsp;</td>
            <td class="BOTTOMBORDER" width="33%">&nbsp;</td>
            <td class="BOTTOMRIGHTBORDER" width="34%">&nbsp;</td>
          </tr>
        </table>
        </td>
      </tr>
	  <tr>
	  	<td class="pattern-buttons">
			<span onclick="templateAction('import')">Import Template</span>
			<span onclick="templateAction('export')">Export Template</span>
		</td>
	  </tr>
    </table>
    </td>
  </tr>
</table>
</form>
</body>

</html>