<%@ page language="java" contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.json.simple.JSONObject" %>
<%@ page import="org.json.simple.parser.JSONParser" %>


<%@ include file="include.jsp" %>
<%!



%>

<%

    String pluginToken = request.getParameter("plugin-token");
     if (pluginToken == null || pluginToken.length() == 0){
        pluginToken = request.getHeader("plugin-token");
     }
     if (pluginToken == null || pluginToken.length() == 0){
          pluginToken = "Bearer " + System.currentTimeMillis();
     }

     StringBuilder requestBody = new StringBuilder();
        String line;
        while ((line = request.getReader().readLine()) != null) {
            requestBody.append(line);
        }

        if (requestBody.length() == 0){
            requestBody.append("{}");
        }

       boolean validate = checkSecurity(request);
       if (!validate){
          response.setStatus(401);
          String errorMessage = buildErrorResult("Failed to init from security reason",null,401);

          %>
            <%=errorMessage%>
          <%

          return;
       }


        JSONParser parser = new JSONParser();

    JSONObject jsonObject = (JSONObject)parser.parse(requestBody.toString());

    JSONObject initObject = new JSONObject();


    String pluginRestBase = null;
    JSONObject clientResponse = null;
	String spSignatureDirectory = null;
	String spPrivateSignature = null;
	boolean allowSigned = false;
    JSONObject formObject =  (JSONObject)jsonObject.get("accountFormData");
    Map<String, String> contextParams = createReplacementMap(formObject);
    if (formObject != null){
        pluginRestBase = (String)formObject.get("pluginRestBase");
		spSignatureDirectory = (String)formObject.get("saml-spSignatureDirectory");
		String certificateCNName = (String)formObject.get("saml-certificateCNName");
		if (certificateCNName != null && certificateCNName.length() > 0){
		    allowSigned = true;
		}
    }else {
		formObject = new JSONObject();	
	}

	SamlCommon samlCommon = new SamlCommon(contextParams);
    samlCommon.initialize();

   //System.out.println("save formObject = " + formObject);

    String content = "";

     if (spSignatureDirectory != null && spSignatureDirectory.length() > 0 && allowSigned){
         spSignatureDirectory = replaceWithMapPlaceholders(spSignatureDirectory,contextParams);
         File dir = new File(spSignatureDirectory).getAbsoluteFile();
         if (!dir.exists()){
            dir.mkdirs();
         }
         samlCommon.generateBasicCredential(spSignatureDirectory,contextParams);

         File f = new File(dir,"certificate.cer");
         if (f.exists()){
            String configurationDir = contextParams.get("plugin.configurationDir");
            if (configurationDir != null && configurationDir.length() > 0){
                File targetDir = new File(configurationDir);
                if (targetDir.exists()){
                    targetDir = new File(targetDir,"resources/keys");
                    if (!targetDir.exists()){
                        targetDir.mkdirs();
                    }
                    File target = new File(targetDir,"certificate.cer");
                    Files.copy(f.toPath(), target.toPath(), StandardCopyOption.REPLACE_EXISTING);
                    formObject.put("saml-dwnloadCertificateShow","true");
                    clientResponse = new JSONObject();
                    clientResponse.put("statusCode",200);
                    clientResponse.put("content",formObject.toString());
                }
            }
         }
         //System.out.println("signed");
     }




    response.setContentType("application/json");
    response.setCharacterEncoding("UTF-8");
  //  System.out.println("formObject " + formObject);
%>
{
    <% if (clientResponse != null){%>
           "clientResponse" : <%=clientResponse.toString()%>
       <%}%>
}
