function getName() {
	return "box";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "box",
		"apptags": "",
		"logtypes": [
		{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "Box log",
					"typetag": "box,audit",
					"name": "Admin",
					"custom_parser_location": "<LINK to JS>",
                            					"defaultXpoLogPattern": "{json:Json,source->type#_#name=Source Type;source->id#_#name=Source Id;source->name#_#name= Source Name;source->login#_#name= Source Login;created_by->type#_#name= Created By Type;created_by->id#_#name= Created By Id;created_by->name#_#name= Created By Name;created_by->login#_#name= Created By Login;created_by->address#_#name= Created By Address;created_by->avatar_url#_#name=Created By Avater Url;created_by->job_title#_#name=Created By Job Title;created_by->language#_#name= Created By Language;created_by->max_upload_size#_#name= Max Upload Size;created_by->modified_at#_#name= Modified At;created_by->notification_email#_#name= Notification Email;created_by->phone#_#name=Created By Phone;created_by->space_amount#_#name=Space Amount;created_by->space_used#_#name=Space Used;created_by->status#_#name= Created By status;created_by->timezone#_#name=Timezone;action_by#_#name=Action By;created_at#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ssXXX#_#name=Created At;event_id#_#name=Event Id;event_type#_#name= Event Type;ip_address#_#name=Ip Address;type#_#name=Type;session_id#_#name=Session Id;source->item_type#_#name=Item Type;source->item_name#_#name=Item Name;source->owned_by->name#_#name=Owner name;source->owned_by->type#_#name=Owner Type;source->owned_by->id#_#name=Owner Id;source->owned_by->login#_#name=Owner Login;source->parent->name#_#name=Parent Name;source->parent->id#_#name=Parent Id;source->parent->type#_#name=Parent Type;source->item_id#_#name=Item Id;additional_details->size#_#name=Size;additional_details->version_id#_#name=Version Id;additional_details->version_id#_#name=Version Id;additional_details->shared_link_id#_#name=Shared Link Id;additional_details->ekm_id#_#name=Ekm Id}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "admin_logs",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
                "log": {
            					"xdoclink": "",
            					"defaultPattern": "NONE",
            					"howto": "Box log",
            					"typetag": "box,audit",
            					"name": "User",
            					"custom_parser_location": "<LINK to JS>",
                            					"defaultXpoLogPattern": "{json:Json,source->type#_#name=Source Type;source->id#_#name=Source Id;source->name#_#name= Source Name;source->login#_#name= Source Login;created_by->type#_#name= Created By Type;created_by->id#_#name= Created By Id;created_by->name#_#name= Created By Name;created_by->login#_#name= Created By Login;created_by->address#_#name= Created By Address;created_by->avatar_url#_#name=Created By Avater Url;created_by->job_title#_#name=Created By Job Title;created_by->language#_#name= Created By Language;created_by->max_upload_size#_#name= Max Upload Size;created_by->modified_at#_#name= Modified At;created_by->notification_email#_#name= Notification Email;created_by->phone#_#name=Created By Phone;created_by->space_amount#_#name=Space Amount;created_by->space_used#_#name=Space Used;created_by->status#_#name= Created By status;created_by->timezone#_#name=Timezone;action_by#_#name=Action By;created_at#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ssXXX#_#name=Created At;event_id#_#name=Event Id;event_type#_#name= Event Type;ip_address#_#name=Ip Address;type#_#name=Type;session_id#_#name=Session Id;source->item_type#_#name=Item Type;source->item_name#_#name=Item Name;source->owned_by->name#_#name=Owner name;source->owned_by->type#_#name=Owner Type;source->owned_by->id#_#name=Owner Id;source->owned_by->login#_#name=Owner Login;source->parent->name#_#name=Parent Name;source->parent->id#_#name=Parent Id;source->parent->type#_#name=Parent Type;source->item_id#_#name=Item Id;additional_details->size#_#name=Size;additional_details->version_id#_#name=Version Id;additional_details->version_id#_#name=Version Id;additional_details->shared_link_id#_#name=Shared Link Id;additional_details->ekm_id#_#name=Ekm Id}",
            					"parser_type": "default",
            					"xwikilink": "http://wiki.xpolog.com/",
            					"type_uid": "all",
            					"parser_specification": {
            						"defaultPattern": "NONE",
            						"parserparam": "",
            						"defaultXpoLogPattern": "{string:someStringName}",
            						"externalJS": "link or code"
            					}
            				}
            	},
            	{
            	"log": {
                            					"xdoclink": "",
                            					"defaultPattern": "NONE",
                            					"howto": "Box log",
                            					"typetag": "box,audit",
                            					"name": "Changes",
                            					"custom_parser_location": "<LINK to JS>",
                            					"defaultXpoLogPattern": "{json:Json,source->type#_#name=Source Type;source->id#_#name=Source Id;source->name#_#name= Source Name;source->login#_#name= Source Login;created_by->type#_#name= Created By Type;created_by->id#_#name= Created By Id;created_by->name#_#name= Created By Name;created_by->login#_#name= Created By Login;created_by->address#_#name= Created By Address;created_by->avatar_url#_#name=Created By Avater Url;created_by->job_title#_#name=Created By Job Title;created_by->language#_#name= Created By Language;created_by->max_upload_size#_#name= Max Upload Size;created_by->modified_at#_#name= Modified At;created_by->notification_email#_#name= Notification Email;created_by->phone#_#name=Created By Phone;created_by->space_amount#_#name=Space Amount;created_by->space_used#_#name=Space Used;created_by->status#_#name= Created By status;created_by->timezone#_#name=Timezone;action_by#_#name=Action By;created_at#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ssXXX#_#name=Created At;event_id#_#name=Event Id;event_type#_#name= Event Type;ip_address#_#name=Ip Address;type#_#name=Type;session_id#_#name=Session Id;source->item_type#_#name=Item Type;source->item_name#_#name=Item Name;source->owned_by->name#_#name=Owner name;source->owned_by->type#_#name=Owner Type;source->owned_by->id#_#name=Owner Id;source->owned_by->login#_#name=Owner Login;source->parent->name#_#name=Parent Name;source->parent->id#_#name=Parent Id;source->parent->type#_#name=Parent Type;source->item_id#_#name=Item Id;additional_details->size#_#name=Size;additional_details->version_id#_#name=Version Id;additional_details->version_id#_#name=Version Id;additional_details->shared_link_id#_#name=Shared Link Id;additional_details->ekm_id#_#name=Ekm Id}",
                            					"parser_type": "default",
                            					"xwikilink": "http://wiki.xpolog.com/",
                            					"type_uid": "changes",
                            					"parser_specification": {
                            						"defaultPattern": "NONE",
                            						"parserparam": "",
                            						"defaultXpoLogPattern": "{string:someStringName}",
                            						"externalJS": "link or code"
                            					}
                            				}
                   },
                   {
                               	"log": {
                                               					"xdoclink": "",
                                               					"defaultPattern": "NONE",
                                               					"howto": "Box log",
                                               					"typetag": "box,audit",
                                               					"name": "Sync",
                                               					"custom_parser_location": "<LINK to JS>",
                            					"defaultXpoLogPattern": "{json:Json,source->type#_#name=Source Type;source->id#_#name=Source Id;source->name#_#name= Source Name;source->login#_#name= Source Login;created_by->type#_#name= Created By Type;created_by->id#_#name= Created By Id;created_by->name#_#name= Created By Name;created_by->login#_#name= Created By Login;created_by->address#_#name= Created By Address;created_by->avatar_url#_#name=Created By Avater Url;created_by->job_title#_#name=Created By Job Title;created_by->language#_#name= Created By Language;created_by->max_upload_size#_#name= Max Upload Size;created_by->modified_at#_#name= Modified At;created_by->notification_email#_#name= Notification Email;created_by->phone#_#name=Created By Phone;created_by->space_amount#_#name=Space Amount;created_by->space_used#_#name=Space Used;created_by->status#_#name= Created By status;created_by->timezone#_#name=Timezone;action_by#_#name=Action By;created_at#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ssXXX#_#name=Created At;event_id#_#name=Event Id;event_type#_#name= Event Type;ip_address#_#name=Ip Address;type#_#name=Type;session_id#_#name=Session Id;source->item_type#_#name=Item Type;source->item_name#_#name=Item Name;source->owned_by->name#_#name=Owner name;source->owned_by->type#_#name=Owner Type;source->owned_by->id#_#name=Owner Id;source->owned_by->login#_#name=Owner Login;source->parent->name#_#name=Parent Name;source->parent->id#_#name=Parent Id;source->parent->type#_#name=Parent Type;source->item_id#_#name=Item Id;additional_details->size#_#name=Size;additional_details->version_id#_#name=Version Id;additional_details->version_id#_#name=Version Id;additional_details->shared_link_id#_#name=Shared Link Id;additional_details->ekm_id#_#name=Ekm Id}",
                                               					"parser_type": "default",
                                               					"xwikilink": "http://wiki.xpolog.com/",
                                               					"type_uid": "sync",
                                               					"parser_specification": {
                                               						"defaultPattern": "NONE",
                                               						"parserparam": "",
                                               						"defaultXpoLogPattern": "{string:someStringName}",
                                               						"externalJS": "link or code"
                                               					}
                                               				}
                                      }

		],
		"displayName": "Box",
		"typetag": "box",
		"name": "box",
		"description": "",
		"type": "cloud",
		"doclink": "FILL",
		"version": "NONE",
		"supportedDataSources": "Box",
		"xwikilink": "",
		"example": ""
	}
});
