function getName() {
	return "okta";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "okta",
		"apptags": "",
		"logtypes": [
		{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "OKTA LOG",
					"typetag": "okta,systemlog,audit",
					"name": "Okta System Log",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:JSON,published#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSS,dateUIFormat=yyyy-MM-dd'T'HH:mm:ss.SSS'Z';severity;uuid;displayMessage#_#ftype=displayMessage;eventType#_#ftype=eventType;client->userAgent->rawUserAgent#_#name=rawUserAgent;version;legacyEventType#_#ftype=category;client->userAgent->os#_#name=OS;client->userAgent->browser#_#name=Browser;client->geographicalContext->state#_#name=Geographical Context State;client->geographicalContext->geolocation->lon#_#name=Geolocation lon;client->geographicalContext->geolocation->lat#_#name=Geolocation lat;client->geographicalContext->city#_#name=City;client->geographicalContext->postalCode#_#name=Postal Code;client->id;client->ipAddress#_#ftype=sourceip#_#name=Client IP Address;authenticationContext->externalSessionId#_#name=External Session ID;transaction->id#_#ftype=transaction id;transaction->type#_#ftype=transactiontype;debugContext->debugData->url#_#name=Debug Data - URL;debugContext->debugData->requestId#_#name=Debug Data - RequestID;debugContext->debugData->requestUri#_#name=Debug Data - Request URI;debugContext->debugData->threatSuspected#_#name=Debug Data  - Threat Suspected;authenticationContext->externalSessionId;outcome->reason;outcome->result#_#ftype=status;actor->id#_#ftype=userid;actor->displayName#_#ftype=username;actor->detailEntry;actor->alternateId#_#ftype=alternateid;actor->type#_#ftype=usertype;request;authenticationContext->credentialType;authenticationContext->authenticationProvider;authenticationContext->credentialProvider;authenticationContext->interface;authenticationContext->authenticationStep;authenticationContext->issuer;securityContext->domain#_#ftype=domain;securityContext->asNumber;securityContext->isProxy;securityContext->asOrg;securityContext->isp;debugContext->debugData->deviceFingerprint;client->zone;client->geographicalContext->country;client->device;client->userAgent;client->geographicalContext;transaction}{regexp:Target Display Name,ftype=object;refName=Json,target.*displayName\":\"([^\\\"]+).*}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "systemlog",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Okta",
		"typetag": "okta",
		"name": "okta",
		"description": "",
		"type": "cloud",
		"doclink": "FILL",
		"version": "NONE",
		"supportedDataSources": "Okta",
		"xwikilink": "",
		"example": ""
	}
});
