function getName() {
	return "sales_force";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "sales_force",
		"apptags": "",
		"logtypes": [
		{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "sales_force,login,audit",
					"name": "Login History",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{Json: Login data,attributes->type#_#name= Log Type#_#ftype=type;attributes->url#_#name=Url#_#ftype=url;Platform#_#ftype=Platform;Id#_#ftype=Id;UserId#_#name=User Id#_#ftype=UserId;LoginTime#_#name= Login Time#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSZ#_#ftype=LoginTime;LoginType#_#name=Login Type#_#ftype=loginType;SourceIp#_#name=Source Ip#_#ftype=SourceIp;LoginUrl#_#name=Login Url#_#ftype=LoginUrl;Browser#_#ftype=Browser;Status#_#ftype=status;Application#_#ftype=Application;ClientVersion#_#name=Client Version#_#ftype=ClientVersion;ApiType#_#name=Api Type#_#ftype=ApiType;ApiVersion#_#name=ApiVersion#_#ftype=ApiVersion;Platform#_#ftype=Platform}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "LoginHistory",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "sales_force,audit",
					"name": "Setup Audit Trail",
					"custom_parser_location": "<LINK to JS>",
                    "defaultXpoLogPattern": "{json:Setup Audit Trail Data,attributes->type#_#name= Log Type#_#ftype=type;attributes->url#_#name=Url#_#ftype=url;Id#_#ftype=Id;Action#_#ftype=action;Section#_#ftype=section;CreatedDate#_#name=Created Date#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSZ;CreatedById#_#name= Created By Id#_#ftype=userId;Display#_#ftype=display}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com",
					"type_uid": "SetupAuditTrail",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
                "log": {
                    "xdoclink": "",
                    "defaultPattern": "NONE",
                    "howto": "",
                    "typetag": "sales_force",
                    "name": "Event logs",
                    "custom_parser_location": "<LINK to JS>",
                    "defaultXpoLogPattern": "{json:Event Data,attributes->type#_#name= Log Type#_#ftype=type;attributes->url#_#name=Url#_#ftype=url;Id#_#ftype=Id;IsDeleted#_#name= Is deleted;CreatedDate#_#name=Created Date#_##_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSZ;CreatedById#_#name=Created By Id#_#ftype=CreatedById;LastModifiedDate#_#name=Last Modified Date;LastModifiedById#_#name= Last Modified By Id;SystemModstamp;EventType#_#name=Event Type;LogDate#_#name=Log Date;LogFileLength#_#name=Log File Length;LogFileContentType#_#name=Log File Content Type;ApiVersion#_#name= Api Version;LogFileFieldNames#_#name=Log File Field Names;LogFile#_#name=Log file;LogFileFieldTypes#_#name=Log File Field Types}",
                    "parser_type": "default",
                    "xwikilink": "http://wiki.xpolog.com",
                    "type_uid": "EventLogFile",
                    "parser_specification": {
                        "defaultPattern": "NONE",
                        "parserparam": "",
                        "defaultXpoLogPattern": "{string:someStringName}",
                        "externalJS": "link or code"
                    }
                }
            }
		],
		"displayName": "Salesforce",
		"typetag": "sales_force",
		"name": "sales_force",
		"description": "",
		"type": "cloud",
		"doclink": "FILL",
		"version": "NONE",
		"supportedDataSources": "Salesforce",
		"xwikilink": "",
		"example": ""
	}
});
