function getName() {
	return "service_now";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "service_now",
		"apptags": "",
		"logtypes": [
		{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "SERVICENOW LOG",
					"typetag": "service_now",
					"name": "Email",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{Json: Email data,checkpoint#_#ftype=checkpoint;notification_type#_#ftype=notification_type#_#ftype=content_type;instance->display_value#_#name=display_value#_#ftype=display_value;instance->Incident#_#name=Incident#_#ftype=Incident;instance->link#_#name=link#_#ftype=link;copied#_#ftype=copied;body_text#_#ftype=body_text;importance#_#ftype=importance;subject#_#ftype=subject;blind_copied#_#ftype=blind_copied;direct#_#ftype=direct;sys_updated_on#_#ftype=sys_updated_on;body#_#ftype=body;type#_#ftype=type;sys_id#_#ftype=sys_id;uid#_#ftype=uid;sys_updated_by#_#ftype=sys_updated_by;content_type#_#ftype=content_type;receive_type#_#ftype=receive_type;reply_to#_#ftype=reply_to;sys_created_on#_#date::dateFormat=yyyy-MM-dd HH:mm:ss#_#name=Created#_#ftype=Created;target_table#_#ftype=target_table;state#_#ftype=state;sys_created_by#_#ftype=sys_created_by;headers#_#ftype=headers;sys_mod_count#_#ftype=sys_mod_count;weight#_#ftype=weight;message_id#_#ftype=message_id;error_string#_#ftype=error_string;deleted#_#ftype=deleted;mailbox#_#ftype=mailbox;user_id#_#ftype=user_id;recipients#_#ftype=recipients;user#_#ftype=user;status#_#ftype=status}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "sys_email",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "service_now,sysevent,audit",
					"name": "Events",
					"custom_parser_location": "<LINK to JS>",
                    "defaultXpoLogPattern": "{json:Event Data,name#_#ftype=name#_#name=Name;process_on#_#name=Proccess Time#_#ftype=processtime;sys_mod_count#_#ftype=sys_mod_count;sys_updated_on#_#name=Updated#_#ftype=updated;uri#_#ftype=uri;processed#_#ftype=processed;sys_id#_#name=System Id#_#ftype=id;sys_updated_by#_#name=Updated by#_#ftype=updatedBy;user_id#_#ftype=user_id;sys_created_on#_#date::dateFormat=yyyy-MM-dd HH:mm:ss#_#name=Created#_#ftype=Created;processing_duration#_#ftype=processing_duration;descriptive_name#_#ftype=descriptive_name;state#_#ftype=state;parm1#_#ftype=parm1;parm2#_#ftype=parm2;queue#_#ftype=queue;sys_created_by#_#ftype=sys_created_by;table#_#ftype=table;claimed_by#_#ftype=claimed_by;instance#_#ftype=instance;user_name#_#ftype=userName}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com",
					"type_uid": "sysevent",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "service_now",
					"name": "System logs",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:Event Data,sys_id#_#name=System Id#_#ftype=sys_id;level#_#name=Level#_#ftype=level;sys_created_on#_#date::dateFormat=yyyy-MM-dd HH:mm:ss#_#name=Created#_#ftype=Created;source#_#name=source#_#ftype=source;sys_class_name#_#ftype=sys_class_name;sys_created_by#_#ftype=sys_created_by;message#_#name=Message#_#ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com",
					"type_uid": "syslog",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			},
			{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "service_now,transaction,audit",
					"name": "Transaction logs",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json: Transaction data, business_rule_count#_#ftype=business_rule_count;type#_#ftype=type;protocol#_#ftype=protocol;remote_ip#_#ftype=remote_ip;ui_policy_time#_#ftype=ui_policy_time;sys_created_on#_#date::dateFormat=yyyy-MM-dd HH:mm:ss#_#ftype=sys_created_on;sql_time#_#ftype=sql_time;potential_cpu_time#_#ftype=potential_cpu_time;sys_created_by#_#ftype=sys_created_by;db_pool#_#ftype=db_pool;session_wait_time#_#ftype=session_wait_time;total_page_load_time#_#ftype=total_page_load_time;largest_input_read#_#ftype=largest_input_read;clotho_time#_#ftype=clotho_time;cpu_usage#_#ftype=cpu_usage;client_response_time#_#ftype=client_response_time;semaphore_wait_time#_#ftype=semaphore_wait_time;transaction_pattern->link#_#name=link#_#ftype=link;transaction_pattern->display_value#_#name=value#_#ftype=value;request_param_size#_#ftype=request_param_size;db_category#_#ftype=db_category;session#_#ftype=session;sys_id#_#ftype=sys_id;client_network_time#_#ftype=client_network_time;sql_count#_#ftype=sql_count;client_transaction#_#ftype=client_transaction;start_process_at#_#ftype=start_process_at;table#_#ftype=table;user_agent#_#ftype=user_agent;cpu_time#_#ftype=cpu_time;phase1_form_length#_#ftype=phase1_form_length;business_rule_time#_#ftype=business_rule_time;system_id#_#ftype=system_id;view_id#_#ftype=view_id;client_script_time#_#ftype=client_script_time;network_time#_#ftype=network_time;total_wait_time#_#ftype=total_wait_time;gzip#_#ftype=gzip;url#_#ftype=url;browser_time#_#ftype=browser_time;largest_chunk_written#_#ftype=largest_chunk_written;output_length#_#ftype=output_length;acl_time#_#ftype=acl_time;ajax_transaction_count#_#ftype=ajax_transaction_count;render_size#_#ftype=render_size;transaction_number#_#ftype=transaction_number;response_time#_#ftype=response_time;transaction_processing_time#_#ftype=transaction_processing_time;app_scope#_#ftype=app_scope;clotho_count#_#ftype=clotho_count}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com",
					"type_uid": "syslog_transaction",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{string:someStringName}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "ServiceNow",
		"typetag": "service_now",
		"name": "service_now",
		"description": "",
		"type": "cloud",
		"doclink": "FILL",
		"version": "NONE",
		"supportedDataSources": "ServiceNow",
		"xwikilink": "",
		"example": ""
	}
});
