function getGadgetType() {
	return "trend";
}

function exportGadget(gadgetData, gadgetId, externalParams) {
	if (gadgetData == null || gadgetData.data == null) return "";
	if (!gadgetData.data.color) gadgetData.data.color = '#111111';

	var data = gadgetData.data;
	var result;

	result = "<div class='highlights-gadget'><div class='highlights-container'>";

	switch (gadgetData.uiprefs.vizualization) {
		case 'coloringText':
			result += "<div class='highlights-data highlights-data-border mt-3'"+
				" style='color:"+ data.color +"; border-color:"+ data.color +"'>" +
				"<div class='trends-separator pr-20'>" +
				"	<div class='trends-data'>" + data.value + data.unit + data.symbol + "</div>" +
				"	<div class='highlights-column'>" + data.label +"</div>" +
				"</div>";
			break;

		case 'coloringBackground':
			result += "<div class='highlights-data mt-3'"+
				" style='background-color:"+ data.color +"'>" +
				"<div class='trends-data-background trends-separator pr-20'>" +
				"<div class='trends-data'>" + data.value + data.unit + data.symbol + "</div>" +
				"<div class='highlights-column'>" + data.label + "</div>" +
				"</div>";
			break;
		case 'coloringNone':
			result += "<div class='highlights-data mt-3'>" +
				"<div class='trends-separator pr-20'>" +
				"	<div class='trends-data'>" + data.value + data.unit + data.symbol + "</div>" +
				"	<div class='highlights-column'>" + data.label + "</div>" +
				"</div>";
			break;
	}

	if (externalParams) {
		result += "<div class='trends-selected-value'>" +
			"	<div>" +
			"		<i class='selected-value-icon gi-play'></i>" +
			"	</div>" +
			"		<div class='trends-selected-diff'>" + externalParams.valueText + "</div>" +
			"	</div>" +
			"</div>" +
			"<div class='trends-dropdown mt-5'>" +
			"	<div class='trends-select-box'>" +
			"		<div class='trends-label'>" +
			"			<span class='mr-5'>vs:</span>" +
			"			<span class='trends-label-text'>" + externalParams.timeText + "</span>" +
			"			<i class='gi-down ml-5'></i>" +
			"		</div>" +
			"	</div>" +
			"</div>";
	} else {
		result += "</div>"
	}

	result += "</div></div></div>";

	return result;
}
