function getName(){
	return "prerwriteReduceJsonMessage";
}


function createExtraction(jsonIncludePaths){
    var paths = [];
    if (jsonIncludePaths != null){
        try{
            paths = jsonIncludePaths.split(",");
        }
        catch(e){
            print(e.message);
        }
    }	 

	return {
	    paths: paths,


		extractData : function(data){
            if (data != null && stringStartsWith(data,"{")){
				var json = stringToJSON(data);
                var metaObj = {};
			
				for (var i=0; i < this.paths.length; i++){
					//logger.info('i = ' + i);
					
					var path = '' + this.paths[i];
					//logger.info('path = ' + path);
					
					var jsonPathArr = path.split("->");
					//logger.info('jsonPathArr = ' + jsonPathArr + ', len = ' + jsonPathArr.length);
					
					updateJsonPath(metaObj,json,jsonPathArr,0);
				}

				data = JSONtoString(metaObj);
            }
            return data;
		}
		
		
	}
}

function updateJsonPath(result,json,jsonPathArr,index){	
	var pathResult = null;
	var key = jsonPathArr[index];
	
	var curr = null;
	if (result != null){
		curr = result[key];
	}
	
	
	if (json.hasOwnProperty(key)){
		if (index == jsonPathArr.length - 1){			
			pathResult = json[key];
		}else {
			pathResult = updateJsonPath(curr,json[key],jsonPathArr,index + 1);
		}
	}
	
	if (pathResult != null){
		if (result == null){
			result = {};
		}
		result[key] = pathResult;
		pathResult = result;
	}
		
	return pathResult;
}
