function getName() {
	return "esxi";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "esxi",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "https://kb.vmware.com/s/article/2003322",
					"typetag": "esxi,linux,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "Insert root user name:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility,ftype=eventName}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] [{text:Extra}]: {text:Application Name} {text:Process Name,ftype=eventSource}{block,start,emptiness=true}[{text:Process Idl,ftype=sessionid}]{block,end,emptiness=true}:{regexp:User,ftype=username;refName=Message,for ([^\\s]*)}{regexp:Source IP,ftype=sourceip;refName=Message,from ([0-9]*.[0-9]*.[0-9]*.[0-9]*)}{regexp:Status,ftype=status;refName=Message,(error|Accepted)}{regexp:Session,ftype=session;refName=Message,Session ([^\\s]*)}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/ESXi",
					"type_uid": "esxi_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "Insert root user name:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility,ftype=eventName}] [{priority:Level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device}] [{text:Extra}]: {text:Application Name} {text:Process Name,ftype=eventSource}{block,start,emptiness=true}[{text:Process Idl,ftype=sessionid}]{block,end,emptiness=true}:{regexp:User,ftype=username;refName=Message,for ([^\\s]*)}{regexp:Source IP,ftype=sourceip;refName=Message,from ([0-9]*.[0-9]*.[0-9]*.[0-9]*)}{regexp:Status,ftype=status;refName=Message,(error|Accepted)}{regexp:Session,ftype=session;refName=Message,Session ([^\\s]*)}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "ESXi",
		"typetag": "esxi,linux",
		"name": "esxi",
		"description": "",
		"type": "infrastructure",
		"doclink": "https://kb.vmware.com/s/article/2003322",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
