function getName() {
	return "xpolog";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "xpolog",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
					"typetag": "xpolog,log4j,audit",
					"name": "Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:ServerIp}] [{text:User,ftype=user}] [{choice:Action Type,ftype=category,LOGIN;VIEW;CHANGE}] [{text:Action Description,ftype=subcategory}] [{choice:Context,ftype=context,LOGS;FOLDERS;VERIFIERS;CONFIGURATION;SECURITY;REPROTS;TASKS;JOBS;NODES;SEARCH_ENGINE}] [{text:Thread,Thread}] [{text:Session Id,ftype=sessionid}] [{text:User Groups,ftype=usergroup}] [{text:Remote Host IP,ftype=sourceip}] [{text:Remote Host Name,ftype=host}]{regexp:App,ftype=app;refName=Message,(\\w+ the app\\s|from app\\s)[XPLG_PARAM([^\\u005B\\u007B]+)].*}{regexp:App2,ftype=app2;refName=Message,\\w+ application\\s(.*)from}{regexp:Dashboard,ftype=dashboard;refName=Message,\\w+ the dashboard ([^\\u005B\\u007B]+).*}{regexp:Dashboard2,ftype=dashboard2;refName=Message,\\w+ the dashboard(.*)(from\\s|of\\s)}{regexp:Gadget,ftype=gadget;refName=Message,(created/edited the gadget\\s|removed the gadget\\s)[XPLG_PARAM([^\\u005B\\u007B\\u0028]+)].*}{regexp:Log,ftype=log;refName=Message,\\w+ the log ([^\\u005B\\u007B]+).*}{regexp:ID,ftype=xaid;refName=Message,\\u005Bid:([^\\u005D]+).*}{regexp:Object,ftype=object;refName=Message,(remove group\\s|edit group details\\s|edit user settings\\s|release user\\s|lock user\\s|\\suser\\s)[XPLG_PARAM([^\\n]+)].*}{regexp:Status,ftype=status;refName=Message,login.*(failed|ok)}{regexp:Failed Login User,ftype=failedlogin;refName=Message,login with username\\s(.*)\\sfailed} {string:Message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
					"type_uid": "xpolog_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:ServerIp}] [{text:User,ftype=user}] [{choice:Action Type,ftype=category,LOGIN;VIEW;CHANGE}] [{text:Action Description,ftype=subcategory}] [{choice:Context,ftype=context,LOGS;FOLDERS;VERIFIERS;CONFIGURATION;SECURITY;REPROTS;TASKS;JOBS;NODES;SEARCH_ENGINE}] [{text:Thread,Thread}] [{text:Session Id,ftype=sessionid}] [{text:User Groups,ftype=usergroup}] [{text:Remote Host IP,ftype=sourceip}] [{text:Remote Host Name,ftype=host}]{regexp:App,ftype=app;refName=Message,(\\w+ the app\\s|from app\\s)[XPLG_PARAM([^\\u005B\\u007B]+)].*}{regexp:App2,ftype=app2;refName=Message,\\w+ application\\s(.*)from}{regexp:Dashboard,ftype=dashboard;refName=Message,\\w+ the dashboard ([^\\u005B\\u007B]+).*}{regexp:Dashboard2,ftype=dashboard2;refName=Message,\\w+ the dashboard(.*)(from\\s|of\\s)}{regexp:Gadget,ftype=gadget;refName=Message,(created/edited the gadget\\s|removed the gadget\\s)[XPLG_PARAM([^\\u005B\\u007B\\u0028]+)].*}{regexp:Log,ftype=log;refName=Message,\\w+ the log ([^\\u005B\\u007B]+).*}{regexp:ID,ftype=xaid;refName=Message,\\u005Bid:([^\\u005D]+).*}{regexp:Object,ftype=object;refName=Message,(remove group\\s|edit group details\\s|edit user settings\\s|release user\\s|lock user\\s|\\suser\\s)[XPLG_PARAM([^\\n]+)].*}{regexp:Status,ftype=status;refName=Message,login.*(failed|ok)}{regexp:Failed Login User,ftype=failedlogin;refName=Message,login with username\\s(.*)\\sfailed} {string:Message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
					"typetag": "xpolog,log4j,system-audit",
					"name": "System Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:ServerIp,ftype=serverip}] [{text:User,ftype=xuser}] [{text:Action Type,ftype=action}] [{text:Action description,ftype=description}] [{text:Context,ftype=conext}] [{text:Thread,ftype=thread}] [{text:Object Type,ftype=objtype}] [{text:Object Id,ftype=objid}] [{text:Object Name,ftype=objname}] [{text:Host,ftype=host}] [{number:Process Time,ftype=processtime}] [{text:Extra Data,ftype=extra}] {string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
					"type_uid": "xpolog_sysaudit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:ServerIp,ftype=serverip}] [{text:User,ftype=xuser}] [{text:Action Type,ftype=action}] [{text:Action description,ftype=description}] [{text:Context,ftype=conext}] [{text:Thread,ftype=thread}] [{text:Object Type,ftype=objtype}] [{text:Object Id,ftype=objid}] [{text:Object Name,ftype=objname}] [{text:Host,ftype=host}] [{number:Process Time,ftype=processtime}] [{text:Extra Data,ftype=extra}] {string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
					"typetag": "xpolog,log4j,events",
					"name": "Events",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
					"type_uid": "xpolog_events",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
					"typetag": "xpolog,log4j,memory",
					"name": "Memory",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] unit: {text:Unit,ftype=unit}, total: {number:Total,ftype=total}, free: {number:Free,ftype=free}, usage: {number:Usage,ftype=usage}, percent: {number:Usage Percent(%),ftype=usagepercent}",
					"parser_type": "default",
					"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
					"type_uid": "xpolog_memory",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] unit: {text:Unit,ftype=unit}, total: {number:Total,ftype=total}, free: {number:Free,ftype=free}, usage: {number:Usage,ftype=usage}, percent: {number:Usage Percent(%),ftype=usagepercent}",
						"externalJS": "link or code"
					}
				}
			}, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,collectionstat",
            		"name": "collectionstat",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] {json:data,;logId#_#ftype=logId;logName#_#ftype=logName;host#_#ftype=host;logPath#_#ftype=logPath;readingTime#_#ftype=readingTime;parsingTime#_#ftype=parsingTime;writingTime#_#ftype=writingTime;eventsCount#_#ftype=eventsCount;eventsDataSize#_#ftype=eventsDataSize;minEventTime#_#ftype=minEventTime;minEventDate#_#ftype=minEventDate;diffFromMinEvent#_#ftype=diffFromMinEvent;maxEventTime#_#ftype=maxEventTime;maxEventDate#_#ftype=MaxEventDate;diffFromMaxEvent#_#ftype=diffFromMaxEvent;createdTime#_#timestamp::dateFromat=yyyy-MM-dd HH:mm:ss.SSS;lastCommitTime#_#ftype=lastCommitTime;lastRef#_#ftype=lastRef}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_collectionstat",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] {json:data,;logId#_#ftype=logId;logName#_#ftype=logName;host#_#ftype=host;logPath#_#ftype=logPath;readingTime#_#ftype=readingTime;parsingTime#_#ftype=parsingTime;writingTime#_#ftype=writingTime;eventsCount#_#ftype=eventsCount;eventsDataSize#_#ftype=eventsDataSize;minEventTime#_#ftype=minEventTime;minEventDate#_#ftype=minEventDate;diffFromMinEvent#_#ftype=diffFromMinEvent;maxEventTime#_#ftype=maxEventTime;maxEventDate#_#ftype=MaxEventDate;diffFromMaxEvent#_#ftype=diffFromMaxEvent;createdTime#_#timestamp::dateFromat=yyyy-MM-dd HH:mm:ss.SSS;lastCommitTime#_#ftype=lastCommitTime;lastRef#_#ftype=lastRef}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,xpologlog",
            		"name": "Xpologlog",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_xpologlog",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,middleware",
            		"name": "middleware",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_middleware",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,plugins",
            		"name": "plugins",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_plugins",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,ssh",
            		"name": "ssh",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_ssh",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
                         	"log": {
                         		"xdoclink": "",
                         		"defaultPattern": "NONE",
                         		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
                         		"typetag": "xpolog,log4j,portxlog",
                         		"name": "portxlog",
                         		"custom_parser_location": "<LINK to JS>",
                         		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
                         		"parser_type": "default",
                         		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
                         		"type_uid": "xpolog_portxlog",
                         		"parser_specification": {
                         			"defaultPattern": "NONE",
                         			"parserparam": "",
                         			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{priority:Priority,ftype=severity;,DEBUG;INFO;WARNING;ERROR;FATAL}] [{string:Class,ftype=class}] [{string:Method,ftype=method}({text:Source,ftype=sourcecode}:{number:LineNumber,ftype=linenumber})] {string:Message,ftype=message}",
                         			"externalJS": "link or code"
                         		}
                         	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,system-alerts",
            		"name": "system alerts",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{text:ServerIp,ftype=serverIp}] [{text:Source,ftype=source}] [{text:Extra Data,ftype=extraData}] {string:Message,ftype=message}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_systemalerts",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [{text:Thread,ftype=thread}] [{text:ServerIp,ftype=serverIp}] [{text:Source,ftype=source}] [{text:Extra Data,ftype=extraData}] {string:Message,ftype=message}",
            			"externalJS": "link or code"
            		}
            	}
            }, {
            	"log": {
            		"xdoclink": "",
            		"defaultPattern": "NONE",
            		"howto": "XpoLog logs are located at \"XPOLOG_EXTERNAL_CONF_DIR/log/\". XpoLog logs are based on Log4J, the properties fils is located at \"XPOLOG_EXTERNAL_CONF_DIR/conf/general/log4jXpolog.properties.",
            		"typetag": "xpolog,log4j,portxstat",
            		"name": "portxstat",
            		"custom_parser_location": "<LINK to JS>",
            		"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [source]{string:Source,ftype=source}[data]{json:data,isFlattenArrays=true;maxNumOfItemsInArray=50;,key#_#ftype=key;dataForwarderName#_#ftype=dataForwarderName;logName#_#ftype=logName;logId#_#ftype=logId;dataForwarderId#_#ftype=dataForwarderId;totalCount#_#ftype=totalCount;totalDataVolume#_#ftype=totalDataVolume;outputs->name#_#name=name#_#ftype=name;outputs->id#_#name=id#_#ftype=id;outputs->protocol#_#name=protocol#_#ftype=protocol;outputs->count#_#name=count#_#ftype=count;outputs->dataVolume#_#name=dataVolume#_#ftype=dataVolume;outputs->state#_#name=state#_#ftype=state;outputs->countPercent#_#name=countPercent#_#ftype=countPercent;outputs->dataVolumePercent#_#name=dataVolumePercent#_#ftype=dataVolumePercent}",
            		"parser_type": "default",
            		"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_system_logs",
            		"type_uid": "xpolog_portxstat",
            		"parser_specification": {
            			"defaultPattern": "NONE",
            			"parserparam": "",
            			"defaultXpoLogPattern": "[{date:Date,yyyy-MM-dd HH:mm:ss,SSS}] [source]{string:Source,ftype=source}[data]{json:data,isFlattenArrays=true;maxNumOfItemsInArray=50;,key#_#ftype=key;dataForwarderName#_#ftype=dataForwarderName;logName#_#ftype=logName;logId#_#ftype=logId;dataForwarderId#_#ftype=dataForwarderId;totalCount#_#ftype=totalCount;totalDataVolume#_#ftype=totalDataVolume;outputs->name#_#name=name#_#ftype=name;outputs->id#_#name=id#_#ftype=id;outputs->protocol#_#name=protocol#_#ftype=protocol;outputs->count#_#name=count#_#ftype=count;outputs->dataVolume#_#name=dataVolume#_#ftype=dataVolume;outputs->state#_#name=state#_#ftype=state;outputs->countPercent#_#name=countPercent#_#ftype=countPercent;outputs->dataVolumePercent#_#name=dataVolumePercent#_#ftype=dataVolumePercent}",
            			"externalJS": "link or code"
            		}
            	}
            }
		],
		"displayName": "XpoLog",
		"typetag": "xpolog,log4j",
		"name": "xpolog",
		"description": "",
		"type": "logging",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=online_knowledgebase",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
