function getName(){
		return "convertToDate";
}
function createFormat(col1){
	return {
		getInputColumns : function() {
			return col1;
		},
		formatData : function(updatedate){
			if (isNaN(updatedate)) {
					return "Invalid epoch time";
			}
			var dateObject = new Date(Number(updatedate));
			var dateString = dateObject.toISOString();
			var datePart = dateString.split('T')[0];
			var timePart = dateString.split('T')[1].split('.')[0];
			var formattedDateTime = datePart + ' ' + timePart;
			return formattedDateTime;
			}
		}
	}