function getGadgetType() {
	return "highlights";
}

function exportGadget(gadgetData) {
	if (gadgetData == null || gadgetData.data == null) return "";

	var data = gadgetData.data;
	var result;

	if (!data.color) data.color = '#111111';

	result = "<div class='highlights-gadget'><div class='highlights-container'>";

	switch (gadgetData.uiprefs.vizualization) {
		case 'coloringText':
			result += "<div class='highlights-data highlights-data-border'"+
				" style='color:"+ data.color +"; border-color:"+ data.color +"'>" + data.displayValue + data.unit + data.symbol + "</div>";
			break;
		case 'coloringBackground':
			result += "<div class='highlights-data highlights-data-background'"+
				" style='background-color:"+ data.color +"'><div>" + data.displayValue + data.unit + data.symbol + "</div></div>";
			break;
		case 'coloringNone':
			result += "<div class='highlights-data highlights-data-none'>" + data.displayValue + data.unit + data.symbol + "</div>";
			break;
	}

	result += "<div class='highlights-column mt-3'>"+ data.label +"</div></div></div>";

	return result;
}
