function getName() {
	return "Arista";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "Arista",
		"apptags": "",
		"displayName": "Arista",
		"typetag": "syslog,switch,arista",
		"name": "arista",
		"description": "",
		"type": "network",
		"doclink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=ext_arista",
		"xwikilink": "",
		"example": "",
		"logtypes": [{
			"log": {
				"xdoclink": "",
				"defaultPattern": "NONE",
				"howto": "Direct your Arista switch to sent the system log to a XPLG listener.",
				"typetag": "syslog,switch,arista",
				"name": "Arista",
				"custom_parser_location": "<LINK to JS>",
				"defaultXpoLogPattern": "{date:Date,MMM dd HH:mm:ss} {text:Device Name,ftype=devicename} {text:Category,ftype=category}: %{text:Message Type,ftype=messagetype;,}:{block,end,emptiness=true} {regexp:Username,ftype=username;refName=Message,([U|u]ser\\s'|[U|u]ser:\\s|[U|u]ser:|[U|u]ser\\s|by\\s)[XPLG_PARAM([^'\\u005D\\s]+)].*}{regexp:Sourceip,ftype=sourceip;refName=Message,(Source:\\s|from\\s)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)]}{regexp:Status,ftype=status;refName=Message,(\\sSucceeded|\\sclosed|\\sup|\\sdown|\\senabled|\\sfailed|\\sSuccess|\\ssuspended).*}{regexp:Interface,ftype=interface;refName=Message,Interface\\s([^,\\s]+).*}{string:Message,ftype=message}{eoe}",
				"parser_type": "default",
				"xwikilink": "https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=xplg_arista",
				"type_uid": "arista",
				"parser_uid": "uid",
				"parser_specification": {
					"defaultPattern": "NONE",
					"parserparam": "",
					"defaultXpoLogPattern": "{date:Date,MMM dd HH:mm:ss} {text:Device Name,ftype=devicename} {text:Category,ftype=category}: %{text:Message Type,ftype=messagetype;,}:{block,end,emptiness=true} {regexp:Username,ftype=username;refName=Message,([U|u]ser\\s'|[U|u]ser:\\s|[U|u]ser:|[U|u]ser\\s|by\\s)[XPLG_PARAM([^'\\u005D\\s]+)].*}{regexp:Sourceip,ftype=sourceip;refName=Message,(Source:\\s|from\\s)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)]}{regexp:Status,ftype=status;refName=Message,(\\sSucceeded|\\sclosed|\\sup|\\sdown|\\senabled|\\sfailed|\\sSuccess|\\ssuspended).*}{regexp:Interface,ftype=interface;refName=Message,Interface\\s([^,\\s]+).*}{string:Message,ftype=message}{eoe}",
					"externalJS": "link or code"
				}
			}
		}
	]		
}
});
