function getName() {
	return "Cisco";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "Cisco",
		"apptags": "",
		"displayName": "Cisco",
		"typetag": "syslog,cisco,switch",
		"name": "cisco",
		"description": "",
		"type": "network",
		"doclink": "https://community.cisco.com/t5/networking-documents/how-to-configure-logging-in-cisco-ios/ta-p/3132434",
		"xwikilink": "http://wiki.xpolog.com/display/XPOL/Cisco",
		"example": "",
		"logtypes": [{
			"log": {
				"xdoclink": "",
				"defaultPattern": "NONE",
				"howto": "Direct your Cisco switch to sent the system log to a XPLG listener.",
				"typetag": "syslog,cisco,switch",
				"name": "Arista",
				"custom_parser_location": "<LINK to JS>",
				"defaultXpoLogPattern": "{text:Record Number}: {text:Device Time}:{block,start,emptiness=true} %{text:Message Type,ftype=messagetype;,}:{block,end,emptiness=true} {regexp:Username,ftype=username;refName=Message,([U|u]ser\\s'|[U|u]ser:\\s|[U|u]ser:)[XPLG_PARAM([^'\\u005D\\s]+)].*}{regexp:Sourceip,ftype=sourceip;refName=Message,(Source:\\s|from\\s)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)]}{regexp:Status,ftype=status;refName=Message,Succeeded|closed|up|down|enabled|failed|Success|suspended}{regexp:Interface,ftype=interface;refName=Message,Interface\\s([^,\\s]+).*}{string:Message,ftype=message}{eoe}",
				"parser_type": "default",
				"xwikilink": "http://wiki.xpolog.com/display/XPOL/Cisco",
				"type_uid": "cisco",
				"parser_uid": "uid",
				"parser_specification": {
					"defaultPattern": "NONE",
					"parserparam": "",
					"defaultXpoLogPattern": "{text:Record Number}: {text:Device Time}:{block,start,emptiness=true} %{text:Message Type,ftype=messagetype;,}:{block,end,emptiness=true} {regexp:Username,ftype=username;refName=Message,([U|u]ser\\s'|[U|u]ser:\\s|[U|u]ser:)[XPLG_PARAM([^'\\u005D\\s]+)].*}{regexp:Sourceip,ftype=sourceip;refName=Message,(Source:\\s|from\\s)[XPLG_PARAM(\\d+\\.\\d+\\.\\d+\\.\\d+)]}{regexp:Status,ftype=status;refName=Message,Succeeded|closed|up|down|enabled|failed|Success|suspended}{regexp:Interface,ftype=interface;refName=Message,Interface\\s([^,\\s]+).*}{string:Message,ftype=message}{eoe}",
					"externalJS": "link or code"
				}
			}
		}
	]		
}
});
