function getName() {
	return "otlp";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "otlp",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "otlp,metric",
					"name": "Metric",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,metric;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value;attributes->scope#_#name=Scope;metricName;attributes->profile#_#name=Profile;attributes}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/XpoLog+Center",
					"type_uid": "otlp-metric",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,metric;timeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;startTimeUnixNano#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;value;attributes->scope#_#name=Scope;metricName;attributes->profile#_#name=Profile;attributes}",
						"externalJS": "link or code"
					}
				}
			}, {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "",
					"typetag": "otlp,events",
					"name": "Events",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,event;timeUnixNano#_#name=Event Date#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;attributes->scope#_#name=Scope;eventName;attributes->task.name#_#name=Task Name;attributes->task.id#_#name=Task ID;attributes->job.id#_#name=Job ID;attributes->nodes.source.name#_#name=Source Name;attributes->nodes.source.id#_#name=Source Key;attributes->nodes.destination.name#_#name=Destination Name;attributes->nodes.destination.id#_#name=Destination Key;attributes->execution.type#_#name=Execution Type;attributes->profile#_#name=Profile;attributes}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/XpoLog+Center",
					"type_uid": "otlp-event",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:json,isFlattenArrays=false;dynamic=true;,event;timeUnixNano#_#name=Event Date#_#timestamp::dateFormat=yyyy-MM-dd HH:mm:ss.SSS,product=0.000001;attributes->scope#_#name=Scope;eventName;attributes->task.name#_#name=Task Name;attributes->task.id#_#name=Task ID;attributes->job.id#_#name=Job ID;attributes->nodes.source.name#_#name=Source Name;attributes->nodes.source.id#_#name=Source Key;attributes->nodes.destination.name#_#name=Destination Name;attributes->nodes.destination.id#_#name=Destination Key;attributes->execution.type#_#name=Execution Type;attributes->profile#_#name=Profile;attributes}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Open Telemetry",
		"typetag": "otlp",
		"name": "otlp",
		"description": "",
		"type": "telemtry",
		"doclink": "",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
