function getName() {
	return "syslog";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "syslog",
		"apptags": "",
		"logtypes": [{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "Configure XpoLog to receive Syslog via its Listeners - http://wiki.xpolog.com/display/XPOL/The+Syslog+Protocol or collect data from any Syslog server.",
					"typetag": "syslog",
					"name": "Syslog",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility,ftype=facility}] [{priority:Level,ftype=level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device,ftype=source-device}] {block,start,emptiness=true}{text:Application Name,ftype=app-name}[{text:Process Id,ftype=pid}]: {block,end,emptiness=true}{string:Message,ftype=message}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/display/XPOL/SysLog",
					"type_uid": "syslog",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "XPLG:[{timestamp:Timestamp,MM/dd/yyyy HH:mm:ss.SSS}] [{text:Facility,ftype=facility}] [{priority:Level,ftype=level,DEBUG;INFO;WARN;ERROR;FATAL}] [{text:Source Device,ftype=source-device}] {block,start,emptiness=true}{text:Application Name,ftype=app-name}[{text:Process Id,ftype=pid}]: {block,end,emptiness=true}{string:Message,ftype=message}",
						"externalJS": "link or code"
					}
				}
			}
		],
		"displayName": "Syslog",
		"typetag": "syslog",
		"name": "syslog",
		"description": "",
		"type": "logging",
		"doclink": "http://wiki.xpolog.com/display/XPOL/The+Syslog+Protocol",
		"version": "current",
		"xwikilink": "",
		"example": ""
	}
});
