<%@ page language="java"%>

<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.admin.helpers.WinEventAdminHelper"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.util.XpologEncoder"%>
<%@ page import="xpolog.eye.Module"%>
<%!
	static final String BASE_DIRECTORY = "../";
	static final String NO_FOLDERS_AVAILABLE = "No folders available, check permissions";
%>
<%
  WebSecurityManager manager = WebSecurityManager.getInstance();
  if (!manager.checkForPermission(request,response,null,true)){
     return;
  }
  XpologEncoder encoder = XpologEncoder.getInstance();
  String CURRENT_MODULE = "CURRENT_MODULE";
  String ERROR_OBJ = "ERROR_OBJ";
  //site management
  SiteManagment mgmt = SiteManagment.getInstance();
  SiteAdministrator admin = SiteManagment.getAdminInstance();

  UserEnvironment env = UserEnvironment.getUserEnvironment(request);
  UserContext userContext = UserEnvironment.getUserContext(request);

  String suffix = request.getParameter("suffix");
  if(suffix == null || suffix.trim().length() == 0) {
	  suffix = "";
  }
  
  String formName = request.getParameter("formName");
  if(formName == null || formName.trim().length() == 0) {
  	formName = "access";
  }
  
  String baseDirectory = request.getParameter("baseDirectory");
  if (baseDirectory == null){
  	baseDirectory = BASE_DIRECTORY;
  }

  String paddingLeft = "0px";
  String paddingLeftStr = request.getParameter("paddingLeft");
  if (paddingLeftStr != null && paddingLeftStr.length() > 0){
  	paddingLeft = paddingLeftStr;
  }

  //String selectLink = "select parent folder";
  String selectLink = "select";
  String shortLink = request.getParameter("shortLink");
  if (shortLink != null && shortLink.equals("true")){
  	selectLink = "select";
  }
  
  String label = request.getParameter("label");
  if(label == null || label.trim().length() == 0) {
	  label = "Parent Folder";
  }
  
  String textBoxClass = request.getParameter("textBoxClass");
  if (textBoxClass == null || textBoxClass.trim().length() == 0){
  	textBoxClass = "";
  }

  String showLabelStr = request.getParameter("showLabel");
  boolean showLabel = showLabelStr == null || showLabelStr.equals("true");

  String useSessionModuleStr = request.getParameter("useSessionModule");
  boolean useSessionModule = useSessionModuleStr != null && useSessionModuleStr.equals("true");
  String parentModuleParam = "?mode=modules";
  Module parentModule = null;
  String parentModuleId = request.getParameter("PARENT_MODULE_ID");
  String parentModuleName = request.getParameter("PARENT_MODULE_NAME");
  String parentModulePath = request.getParameter("PARENT_MODULE_PATH");
  String allowPhantomParentModuleStr = request.getParameter("allowPhantomParentModule");
  boolean allowPhantomParentModule = allowPhantomParentModuleStr != null && allowPhantomParentModuleStr.equals("true");
  boolean invalidParentModule = false;
  if (parentModuleId != null && parentModuleId.length() > 0){
    try {
    	if(userContext != null && userContext.isModuleMemberEditable(parentModuleId)) {
      	parentModule = mgmt.getModuleFromId(parentModuleId);
    	}
    }catch (Exception e){}
  }else{
  	if (useSessionModule){
  		parentModule = (Module)request.getSession().getAttribute(CURRENT_MODULE);
    	if(parentModule != null) {
    		Module tmp = SiteManagment.getInstance().getModuleFromId(parentModule.getId());
    		if(tmp == null) {
  	  		invalidParentModule = true;
    		}
    	}
  	}
  }
  if (parentModule == null && parentModuleName != null && parentModuleName.length() > 0){
  	parentModule = new Module();
  	if (!parentModuleId.equals("kafkaModule") && !parentModuleId.equals(Module.ROOT_SYSLOGS_MODULE_ID) && !parentModuleId.equals(Module.ROOT_HTTP_LISTENERS_MODULE_ID) && !parentModuleId.equals(Module.ROOT_NETFLOW_MODULE_ID)){
  		parentModuleId = String.valueOf(System.currentTimeMillis());
  	}
  	parentModule.setId(parentModuleId);
  	parentModule.setName(parentModuleName);
  }
  
  if (parentModule == null || parentModule.getId() == null || parentModule.getId().length() == 0 || invalidParentModule){
  	if(userContext != null && userContext.isModuleMemberEditable(Module.ROOT_MODULE_ID)) {
  		parentModule = mgmt.getModuleFromId(Module.ROOT_MODULE_ID);
  	}
  }

  if (parentModule != null){
  	if (!userContext.isModuleMemberEditable(parentModule.getId())){
  		Module[] userModules = mgmt.getAllModules(userContext, true);
  		if (userModules != null && userModules.length > 0){
  			parentModule = userModules[0];
  		}
  	}
  }else {
  	Module[] userModules = mgmt.getAllModules(userContext, true);
		if (userModules != null && userModules.length > 0){
			parentModule = userModules[0];
		}
  }
  
  if (parentModule != null){
  	parentModuleParam += "&MODULE_ID="+parentModule.getId();
  }
  if (parentModuleName != null && parentModuleName.length() > 0 && allowPhantomParentModule && 
  		parentModulePath != null && parentModulePath.length() > 0){
  	parentModuleParam += "&allowPhantomModules=true&MODULE_NAME="+parentModuleName+"&MODULE_PATH="+parentModulePath;
  }

  String modulesToIgnore = request.getParameter("MODULE_IDS_TO_IGNORE");
	if (modulesToIgnore != null && modulesToIgnore.length() > 0){
		parentModuleParam += "&MODULE_IDS_TO_IGNORE="+modulesToIgnore;
	}

	if (parentModuleName == null || parentModuleName.length() == 0){
  	parentModuleName = parentModule != null ? parentModule.getName() : NO_FOLDERS_AVAILABLE;
	}
  String treeName = request.getParameter("treeName");
  if (treeName == null || treeName.length() == 0){
  	treeName = "tree";
  }
  treeName += suffix;
  request.setAttribute("baseDirectory" + suffix,baseDirectory);
  request.setAttribute("parentModuleParam" + suffix,parentModuleParam);
  request.setAttribute("treeName" + suffix,treeName);
  
  String titleColWidth = request.getParameter("titleColWidth");
  if (titleColWidth == null || titleColWidth.length() == 0){
  	titleColWidth = "100";
  }
  
  String folderNameWidth = request.getParameter("folderNameWidth");
  if (folderNameWidth == null || folderNameWidth.length() == 0){
  	folderNameWidth = "20";
  }
  
  String useTextBoxStr = request.getParameter("useTextBox");
  boolean useTextBox = useTextBoxStr == null || !useTextBoxStr.equals("false");
  
  String textBoxSize = request.getParameter("textBoxSize");
  if (textBoxSize == null || textBoxSize.length() == 0){
  	textBoxSize = "40";
  }
  
  String height = request.getParameter("height");
  if (height == null){
  	height = "300px";
  }
  
  String divX = request.getParameter("divX");
  if(divX == null || divX.length() == 0) {
	  divX = "-1";
  }
  String divY = request.getParameter("divY");
  if(divY == null || divY.length() == 0) {
	  divY = "-1";
  }
  
  String textBoxDisabledStr = request.getParameter("textBoxDisabled");
  boolean textBoxDisabled = textBoxDisabledStr == null || !textBoxDisabledStr.equals("false") || parentModuleName.equals(NO_FOLDERS_AVAILABLE);  
  
  String allowNewFolderStr = request.getParameter("allowNewFolder");
  boolean allowNewFolder = allowNewFolderStr == null || allowNewFolderStr.equals("true");
  if (userContext!= null && !userContext.isHavePermission(ActionsPermissionConstants.AdministrationPermissions.ADD_MODULE_PERMISSION)){
  	allowNewFolder = false;
  }
  
  String showSyslogModuleStr = request.getParameter("showSyslogModule");
  boolean showSyslogModule = showSyslogModuleStr != null && showSyslogModuleStr.equals("true");  
  
  
  String actionsNames = allowNewFolder ? "Create New@id=createNewFolderBtn" + suffix + "#Cancel" : "Cancel";
  String actions = allowNewFolder ? "javascript:showNewParentFolder" + suffix + "()#javascript:hideParentModuleTree" + suffix + "()" : "javascript:hideParentModuleTree" + suffix + "()";
  
  String adminDivSuffix = "parentModule" + suffix;
  
  String csrfTokenField = WebSecurityManager.CSRF_TOKEN_PARAMETER;
  String csrfToken = UserEnvironment.getCsrfToken(request);

%>

<jsp:include page="../widgets/xtree/jsp/treeIncluder.jsp" flush="true">
	<jsp:param name="baseDirectory" value="<%=baseDirectory%>" />
	<jsp:param name="suffix" value="<%=suffix%>" />
</jsp:include>


<script>
	var csrfTokenField = "<%=csrfTokenField %>";
	var csrfToken = "<%=csrfToken %>";
	
	function onShowParentModuleTree<%=suffix %>() {
	}
	
	function showParentModuleTree<%=suffix %>(){
		onShowParentModuleTree<%=suffix %>();
		showGeneralAdminDiv("<%=adminDivSuffix %>", <%=divX %>, <%=divY %>);
		<%=treeName%>.focusSelectedItem();
	}

	function hideParentModuleTree<%=suffix %>(){
		hideNewParentFolder<%=suffix %>();
		hideGeneralAdminDiv("<%=adminDivSuffix %>");
	}
	
	function updateParentModule<%=suffix %>(tree,modTagName){
		eval("document.<%=formName%>."+modTagName+"<%=suffix %>").value = getSelectedParentModule<%=suffix %>(tree);
	}
    
	var parentModuleId<%=suffix %> = "<%=parentModule != null ? parentModule.getId() : ""%>";
	var lastSelectedParentModuleId<%=suffix %> = "<%=parentModule != null ? XpoLogObjectTypes.MODULE_TYPE+"-"+parentModule.getId() : ""%>";
	var treeUrl<%=suffix %>;
	var closeParentModuleDivUponSelection<%=suffix %> = true;
	function updateParentModuleName<%=suffix %>(id,name){
		var pm = document.getElementById("parentModuleName<%=suffix %>");
		if (pm){
			var n = <%=treeName%>.getItemText(id);
			if (!name.startsWith("<%=XpoLogObjectTypes.MODULE_TYPE%>-")){
				n = name;
			}
			parentModuleId<%=suffix %> = id.substring(7);
			<% if (useTextBox){%>
			pm.value = n;
			<% } else {  %>
			pm.innerHTML = '<span class="REGULARTEXT"><nobr><b>' + n + '</b></nobr></span>';
			<%}%>			
		}
		lastSelectedParentModuleId<%=suffix %> = "<%=XpoLogObjectTypes.MODULE_TYPE%>-"+parentModuleId<%=suffix %>;
		if (closeParentModuleDivUponSelection<%=suffix %>){
			hideGeneralAdminDiv("parentModule<%=suffix %>");
			document.getElementById("parentModuleErrorMsg<%=suffix %>").style.display ="none";
			document.getElementById("parentModuleErrorMsg<%=suffix %>").innerHTML = "";
		}
		return true;
	}
		
	//override tree functions
	var lastSelectedModuleNodeId<%=suffix %> = "<%=parentModule != null ? "Module-"+ parentModule.getId() + suffix : ""%>";
	dhtmlXTreeObject.prototype.onCheckBoxClick=function(e,htmlObject,mode){
		var obj=this.parentObject;
		if(htmlObject){
			obj=htmlObject;
		}
		var that=obj.treeNod;
		
		if(that.markUponCheck){
			that._selectItem(obj);
		}
		if(obj.dscheck){
			return true;
		}
		if(that.tscheck){
			if(obj.checkstate==1){
				that._setSubChecked(false,obj);
			}else{
				that._setSubChecked(true,obj);
			}
		}else{
			if (lastSelectedModuleNodeId<%=suffix %> == obj.id){
				return;
			}
			if(obj.checkstate==1){
				that._setCheck(obj,false);
			}else{
				that._setCheck(obj,true);
			}
		}
		that._correctCheckStates(obj.parentObject);
		if(that.handleMark && !mode){
			that.onRowSelect(e,this,false,true);
		}
		
		if (obj.id && obj.id.indexOf("Module-") != -1){
			lastSelectedModuleNodeId<%=suffix %> = obj.id;
		}
		if(that.checkFuncHandler){
			return(that.checkFuncHandler(obj.id,obj.checkstate));
		}
		else return true;
	};
	
	function showNewParentFolder<%=suffix %>(){
		var parentModDiv = document.getElementById("adminGeneralIncludeTDparentModule<%=suffix %>");
		if (parentModDiv){
			parentModDiv.scrollTop = 0;
		}
		var el = document.getElementById("newFolderDiv<%=suffix %>");
		if (el){
			el.style.display = "";
			var createBtn = document.getElementById("createNewFolderBtn<%=suffix %>");
			if (createBtn){
				createBtn.innerHTML = "Save";
				createBtn.href = "javascript:saveNewFolder<%=suffix %>()";
			}
			closeParentModuleDivUponSelection<%=suffix %> = false;
		}
	}
	
	function hideNewParentFolder<%=suffix %>(){
		var el = document.getElementById("newFolderDiv<%=suffix %>");
		if (el){
			el.style.display = "none";
			var createBtn = document.getElementById("createNewFolderBtn<%=suffix %>");
			if (createBtn){
				createBtn.innerHTML = "<nobr>Create New</nobr>";
				createBtn.href = "javascript:showNewParentFolder<%=suffix %>()";
				createBtn.className = "BUTTON";
			}
			closeParentModuleDivUponSelection<%=suffix %> = false;
		}
		clearNewModuleNameError<%=suffix %>();
		document.<%=formName%>.newModuleName<%=suffix %>.value = "";
		allowSave<%=suffix %> = true;
		closeParentModuleDivUponSelection<%=suffix %> = true;
	}
	
	function getSelectedParentModule<%=suffix %>(tree){
		var list = tree.getAllChecked();
		var arr = list.split(",");
	  var logsStr = "";
	  var modsStr = "";
		for (var i=0; i<arr.length; i++){
			var s = arr[i];
			var ind = s.indexOf("-");
			if (ind == -1){
				continue;
			}else{
				type = s.substring(0,ind);
				id = s.substring(ind+1,s.length);
				if (type == "<%=XpoLogObjectTypes.MODULE_TYPE%>"){
					if (modsStr != ""){
						modsStr += ",";
					}
					modsStr += id;
				}else{
					if (logsStr != ""){
						logsStr += ",";
					}
					logsStr += id;
				}
			}
		}
		return modsStr;
	}
    
	var allowSave<%=suffix %> = true;
	function saveNewFolder<%=suffix %>(){
		var parentModId = getSelectedParentModule<%=suffix %>(<%=treeName%>);
		if (parentModId && isNaN(parentModId) && parentModId !== 'rootModule') {
			parentModId = 'rootModule';
		}
		var newModName = document.<%=formName%>.newModuleName<%=suffix %>.value;
		if (!newModName || newModName == ""){
			var errorElem = document.getElementById("newModuleNameErrorMsg<%=suffix %>");
			if (errorElem){
			  document.<%=formName%>.newModuleName<%=suffix %>.className = 'ERROR_MSG_BACKGROUNDCOLOR';
			  errorElem.style.display ="";			
			  errorElem.innerHTML = "Please enter a folder name";
			  document.getElementById("newModuleNameErrorMsgTR<%=suffix %>").style.display ="";
			}
			return;
		}
		var parentModDiv = document.getElementById("adminGeneralIncludeTDparentModule<%=suffix %>");
		if (parentModDiv){
			parentModDiv.scrollTop = parentModDiv.scrollHeight;
		}
		showModuleSaveMessage<%=suffix %>("Saving folder...");
		var saveBtn = document.getElementById("createNewFolderBtn<%=suffix %>");
		if (saveBtn){
			saveBtn.className = "BUTTON_DISABLED";
		}
		var params = "newModName="+newModName+"&parentModId="+parentModId+"&" + csrfTokenField + "=" + encodeURIComponent (csrfToken);
		var url = "<%=baseDirectory%>common/saveParentModuleAction.jsp?";
		sendAjaxRequest(url,function(req){
			showModuleSaveMessage<%=suffix %>("");
			var xmlDoc = req.responseXML.documentElement;
			var resultElement = xmlDoc.getElementsByTagName("result")[0];
			var error = resultElement.getAttribute("error");
			if (error && error.length > 0){
				if (saveBtn){
					saveBtn.className = "BUTTON";
				}
				showModuleSaveMessage<%=suffix %>(error);
				return;
			}
			var modId = resultElement.getAttribute("modId");
			var modName = resultElement.getAttribute("modName");
			var insertItems = xmlDoc.getElementsByTagName("insertItem");
			for (var i=0; i<insertItems.length; i++){
				var parentId = insertItems[i].getAttribute("parentId");
				var itemId = insertItems[i].getAttribute("itemId");
				var itemText = insertItems[i].getAttribute("itemText");
				var image1 = insertItems[i].getAttribute("image1");
				var image2 = insertItems[i].getAttribute("image2");
				var image3 = insertItems[i].getAttribute("image3");
				var type = insertItems[i].getAttribute("type");
				if (parentId == "Module-rootModule"){
					updateRoot = true;
				}
			}
			hideNewParentFolder<%=suffix %>();
			closeParentModuleDivUponSelection<%=suffix %> = true;
			updateModuleSelectionTree<%=suffix %>(modId,modName,true);
			parentModuleId<%=suffix %> = modId;
			hideModuleSaveMessage<%=suffix %>();
		},"POST",params);
	}
	
	
	function updateModuleSelectionTree<%=suffix %>(modId,modName){
		if (<%=treeName%>){
			var parentModuleParam = "?mode=modules";
			for (i=<%=treeName%>.htmlNode.childNodes.length-1; i>=0; i--){
				<%=treeName%>.deleteItem(<%=treeName%>.htmlNode.childNodes[i].id);
			}
			var url = treeUrl<%=suffix %>;
			if (modId && modId.length > 0){
				url += "&MODULE_ID="+modId;
			}
			<%=treeName%>.loadXML(url,updateModuleSelectionTreeCallBack<%=suffix %>(modName));
		}
	}
	
	function updateModuleSelectionTreeCallBack<%=suffix %>(modName){
		var id = "";
		if (parentModuleId<%=suffix %> && parentModuleId<%=suffix %>.length > 0){
			id = "<%=XpoLogObjectTypes.MODULE_TYPE%>-" + parentModuleId<%=suffix %>;
		}
		updateParentModuleName<%=suffix %>(id,modName);
		refreshMenus();
	}
	
	function showModuleSaveMessage<%=suffix %>(message) {
		var saveLogMsgDiv = document.getElementById("saveModuleMsgDiv<%=suffix %>");
		if(saveLogMsgDiv) {
			saveLogMsgDiv.innerHTML = message;
			saveLogMsgDiv.style.display = "";
		}
	}
	
	function hideModuleSaveMessage<%=suffix %>() {
		var saveLogMsgDiv = document.getElementById("saveModuleMsgDiv<%=suffix %>");
		if(saveLogMsgDiv) {
			saveLogMsgDiv.innerHTML = "";
			saveLogMsgDiv.style.display = "none";
		}
	}
	
	function clearNewModuleName<%=suffix %>(){
		document.getElementById("newModuleName<%=suffix %>").className = 'TEXTBOX';
		clearNewModuleNameError<%=suffix %>();
	}
	
	function clearNewModuleNameError<%=suffix %>(){
		var errorElem = document.getElementById("newModuleNameErrorMsg<%=suffix %>");
		if (errorElem){
		  document.<%=formName%>.newModuleName<%=suffix %>.className = 'TEXTBOX';
		  errorElem.style.display = "none";			
		  document.getElementById("newModuleNameErrorMsgTR<%=suffix %>").style.display ="none";
		}
	}
    
</script>
 <jsp:include page="adminGeneralDiv.jsp" flush="true">
			<jsp:param name="baseDirectory" value="<%=baseDirectory%>"/> 
			<jsp:param name="title" value="<%=label %>"/> 
			<jsp:param name="suffix" value="<%=adminDivSuffix %>"/> 
			<jsp:param name="treeSuffix" value="<%=suffix %>"/> 
			<jsp:param name="includePath" value="common/selectParentModuleInner.jsp"/> 			
			<jsp:param name="width" value="500px"/> 
			<jsp:param name="height" value="<%=height%>"/>
			<jsp:param name="zIndex" value="300"/> 
			<jsp:param name="actionsNames" value="<%=actionsNames %>"/> 
			<jsp:param name="actions" value="<%=actions %>"/> 
			<jsp:param name="showSyslogModule" value="<%=showSyslogModule %>"/> 
			</jsp:include> 
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	<tr>
		<td>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<%if (showLabel){ %>
				<td style="padding-left:<%=encoder.encodeForCSS(paddingLeft)%>" width="<%=encoder.encodeForHTMLAttribute(titleColWidth)%>"><span class="REGULARTEXT"><nobr><%=encoder.encodeForHTML(label) %>:</nobr></span></td>
				<%} %>				
				<td style="padding-left:0" width="<%=encoder.encodeForHTMLAttribute(folderNameWidth)%>">
				<% if (useTextBox){ %>
				<input id="parentModuleName<%=suffix %>" type="text" size="<%=encoder.encodeForHTMLAttribute(textBoxSize)%>" value="<%=parentModuleName == null || parentModuleName.length() == 0 ? "" : encoder.encodeForHTMLAttribute(parentModuleName)%>" <%=textBoxDisabled ? "readonly" : "" %>
					<%if(!textBoxDisabled) { %> onClick="javascript:showParentModuleTree<%=encoder.encodeForJavaScript(suffix) %>()" <%} %> class="<%=textBoxDisabled ? "DISABLED_TEXTBOX" : ""%> <%=textBoxClass%>" <%if(!textBoxDisabled) { %> style="cursor:pointer;cursor:hand;" <%} %>>
				<%} else {%>
					<span class="REGULARTEXT"><b><%=parentModuleName == null || parentModuleName.length() == 0 ? "&nbsp;" : encoder.encodeForHTML(parentModuleName)%></span>				
				<%} %>
				</td>				
				<td width="*" align="left" style="padding-left:10"><div id="showParentModuleLink<%=suffix %>" <%=parentModuleName != null && parentModuleName.length() > 0 && !parentModuleName.equals(NO_FOLDERS_AVAILABLE) ? "" : "style=\"display:none\""%>><a class="BUTTON_MEDIUMLINK" href="javascript:showParentModuleTree<%=encoder.encodeForJavaScript(suffix) %>()"><%=encoder.encodeForHTML(selectLink)%></a></div></td>				
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td <%=showLabel ? "colspan=\"2\"" : ""%>>
					<div id="parentModuleErrorMsg<%=suffix %>" style="display:none;" class="ERROR_MSG">
					</div>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>


