<%@page import="java.util.Arrays"%>
<%@page import="java.util.Calendar"%>
<%@page import="xpolog.eye.util.naming.DateNameSplitter"%>
<%@page import="xpolog.eye.util.naming.LogNameExtractor"%>
<%@page import="xpolog.eye.media.plugins.PluginAccount"%>
<%@page import="xpolog.eye.plugin.PluginSubtypes"%>
<%@page import="xpolog.eye.plugin.PluginManager"%>
<%@page import="xpolog.eye.plugin.PluginKey"%>
<%@page import="xpolog.eye.util.naming.LogNamePattern"%>
<%@page import="xpolog.eye.media.netflow.NetFlowServerAccount"%>
<%@page import="xpolog.eye.template.Template"%>
<%@page import="xpolog.eye.template.TemplateManager"%>
<%@ page language="java"%>

<%@ page import="com.xpolog.logcollection.system.LogCollectionPolicy"%>
<%@ page import="com.xpolog.logcollection.system.LogCollectionSystemManager"%>
<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.data.index.adapters.defaultadapter.IndexingInfo"%>
<%@ page import="xpolog.eye.error.ErrorModel"%>
<%@ page import="xpolog.eye.media.Account"%>
<%@ page import="xpolog.eye.media.AddressBook"%>
<%@ page import="xpolog.eye.media.kafkalistener.KafkaListenerAccount"%>
<%@ page import="xpolog.eye.media.httplistener.HttpListenerAccount"%>
<%@ page import="xpolog.eye.media.httplistener.HttpListenersManager"%>
<%@ page import="xpolog.eye.media.sap.SapListenerAccount"%>
<%@ page import="xpolog.eye.media.listeners.ListenerAccountInfo"%>
<%@ page import="xpolog.eye.media.listeners.LogloudWebappListenerAccountInfo"%>
<%@ page import="xpolog.eye.media.listeners.*"%>
<%@ page import="xpolog.eye.media.listeners.ListenersManager"%>
<%@ page import="xpolog.eye.media.listeners.ListenersManagerHelper"%>
<%@ page import="xpolog.eye.media.syslog.SyslogServerAccount"%>
<%@ page import="xpolog.eye.media.xpologlistener.XpologListenerAccount"%>
<%@ page import="xpolog.eye.Module"%>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.SiteUtil"%>
<%@ page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.eye.site.UserEnvironment"%>
<%@ page import="xpolog.eye.util.cluster.ClusterUtil"%>
<%@ page import="xpolog.eye.util.naming.ColumnNamePattern"%>
<%@ page import="xpolog.eye.util.naming.ColumnNameRule"%>
<%@ page import="xpolog.eye.util.naming.JsonColumnNamePattern"%>
<%@ page import="xpolog.eye.util.XpologUtil"%>
<%@ page import="xpolog.eye.XpoLogObjectTypes"%>

<%@ page import="java.net.InetAddress"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.HashSet"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Properties"%>
<%@ page import="java.util.regex.Matcher"%>
<%@ page import="java.util.regex.Pattern"%>
<%@ page import="org.json.simple.JSONObject"%>


<%!
static final String BASE_DIRECTORY = "../../";
%>

<%

String baseDirectory = request.getParameter("baseDirectory");
if(baseDirectory == null) {
	baseDirectory = BASE_DIRECTORY;
}
UserContext userContext = UserEnvironment.getUserContext(request);
String csrfTokenField = WebSecurityManager.CSRF_TOKEN_PARAMETER;
String csrfToken = UserEnvironment.getCsrfToken(request);

String type = request.getParameter("type");
String id = request.getParameter("id");

String name = "", description = "", logName = "";

ListenerAccountInfo listenerAccountInfo = null;
Account account = null;

if(id != null && id.length() > 0) {
	account = AddressBook.getInstance().getAccountById(id);
	if(account != null) {
		name = account.getAccountName();
		description = account.getDescription();
	}
}else{
	name = ListenersManagerHelper.getDefaultListenerName(type);
	logName = ListenersManagerHelper.getDefaultListenerLogName(type);
}
String protocol = "";
boolean showTls = false;
if (type.equals(SyslogServerAccount.TYPE_SYSLOG_UDP_SERVER)){
	protocol = SyslogServerAccount.TYPE_UDP;
}else if (type.equals(SyslogServerAccount.TYPE_SYSLOG_TCP_SERVER)){
	protocol = SyslogServerAccount.TYPE_TCP;
	showTls = true;
}

boolean isSyslogAccount = type.equals(SyslogServerAccount.TYPE_SYSLOG_UDP_SERVER) || type.equals(SyslogServerAccount.TYPE_SYSLOG_TCP_SERVER);
boolean isHttpListenerAccount = type.equals(HttpListenerAccount.TYPE_HTTP_LISTENER);
boolean isSapListenerAccount = type.equals(SapListenerAccount.TYPE_SAP_LISTENER);
boolean isNetflowServerAccount = type.equals(NetFlowServerAccount.TYPE_NETFLOW_SERVER);
boolean isWebappListenerAccount = type.equals(HttpListenerAccount.TYPE_HTTP_WEBAPP_LISTENER);
boolean isXpologListenerAccount = type.equals(XpologListenerAccount.TYPE_XPOLOG_LISTENER);
boolean isKafkaListenerAccount = type.equals("kafka-listener");
boolean allowPhantomParentModule = isSyslogAccount || isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount || isXpologListenerAccount || isNetflowServerAccount || isKafkaListenerAccount;

boolean isDevModeOn = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("developmentMode", false);

String webappDomains = null;
String jsonConfiguration = null;
if (isWebappListenerAccount){
	JSONObject jsonObj = null;
	listenerAccountInfo = ListenersManager.getInstance().getListenerAccountInfo(id);
	if (listenerAccountInfo instanceof LogloudWebappListenerAccountInfo){
		LogloudWebappListenerAccountInfo logloudWebappAccountInfo = (LogloudWebappListenerAccountInfo)listenerAccountInfo;
		webappDomains = logloudWebappAccountInfo.getWebappDomains();
		jsonObj = logloudWebappAccountInfo.getWebAppConfiguration();
		if (jsonObj != null){
			jsonConfiguration = jsonObj.toJSONString();
		}
	}
	if (webappDomains == null){
		webappDomains = "*";
	}
	
	if (jsonConfiguration == null){
		jsonObj = ListenersManagerHelper.loadDefaultLogloudInitalizationJson();
		if (jsonObj != null){
			jsonConfiguration = jsonObj.toJSONString();
		}
	}
	if (jsonConfiguration == null){
		jsonConfiguration = "";
	}
}

String indexingIntervalsListStr = Configuration.getInstance().getPropertiesManager().getProperty("listeners.indexingIntervals");
String defaultIndexingInterval = Configuration.getInstance().getPropertiesManager().getProperty("listeners.defaultIndexingInterval");
String[] indexingIntervals = indexingIntervalsListStr.split(";");
String waitingTimeListStr = Configuration.getInstance().getPropertiesManager().getProperty("listeners.waitingTime","none=None;default=Default;5000=5 seconds;10000=10 seconds");
String defaultWaitingTime = Configuration.getInstance().getPropertiesManager().getProperty("listeners.defaultWaitingTime","default");
String[] waitingTimes = waitingTimeListStr.split(";");
String parentModulePath = "";//Configuration.getInstance().getPropertiesManager().getProperty("listeners.httplisteners.defaultFolderPath");
String jsonParsingLevelsListStr = Configuration.getInstance().getPropertiesManager().getProperty("listeners.httplisteners.jsonParsingLevels");
String[] jsonParsingLevels = jsonParsingLevelsListStr.split(";");
boolean showHttpXpoLogJsonKeys = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("listeners.httplisteners.showHttpXpoLogJsonKeys", false);

String uid = Configuration.getMachineNameUid();
String urlProtocol = "";
String urlServerName = "";
int urlPort = -1;
String urlContext = "/";
String url = "";


%>
<form id="accountDetailsForm" name="accountDetailsForm" style="margin:0;padding:0">
<input type="hidden" name="<%=WebSecurityManager.CSRF_TOKEN_PARAMETER %>" value="<%=csrfToken%>">
<input type="hidden" id="Id" name="Id" value="<%=id %>" />
<input type="hidden" name="MODULE_ID">
<input type="hidden" name="parentApplication" id="parentApplication">
<input type="hidden" id="protocol" name="protocol" value="<%=protocol%>">
<input type="hidden" id="listeningNodes" name="listeningNodes">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TOP_SPACER"><td>&nbsp;</td></tr>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Name:</td>
		<td><input type="text" id="Name" name="Name" value="<%=name %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Description:</td>
		<td><input type="text" id="Description" name="Description" value="<%=description %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_MIDDLE_SPACER"><td>&nbsp;</td></tr>
	<%
		String logNameJsonKey = ListenerAccount.DEFAULT_LOG_NAME_KEY;
		String logPathJsonKey = ListenerAccount.DEFAULT_LOG_PATH_KEY;
		String logTypeJsonKey = ListenerAccount.DEFAULT_LOG_TYPE_KEY;
		String logAppTagsJsonKey = ListenerAccount.DEFAULT_LOG_APP_TAGS_KEY;
		if (isSyslogAccount || isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount || isXpologListenerAccount || isNetflowServerAccount || isKafkaListenerAccount) {
			if (name == null || name.length() == 0) {
				name = "Default Syslog Server";
			}

			String host = "";
			String topics = "";
			String regTopic = "";
			String kafkaUserName = "";
			String kafkaPass = "";
			String kafkaSecurityProtocol = "SASL_PLAINTEXT";
			String kafkaAuthMechanism = "PLAIN";
            String kafkaSecurityModule = "org.apache.kafka.common.security.plain.PlainLoginModule";
            String keystoreFilePath  = "";
            String privateKeyPassword  = "";
            String truststoreFilePath  = "";
            String keystoreType  = "";
            String kafkaConsumerGroupId  = "";


			if (isKafkaListenerAccount) {
                kafkaConsumerGroupId = PluginManager.getInstance().generateNextConsumerGroupForKafka(type);
				if (account instanceof PluginAccount) {
					PluginAccount kafkaListenerAccount = (PluginAccount) account;
					host = (String) kafkaListenerAccount.getUserDataByKey("bootstrap.servers");
					topics = (String) kafkaListenerAccount.getUserDataByKey("topic");
					regTopic = (String) kafkaListenerAccount.getUserDataByKey("topic.regex");

					String kafkaUserNameTemp = (String) kafkaListenerAccount.getUserDataByKey("kafkaUserName");
					kafkaUserName = kafkaUserNameTemp== null? "" : kafkaUserNameTemp;

					String kafkaPassTemp = (String) kafkaListenerAccount.getUserDataByKey("kafkaPass");
					kafkaPass = kafkaPassTemp == null? "":kafkaPassTemp;

					String kafkaSecurityProtocolTemp = (String) kafkaListenerAccount.getUserDataByKey("kafkaSecurityProtocol");
					kafkaSecurityProtocol = kafkaSecurityProtocolTemp == null? "":kafkaSecurityProtocolTemp;

                    String kafkaAuthMechanismTemp =   (String) kafkaListenerAccount.getUserDataByKey("kafkaAuthMechanism");
                    kafkaAuthMechanism =  kafkaAuthMechanismTemp == null? "":kafkaAuthMechanismTemp;

                    String kafkaSecurityModuleTemp = (String) kafkaListenerAccount.getUserDataByKey("kafkaSecurityModule");
                    kafkaSecurityModule = kafkaSecurityModuleTemp == null? "":kafkaSecurityModuleTemp;


                    String keystoreFilePathTemp = (String) kafkaListenerAccount.getUserDataByKey("keystoreFilePath");
                    keystoreFilePath = keystoreFilePathTemp == null? "":keystoreFilePathTemp;

                    String privateKeyPasswordTemp = (String) kafkaListenerAccount.getUserDataByKey("privateKeyPassword");
                    privateKeyPassword = privateKeyPasswordTemp == null? "":privateKeyPasswordTemp;

                    String truststoreFilePathTemp = (String) kafkaListenerAccount.getUserDataByKey("truststoreFilePath");
                    truststoreFilePath = truststoreFilePathTemp == null? "":truststoreFilePathTemp;

                    String keystoreTypeTemp = (String) kafkaListenerAccount.getUserDataByKey("keystoreType");
                    keystoreType = keystoreTypeTemp == null? "":keystoreTypeTemp;


                    String kafkaConsumerGroupIdTemp = (String) kafkaListenerAccount.getUserDataByKey("kafkaConsumerGroupId");
                    kafkaConsumerGroupId = kafkaConsumerGroupIdTemp == null? "":kafkaConsumerGroupIdTemp;
				}
			}

			String listeningNode = "";
			String indexingNode = "";
			String ipAddress = null;
			String[] ipAddresses = null;
			int port = SyslogServerAccount.getDefaultPort(type);
			if (isNetflowServerAccount) {
				port = Configuration.getInstance().getPropertiesManager().getPropertyAsInt("listeners.netflow.defaultPort", port);
			}
			String listenerAccountToken = null;
			String httpLoggingLevel = "";
			String xplgAccountId = "";
			String displayLocationsDiv = "none";
			int locationsCntr = 1;
			String locationsPathsStr = ListenersManagerHelper.getDefaultListenerPersistencyPath(type);
			String indexingInterval = defaultIndexingInterval;
			String waitingTime = defaultWaitingTime;
			String parentModuleId = "";
			String parentModuleName = "";
			String logCollectionPolicyId = LogCollectionPolicy.DEFAULT_LOG_COLLECTION_POLICY_ID;
			String appIdsStr = "";
			boolean splitByServers = false;
			boolean splitByRegex = false;
			boolean splitByDate = false;
			boolean splitByTopic = false;
			boolean splitByProdHost = false;
			ColumnNamePattern serverColumnNamePattern = null;
			JsonColumnNamePattern jsonColumnNamePattern = null;
			String serverColumnNameRules = null;
			String splitByRegexRule = null;
			int splitByDateTimeInterval = -1;
			String splitByFacilitiesChecked = "";
			String splitByJsonKeys = "";
			String messageJsonKey = ListenerAccount.DEFAULT_MESSAGE_KEY;
			boolean enabled = true;
			boolean useTls = false;
			HashSet<String> listeningNodes = new HashSet<String>();
			int jsonParsingLevel = 1;
			List<String> allowedMatersAndProcessors = Configuration.getInstance().getAllowedMatersAndProcessors();
			List<Template> templatesNames = new ArrayList<Template>();
			String selectedTemplatedId = null;
			ListenerAccount listenerAccount = null;
			// Templates
			TemplateManager mngr = new TemplateManager();
			Template[] userTemplates = mngr.getAllUserTemplates(userContext);
			Template[] systemTemplates = mngr.getAllSystemTemplates(userContext);
			templatesNames.addAll(Arrays.asList(userTemplates));
			templatesNames.addAll(Arrays.asList(systemTemplates));
			if (account instanceof ListenerAccount || account instanceof PluginAccount) {
				listenerAccount = (ListenerAccount) account;
				
				selectedTemplatedId =listenerAccount.getTemplateId();
				// 

				listeningNode = listenerAccount.getAssignedNode();
				if (listeningNode == null) {
					listeningNode = "";
				}
				if (listeningNode.length() > 0) {
					listeningNodes.add(listeningNode);
				}

				if (account instanceof PluginListenerAccount){
    				PluginListenerAccount pluginAccount = (PluginListenerAccount)account;
				    String[] listeningNodesArr = pluginAccount.getListeningNodes();
                    if (listeningNodesArr != null) {
                        listeningNodes.clear();
                        for (int i = 0; i < listeningNodesArr.length; i++) {
                            if (i == 0) {
                                listeningNode = listeningNodesArr[i];
                            }
                            listeningNodes.add(listeningNodesArr[i]);

                        }
                    }
                 }
				indexingNode = listenerAccount.getProcessingNode();
				ipAddress = listenerAccount.getIpAddress();
				port = listenerAccount.getPort();
				locationsPathsStr = listenerAccount.getPersistencyPath();
				if (locationsPathsStr == null) {
					locationsPathsStr = "${xpolog.root.path}logs/" + type;
				}
				indexingInterval = listenerAccount.getIndexingInterval();
				parentModuleId = listenerAccount.getParentFolder();
				waitingTime = listenerAccount.getMultiLineWaitingTime();
				if (waitingTime == null){
				    waitingTime = defaultWaitingTime;
				}
				logCollectionPolicyId = listenerAccount.getCollectionPolicy();
				appIdsStr = listenerAccount.getAppTags();
				if (listenerAccount instanceof PluginAccount) {
					PluginAccount pluginAccount = (PluginAccount) listenerAccount;
					if (pluginAccount.getUserData() != null) {
						if (pluginAccount.getUserData().containsKey("split.column")) {
							if ("prod.host".equals((String ) pluginAccount.getUserData().get("split.column"))) {
								splitByProdHost = true;
							} else if("topic".equals((String ) pluginAccount.getUserData().get("split.column"))) {
								splitByTopic = true;
							}
						}
					}
				}
				if (listenerAccount instanceof SyslogServerAccount) {
                	SyslogServerAccount syslogAccount = (SyslogServerAccount) listenerAccount;
                	useTls = syslogAccount.isUseTls();
                }
				if (isSyslogAccount || isKafkaListenerAccount || isNetflowServerAccount) {
					serverColumnNamePattern = listenerAccount.getColumnNamePattern(ListenersManager.SYSLOG_LOG_REMOTE_SERVER_COLUMN_NAME);
					if (serverColumnNamePattern != null) {
						splitByServers = true;
					} else if ((serverColumnNamePattern = listenerAccount.getColumnNamePattern(ListenersManager.SYSLOG_LOG_MESSAGE_COLUMN_NAME)) != null) {
						splitByRegex = true; //TODO: ONLY SYSLOG!!! *****

					}
					if (!listenerAccount.isUsingColumnName(ListenersManager.SYSLOG_LOG_FACILITY_COLUMN_NAME)) {
						splitByFacilitiesChecked = "";
					} else {
						splitByFacilitiesChecked = "checked";
					}
				}
				if (isHttpListenerAccount || isSapListenerAccount) {
					//split by servers
					serverColumnNamePattern = listenerAccount.getColumnNamePattern(ListenersManager.HTTP_LISTENER_LOG_REMOTE_SERVER_COLUMN_NAME);
					if (serverColumnNamePattern != null) {
						splitByServers = true;
					}
					//split by json keys
					jsonColumnNamePattern = (JsonColumnNamePattern) listenerAccount.getColumnNamePatternByType(LogNamePattern.TYPE_GENERAL_SPLIT_TYPE);
					if (jsonColumnNamePattern == null) {
						//backwards compatibility
						jsonColumnNamePattern = (JsonColumnNamePattern) listenerAccount.getColumnNamePatternByTypeAndColumnName(ColumnNamePattern.TYPE_LOG_NAME, ListenersManager.HTTP_LISTENER_LOG_MESSAGE_COLUMN_NAME);
						if (jsonColumnNamePattern != null) {
							splitByJsonKeys = jsonColumnNamePattern.getJsonKeysString();
							if (splitByJsonKeys != null && splitByJsonKeys.indexOf("->") == -1) {
								jsonColumnNamePattern = null;
								splitByJsonKeys = "";
							}
						}
					}
					if (jsonColumnNamePattern != null) {
						splitByJsonKeys = jsonColumnNamePattern.getJsonKeysString();
					}
					if (splitByJsonKeys == null) {
						splitByJsonKeys = "";
					}
					//log type
					jsonColumnNamePattern = (JsonColumnNamePattern) listenerAccount.getColumnNamePatternByType(ColumnNamePattern.TYPE_LOG_TYPE);
					if (jsonColumnNamePattern != null) {
						logTypeJsonKey = jsonColumnNamePattern.getJsonKeysString();
						if (logTypeJsonKey == null) {
							logTypeJsonKey = "";
						}
					} else {
						logTypeJsonKey = "";
					}
					//log app tags
					jsonColumnNamePattern = (JsonColumnNamePattern) listenerAccount.getColumnNamePatternByType(ColumnNamePattern.TYPE_LOG_APP_TAGS);
					if (jsonColumnNamePattern != null) {
						logAppTagsJsonKey = jsonColumnNamePattern.getJsonKeysString();
						if (logAppTagsJsonKey == null) {
							logAppTagsJsonKey = "";
						}
					}
					//message column
					jsonColumnNamePattern = (JsonColumnNamePattern) listenerAccount.getColumnNamePatternByType(ColumnNamePattern.TYPE_MESSAGE);
					if (jsonColumnNamePattern != null) {
						messageJsonKey = jsonColumnNamePattern.getJsonKeysString();
						if (messageJsonKey == null) {
							messageJsonKey = "";
						}
					} else {
						messageJsonKey = "";
					}
				}
				if (serverColumnNamePattern != null) {
					if (serverColumnNamePattern.getColumnName().equals(ListenersManager.SYSLOG_LOG_MESSAGE_COLUMN_NAME)) {
						splitByRegexRule = serverColumnNamePattern.getColumnNameRules();
					} else if (serverColumnNamePattern.getColumnName().equals(ListenersManager.SYSLOG_LOG_REMOTE_SERVER_COLUMN_NAME)) {
						serverColumnNameRules = serverColumnNamePattern.getColumnNameRules();
					} else  if ((isHttpListenerAccount || isSapListenerAccount) && serverColumnNamePattern.getColumnName().equals(ListenersManager.HTTP_LISTENER_LOG_REMOTE_SERVER_COLUMN_NAME)) {
						serverColumnNameRules = serverColumnNamePattern.getColumnNameRules();
					}
				} else if (isKafkaListenerAccount){
					serverColumnNamePattern = listenerAccount.getColumnNamePattern("Host");
					if (serverColumnNamePattern != null) {
						splitByServers = true;
						if (serverColumnNamePattern.getColumnNameRules() != null) {
							serverColumnNameRules = serverColumnNamePattern.getColumnNameRules();
						}
					}
				}
				logName = listenerAccount.getLogName();
				if (logName == null) {
					logName = "";
				}
				enabled = listenerAccount.isEnabled();
			}
			if (account instanceof HttpListenerAccount) {
				urlProtocol = request.getProtocol();
				if (urlProtocol.toLowerCase().startsWith("https")) {
					urlProtocol = "https://";
				} else {
					urlProtocol = "http://";
				}
				urlPort = request.getServerPort();
				urlContext = SiteUtil.getBaseDirectory(request);
				HttpListenerAccount httpListenerAccount = (HttpListenerAccount) account;
				listenerAccountToken = httpListenerAccount.getToken();
				String[] listeningNodesArr = httpListenerAccount.getListeningNodes();
				if (listeningNodesArr != null) {
					listeningNodes.clear();
					for (int i = 0; i < listeningNodesArr.length; i++) {
						if (i == 0) {
							listeningNode = listeningNodesArr[i];
						}
						listeningNodes.add(listeningNodesArr[i]);
						if (!Configuration.getInstance().isCluster() || (uid != null && listeningNodesArr[i].equals(uid))) {
							InetAddress[] ips = Configuration.getCurrentNodeAddreses();
							if (ips != null && ips.length > 0) {
								urlServerName = ips[0].getHostAddress();
								url = urlProtocol + urlServerName + (urlPort != -1 ? ":" + urlPort : "") + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
							}
						} else if (Configuration.getInstance().isCluster() && (uid != null && !listeningNodesArr[i].equals(uid))) {
							Properties properties = ClusterUtil.getInstancePropertiesFromDump(listeningNode);
							if (properties != null) {
								String xpologHostIps = properties.getProperty("xpolog.host.ips");
								if (xpologHostIps != null) {
									String[] ips = xpologHostIps.split(";");
									if (ips != null && ips.length > 0) {
										urlServerName = ips[0];
										String hostPort = "[" + listeningNodesArr[i] + "_PORT]";
										String xpologHostPorts = properties.getProperty("xpolog.host.ports");
										if (xpologHostPorts != null && xpologHostPorts.length() > 0) {
											int index = xpologHostPorts.indexOf(";");
											if (index != -1) {
												hostPort = xpologHostPorts.substring(0, index);
											} else {
												hostPort = xpologHostPorts;
											}
										}
										if (i == 0 && !listeningNodesArr[i].equalsIgnoreCase("all")) {
											url = urlProtocol + urlServerName + ":" + hostPort + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
										} else {
											url = urlProtocol + "[SERVER_IP]:[SERVER_PORT]" + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
										}
									}
								}
							}
						}
					}
				} else if (!Configuration.getInstance().isCluster()) {
					InetAddress[] ips = Configuration.getCurrentNodeAddreses();
					if (ips != null && ips.length > 0) {
						urlServerName = ips[0].getHostAddress();
						url = urlProtocol + urlServerName + (urlPort != -1 ? ":" + urlPort : "") + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
					}
				} else {//all
					url = urlProtocol + "[SERVER_IP]:[SERVER_PORT]" + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
				}
				httpLoggingLevel = httpListenerAccount.getLoggingLevel();
				jsonParsingLevel = httpListenerAccount.getJsonParsingLevel();
			}
			if (account instanceof XpologListenerAccount) {
				XpologListenerAccount xpologListenerAccount = (XpologListenerAccount) account;
				listenerAccountToken = xpologListenerAccount.getToken();
			} else if (listenerAccount != null){ 
				//split by date 
				LogNameExtractor logNameExtractor = listenerAccount.getLogNameExtractor();
				if (logNameExtractor != null) {
					List<LogNamePattern> dateNamesSplitters = logNameExtractor.getLogNamePatternsList(LogNamePattern.TYPE_LOG_NAME);
					if (dateNamesSplitters != null) {
						for (LogNamePattern logNamePattern : dateNamesSplitters) {
						if (logNamePattern instanceof DateNameSplitter) {
							DateNameSplitter dateNameSplitter = (DateNameSplitter) logNamePattern;
							splitByDateTimeInterval = dateNameSplitter.getDateType();
							splitByDate = true;
						}
							
						}
					}
				}
			}
			if (parentModuleId == null || parentModuleId.length() == 0) {
				if (isSyslogAccount) {
					parentModuleId = Module.ROOT_SYSLOGS_MODULE_ID;
					parentModuleName = Module.ROOT_SYSLOGS_MODULE_NAME;
					parentModulePath = "Root";
				} else if (isHttpListenerAccount) {
					parentModuleId = Module.ROOT_HTTP_LISTENERS_MODULE_ID;
					parentModuleName = Module.ROOT_HTTP_LISTENERS_MODULE_NAME;
					parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.httplisteners.defaultFolderPath");
				} else if (isSapListenerAccount) {
                    parentModuleId = Module.ROOT_SAP_LISTENERS_MODULE_ID;
                    parentModuleName = Module.ROOT_SAP_LISTENERS_MODULE_NAME;
                    parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.saplisteners.defaultFolderPath", "Root");
                } else if (isWebappListenerAccount) {
					parentModuleId = "";
					parentModuleName = name;
					parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.logloud.defaultFolderPath");
				} else if (isXpologListenerAccount) {
					parentModuleId = Module.ROOT_XPOLOG_LISTENERS_MODULE_ID;
					parentModuleName = Module.ROOT_XPOLOG_LISTENERS_MODULE_NAME;
					parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.xpologlisteners.defaultFolderPath");
				} else if (isNetflowServerAccount) {
					parentModuleId = Module.ROOT_NETFLOW_MODULE_ID;
					parentModuleName = Module.ROOT_NETFLOW_MODULE_NAME;
					parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.netflow.defaultFolderPath", "Root");
 				} else if (isKafkaListenerAccount) {
					parentModuleId = "kafkaModule";
					parentModuleName = "Kafka Logs";
					parentModulePath = Configuration.getInstance().getPropertiesManager().getProperty("listeners.kafka.defaultFolderPath", "Root");
				}
				if (parentModulePath == null) {
					parentModulePath = "";
				}
			}
			if (listenerAccountToken == null) {
				listenerAccountToken = ListenersManagerHelper.generateToken();
				if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount) {
					urlProtocol = request.getProtocol();
					if (urlProtocol.toLowerCase().startsWith("https")) {
						urlProtocol = "https://";
					} else {
						urlProtocol = "http://";
					}
					urlPort = request.getServerPort();
					urlContext = SiteUtil.getBaseDirectory(request);
					String nodeId = null;
					if (allowedMatersAndProcessors != null && allowedMatersAndProcessors.size() > 0) {
						nodeId = allowedMatersAndProcessors.get(0);
					}
					if (!Configuration.getInstance().isCluster() || (uid != null && nodeId != null && nodeId.equals(uid))) {
						InetAddress[] ips = Configuration.getCurrentNodeAddreses();
						if (ips != null && ips.length > 0) {
							urlServerName = ips[0].getHostAddress();
							url = urlProtocol + urlServerName + (urlPort != -1 ? ":" + urlPort : "") + urlContext + "api/logger.jsp?token=" + listenerAccountToken;
						}
					}
				}
			}

			Properties properties = null;
			if (!Configuration.getInstance().isCluster() || (uid != null && listeningNode != null && listeningNode.equals(uid))) {
				properties = new Properties();
				InetAddress[] inetAddresses = Configuration.getCurrentNodeAddreses();
				if (inetAddresses != null) {
					StringBuilder sb = new StringBuilder();
					HashSet<String> addresses = new HashSet<String>();
					for (int i = 0; i < inetAddresses.length; i++) {
						String address = inetAddresses[i].getHostAddress();
						if (!addresses.contains(address)) {
							if (sb.length() > 0) {
								sb.append(";");
							}
							sb.append(address);
							addresses.add(address);
						}
					}
					properties.setProperty("xpolog.host.ips", sb.toString());
				}
			} else if (listeningNode != null && listeningNode.length() > 0) {
				properties = ClusterUtil.getInstancePropertiesFromDump(listeningNode);
			}
			if (properties != null) {
				String xpologHostIps = properties.getProperty("xpolog.host.ips");
				if (xpologHostIps != null) {
					List ipsList = new ArrayList();
					Pattern pattern = Pattern.compile("\\d+\\.\\d+\\.\\d+\\.\\d+");
					String[] ips = xpologHostIps.split(";");
					StringBuffer sb = new StringBuffer();
					for (int i = 0; i < ips.length; i++) {
						Matcher m = pattern.matcher(ips[i]);
						if (!m.matches()) {
							continue;
						}
						ipsList.add(ips[i]);
					}
					ipAddresses = (String[]) ipsList.toArray(new String[ipsList.size()]);
				}
			}

			boolean hasAssignedNode = listeningNode != null && Configuration.getInstance().isAllowedMasterOrProcessor(listeningNode, true);
			if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount || isKafkaListenerAccount) {
				Iterator<String> it = listeningNodes.iterator();
				while (it.hasNext()) {
					String node = it.next();
					if (node != null && Configuration.getInstance().isAllowedMasterOrProcessor(node, true)) {
						hasAssignedNode = true;
						break;
					}

				}
				
				if (listeningNodes.isEmpty() && !isKafkaListenerAccount){
					listeningNodes.add("all");
				}
			}

			String assignedNodeDescription = request.getParameter("assignedNodeDescription");
			if (assignedNodeDescription == null || assignedNodeDescription.trim().length() == 0) {
				assignedNodeDescription = "Select the XpoLog instance running the Syslog server";
			}
			String listeningNodesComboDesc = "--- Select Listening Node ---";
			String multiple = "";
			if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount || isKafkaListenerAccount) {
				listeningNodesComboDesc = "--- Select Listening Nodes ---";
				multiple = " multiple";
			}

			boolean allowNewApplication = true;
			if (userContext != null && !userContext.isHavePermission(ActionsPermissionConstants.DataSupportPermissions.METADATA_PERMISSION)) {
				allowNewApplication = false;
			}

			if (!isWebappListenerAccount && Configuration.getInstance().isCluster() && allowedMatersAndProcessors != null && allowedMatersAndProcessors.size() > 0) {
				String masterName = "";
				try {
					masterName = Configuration.getMasterName();
				} catch (Exception e) {
					ErrorModel.log.error("failed to get master name", e);
				}
	%>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW" style="padding-top:5px">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Listening Node:</td>
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 0px;">
			<select<%=multiple %> id="listeningNode" name="listeningNode" style="width:245px" class="REGULARTEXT INPUT_NO_MARGIN" >
				<%if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount) {%>
				<option value="all" <%=listeningNodes.contains("all") ? "selected" : ""%>>All</option>
				<%}
				
					for(int i = 0; i < allowedMatersAndProcessors.size(); i++) {
						String nodeId = allowedMatersAndProcessors.get(i);
						String selectedStr = hasAssignedNode && listeningNodes.contains(nodeId) ? "selected" : "";
						if (selectedStr.length() == 0 && listeningNodes.size() == 0 && masterName != null && masterName.equals(nodeId)){
							selectedStr = "selected";
						}
						String masterNameSuffix = masterName != null && masterName.equals(nodeId) ? " (Master)" : "";
				%>
				<option value="<%=nodeId %>" <%=selectedStr %>><%=nodeId + masterNameSuffix %></option>
				<%}%>
			</select>
		</td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<%}%>
	<%if (isKafkaListenerAccount){ %>
		<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
			<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Host:</td>
			<td><input type="text" id="host" name="host" value="<%=host%>"
				class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
			<td style="width: 115px">&nbsp;</td>
		</tr>
		<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
			<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">
				<input value="reguTopic" type="radio" id="rbTopic" name="rbTopic" <%= (topics != null && topics.length() > 0) || (regTopic != null && regTopic.length() == 0) ? "checked=checked" : ""%> value="reguTopic" />Topics:
			</td>
			<td>
				<input type="text" id="topics" name="topics" value="<%=topics == null ? "" : topics%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" 
				<%= (topics != null && topics.length() > 0) || (regTopic != null && regTopic.length() == 0) ? "" : "disabled=disabled"%>/>
				<br><span class="SMALLTEXT">List of topics Kafka Listener will subscribe to (comma separated)</span>
				</td>
			<td style="width: 115px">&nbsp;</td>
			<input hidden="true" id="pluginId" name="pluginId" value="kafka"/>
		</tr>
		<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
			<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">
				<input type="radio" id="rbTopic" name="rbTopic" <%= regTopic != null && regTopic.length() > 0 ? "checked=checked" : ""%> value="regexTopic" />Regex Topic:
		    </td>
			<td><input type="text" id="regTopic" name="regTopic" value="<%=regTopic == null ? "" : regTopic%>"
				class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" <%= regTopic != null && regTopic.length() > 0 ? "" : "disabled=disabled"%>/></td>
			<td style="width: 115px">&nbsp;</td>
			<input hidden="true" id="pluginId" name="pluginId" value="kafka"/>
		</tr>

	<% } %>
	<%if (isSyslogAccount || isNetflowServerAccount){ %>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Port:</td>
		<td><input type="text" id="port" name="port" value="<%=port == 0 ? "" : String.valueOf(port) %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<%}else if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount || isXpologListenerAccount){ %>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="vertical-align: bottom;">Token:</td>
		<td style="vertical-align: bottom;"><input type="text" id="listenerAccountToken" name="listenerAccountToken" value="<%=listenerAccountToken %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" onChange="javascript:updateURL()"/></td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<%} %>
	<%if (isHttpListenerAccount || isSapListenerAccount || isWebappListenerAccount){ %>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="vertical-align:top;padding-top:10px">URL:</td>
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_SUMMARY" style="vertical-align:top;padding-left:0px;padding-top:10px">
		<div style="border: 1px solid">
		<span class="url"><%=url %></span>
		</div>
		</td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<%}%>
	
	<%if (isWebappListenerAccount){ %>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Application Domains:</td>
		<td><input type="text" id="webappDomains" name="webappDomains" value="<%=webappDomains %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" />
		<br><span class="SMALLTEXT"> (example: xpolog.com, *.xpolog.com, xpolog.com/logeye/*)</span>
		</td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-top:5px">Json Configuration:</td>
		<td style="padding-top:5px"><textarea id="jsonConfiguration" name="jsonConfiguration" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" rows="10" cols="50"><%=jsonConfiguration %></textarea></td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<%}%>
	
	
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
		<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL LISTENERS_ADMIN_TABLE_CELL_LINK" style="padding-top:10">
		<a href="javascript:toggleAdvancedSettingsDiv()">Advanced Settings</a>
		</td>
		<td>&nbsp;</td>
		<td style="width:115px">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3">
			<div id="listenersAdvanced" style="display:none">
			<table border="0">
				<tr>
					<td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">General Information</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				
				<%if(isWebappListenerAccount && Configuration.getInstance().isCluster() && allowedMatersAndProcessors != null && allowedMatersAndProcessors.size() > 0) {
				String masterName = "";
				try {
					masterName = Configuration.getMasterName();     
				}catch (Exception e){
					ErrorModel.log.error("failed to get master name", e); 
				}%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Listening Node:</td>
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 0px;">
						<select<%=multiple %> id="listeningNode" name="listeningNode" style="width:245px" class="REGULARTEXT INPUT_NO_MARGIN">
							<option value="<%=Configuration.ALL_NODES%>">All</option>
							<%
								for(int i = 0; i < allowedMatersAndProcessors.size(); i++) {
									String nodeId = allowedMatersAndProcessors.get(i);
									String selectedStr = hasAssignedNode && listeningNodes.contains(nodeId) ? "selected" : "";
									if (selectedStr.length() == 0 && listeningNodes.size() == 0 && masterName != null && masterName.equals(nodeId)){
										selectedStr = "selected";
									}
									String masterNameSuffix = masterName != null && masterName.equals(nodeId) ? " (Master)" : "";
							%>
							<option value="<%=nodeId %>" <%=selectedStr %>><%=nodeId + masterNameSuffix %></option>
							<%}%>
						</select>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%}%>


				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Enabled:</td>
					<td style="text-align: left"><input type="checkbox" id="enabled" name="enabled" value="true" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_CHECKBOX" <%=enabled ? "checked" : ""%>/></td>
					<td style="width:115px">&nbsp;</td>
				</tr>

				<%if (isKafkaListenerAccount) {%>
                        <tr>
                            <td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">Security Details</td>
                            <td style="width:115px">&nbsp;</td>
                        </tr>

                        <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">User Name:</td>
                            <td><input type="text" id="kafkaUserName" name="kafkaUserName" value="<%=kafkaUserName %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                            <td style="width:115px">&nbsp;</td>
                        </tr>


                        <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Password:</td>
                            <td><input type="password" id="kafkaPass" name="kafkaPass" value="<%=kafkaPass %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                            <td style="width:115px">&nbsp;</td>
                        </tr>

                        <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Auth Mechanism:</td>
                            <td><input type="text" id="kafkaAuthMechanism" name="kafkaAuthMechanism" value="<%=kafkaAuthMechanism %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                            <td style="width:115px">&nbsp;</td>
                        </tr>
                        <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Security Protocol:</td>
                            <td><input type="text" id="kafkaSecurityProtocol" name="kafkaSecurityProtocol"  value="<%=kafkaSecurityProtocol %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                            <td style="width:115px">&nbsp;</td>
                        </tr>
                      <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                          <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Security Module:</td>
                          <td><input type="text" id="kafkaSecurityModule" name="kafkaSecurityModule" value="<%=kafkaSecurityModule %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                          <td style="width:115px">&nbsp;</td>
                      </tr>

                      <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                          <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Keystore File Path:</td>
                          <td><input type="text" id="keystoreFilePath" name="keystoreFilePath" value="<%=keystoreFilePath %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" />
                            <br><span class="SMALLTEXT">Certificate file containing private key in PEM format</span></td>
                          <td style="width:115px">&nbsp;</td>
                      </tr>
                      <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                          <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Keystore Password:</td>
                          <td><input type="password" id="privateKeyPassword" name="privateKeyPassword" value="<%=privateKeyPassword %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" />
                            <br><span class="SMALLTEXT">Private key password needed if private key is encrypted (optional)</span></td>
                          <td style="width:115px">&nbsp;</td>
                      </tr>
                      <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Keystore Type:</td>
                            <td><input type="text" id="keystoreType" name="keystoreType" value="<%=keystoreType %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" />
                                <br><span class="SMALLTEXT">Keystore and Truststore files format</span></td>
                            <td style="width:115px">&nbsp;</td>
                      </tr>
                      <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                            <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Truststore File Path:</td>
                            <td><input type="text" id="truststoreFilePath" name="truststoreFilePath" value="<%=truststoreFilePath %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" />
                                <br><span class="SMALLTEXT">Root certificate file name</span></td>
                            <td style="width:115px">&nbsp;</td>
                      </tr>
                    <tr>
                        <td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">Advanced Kafka Details</td>
                        <td style="width:115px">&nbsp;</td>
                    </tr>

                    <tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                          <td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Consumer Group Id:</td>
                          <td><input type="text" id="kafkaConsumerGroupId" name="kafkaConsumerGroupId" value="<%=kafkaConsumerGroupId %>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
                          <td style="width:115px">&nbsp;</td>
                    </tr>
                                <%-- KAFKA PROP INSERT HERE --%>
				<%}%>           <%--end of kafka security --%>




				<%if (showTls){%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">TLS:</td>
                					<td style="text-align: left"><input type="checkbox" id="enabled" name="useTls" value="true" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_CHECKBOX" <%=useTls ? "checked" : ""%>/></td>
                					<td style="width:115px">&nbsp;</td>
                				</tr>
                <%}%>
				<%if (isSyslogAccount) {%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
						<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Listening Interface:</td>
						<td><select id="listeningNodeAddress" name="listeningNodeAddress" size="1" style="width:120px;margin-top:0px" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_CHECKBOX REGULARTEXT INPUT_NO_MARGIN">
							<option value="all">All</option>
							<%
								for(int i = 0; ipAddresses != null && i < ipAddresses.length; i++) {
									String ip = ipAddresses[i];
									String selectedStr = ipAddress != null && ipAddress.equals(ip) ? "selected" : "";
							%>
							<option value="<%=ip %>" <%=selectedStr %>><%=ip %></option>
							<%}%>
						</select>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%}%>
				<%if (isWebappListenerAccount){
					String[] levels = HttpListenersManager.LOGGING_LEVELS;
				%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
						<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Logging Level:</td>
						<td><select id="loggingLevel" name="loggingLevel" size="1" style="width:120px;margin-top:0px" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_CHECKBOX REGULARTEXT INPUT_NO_MARGIN">
							<%
								for(int i = 0; levels != null && i < levels.length; i++) {
									String loggingLevel = levels[i];
									String selectedStr = loggingLevel != null && httpLoggingLevel.equals(loggingLevel) ? "selected" : "";
							%>
							<option value="<%=loggingLevel %>" <%=selectedStr %>><%=loggingLevel %></option>
							<%}%>
						</select>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%} %>
				<tr>
					<td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">Dynamic Log Creation Configuration</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Parent Folder:</td>
					<td>
						<jsp:include page="../../common/selectParentModule.jsp" flush="true">
						<jsp:param name="baseDirectory" value="<%=baseDirectory%>" />
						<jsp:param name="PARENT_MODULE_ID" value="<%=parentModuleId%>" />
						<jsp:param name="PARENT_MODULE_NAME" value="<%=parentModuleName%>" />
						<jsp:param name="PARENT_MODULE_PATH" value="<%=parentModulePath%>"/>
						<jsp:param name="formName" value="accountDetailsForm" />
						<jsp:param name="showLabel" value="false" />
						<jsp:param name="allowNewFolder" value="true" />
						<jsp:param name="folderNameWidth" value="15" />
						<jsp:param name="titleColWidth" value="10%" />
						<jsp:param name="textBoxClass" value="INPUT_NO_MARGIN"/>
						<jsp:param name="allowPhantomParentModule" value="<%=allowPhantomParentModule %>"/>
						</jsp:include>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr>
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Collection Policy:</td>
					<td>
						<jsp:include page="../../common/selectLogCollectionPolicy.jsp" flush="true">
							<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
							<jsp:param name="titleColWidth" value="140" />
							<jsp:param name="comboOnly" value="true" />
							<jsp:param name="logCollectionPolicyId" value="<%=logCollectionPolicyId %>" />
							<jsp:param name="textBoxClass" value="INPUT_NO_MARGIN"/>
						</jsp:include>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				
				<tr>
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">AppTags:</td>
					<td>
						<jsp:include page="../../common/selectParentApplication.jsp" flush="true">
							<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
							<jsp:param name="OBJECT_TYPE" value="<%=XpoLogObjectTypes.LOG_TYPE%>" />
							<jsp:param name="OBJECT_ID" value="<%=id%>" />
							<jsp:param name="APPLICATIONS_IDS" value="<%=appIdsStr%>" />																																																						
							<jsp:param name="paddingLeft" value="40px" />
							<jsp:param name="titleColWidth" value="150" />
							<jsp:param name="useTextBox" value="true" />
							<jsp:param name="textBoxSize" value="40" />		
							<jsp:param name="allowNewApplication" value="<%=allowNewApplication %>" />	
							<jsp:param name="hideAppTagsHeader" value="true" />
						</jsp:include>
					</td>																															 			                   						 			                   						 			                   
					<td style="width:115px">&nbsp;</td>
				</tr>
				
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Log Name Prefix:</td>
					<td><input type="text" id="logName" name="logName" value="<%=logName%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT" /></td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%if (isSyslogAccount || isHttpListenerAccount || isSapListenerAccount || isNetflowServerAccount || isKafkaListenerAccount) {
				%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Split by Source Device:</td>
					<td style="text-align: left">
					<select id="splitByServers" name="splitByServers" onChange="javascript:toggleSplitByServersMasks()">
						<option value="none">Do not split (default)</option>
						<option value="splitByIp" <%=splitByServers && serverColumnNameRules == null ? "selected" : "" %>>Create log by unique IP / host name</option>
						<option value="splitByMask" <%=splitByServers && serverColumnNameRules != null ? "selected" : "" %>>Create log by IP mask</option>
						<%if (isKafkaListenerAccount) { %>
							<option value="splitByTopic" <%=splitByTopic ? "selected" : "" %>>Split by Topic</option>
<%-- 							<option value="splitByProdHost" <%=splitByProdHost ? "selected" : "" %>>Split by Producer's Host</option> --%>
						<% }%> 
						<%if (isKafkaListenerAccount || isSyslogAccount) { %>
							<option value="splitByRegexp" <%=splitByRegex ? "selected" : "" %>>Create log with Regular expression</option>
						<% }%> 
						<%if (isSyslogAccount) { %>
						<option value="splitByDate" <%=splitByDate ? "selected" : "" %>>Split log by time</option>
						<% }%> 
					</select>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="3">
						<div id="splitByServersMasksDiv" <%=splitByServers && serverColumnNameRules != null ? "" : "style=\"display:none\""%>>
							<table>
								<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
									<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 52px;">Servers Masks Rules:</td>
									<td style="text-align: left">
									<input type="text" id="serversMasksRules" name="serversMasksRules" value="<%=serverColumnNameRules != null ? serverColumnNameRules : ""%>" size="">
									<br><span class="SMALLTEXT">Enter comma separated pairs of masks and log names, for example: 10.*.*.*=LAN1,127.0.0.*=LAN2</span>									
									</td>
									<td style="width:115px">&nbsp;</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="3">
						<div id="splitByRegexDiv" <%=splitByRegex ? "" : "style=\"display:none\""%>>
							<table>
								<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
									<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 52px;">Regular Expression:</td>
									<td style="text-align: left">
									<input type="text" id="serversRegexRules" name="serversRegexRules" value="<%=splitByRegexRule != null ? splitByRegexRule : ""%>" size="">
									<br><span class="SMALLTEXT">Enter regular expression to be applied on the 'Message' column of the syslog</span>									
									</td>
									<td style="width:115px">&nbsp;</td>
								</tr>
							</table>
						</div>
						</td>
						</tr>
						<%if (isSyslogAccount || isNetflowServerAccount) {%>
						<tr>
						<td colspan="3">
							<div id="splitByDateDiv" <%=splitByDate ? "" : "style=\"display:none\""%>>
								<table>
									<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
										<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 52px;">Log split interval time:</td>
										<td style="text-align: left">
										<select id="serversTimeInterval" name="serversTimeInterval" value="<%=splitByDateTimeInterval != -1 ? splitByDateTimeInterval : ""%>" size="">
										<%if (isDevModeOn) {%>
											<option value=<%=Calendar.MINUTE%> <%=splitByDateTimeInterval == Calendar.MINUTE ? "selected" : "" %>>Minute</option>
										<%} %>
											<option value=<%=Calendar.HOUR_OF_DAY%> <%=splitByDateTimeInterval == Calendar.HOUR ? "selected" : "" %>>Hour</option>
											<option value=<%=Calendar.DAY_OF_MONTH%> <%=splitByDateTimeInterval == Calendar.DAY_OF_MONTH ? "selected" : "" %>>Day</option>
											<option value=<%=Calendar.MONTH%> <%=splitByDateTimeInterval == Calendar.MONTH ? "selected" : "" %>>Month</option>
										</select>
										<br><span class="SMALLTEXT">Create log every: </span>									
										</td>
										<td style="width:115px">&nbsp;</td>
									</tr>
								</table>
							</div>
					</td>
				</tr>
				<%}} %>
				<%if (isSyslogAccount) {%>
				<tr>
					<td colspan="3">
					<div id="splitByFacilitiesDiv" <%=splitByServers ? "" : "style=\"display:none\""%>>
					<table>
						<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
							<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 52px;">Split by Facility:</td>
							<td style="text-align: left"><input type="checkbox" id="splitByFacilities" name="splitByFacilities" value="true" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_CHECKBOX" <%=splitByFacilitiesChecked%>/>
							<span class="LISTENERS_ADMIN_DESCRIPTION_CELL">A log will be created for each unique source device and facility in the Syslog events</span>
							</td>
							<td style="width:115px">&nbsp;</td>
						</tr>
					</table>
					</div>
					</td>
				</tr>
				<%} if (isSyslogAccount) {%>
				<tr>
					<td colspan="3">
						<div id="chooseTempalte">
							<table>
								<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
									<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 52px;">Select Log Template:</td>
									<td style="text-align: left">
									<select id="templates" name="templates" size="1" class="REGULARTEXT INPUT_NO_MARGIN">
											<option value="none">Select Log Template:</option>
											<%
											for (Template template : templatesNames) {
												String templateName = template.getName();
												String templateId = template.getId();
												%>
												<option value="<%=templateId %>" <%=selectedTemplatedId != null && selectedTemplatedId.equals(templateId) ? "selected" : ""%>><%=templateName %></option>
											<%}%>
									</select>
									</td>
									<td style="width:115px">&nbsp;</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
				<%} if (isHttpListenerAccount || isSapListenerAccount) {%>
				<%if (showHttpXpoLogJsonKeys){ %>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Log Type JSON Key:</td>
					<td><input type="text" id="logTypeJsonKey" name="logTypeJsonKey" value="<%=logTypeJsonKey%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT"><br>
					<span class="SMALLTEXT"> The JSON key for the event's type</span></td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Log AppTags JSON Key:</td>
					<td><input type="text" id="logAppTagsJsonKey" name="logAppTagsJsonKey" value="<%=logAppTagsJsonKey%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT"><br>
					<span class="SMALLTEXT"> The JSON key for the event's AppTags</span></td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%} %>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Message JSON Key:</td>
					<td><input type="text" id="messageJsonKey" name="messageJsonKey" value="<%=messageJsonKey%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT"><br>
					<span class="SMALLTEXT"> The JSON key for the event's message when matching a template</span></td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Split by JSON Keys:</td>
					<td><input type="text" id="splitByJsonKeys" name="splitByJsonKeys" value="<%=splitByJsonKeys%>" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_INPUT"><br>
					<span class="SMALLTEXT"> A list of JSON keys, separated by '->', denoting the log's path and name<br>Append '*' to the key denoting the host</span></td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%} %>
				<tr>
					<td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">Listener Data</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Listener Data Location:</td>
					<td><nobr>
						<input type="text" name="fullPath_0" id="fullPath_0" onKeyPress="javascript:doOpenBrowser('fullPath_0','0',event,'')" size="50" value="<%=locationsPathsStr%>" class="INPUT_NO_MARGIN">
						<input type=button id="fileBrowseButton_0" value="Browse" onClick="javascript:openBrowser('fullPath_0','0','')">
						</nobr>
					</td> 
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%
				if(allowedMatersAndProcessors != null && allowedMatersAndProcessors.size() > 1 && !Configuration.getInstance().isDynamicAllocation()) {
					String masterName = "";
					try {
						masterName = Configuration.getMasterName();     
					}catch (Exception e){
						ErrorModel.log.error("failed to get master name", e); 
					}%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL">Indexing Node:</td>
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL" style="padding-left: 0px;">
						<select id="processingNode" name="processingNode" size="1" style="width:245px" class="REGULARTEXT INPUT_NO_MARGIN">
							<option value="<%=ListenersManagerHelper.LISTENING_NODE %>" <%=indexingNode != null && indexingNode.equals(ListenersManagerHelper.LISTENING_NODE) ? "selected" : "" %>>Same as listening node</option>
							<option value="<%=Configuration.DEFAULT_ASSIGNED_NODE %>" <%=indexingNode == null ? "selected" : "" %>><%=Configuration.DEFAULT_ASSIGNED_NODE_STR %></option>							
							<%
								for(int i = 0; i < allowedMatersAndProcessors.size(); i++) {
									String nodeId = allowedMatersAndProcessors.get(i);
									String selectedStr = hasAssignedNode && indexingNode != null && indexingNode.equals(nodeId) ? "selected" : "";
									String masterNameSuffix = masterName != null && masterName.equals(nodeId) ? " (Master)" : "";
							%>
							<option value="<%=nodeId %>" <%=selectedStr %>><%=nodeId + masterNameSuffix %></option>
							<%}%>
						</select>
					</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%}%>
				
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL"><nobr>Indexing Interval:</nobr></td>
					<td>
					<select id="indexingInterval" name="indexingInterval" size="1" class="REGULARTEXT INPUT_NO_MARGIN">
						<%
							for(int i = 0; i < indexingIntervals.length; i++) {
								String selectedStr = "";
								String indexingIntervalValue = "";
								String indexingIntervalCron = "";
								String indexingIntervalDesc = "";
								String[] tmp = indexingIntervals[i].split("=");
								if(tmp != null && tmp.length == 2) {
									indexingIntervalValue = tmp[0];
									indexingIntervalCron = indexingIntervalValue;
									int index = indexingIntervalValue.indexOf("|");
									if (index != -1){
										indexingIntervalCron = indexingIntervalCron.substring(0,index);
									}
									if (indexingIntervalCron.equals(indexingInterval)){
										selectedStr = "selected";
									}
									indexingIntervalDesc = tmp[1];
								}
						%>
						<option value="<%=indexingIntervalValue %>" <%=selectedStr %>><%=indexingIntervalDesc %></option>
						<%}%>
					</select>
					</td> 
					<td style="width:115px">&nbsp;</td>
				</tr>
				<%if (isSyslogAccount || isHttpListenerAccount || isSapListenerAccount) {%>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
                					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL"><nobr>Multiline event detection timeout:</nobr></td>
                					<td>
                					<select id="multiLineWaitingTime" name="multiLineWaitingTime" size="1" class="REGULARTEXT INPUT_NO_MARGIN">
                						<%
                							for(int i = 0; i < waitingTimes.length; i++) {
                                                String selectedStr = "";
                                                String waitingTimesValue = "";
                                                String waitingTimesDesc = "";
                                                String[] tmp = waitingTimes[i].split("=");
                                                if(tmp != null && tmp.length == 2) {
                                                    waitingTimesValue = tmp[0];
                                                    if (waitingTimesValue.equals(waitingTime)){
                                                        selectedStr = "selected";
                                                    }
                                                    waitingTimesDesc = tmp[1];
                                                }
                						%>
                						<option value="<%=waitingTimesValue %>" <%=selectedStr %>><%=waitingTimesDesc %></option>
                						<%}%>
                					</select>
                					</td>
                					<td style="width:115px">&nbsp;</td>
                				</tr>
				<%}
				if (isHttpListenerAccount || isSapListenerAccount){ %>
				<tr>
					<td class="INFORMATIONMESSAGE" style="padding-top:10; padding-left: 55px;" colspan="2">JSON Parsing</td>
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ROW">
					<td class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TEXT_CELL"><nobr>JSON Parsing Level:</nobr></td>
					<td>
					<select id="jsonParsingLevel" name="jsonParsingLevel" size="1" class="REGULARTEXT INPUT_NO_MARGIN">
						<%
							for(int i = 0; i < jsonParsingLevels.length; i++) {
								String selectedStr = "";
								String jsonParsingLevelValue = "";
								String jsonParsingLevelCron = "";
								String jsonParsingLevelDesc = "";
								String[] tmp = jsonParsingLevels[i].split("=");
								if(tmp != null && tmp.length == 2) {
									jsonParsingLevelValue = tmp[0];
									int jsonParsingLevelInt = Integer.parseInt(jsonParsingLevelValue);
									if (jsonParsingLevelInt == jsonParsingLevel){
										selectedStr = "selected";
									}
									jsonParsingLevelDesc = tmp[1];
								}
						%>
						<option value="<%=jsonParsingLevelValue %>" <%=selectedStr %>><%=jsonParsingLevelDesc %></option>
						<%}%>
					</select>
					</td> 
					<td style="width:115px">&nbsp;</td>
				</tr>
				<tr>
					<td style="padding-left: 55px;" colspan="3"><span class="SMALLTEXT"> The maximum depth in the JSON object for which data will be extracted into columns</span></td>
				</tr>
				<%} %>
			</table>
			</div>
		</td>
	</tr>
	
	<%
	}
	%>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_TOP_SPACER"><td>&nbsp;</td></tr>
	<tr class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ERROR_MESSAGE_ROW">
		<td colspan="3" id="accountDetailsErrorMessage" class="LISTENERS_ADMIN_ACCOUNT_DETAILS_ERROR_MESSAGE_CELL">&nbsp;</td>
	</tr>
</table>
<input type="hidden" id="logNameJsonKey" name="logNameJsonKey" value="<%=logNameJsonKey%>">
<input type="hidden" id="logPathJsonKey" name="logPathJsonKey" value="<%=logPathJsonKey%>">
<%if (!showHttpXpoLogJsonKeys){ %>
<input type="hidden" id="logTypeJsonKey" name="logTypeJsonKey" value="<%=logTypeJsonKey%>">
<input type="hidden" id="logAppTagsJsonKey" name="logAppTagsJsonKey" value="<%=logAppTagsJsonKey%>">
<%} %>
</form>

<script>
var uid = "<%=uid%>";
var urlProtocol = "<%=urlProtocol%>";
var urlServerName = "<%=urlServerName%>";
var urlPort = "<%=urlPort != -1 ? urlPort : 30303%>";
var urlContext = "<%=urlContext%>";

var csrfToken = "<%=csrfToken %>";
var csrfTokenField = "<%=csrfTokenField %>";
var csrfTokenData = {"csrfKey":csrfTokenField,"csrfToken":csrfToken};

$(document).ready(function() {
  $('#listeningNode').change(function() {
      var selectedValue = $(this).val();
      var servletUrl = 'getNodeIps.jsp?listeningNode=' + selectedValue;
      var ip = "";
      var ports = "";
   	     	  
      <%if (isHttpListenerAccount || isSapListenerAccount){%>
   	  $.getJSON(servletUrl, function(json) {
   	  	if (json != null && json.option.length > 1 && json.option[1] != null){
        	ip = json.option[1]["id"];
        	ports = json.option[1]["ports"];
    			updateURL(ip,ports);
   	  	}
   	  });
			<%}%>

  	<%if (isSyslogAccount || isNetflowServerAccount) {%>
      $.getJSON(servletUrl, function(options) {
      	$('#listeningNodeAddress').html('');
         $.each(options.option, function(key, val){
         	$('#listeningNodeAddress').append('<option id="' + val["id"] + '">' + val["name"] + '</option>');
         })
      });
     <%}%>
  });
  
});

<%
if (account != null && !account.isRemovable()) {

%>
    $("#buttonVerifyRemoveListenerAccount_outer")
        .css({
            "filter": "grayscale(100%)",
            "pointer-events": "none",
            "cursor": "none"
        });
<%}%>

<%if (id == null || id.length() == 0){%>
$("#Name").change(function(){
  var v = $(this).val();
  $('#logName').val(v);
  $('#MODULE_ID').val('');
  if ($('#parentModuleName').length){
	  $('#parentModuleName').val(v);
	  if (typeof tree != "undefined"){
	  	var url = treeUrl;
	  	url += "&mode=modules&MODULE_ID="+v+"&allowPhantomModules=true&MODULE_NAME="+v+"&MODULE_PATH=Root";
			var parentModuleParam = "?mode=modules";
			for (i=tree.htmlNode.childNodes.length-1; i>=0; i--){
				tree.deleteItem(tree.htmlNode.childNodes[i].id);
			}
			tree.loadXML(url);
	  }
	}
});

// $("#rbRegexTopic").click(function() {
// 	$('#rbTopic').prop("checked", false);
// 	$('#topics').prop("disabled", true);
// 	$('#regTopic').prop("disabled", false);
// });


// function onRbTopicClick() {
// 	var type = $('#rbTopic').val();
// 	if (type == "regexTopic") {
// 		alert("Regex");
// 		$('#regTopic').prop("disabled", false);
// 		$('#topics').prop("disabled", true);
// 	} else if (type == "reguTopic") {
// 		alert("Regu");
// 		$('#regTopic').prop("disabled", true);
// 		$('#topics').prop("disabled", false);
// 	}
// }

// $("#buttonSaveListenerAccountCenter").click(function() {
// 	var logName = $('#Name').val();
// 	$('#logName').val(logName);
// });
<%}%>

$("[id='rbTopic']").click(function() {
	var type = $(this).val();
	if (type == "regexTopic") {
		$('#regTopic').prop("disabled", false);
		$('#topics').prop("disabled", true);
	} else if (type == "reguTopic") {
		$('#regTopic').prop("disabled", true);
		$('#topics').prop("disabled", false);
	}
});
</script>
