<%@ page language="java" contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.json.simple.JSONObject" %>
<%@ page import="org.json.simple.parser.JSONParser" %>
<%@ include file="../common/restCommonServices.jsp" %>
<%

    String pluginToken = request.getParameter("plugin-token");
     if (pluginToken == null || pluginToken.length() == 0){
        pluginToken = request.getHeader("plugin-token");
     }
     if (pluginToken == null || pluginToken.length() == 0){
          pluginToken = "Bearer " + System.currentTimeMillis();
     }

     StringBuilder requestBody = new StringBuilder();
        String line;
        while ((line = request.getReader().readLine()) != null) {
            requestBody.append(line);
        }

        if (requestBody.length() == 0){
            requestBody.append("{}");
        }

       boolean validate = checkSecurity(request);
       if (!validate){
          response.setStatus(401);
          String errorMessage = buildErrorResult("Failed to init from security reason",null,401);

          %>
            <%=errorMessage%>
          <%

          return;
       }


        JSONParser parser = new JSONParser();

    JSONObject jsonObject = (JSONObject)parser.parse(requestBody.toString());

    JSONObject initObject = new JSONObject();


    JSONObject formObject = (JSONObject)jsonObject.get("accountFormData");
    if (formObject != null){
        String logType = (String)formObject.get("logType");
        if (logType != null){
            initObject.put("logType",logType);
        }
    }

    initObject.put("pluginToken",pluginToken);
    session.setAttribute(pluginToken, initObject);

    //System.out.println("init pluginToken = " + pluginToken);

    response.setContentType("application/json");
    response.setCharacterEncoding("UTF-8");
%>
{
    "authResponse": {
        "headers" : {
            "plugin-token" : "<%=pluginToken%>"
        }
    }
}
