<%@ page language="java" contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.json.simple.JSONObject" %>
<%@ page import="org.json.simple.JSONArray" %>
<%@ page import="org.json.simple.parser.JSONParser" %>
<%@ include file="../common/restCommonServices.jsp" %>
<%

    String pluginToken = request.getParameter("plugin-token");
     if (pluginToken == null || pluginToken.length() == 0){
        pluginToken = request.getHeader("plugin-token");
     }
     if (pluginToken == null){
          pluginToken = "";
     }

      JSONObject initObject = (JSONObject)session.getAttribute(pluginToken);
       if (initObject == null){
            initObject = new JSONObject();
       }

       String logType = request.getParameter("logType");
       if (logType == null || logType.length() == 0){
            logType = (String)initObject.get("logType");
       }


     StringBuilder requestBody = new StringBuilder();
     String line;
      while ((line = request.getReader().readLine()) != null) {
        requestBody.append(line);
      }

      if (requestBody.length() == 0){
          requestBody.append("{}");
      }

      boolean validate = checkSecurity(request);
     if (!validate){
        response.setStatus(401);
        String errorMessage = buildErrorResult("Failed to init from security reason",null,401);

        %>
          <%=errorMessage%>
        <%

        return;
     }

       JSONParser parser = new JSONParser();
       JSONObject jsonObject =  (JSONObject)parser.parse(requestBody.toString());

      JSONObject metaObj = (JSONObject)jsonObject.get("metaData");
      String pluginDataRef = request.getParameter("pluginDataRef");
      if (metaObj != null && pluginDataRef == null){
          pluginDataRef = (String)metaObj.get("pluginDataRef");
      }
      
      String [] events = {"This is a test line 1","This is a test line 2","This is a test line 3"};
      if (pluginDataRef != null && pluginDataRef.length() > 0){
        events = new String[0];
      }
      JSONArray array = new JSONArray();
      for (int i = 0; i < events.length;i++){
         array.add(events[i]);
      }
      pluginDataRef = "" + events.length;


    response.setContentType("application/json");
    response.setCharacterEncoding("UTF-8");
%>
{
	"metaData" : {
		"pluginDataRef" : "<%=pluginDataRef%>"
	},

	"dataEvents" : <%=array.toString()%>
}
