<%@page import="xpolog.eye.util.Constants"%>
<%@ page language="java"%>

<%@ page import="java.util.HashSet"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.ModuleMember"%>
<%@ page import="xpolog.eye.managment.*" %>
<%@ page import="xpolog.eye.security.*" %>
<%@ page import="xpolog.eye.site.*" %>
<%@ page import="xpolog.eye.site.servlets.filter.FilterRequestUtil" %>
<%@ page import="xpolog.eye.Module"%>
		<%!
static final String BASE_DIRECTORY = "./";
%>
<%
	boolean DEVELOPMENT_MODE_JIT = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("developmentModeJIT", false);
	boolean DEVELOPMENT_MODE = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("developmentMode", false);
	boolean TRANSLATION_MODE = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("translationMode", true);


    FilterRequestUtil.setIsExport(request);

	 String query = request.getQueryString();
   if (query == null){
  	 query = "";
   }
   String loginUrl = query.length() == 0 ? "root.jsp" : "root.jsp?" + query;
   request.setAttribute("loginForwardURL",loginUrl);
 
	long keepAliveInterval = Configuration.getInstance().getKeepAliveInterval();

  UserSecurity user = WebSecurityManager.getInstance().getUserSecurity(request);
  UserEnvironment env = UserEnvironment.getUserEnvironment(request);
  XpologApplicationComponent selectedComp = (XpologApplicationComponent)env.getSelectedComponent(user);
  String loginForwardUrl = request.getParameter("loginForwardURL");
  if (loginForwardUrl != null && loginForwardUrl.length() > 0){
     env.setTempAttribute("loginForwardURL",loginForwardUrl);
   }

	UserContext userContext = UserEnvironment.getUserContext(request);;
	String folderId = request.getParameter("folderId");
	String applicationId = request.getParameter("applicationId");
	if (folderId != null){
		userContext.getIncludeMembersSet().clear();
		if (folderId.length() > 0){
			HashSet set = new HashSet();
			String foldersStr = "";
			String storageFoldersStr = "";
			if (folderId.indexOf(",") == -1){
        userContext.addIncludeMembersById(folderId);
        userContext.addIncludeMembersByName(folderId);

        if(folderId.indexOf(ModuleMember.STORAGE_SUFFIX) == -1) {
        	foldersStr = folderId;
        }else {
        	storageFoldersStr = folderId;
        }
			}else{
				String[] folders = folderId.split(",");
				for (int i=0; i<folders.length; i++){
					userContext.addIncludeMembersById(folders[i]);
			    userContext.addIncludeMembersByName(folders[i]);

			    if(folders[i].indexOf(ModuleMember.STORAGE_SUFFIX) == -1) {
	        	if(foldersStr.indexOf(",") == -1) {
	        		foldersStr += ",";
	        	}
	        	foldersStr += folders[i];
	        }else {
	        	if(storageFoldersStr.indexOf(",") == -1) {
	        		storageFoldersStr += ",";
	        	}
	        	storageFoldersStr += folders[i];
	        }
				}
			}
			env.setGlobalAttribute("folderIdsToOpen", foldersStr);
			env.setGlobalAttribute("folderIdsToOpen" + ModuleMember.STORAGE_SUFFIX, storageFoldersStr);
		}
	}else if (applicationId != null){
		if (applicationId.length() > 0){
			HashSet set = new HashSet();
			if (applicationId.indexOf(",") == -1){
				set.add(applicationId);
			}else{
				String[] apps = applicationId.split(",");
				for (int i=0; i<apps.length; i++){
					set.add(apps[i]);
				}
			}
			userContext.setIncludeSet(set);
		}else{
			HashSet set = new HashSet();
			userContext.setIncludeSet(set);
		}
	}
	env.setUserContext(userContext);

   String mainPage = null;
   String str = request.getParameter("mainPage");
   if (str != null && str.length() > 0){
				mainPage = str;
				/*System.out.println("mainPage1 = " + mainPage);
        String query = request.getQueryString();
        System.out.println("query1 = " + query);
        int index = query.indexOf("mainPage");
        System.out.println("index=" + index);
        query = query.substring(0,index) + query.substring(index + 9 + str.length(),query.length());
        System.out.println("query2 = " + query);
        if (query.startsWith("&")){
          query = query.substring(1,query.length());
        }
        if (query != null && !query.equals("")) {
	        mainPage += "?" + query;
        }
        System.out.println("mainPage2 = " + mainPage);*/
   }

  if (mainPage == null  && selectedComp != null){
  	String usePage = env.getUsePage();
  	if (false && usePage != null && usePage.length() > 0){
  		mainPage = usePage;
  	}else {
       mainPage = selectedComp.getMainPage();
  	}
  }

  if (mainPage == null){
    mainPage = "logEyePortal.jsp";
  }

  mainPage = env.addUrlCsrfToken(mainPage);
  String managementPage = request.getParameter("managementPage");
  if (managementPage != null && managementPage.length() == 0){
    managementPage = null;
  }

  if(selectedComp == null) {
	managementPage = "";
  }

  if (managementPage == null && selectedComp != null){
	  if (selectedComp.getComponentManagement() != null){
   		managementPage = selectedComp.getComponentManagement().getManagementPage();
	  }else {
		  managementPage="";
	  }
  }

  if (managementPage == null){
    managementPage = "management.jsp?proxyid=" + System.currentTimeMillis();
  }

   managementPage = env.addUrlCsrfToken(managementPage);

  String hideManagementPageStr = request.getParameter("hideManagementPage");
  boolean hideManagementPage = hideManagementPageStr != null && hideManagementPageStr.equals("true");
  String managementTdDisplay = hideManagementPage ? "true" : "false";

  env.removeSiteWizardController();
  ViewContext viewContext = env.getViewContext();
  String mngWidth = viewContext == null ? null : viewContext.managementWidth;
  if (mngWidth == null || mngWidth.length() == 0){
  	mngWidth = Configuration.getInstance().getPropertiesManager().getProperty("managementWidth","200");
    if (viewContext != null){
  	  viewContext.managementWidth = mngWidth;
    }
  }

  if(mngWidth.indexOf("px") == -1) {
  	mngWidth += "px";
  }

  boolean isDemo = XpologLicenseManager.getInstance().isDemo();

%>

<html>
<head>
	<base href="">
<!--[if !(lte IE 9)]>
<META http-equiv="X-UA-Compatible" content="IE=Edge">
<![endif]-->
<title>XpoLog Center</title>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">

<link rel="shortcut icon" href="images/home/favicon.ico">
<link rel="stylesheet" type="text/css" href="css/portal.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<link rel="stylesheet" type="text/css" href="css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"/>
<link rel="stylesheet" type="text/css" href="external/resources/css/mainproduct_user.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />

<script src="scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" type="text/javascript"></script>
<script src="scripts/common/messages.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" type="text/javascript"></script>
<script  src="scripts/common/slidesOperations.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script type="text/javascript" src="scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script src="<%=BASE_DIRECTORY%>scripts/angular/core/lodash.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" type="text/javascript" ></script>
<script>
var msgWriters = new Array();
function init(){
	if (typeof parent != undefined){
		//this.parent.document.title="aaa";
		sendAjaxRequest("util.jsp?action=getXpologTitle",function(req){
			var result = req.responseText;
			result = result.replace(/^\s+|\s+$/g, '') ;
			if(result && result != "") {
				this.parent.document.title = result;
			}
		});
	}
}

function updateManagement(){
  if(window.frames['treeframe'] && window.frames['treeframe'].mainLoaded){
    window.frames['treeframe'].mainLoaded();
  }
}

function showHideAllDiv(show){
  var d = document.getElementById("allDiv");
  if (d){
    if(show){
      d.style.left = parseInt(document.getElementById("managementTD").style.width);
      d.classList.add('visible');
    }else {
		d.classList.remove('visible');
    }
    updateFramesEvents(show);
  }
}

var lastFrm;
var lastLeft;
function getAbsolueFrameLeft(frm){
  if (lastFrm && lastFrm == frm){
    return lastLeft;
  }
  var left = 0;
  var tmp = frm;
  while (tmp.parent){
    if (tmp.name){
      var innerFrm = tmp.parent.document.getElementById(tmp.name);
      if (innerFrm){
        if (innerFrm.parentNode){
         left = left + findPosX(innerFrm.parentNode);
        }
      }
    }
    if (tmp == this){
      break;
    }
    tmp = tmp.parent;
  }
  lastFrm = frm;
  lastLeft = left;
  return left;
}


function FrmMouseEvt(frm){
  this.frm = frm;
}

scrollMouseMove=function(e){
  var frm = e.data.frm;
	var  $allDiv= e.data.addDiv;

  if (e){
    var left = e.pageX ;
    if (frm.name && frm.name == "main"){
        left = left + $("#mainTD").position().left;
    }
    moveSplitterDivTo(left, $allDiv);
  }else {
    var left = getAbsolueFrameLeft(frm);
    left = left +  frm.event.x ;
    moveSplitterDivTo(left);
  }
}


FrmMouseEvt.prototype.updateFrameEvents=function(show){
	if (show){
	var $allDiv = $('#allDiv');
		this.frm.document.onmouseup = hideScrollDrag;
     	jQuery(this.frm.document).on('mouseup',hideScrollDrag);
		jQuery(this.frm.document).on('mousemove',{frm: this.frm, addDiv: $allDiv}, scrollMouseMove);
    }else {
    	jQuery(this.frm.document).off('mouseup',hideScrollDrag);
		jQuery(this.frm.document).off('mousemove',scrollMouseMove);
    }
}

var evts = new Array();

function updateFramesEvents(show){
  if (show){
    evts = new Array();
    var frms = getAllFrames(false);
    for(var i = 0; i < frms.length;i++){
      evts[i] = new FrmMouseEvt(frms[i]);
      evts[i].updateFrameEvents(show);
    }
  }else {
    for(var i = 0; i < evts.length;i++){
      evts[i].updateFrameEvents(show);
    }
    evts = new Array();
  }


}

function hideScrollDrag(){
  var w = document.getElementById("allDiv").style.left;
  showHideAllDiv(false);
  lastFrm = null;
  if(w.indexOf("px") == -1) {
		w += "px";
  }
  document.getElementById("managementTD").style.width = w;
  doBackgroundAction("contextAction.jsp?op=setMngWidth&mngWidth=" + w);
}


function moveSplitterDivTo(left, $allDiv){
	if (left > 100 && left < 500){
	if ($allDiv) {
		$allDiv.css({'left': left});
	} else {
		document.getElementById("allDiv").style.left = left;
	}
  }
}

function openMsgWriter(id,title,actions,msg,baseDirectory,functions){
    msgWriters[id] = new messageWriter(id,title,baseDirectory);
    var msgWriter = msgWriters[id];
    var actionsArray = actions ? actions.split("#") : null;
    for(var i = 0 ;	actionsArray && i < actionsArray.length ; i++){
    	var nameAndaction = actionsArray[i] ? actionsArray[i].split("@") : null;
    	if(nameAndaction && nameAndaction[0] && nameAndaction[1]){
			    msgWriter.addAction(nameAndaction[0],nameAndaction[1]);
    	}
    }
    if (functions){
      msgWriter.functions = functions;
    }
    msgWriter.setPosition(-1,-1);
    msgWriter.showMessage(msg);
}

function errorMsgWriter(id,errorMsg,baseDirectory){
	msgWriters[id] = new messageWriter(id,"Error",baseDirectory);
  var msgWriter = msgWriters[id];
	msgWriter.addAction("Close","javascript:closeMsgWriter('" + id + "')");
  msgWriter.setPosition(-1,-1);
  msgWriter.showMessage(errorMsg);
}


function closeMsgWriter(id){
	msgWriters[id] = null;
	hideLayer(id);
}

function openMainPage(url){
   var mainFrm = getFrameByName("main");
   if (mainFrm != null){
     mainFrm.location = url;
   }
}

//Open general div in root.jsp according url and params
function openTempDiv(suffix,params,width,height,func){
	var div = document.getElementById('tempDiv');
	if(div){

			var page = "common/adminGeneralDiv.jsp?";
			sendAjaxRequest(page,function(req){
				var result = req.responseText;
				result = result.replace(/^\s+|\s+$/g, '') ;
				if(!result || result == "error"){
						alert("Could not open div!");
						return;
				}else{
					div.innerHTML = result;
					var innerDiv = document.getElementById('adminGeneralDiv' + suffix);
					if(innerDiv){
						innerDiv.style.display = "";
						width = width ? width : "300px";
						innerDiv.style.width = width;
						height = height ? height : "300px";
						innerDiv.style.height = height;
						if(func){
							func();
						}
						showLayerInMiddle('tempDiv', -1 , -1);
					}
			  }
			},'POST',params);
	}
}

//Open general div in root.jsp according url and params
function openGeneralDiv(infoPage,params,progressTitle,progressMsg){
	var div = document.getElementById('generalDiv');
	if(div){
			var msgWriterId = "openGeneralMsgWriter";
	    if (progressTitle && progressTitle != "" && progressMsg && progressMsg != ""){
	      if (msgWriters[msgWriterId] && msgWriters[msgWriterId] != null){
	    	  var msgWriter = msgWriters[msgWriterId];
		      closeMsgWriter(msgWriter.messageDivId);
        }
        msgWriters[msgWriterId] = new messageWriter(msgWriterId,progressTitle,baseDirectory);
	      var msgWriter = msgWriters[msgWriterId];
	      msgWriter.setPosition(-1,-1);
        msgWriter.showMessage(progressMsg);
	    }

	    if (div.style.visibility == ""){
	      div.style.visibility = "hidden";
	    }
			sendAjaxRequest(infoPage,function(req){
				var xmldoc = req.responseXML.documentElement;
				var resultType = xmldoc.getElementsByTagName('resultType')[0].firstChild.nodeValue;
				if(resultType == "admin") {
	        var width = xmldoc.getElementsByTagName('width')[0].firstChild.nodeValue;
					var height = xmldoc.getElementsByTagName('height')[0].firstChild.nodeValue;

					var adminPageParams = xmldoc.getElementsByTagName('adminPageParams')[0].firstChild.nodeValue;
					adminPageParams = adminPageParams + "&height=" + height + "&width=" + width;
					var suffix = xmldoc.getElementsByTagName('suffix')[0].firstChild.nodeValue;

				 var page = "common/adminGeneralDiv.jsp?";
					sendAjaxRequest(page,function(req){
						if (msgWriters[msgWriterId] && msgWriters[msgWriterId] != null){
			    	  var msgWriter = msgWriters[msgWriterId];
				      closeMsgWriter(msgWriter.messageDivId);
		        }
						var result = req.responseText;
						result = result.replace(/^\s+|\s+$/g, '') ;
						if(!result || result == "error"){
								alert("Could not open div!");
								return;
						}else{
							div.innerHTML = result;
							var innerDiv = document.getElementById('adminGeneralDiv' + suffix);
							if(innerDiv){
								innerDiv.style.display = "";
								width = width ? width : "300px";
								innerDiv.style.width = width;
					      height = height ? height : "300px";
								innerDiv.style.height = height;
								div.style.width = width;
								div.style.height = height;
								showLayerInMiddle('generalDiv', -1 , -1);
				 			}
					  }
					},'POST',adminPageParams);
				}else if(resultType == "message") {
					if (msgWriters[msgWriterId] && msgWriters[msgWriterId] != null){
		    	  var msgWriter = msgWriters[msgWriterId];
			      closeMsgWriter(msgWriter.messageDivId);
	        }
					var suffix = xmldoc.getElementsByTagName('suffix')[0].firstChild.nodeValue;
					if(!suffix || suffix == "") {
						suffix = "generalDivMessage";
					}
					var title = xmldoc.getElementsByTagName('title')[0].firstChild.nodeValue;
					var message = xmldoc.getElementsByTagName('message')[0].firstChild.nodeValue;
					var actionNames = xmldoc.getElementsByTagName('actionNames')[0].firstChild.nodeValue;
					var actions = xmldoc.getElementsByTagName('actions')[0].firstChild.nodeValue;

					msgWriters[suffix] = new messageWriter(suffix,title,baseDirectory);
					msgWriter = msgWriters[suffix];
       	 	msgWriter.setPosition(-1,-1);
        	if(actionNames && actions) {
        		var actionNamesArr = actionNames.split("#");
        		var actionsArr = actions.split("#");
        		if(actionNamesArr.length == actionsArr.length) {
        			for(i = 0; i < actionNamesArr.length; i++) {
        				msgWriter.addAction(actionNamesArr[i],actionsArr[i]);
        			}
        		}
        	}
        	msgWriter.showMessage(message);
				}
			},'POST',params);
	}
}

function closeTempDiv(){
	hideLayer('tempDiv');
}

function closeGenralDiv(){
	document.getElementById("generalDiv").style.visibility = "hidden";
}

function clearAndCloseGeneralDiv(){
  closeGenralDiv();
  handleInnerHTML(document.getElementById("generalDiv"),"",0);
}

function _selectToRemove(suffix,params,width,height){
var div = document.getElementById('tempDiv');
	if(div){
			if((frames['selectSnapshotToRemovFrm'])){
				frames['selectSnapshotToRemovFrm'].location = "snapshot/selectSnapshotToRemoveInnerFrm.jsp";
				showLayerInMiddle('tempDiv', -1 , -1);
			}else{
				var page = "common/adminGeneralDiv.jsp?";
				sendAjaxRequest(page,function(req){
					var result = req.responseText;
					result = result.replace(/^\s+|\s+$/g, '') ;
					if(!result || result == "error"){
							alert("Could not open div!");
							return;
					}else{
						div.innerHTML = result;
						var innerDiv = document.getElementById('adminGeneralDiv' + suffix);
						if(innerDiv){
							innerDiv.style.display = "";
							width = width ? width : "300px";
							innerDiv.style.width = width;
							height = height ? height : "300px";
							innerDiv.style.height = height;
							showLayerInMiddle('tempDiv', -1 , -1);
	//						document.getElementById('selectSnapshotToRemovFrm').src = "snapshot/selectSnapshotToRemoveInnerFrm.jsp";
	//						alert(document.getElementById('selectSnapshotToRemovFrm').location);
						  frames['selectSnapshotToRemovFrm'].location = "snapshot/selectSnapshotToRemoveInnerFrm.jsp";
						}
				  }
				},'POST',params);
			}
	}
}

	function removeSelectedSnapshot0(){
		var frm = frames['selectSnapshotToRemovFrm'];
		if(frm){
			frm._removeSelectedSnapshot0();
		}
	}
</script>
<script type="text/javascript" src="<%=BASE_DIRECTORY%>xpolog-component/dist/tag-manager.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
</head>
<body class="theme-handler" topmargin=0 marginheight=0 rightmargin=0 leftmargin=0 scroll="NO" >
	<jsp:include page="xpolog-component/includers/xpolog-app.jsp" flush="true">
		<jsp:param name="managementPage" value="<%=managementPage%>" />
		<jsp:param name="mngWidth" value="<%=mngWidth%>" />
		<jsp:param name="managementTdDisplay" value="<%=managementTdDisplay%>" />
		<jsp:param name="mainPage" value="<%=mainPage%>" />
		<jsp:param name="keepAliveInterval" value="<%=keepAliveInterval%>" />
		<jsp:param name="isDemo" value="<%=isDemo%>" />
		<jsp:param name="translationMode" value="<%=TRANSLATION_MODE%>" />
	</jsp:include>

	<jsp:include page="xpolog-component/includers/xpolog-app-apps-includer.jsp" flush="true">
		<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
	</jsp:include>

	<%if(DEVELOPMENT_MODE_JIT){%>
		<jsp:include page="xpolog-component/includers/xpolog-includer.jit.jsp" flush="true">
			<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
		</jsp:include>
	<%} else if(DEVELOPMENT_MODE && !DEVELOPMENT_MODE_JIT){%>
		<jsp:include page="xpolog-component/includers/xpolog-includer.systemjs.jsp" flush="true">
			<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
		</jsp:include>
		<script>
			System.import("./xpolog-component/src/xpolog-main.ts")
				.then(function() { console.log('SystemJs mode is running'); })
				.catch(function(err){ console.error(err); });
		</script>
	<%}%>

	<%if(!DEVELOPMENT_MODE && !DEVELOPMENT_MODE_JIT){%>
		<jsp:include page="xpolog-component/includers/xpolog-includer.aot.jsp" flush="true">
			<jsp:param name="baseDirectory" value="<%=BASE_DIRECTORY%>" />
		</jsp:include>
	<%}%>
</HTML>
