<%@page import="xpolog.eye.util.search.SearchTermConverter" %>
<%@page import="xpolog.eye.util.search.SearchTerm" %>
<%@ page language="java" %>

<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>

<%@ page import="xpolog.eye.search.AutoCompleteCacheRequest" %>
<%@ page import="xpolog.eye.search.SearchModelHelper" %>
<%@ page import="xpolog.eye.search.SearchModel" %>
<%@ page import="xpolog.eye.search.ui.SearchModelRequest" %>
<%@ page import="xpolog.eye.search.ui.SearchViewHelper" %>
<%@ page import="xpolog.eye.security.UserSecurity" %>
<%@ page import="xpolog.eye.security.WebSecurityManager" %>
<%@ page import="xpolog.eye.site.UserContext" %>
<%@ page import="xpolog.eye.site.UserEnvironment" %>
<%@ page import="xpolog.eye.util.DateUtil" %>
<%@ page import="xpolog.eye.util.StringUtil" %>
<%@ page import="xpolog.eye.search.ui.MultiSearchModelHelper" %>

<%!
    static final String BASE_DIRECTORY = "../../";
%>

<%
    String SEARCH_MODEL = "SearchModel";

    String query = request.getQueryString();
    if (query == null) {
        query = "";
    }
    String loginUrl = "search/view/loadSearchModel.jsp" + (query.length() == 0 ? "" : "?") + query;
    loginUrl = xpolog.eye.site.UserEnvironment.getUserEnvironment(request).addUrlCsrfToken(loginUrl);
    request.setAttribute("loginForwardURL", loginUrl);
    WebSecurityManager securityManager = WebSecurityManager.getInstance();
    if (!securityManager.checkForPermission(request, response, null, true)) {
        return;
    }

    UserSecurity user = securityManager.getUserSecurity(request);
    UserContext userContext = UserEnvironment.getUserContext(request);
    UserEnvironment env = UserEnvironment.getUserEnvironment(request);

    SearchModel model = null;
/*
    String cloneIdKey = xpolog.eye.site.widgets.data.handler.QueryWidgetDataHandler.SEARCH_ID_TO_CLONE_FROM;
    String searcIdToCloneFrom = request.getParameter(cloneIdKey);
    if (StringUtil.isNotEmpty(searcIdToCloneFrom)) {
        SearchModel searchModelFromRequest = MultiSearchModelHelper.getSearchModelFromRequest(request, searcIdToCloneFrom);
        if (searchModelFromRequest!=null){
            model = new SearchModel(searchModelFromRequest);
            model.resetUIStates();
            model.resetPaging();
        }
    }
*/
    String searchId = request.getParameter("searchId");
    if (model == null){
        SearchModelRequest searchModelRequest = SearchModelHelper.createSearchModelRequest(request, userContext);
        model = SearchModelHelper.getSearchModel(searchModelRequest, searchId);
    }
    model.setSearchId(searchId);

    String additionToUrl = "";
    if (model != null) {
        if(searchId == null ){
            searchId = String.valueOf(System.currentTimeMillis());
            additionToUrl = "?searchId=" + searchId;
        }

        xpolog.eye.search.ui.MultiSearchModelHelper.updateModelInRequest(request, model, searchId);
        //session.setAttribute(SEARCH_MODEL, model , searchId);

        //update search history autocomplete cache
        AutoCompleteCacheRequest autoCompleteCacheRequest = new AutoCompleteCacheRequest();
        autoCompleteCacheRequest.setUserContext(userContext);
        autoCompleteCacheRequest.setIncludeSearchHistory(true);

        SearchViewHelper.createAutoCompleteCache(session, autoCompleteCacheRequest);
    }

    response.sendRedirect(BASE_DIRECTORY + xpolog.eye.site.UserEnvironment.getUserEnvironment(request).addUrlCsrfToken("componentAction.jsp?selectedCompId=SearchEngine&forward=root.jsp#/search" + additionToUrl));

%>