<%@ page import="java.util.List"%>

<%@ page import="java.util.HashMap"%>

<%@ page import="xpolog.eye.search.SavedSearch"%>
<%@ page import="xpolog.eye.search.SearchHistoryManager"%>
<%@ page import="xpolog.eye.search.SearchModel"%>
<%@ page import="xpolog.eye.search.ui.SearchViewHelper"%>
<%@ page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.eye.site.UserEnvironment"%>
<%@ page import="xpolog.eye.util.WebUtil"%>

<%!
static final String BASE_DIRECTORY = "../../";
%>

<%
String SEARCH_MODEL = "SearchModel";

UserContext userContext = UserEnvironment.getUserContext(request);
SearchHistoryManager searchHistoryManager = SearchHistoryManager.getInstance();
List savedSearches = null;//searchHistoryManager.getSavedSearchesList(userContext);
boolean hasSavedSearches = savedSearches != null && savedSearches.size() > 0;
String colspanStr = hasSavedSearches ? "2" : "1";

SearchModel model = (SearchModel)session.getAttribute(SEARCH_MODEL);

HashMap<Integer, String> searchQueryMarkStyleByType = null;
if(model != null) {
	searchQueryMarkStyleByType = model.getSearchQueryMarkStyleByType();
}else {
	searchQueryMarkStyleByType = SearchViewHelper.getSearchQueryMarkStyleByType();
}

response.setContentType("text/xml; charset=UTF-8");
%>

<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
	<tr height="10px">
		<td colspan="<%=colspanStr %>" class="SEARCH_WIDGET_SUB_TITLE_CELL">Saved Searches</td>
	</tr>
	<tr height="2px">
		<td colspan="<%=colspanStr %>">
			<hr class="SEARCH_WIDGET_SUB_TITLE_LINE"></hr>
		</td>
	</tr>
	<%
	if(hasSavedSearches) {
		SavedSearch savedSearch = null;
		String savedSearchId = null, savedSearchName = null, savedSearchQuery = null;
		for(int i = 0; i < savedSearches.size(); i++) {
			savedSearch = (SavedSearch)savedSearches.get(i);
			savedSearchId = savedSearch.getId();
			savedSearchName = savedSearch.getName();
			savedSearchName = WebUtil.doHTMLEncoding(savedSearchName);
			savedSearchQuery = savedSearch.getSearchTerm();
			String[] marking = SearchViewHelper.getQueryMarking(savedSearchQuery, null, searchQueryMarkStyleByType);
			if(marking != null && marking.length > 1) {
				savedSearchQuery = marking[1];
			}
	%>
		<tr id="<%=savedSearchId %>" height="15px">
			<td class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_IMAGE_CELL <%=i > 0 ? "SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL_TOP" : "" %>"><img src="<%=BASE_DIRECTORY %>images/search/header/savedSearchIcon.png" border="0"></td>
			<td class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL <%=i > 0 ? "SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL_TOP" : "" %>"><a class="SEARCH_HEADER_SAVED_SEARCHES_NAME_LINK" href="javascript:goSavedSearch('search.<%=savedSearchId %>')"><%=savedSearchName %></a></td>
		</tr>
		<tr id="<%=savedSearchId %>" height="15px">
			<td class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_IMAGE_CELL SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL_BOTTOM"></td>
			<td class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL_BOTTOM"><a class="SEARCH_HEADER_SAVED_SEARCHES_LINK" href="javascript:goSavedSearch('search.<%=savedSearchId %>')"><%=savedSearchQuery %></a></td>
		</tr>
	<%
		}
	}else {
	%>
		<tr class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM" height="15px">
			<td class="SEARCH_HEADER_SAVED_SEARCHES_MENU_ITEM_CELL">No saved searches exist</td>
		</tr>
	<%
	}
	%>
		<tr><td colspan="<%=colspanStr %>">&nbsp;</td></tr>
</table>