<%@page import="xpolog.eye.util.Constants"%>
<%@ page language="java"%>

<%@ page import="java.io.FileInputStream"%>
<%@ page import="java.util.Properties"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.security.*"%>

<%!
static final String BASE_DIRECTORY = "../../";
%>

<%
String forward = request.getParameter("loginForwardURL");
if (forward == null){
	forward = "";
}
if (!forward.startsWith("http")){
 forward = BASE_DIRECTORY + forward; 
}

String build = null;
String buildString = "";
FileInputStream fis = null;
try {
	fis = new FileInputStream(Configuration.XPOLOG_ROOT_PATH + "conf/ui/strings/info.properties");
	Properties prop = new Properties();
	prop.load(fis);
	build = prop.getProperty("build");
	if(build != null && build.length() > 0) {
		buildString = build;
	}
}catch(Exception e) {
}finally {
	if(fis != null) {
		try {
			fis.close();
		}catch(Exception e) {
		}
	}
}
String welcomeMessage = Configuration.getInstance().getString(Constants.Strings.XPOLOG_WELCOME_MESSAGE);
if (welcomeMessage == null || welcomeMessage.length() == 0){
	welcomeMessage = "Welcome to XpoLog Center";
}
String infoMessage = Configuration.getInstance().getString(Constants.Strings.XPOLOG_INFO_MESSAGE);
if (infoMessage == null || infoMessage.length() == 0){
	infoMessage = "&copy; 2017 XpoLog Ltd. | XpoLog Center " + Configuration.xpologTypeVersion + (buildString.length() == 0 ? "" : " build " + buildString);
}
String title = Configuration.getInstance().getString(Constants.Strings.XPOLOG_TITLE);
if (title == null){
	title = "XpoLog Center";
}
boolean disableBrowserPasswordStoring = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("xpolog.eye.security.ui.disableBrowserPasswordStoring",false);
boolean setPasswordAsReadOnly = disableBrowserPasswordStoring || XpologSecurityManager.getInstance().isEnhancedSecurityMode();
%>


<html>

<head>

<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT=0">

<title><%=title %> Login</title>

<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jstz.main.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<script type="text/javascript" src="<%=BASE_DIRECTORY%>scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
<link rel="shortcut icon" href="<%=BASE_DIRECTORY%>images/home/favicon.ico">
<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>css/login.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<link rel="stylesheet" type="text/css" href="<%=BASE_DIRECTORY%>external/resources/css/login_user.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />


<script type="text/javascript">

var timeZoneId = "";
try {
	timeZoneId = jstz.determine().name();
}catch(err) {
}

var BASE_DIRECTORY = "<%=BASE_DIRECTORY %>";
function init(){
	isDuringLogin = false;
	if(document.all) {
  	var usernameElement = document.getElementById("<%=WebSecurityManager.USERNAME_PARAMETER %>");
  	var passwordElement = document.getElementById("<%=WebSecurityManager.PASSWORD_PARAMETER %>");
  	if(usernameElement && passwordElement) {
  		usernameElement.style.paddingTop = "6px";
  		passwordElement.style.paddingTop = "6px";
  	}
  }
	
	document.getElementById("<%=WebSecurityManager.USERNAME_PARAMETER%>").focus();
}

function doCheck(e){
	if (!e) var e = window.event;
	if (e.keyCode) code = e.keyCode;
	else if (e.which) code = e.which;
	if (code == 13){
		return false;
	}
	return true;
}

function doCheckLogin(e){
	var result = doCheck(e);
	if (!result){
		doLogin();
	}
	return result;
}

var isDuringLogin = false;
var loginXhr;
function doLogin() {
	if(isDuringLogin) {
		return;
	}
	if(loginXhr) {
		loginXhr.abort();
	}
	isDuringLogin = true;
	var loginErrorMessageDiv = document.getElementById("loginErrorMessageDiv");
	if(loginErrorMessageDiv) {
		loginErrorMessageDiv.style.display = "none";
	}
	var usernameElem = document.getElementById("<%=WebSecurityManager.USERNAME_PARAMETER %>");
	var passwordElem = document.getElementById("<%=WebSecurityManager.PASSWORD_PARAMETER %>");
	var errorMessage = "";
	if(usernameElem.value == "") {
		errorMessage = "Please fill in your username";
	}
	if(passwordElem.value == "") {
		if(errorMessage != "") {
			errorMessage += "<br>";
		}
		errorMessage += "Please fill in your password";
	}
	if(errorMessage == "") {
		if(loginErrorMessageDiv) {
			loginErrorMessageDiv.innerHTML = "Signing in, please wait...";
			loginErrorMessageDiv.style.display = "";
		}
		
		var postParams = "";
		postParams += ("<%=WebSecurityManager.USERNAME_PARAMETER %>=" + encodeURIComponent(usernameElem.value));
		postParams += ("&<%=WebSecurityManager.PASSWORD_PARAMETER %>=" + encodeURIComponent(passwordElem.value));
		postParams += ("&<%=WebSecurityManager.TIME_ZONE_ID_PARAMETER %>=" + encodeURIComponent(timeZoneId));
		postParams += "&isAjax=true";
		loginXhr = sendAjaxRequest(BASE_DIRECTORY + "security/auth/loginAction.jsp", function(req){
	    var xmldoc = req.responseXML.documentElement;
	    if(xmldoc) {
	      var responseElement = xmldoc.getElementsByTagName("Response")[0];
	      if(responseElement) {
					var loginSuc = responseElement.getAttribute("loginSuc");
					var errorMessage = responseElement.getAttribute("errorMessage");
					var redirect = responseElement.getAttribute("redirect");
					if(loginSuc) {
						if(loginSuc == "true") {
							this.location = "<%=forward%>";
						}else {
							if(errorMessage && errorMessage != "") {
								if(loginErrorMessageDiv) {
									loginErrorMessageDiv.innerHTML = errorMessage;
									loginErrorMessageDiv.style.display = "";
								}
							}else {
								if(loginErrorMessageDiv) {
									loginErrorMessageDiv.innerHTML = "Login failed. Please try again";
									loginErrorMessageDiv.style.display = "";
								}
							}
							init();
						}
					}else {
						isDuringLogin = false;
				   }
	      }else {
					isDuringLogin = false;
		    }
	    }else {
				isDuringLogin = false;
	    }
	  }, 'POST', postParams);
		
		
	}else {
		if(loginErrorMessageDiv) {
			loginErrorMessageDiv.innerHTML = errorMessage;
			loginErrorMessageDiv.style.display = "";
			init();
		}
		isDuringLogin = false;
	}
}

</script>
</head>

<body onload='javascript:init()'>
<form AUTOCOMPLETE="OFF" id="access" name="access" action="loginAction.jsp" target="loginActionFrame" method="post" style="padding:0;margin:0">
<input type="hidden" name="<%=xpolog.eye.security.WebSecurityManager.CSRF_TOKEN_PARAMETER %>" value="<%=xpolog.eye.site.UserEnvironment.getCsrfTokenOrEmpty(request)%>">
<div id="bgDiv">
	<div id="logoDiv"></div>
	<div id="centerWrapperDiv">
		<div id="loginDiv">
			<div style="text-align:left; height:30px;">
				<span style="font-size:24px; font-weight:bold; color:#a294ed;"><%=welcomeMessage %></span>
			</div>
			<div class="USER_DETAIL_DIV" style="position:absolute; top:55px; left: 0px;">
				<span class="USER_DETAIL_TEXT">Username</span>
			</div>
			<div class="USER_DETAIL_TEXT_FIELD_DIV" style="position:absolute; top:75px; left: 0px;">
				<input type="text" maxlength="40" class="USER_DETAIL_TEXT_FIELD" tabIndex="1" onKeyPress="return doCheckLogin(event)" id="<%=WebSecurityManager.USERNAME_PARAMETER %>" name="<%=WebSecurityManager.USERNAME_PARAMETER %>">
			</div>
			<div class="USER_DETAIL_DIV" style="position:absolute; top:120px; left: 0px;">
				<span class="USER_DETAIL_TEXT">Password</span>
			</div>
			<div class="USER_DETAIL_TEXT_FIELD_DIV" style="position:absolute; top:140px; left: 0px;">
				<input type="password" maxlength="40" class="USER_DETAIL_TEXT_FIELD" tabIndex="2" onKeyPress="return doCheckLogin(event)" id="<%=WebSecurityManager.PASSWORD_PARAMETER%>" name="<%=WebSecurityManager.PASSWORD_PARAMETER%>" <%=setPasswordAsReadOnly ? "readonly onfocus=\"$(this).removeAttr('readonly');\"" : ""%>>
			</div>
			<div id="loginButtonDiv" style="position:absolute; top:205px; left: 0px;">
				<div id="loginErrorMessageDiv" style="display:none; width:240px; height:40px; text-align:left; position:absolute; top:0px; left:0px; color:#fb6638; font-size:13px; font-weight:bold;"></div>
				<div style="text-align:right; height:36px; position:absolute; top:0px; right:0px;">
					<img src="<%=BASE_DIRECTORY %>images/login/loginButton.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" border="0" tabIndex="3" onKeyPress="return doCheckLogin(event)" onClick="javascript:doLogin()" onMouseOver="javascript:if(!isDuringLogin) {this.src='<%=BASE_DIRECTORY %>images/login/loginButtonOver.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>'}" onMouseOut="javascript:if(!isDuringLogin) {if(!document.all){this.src='<%=BASE_DIRECTORY %>images/login/loginButton.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>'}}" onMouseLeave="javascript:if(!isDuringLogin) {this.src='<%=BASE_DIRECTORY %>images/login/loginButton.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>'}" />
				</div>
			</div>
		</div>
		<div id="helpDiv">
			<div class="HELP_DIV_TITLE_TEXT">Get Help</div>
				<div class="HELP_DIV_LINK_DIV"><img src="<%=BASE_DIRECTORY %>images/login/plus.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" border="0" tabIndex="4" /><a href="https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=online_knowledgebase" target="_blank" class="HELP_DIV_LINK">Visit XpoLog's online knowledgebase</a></div>
				<div class="HELP_DIV_LINK_DIV"><img src="<%=BASE_DIRECTORY %>images/login/plus.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" border="0" tabIndex="5" /><a href="https://id.xplg.com/xplg/product/redirects.jsp?redirectRequest=submit_ticket" target="_blank" class="HELP_DIV_LINK">Contact XpoLog's support</a></div>
				<div class="HELP_DIV_LINK_DIV"><img src="<%=BASE_DIRECTORY %>images/login/plus.png?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" border="0" tabIndex="6" /><a href="http://www.xpolog.com" target="_blank" class="HELP_DIV_LINK">Visit XpoLog's website</a>
			</div>
		</div>
	</div>
	<div id="footerWrapperDiv">
		<!--
		<div id="installedVersionTextDiv">
			<span style="color:white; font-size:12px;">Installed Version: <%=Configuration.xpologTypeVersion%><%=buildString %></span>
		</div>
		-->
		<div id="footerTextDiv">
			<span style="color:#8a8489; font-size:12px;"><%=infoMessage%></span>
		</div>
	</div>
</div>
</form>
</body>
</html>
