<%@page import="xpolog.eye.site.ui.grid.models.GridModelActionsHelper"%>
<%@page import="xpolog.eye.system.XpoLogSystemProcess"%>
<%@page import="xpolog.eye.audit.event.ProcessSystemAuditEvent"%>
<%@page import="xpolog.eye.system.XpoLogSystemProcessInfo"%>
<%@page import="xpolog.eye.system.XpoLogSystemMnager"%>
<%@page import="xpolog.eye.audit.AuditConstants"%>
<%@page import="xpolog.eye.audit.AuditManager"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.config.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="java.util.*"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.jobs.XpoLogJobsManager"%>
<%@page import="xpolog.eye.jobs.core.JobSystemAuditEvent"%>
<%@page import="xpolog.eye.jobs.core.XpoLogQueueJob"%>

<%!
  static final String BASE_DIRECTORY = "../../";
	static final String DELIMITER = ",";
 %>
<%

	if (!WebSecurityManager.getInstance().checkForPermission(request,response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION,true)) {
		return;
	}
  UserContext userContext = UserEnvironment.getUserContext(request);
  boolean success = true;
  String message = "";  
  String childrenIdsList = null;
  String action = request.getParameter("action");
  String jobId = request.getParameter("jobIds");
   if (jobId != null && jobId.length() > 0){
              StringTokenizer indexedLogsIdsList = new StringTokenizer(jobId,DELIMITER);
              if (action.equalsIgnoreCase("stop")){
                  XpoLogJobsManager manager = XpoLogJobsManager.getInstance();
                  while (indexedLogsIdsList.hasMoreTokens()) {
                      String id = indexedLogsIdsList.nextToken();
                      String name = "";
                      try{
                          XpoLogQueueJob job = manager.getJobById(jobId);
                          if (job != null){
                              name =  job.getJobName() + "(" + job.getJobId() + "_" + job.getJobId() + ")";
                              AuditManager.getInstance().write(AuditConstants.BASIC_AUDIT_LEVEL, userContext, AuditConstants.STOP_PROCESS, "stop job manually", job.getJobType(), "stop job " + job.getJobName());
                              JobSystemAuditEvent auditEvent = new JobSystemAuditEvent(job);
                              String auditMessage = "stop process (" + job.getJobId() + ")";
                              auditEvent.setAction("stop process");
                              auditEvent.setMessage(auditMessage);
                              AuditManager.getInstance().write(auditEvent);
                              job.stopJob();
                          }
                      }catch (Exception e){
                          ErrorModel.log.error("Failed to stop job " + id+ " for entity " + name, e);
                          success = false;
                          message = e.getMessage();
                      }
                  }
              }
              else{
                  message = "No job selected, please refresh and try again";
              }
   }

  String xml = GridModelActionsHelper.getResultXML(success, message, "", childrenIdsList);
  response.setContentType("text/xml");
  response.setHeader("Pragma-Control", "no-cache");
  response.setHeader("Cache-Control", "no-cache");
  response.setHeader("Expires", "0");
  
  out.write(xml);
  out.flush();
%>