
<%@page import="xpolog.eye.util.io.XpoLogFileSystemFactory"%>
<%@page import="xpolog.eye.SiteAdministrator"%>
<%@page import="xpolog.eye.XpoLogObjectTypes"%>
<%@page import="xpolog.eye.site.ui.grid.models.GridModelActionsHelper"%>
<%@page import="xpolog.eye.system.XpoLogSystemProcess"%>
<%@page import="xpolog.eye.audit.event.ProcessSystemAuditEvent"%>
<%@page import="xpolog.eye.system.XpoLogSystemProcessInfo"%>
<%@page import="xpolog.eye.system.XpoLogSystemMnager"%>
<%@page import="xpolog.eye.audit.AuditConstants"%>
<%@page import="xpolog.eye.audit.AuditManager"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.config.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="xpolog.eye.*"%>
<%@ page import="java.io.*"%>
<%@ page import="java.util.*"%>
<%@ page import="xpolog.eye.data.linear.*"%>
<%@ page import="xpolog.eye.data.source.*"%>
<%@ page import="xpolog.eye.data.log.listeners.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.admin.util.housekeeping.*"%>


<%!static final String BASE_DIRECTORY = "../../";
	%>
<%
	if (!WebSecurityManager.getInstance().checkForPermission(request,response,ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION,true)) {
		return;
	}
	UserContext userContext = UserEnvironment.getUserContext(request);
	boolean success = true;
	String message = "";
	String rowIds = null;
	if (true) {
		try {
		    SiteManagment mgmt = SiteManagment.getInstance();
            		SiteAdministrator adminMgr = SiteManagment.getAdminInstance();

            		CleanUnusedDataRunner runner = new CleanUnusedDataRunner();
            		String str = request.getParameter("grace");
            		if (str != null && str.length() > 0){
            		    runner.setGraceTime(Long.parseLong(str));
            		}

            		str = request.getParameter("absolute");
                    if (str != null && str.length() > 0){
                        runner.setAbsoluteTime(Long.parseLong(str));
                    }

                    str = request.getParameter("topFolders");
                    if (str != null && str.length() > 0){
                        runner.setTopFolders(str.split(","));
                    }

                    str = request.getParameter("logsOnly");
                    if (str != null && str.length() > 0){
                        runner.setLogsOnly(str.equals("true"));
                    }

                    str = request.getParameter("cleanNoChildsFolder");
                    if (str != null && str.length() > 0){
                        runner.setClearNoChildsFolders(str.equals("true"));
                    }

                    str = request.getParameter("includeLogsQuery");
                    if (str != null && str.length() > 0){
                        runner.setIncludeLogsQuery(str);
                    }

                    str = request.getParameter("printOnly");
                    if (str != null && str.length() > 0){
                        runner.setPrintOnly(str.equals("true"));
                    }

                    str = request.getParameter("removeEmptyFolders");
                    if (str != null && str.length() > 0){
                        runner.setRemoveEmptyFolders(str.equals("true"));
                    }

                    str = request.getParameter("pathPostfixForLastModified");
                    if (str != null && str.length() > 0){
                        runner.setPathPostfixForLastModified(str);
                    }

                    adminMgr.clearUnusedFoldersAndLogs(runner);
                    String error = runner.getError();
                    if (error != null && error.length() > 0){
                         message = "Finish clean unused logs data with error: " + error;
                         success = false;
                    }else {
                        int delLogsCount = runner.getDeletedLogsCount();
                        int delFoldersCount = runner.getDeletedFoldersCount();
                        message = "Finished clean unused logs data with " + delLogsCount + " logs and " + delFoldersCount + " folders";

                        rowIds = "";
                        List<String> list = runner.getDeletedLogs();
                        if (list != null){
                            for (String s : list) {
                                rowIds += "<Log>" + s + "</Log>";
                            }
                        }
                        list = runner.getDeletedFolders();
                        if (list != null){
                            for (String s : list) {
                                rowIds += "<Folder>" + s + "</Folder>";
                            }
                        }
                    }




		}catch (Exception e) {
  		    ErrorModel.log.error("Failed to clean unused logs data", e);
			success = false;
			message = e.getMessage();
		}
	
	}
	String xml = GridModelActionsHelper.getResultXML(success, message,"", rowIds);

	response.setContentType("text/xml");
	response.setHeader("Pragma-Control", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");

	out.write(xml);
	out.flush();
%>