<%@page import="java.util.List"%>
<%@page import="java.util.Date"%>
<%@ page language="java" %>

<%@ page import="java.io.IOException"%>
<%@ page import="java.io.File"%>


<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.UserEnvironment"%>
<%@page import="xpolog.eye.util.ModuleMembersUtil"%>
<%@page import="xpolog.eye.*"%>
<%@page import="xpolog.eye.admin.builders.*"%>
<%@page import="xpolog.eye.LbmRequest"%>
<%@page import="xpolog.eye.search.SearchUtil"%>
<%@page import="xpolog.eye.search.SearchQueryParseResponse"%>
<%@page import="xpolog.eye.ModuleMember"%>
<%@page import="xpolog.eye.SiteManagment"%>
<%@page import="xpolog.eye.error.ErrorModel"%>
<%@page import="xpolog.eye.site.UserContext"%>
<%@page import="xpolog.eye.security.*"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.util.Comparator"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.HashSet"%>
<%@page import="java.util.Collections"%>


<%!
SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss.SSS");

Comparator logNameComp = new Comparator(){
	public int compare(Object o1, Object o2){
    if (o1 == o2) return 0;
    if (o2 == null) return 1;
    if (o1 == null) return -1;
		String logName1 = (String)o1;
		String logName2 = (String)o2;
		int index1 = logName1.indexOf("^");
		if (index1 != -1){
			logName1 = logName1.substring(0,index1);
		}
		int index2 = logName2.indexOf("^");
		if (index2 != -1){
			logName2 = logName2.substring(0,index2);
		}
		return logName1.toLowerCase().compareTo(logName2.toLowerCase());
  }
};


int editAndSaveLog(String logId){
    try {
        LbmRequest lbmRequest = LogsManager.getInstance().getLoadOnlineLbmRequest();
        lbmRequest.setDoUpdate(false);
        lbmRequest.setLbmId(logId);
        LogBrowsingManager orgLbm = SiteManagment.getInstance().getLogBrowserManager(logId, lbmRequest);
        SimpleLogBrowserBuilder logBrowserBuilder = null;
        if (ListenerLogBuilder.LISTENER_LOG_TYPE.equals(orgLbm.getType())) {
            logBrowserBuilder = new ListenerLogBuilder();
        }
        else if (SimpleLogBrowserBuilder.SIMPLE_LOG_TYPE.equals(orgLbm.getType())){
            logBrowserBuilder = new ListenerLogBuilder();
        }
        if (logBrowserBuilder != null) {
            logBrowserBuilder.setLogBrowserManager(orgLbm);
            logBrowserBuilder.updateFromLogBrowserManager();
            logBrowserBuilder.updateBuilder();
            LogBrowsingManager newLbm = logBrowserBuilder.getLogBrowserManager();
            SiteManagment.getAdminInstance().addLogBrowser(newLbm);
            return 0;
        }
    }
    catch (Throwable t){
        t.printStackTrace();
    }
    return 1;
}


%>

<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
<link rel="stylesheet" type="text/css" href="../../css/mainproduct.css?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>" />
<script type="text/javascript" src="../../scripts/UIUtil.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
	<script type="text/javascript" src="../../scripts/jquery/jquery.js?buildNumber=<%=Configuration.getInstance().getBuildNumber() %>"></script>
</head>
<body>

<%

WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request, response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION, true)) {
	return;
}
UserContext userContext = UserEnvironment.getUserContext(request);
String message = "";
ErrorModel errmod = null;
SiteManagment mgmt = SiteManagment.getInstance();
String errorLogs = null;

String query = request.getParameter("query");
boolean shouldRun = !"false".equals(request.getParameter("run"));
HashSet<String> logsIds = new HashSet<String>();
ArrayList<String> logNames = new ArrayList<String>();

if (query == null || query.length() == 0){
	ModuleMember[] allLogs = mgmt.getAllLogBrowsersIds();
	if (allLogs != null){
		for (int i=0; i<allLogs.length; i++){
			String logNameId = allLogs[i].getName() + "^" + allLogs[i].getId();
			logNames.add(logNameId);
		}
		Collections.sort(logNames,logNameComp);
	}

}
else{
	SearchQueryParseResponse parseResponse = SearchUtil.getSearchQueryParseResponse(userContext, xpolog.eye.search.SearchUtil.appendSourcesQueryPrefix(query,false));
	if(parseResponse == null) {
		if(errmod == null) {
			errmod = new ErrorModel();
		}
		errmod.addError("Failed to apply name pattern to logs");
	}
	else {
		if(parseResponse.getErrorMessage() != null && parseResponse.getErrorMessage().length() > 0) {
			if(errmod == null) {
				errmod = new ErrorModel();
			}
			errmod.addError("The specified logs to change don't exist");
		}
		else {
			HashMap sourcesToQueries = parseResponse.getSourcesToQueries();
			if(sourcesToQueries == null || sourcesToQueries.size() == 0) {
				if(errmod == null) {
					errmod = new ErrorModel();
				}
				errmod.addError("Failed to apply name pattern to logs");
			}
			else {
				logsIds.addAll(sourcesToQueries.keySet());
			}
		}
		if (logsIds != null && logsIds.size() > 0){
			Iterator<String> it = logsIds.iterator();
			while (it.hasNext()){
				String lbmId = it.next();
				try{
					ModuleMember mm = mgmt.getModuleMember(lbmId);
					if (mm != null){
						String logNameId = mm.getName() + "^" + mm.getId();
						logNames.add(logNameId);
					}
				}
				catch(Exception e){
					e.printStackTrace();
				}
			}
			Collections.sort(logNames,logNameComp);
		}
	}
}

if (logNames != null){
	LbmRequest lbmRequest = LogsManager.getInstance().getLoadOfflineLbmRequest();
	String logNameAndId = null, lbmId = null, logName = null, logPath = null, dataStatusDesc = null, logErrorMessage = null;
	int n=0;
	for (int i=0; i<logNames.size(); i++){
		logNameAndId = logNames.get(i);
		int index = logNameAndId.indexOf("^");
		if (index == -1){
			continue;
		}
		logName = logNameAndId.substring(0,index);
		lbmId = logNameAndId.substring(index+1);
		int indexStatus = 0;
		StringBuffer buffer = new StringBuffer();
		try{
		    if (shouldRun){
			    indexStatus = editAndSaveLog(lbmId);
			}
			else{
			    indexStatus = 1;
			}
		}catch(Exception e){
			indexStatus = 0;
		}
		if (indexStatus == 0){
		    out.println("finished editing log = " + logName + " (" + lbmId + ")<br>");
			continue;
		}
		
		n++;
		if (errorLogs == null){
			errorLogs = lbmId;
		}else{
			errorLogs += "," + lbmId;
		}
		try{
			logPath = ModuleMembersUtil.getPathToRoot(lbmId);
			dataStatusDesc = "Edit error " + indexStatus;
			if (dataStatusDesc == null){
				dataStatusDesc = "";
			}
			logErrorMessage = buffer.toString();
			if (logErrorMessage == null){
				logErrorMessage = "";
			}%>
				<tr>
					<td><nobr><%=n %></nobr></td>
					<td><nobr><%=logName + " (" + lbmId + ")" %></nobr></td>
					<td><nobr><%=logPath %></nobr></td>
					<td><nobr><%="<br>" %></nobr></td>
				</tr>
				<%
		}catch(Exception e){
		}finally{
		}
	}
	}

%>
</table>
</body>
</html>