<%@ page import="xpolog.eye.util.io.XpoLogFileSystemFactory"%>
<%@ page import="xpolog.eye.SiteAdministrator"%>
<%@ page import="xpolog.eye.XpoLogObjectTypes"%>
<%@ page import="xpolog.eye.site.ui.grid.models.GridModelActionsHelper"%>
<%@ page import="xpolog.eye.system.XpoLogSystemProcess"%>
<%@ page import="xpolog.eye.audit.event.ProcessSystemAuditEvent"%>
<%@ page import="xpolog.eye.system.XpoLogSystemProcessInfo"%>
<%@ page import="xpolog.eye.system.XpoLogSystemMnager"%>
<%@ page import="xpolog.eye.audit.AuditConstants"%>
<%@ page import="xpolog.eye.audit.AuditManager"%>
<%@ page import="xpolog.eye.SiteManagment"%>
<%@ page import="xpolog.eye.site.UserEnvironment"%>
<%@ page import="xpolog.eye.site.UserContext"%>
<%@ page import="xpolog.config.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="xpolog.eye.search.savedsearch.SavedSearchManager"%>
<%@ page import="xpolog.eye.search.savedsearch.SavedSearchMaintenanceRequest"%>
<%@ page import="java.io.*"%>
<%@ page import="java.util.*"%>
<%@ page import="xpolog.eye.data.linear.*"%>
<%@ page import="xpolog.eye.data.source.*"%>
<%@ page import="xpolog.eye.data.log.listeners.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@ page import="xpolog.eye.error.ErrorModel"%>



<%!static final String BASE_DIRECTORY = "../../";
	%>
<%
	if (!WebSecurityManager.getInstance().checkForPermission(request,response,ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION,true)) {
		return;
	}
	UserContext userContext = UserEnvironment.getUserContext(request);
	boolean success = true;
	String message = "";
	

		try {
		   boolean maintenanceEnabled = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("savedSearch.maintenance.enabled", true);
            boolean deleteFoldersOfNonExistingSS = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("savedSearch.maintenance.repository.removeNonExistingSavedSearches", true);
            long secondsToKeepOldSSLogs = Configuration.getInstance().getPropertiesManager().getPropertyAsLong("savedSearch.maintenance.repository.logs.secondsToKeep" ,86400);
            long maxTimeToKeepUserSearchData = Configuration.getInstance().getPropertiesManager().getPropertyAsLong("savedSearch.maintenance.repository.maxTimeToKeepUserSearchData" ,10000000);
            boolean globalMaintenance = Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("savedSearch.maintenance.repository.globalMaintenance", true);

            String defaults = request.getParameter("defaults");
            if (defaults == null || !defaults.equals("true")){
                maintenanceEnabled = true;
                deleteFoldersOfNonExistingSS = false;
                secondsToKeepOldSSLogs = -1;
                maxTimeToKeepUserSearchData = -1;
                globalMaintenance = false;
            }

            String param = request.getParameter("deleteFoldersOfNonExistingSS");
            if (param != null && param.length() > 0){
                deleteFoldersOfNonExistingSS = param.equals("true");
            }
            param = request.getParameter("globalMaintenance");
            if (param != null && param.length() > 0){
                globalMaintenance = param.equals("true");
            }

            param = request.getParameter("secondsToKeepOldSSLogs");
            if (param != null && param.length() > 0){
                secondsToKeepOldSSLogs = Long.parseLong(param);
            }
            param = request.getParameter("maxTimeToKeepUserSearchData");
            if (param != null && param.length() > 0){
                maxTimeToKeepUserSearchData = Long.parseLong(param);
            }

            SavedSearchMaintenanceRequest savedSearchMaintenanceRequest = new SavedSearchMaintenanceRequest(maintenanceEnabled, deleteFoldersOfNonExistingSS, secondsToKeepOldSSLogs);
            savedSearchMaintenanceRequest.setMaxTimeToKeepUserSearchData(maxTimeToKeepUserSearchData);
            savedSearchMaintenanceRequest.setRunRepositoryMaintenance(globalMaintenance);
            SavedSearchManager.getInstance().runSavedSearchMaintenance(savedSearchMaintenanceRequest);

            message = "Finish run saved search maintenance  ";


		}catch (Exception e) {
  		    ErrorModel.log.error("Failed to run saved search maintenance task", e);
			success = false;
			message = e.getMessage();
		}
	

	String xml = GridModelActionsHelper.getResultXML(success, message,"", null);

	response.setContentType("text/xml");
	response.setHeader("Pragma-Control", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");

	out.write(xml);
	out.flush();
%>