<%@ page language="java"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.util.search.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.util.*"%>
<%@ page import="xpolog.eye.search.*"%>
<%@ page import="xpolog.eye.data.store.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="org.w3c.dom.*"%>

<%!
  static final String BASE_DIRECTORY = "../../";
%>
<%

	String checkToken = "";
	String token = request.getParameter("token");
	
	UserContext user = UserEnvironment.getUserContext(request);
	if (user == null || user.getUser() == null || !user.getUser().isAdmin()){
	    if (token == null || checkToken.length() == 0 || !token.equals(checkToken)){
		    response.sendRedirect(BASE_DIRECTORY + UserEnvironment.getUserEnvironment(request).addUrlCsrfToken("security/common/accessDenied.jsp"));
		    return;
		}
	}

	String state = request.getParameter("state");


	String replaceState = "";
	if (state != null){
	    if (state.equals("suspend")){
	        replaceState = "2";
	    }else  if (state.equals("resume")){
            replaceState = "1";
        }
	}

	StringBuilder builder = new StringBuilder();


    try {
        if (replaceState.length() > 0){
            File systemXML = new File(Configuration.XPOLOG_ROOT_PATH, "collection/conf/system/system.xml");
            Document systemDoc =  null;
            systemDoc = XMLUtil.parseXML(new FileInputStream(systemXML));
            Element systemDocElem = systemDoc.getDocumentElement();
            Element systemCollectionPolicies = XMLUtil.getElementByTagName(systemDocElem, "LogCollectionPolicies");

            List list = XMLUtil.getElementsByTagName(systemCollectionPolicies, "ScheduleOp");
            if (list != null) {
                for (Object e : list) {
                    Element schedElem = (Element) e;
                    schedElem.setAttribute("state",replaceState);
                }
            }
            XMLUtil.saveXml(systemDoc,systemXML);
            builder.append("completed " + new Date());
         }else {
            builder.append("no state was found");
         }

    }catch (Throwable e){
        ErrorModel.log.error("Failed to clean unused directories", e);
        builder.append("error - " + e.getMessage());
    }
%>

<html>

<head>
</script>
</head>

<body>
<p>
<%=builder.toString()%>
</p>
</body>

</html>
