<%@ page language="java"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.*"%>
<%@ page import="xpolog.eye.security.*"%>
<%@ page import="xpolog.eye.util.search.*"%>
<%@ page import="xpolog.eye.admin.helpers.*"%>
<%@ page import="xpolog.eye.data.filters.query.*"%>
<%@ page import="xpolog.eye.site.*"%>
<%@ page import="xpolog.eye.data.*"%>
<%@ page import="xpolog.eye.data.linear.*"%>
<%@ page import="xpolog.eye.data.source.*"%>
<%@ page import="xpolog.eye.data.Record"%>
<%@ page import="java.util.*"%>

<%!
  static final String BASE_DIRECTORY = "../../";
%>
<%
	WebSecurityManager manager = WebSecurityManager.getInstance();
	if (!manager.checkForPermission(request,response,null,true)){
		return;
	}
	
	UserContext user = UserEnvironment.getUserContext(request);
	if (user != null && user.getUser() != null && !user.getUser().isAdmin()){
		response.sendRedirect(BASE_DIRECTORY + UserEnvironment.getUserEnvironment(request).addUrlCsrfToken("security/common/accessDenied.jsp"));
		return;
	}

	String lbmId = request.getParameter("logId");
	String ref = request.getParameter("ref");

	StringBuilder builder = new StringBuilder();


     builder.append("Log information for log id " + lbmId + " and ref " + ref).append("\n<br>");

     LbmRequest lbmRequest = LogsManager.getInstance().getLoadOfflineLbmRequest();
     lbmRequest.setLbmId(lbmId);
     lbmRequest.setDataEventListener(false);

     LogBrowsingManager lbm = SiteManagment.getInstance().getLogBrowserManager(lbmId,lbmRequest);
     if (lbm != null){
        lbm.setAddOrigDataToResult(true);
        LinearDataBuilder ldb = lbm.getLinearDataBuilder();
        LinearDataSource lds = null;
        if(ldb != null) {
            lds = ldb.getLinearDataSource();
        }
        if(lds != null) {
            lds = ldb.getLinearDataSource();
            lds.update();
            lds.goToByRef(DataReference.createInstanceFromKey(ref));
            RecordsMaskTableModel recordsModel = lbm.getNextEntries(1);
            if(recordsModel != null && recordsModel.getRowCount() > 0) {
                for (int i=0; i<recordsModel.getRowCount(); i++){
            		Record record = recordsModel.getRecordAt(i);
            		if(record != null) {
            		    builder.append(" record " + i + " :<br> " + record.getOriginalData()).append("\n<br>");
            		}
            	}
            }
        }
     }else {
       builder.append("No log was found").append("\n<br>");
     }

%>

<html>

<head>
</script>
</head>

<body>
<p>
<%=builder.toString()%>
</p>
</body>

</html>
