<%@ page language="java" %>

<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.*"%>
<%@page import="xpolog.eye.util.*"%>
<%@page import="xpolog.eye.*"%>
<%@page import="xpolog.eye.error.*"%>
<%@page import="xpolog.eye.security.*"%>
<%@page import="java.util.*"%>
<%@page import="java.text.*"%>

<%!

    void testLoadingLogs(StringBuilder builder ,int limit) throws Exception {
           SiteManagment instance = SiteManagment.getInstance();
           long start = System.currentTimeMillis();
           ModuleMember[] allLogBrowsersIds = instance.getAllLogBrowsersIds();
           builder.append("testLoadingLogs members len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

           int count = 0;
           start = System.currentTimeMillis();
           for (ModuleMember member : allLogBrowsersIds) {
               LogBrowsingManager logBrowserManager = instance.getLogBrowserManager(member.getId());
               count++;
               if (limit > 0 && count > limit) break;
           }

           builder.append("testLoadingLogs logs len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");
    }

    void testLoadingLogs1(StringBuilder builder,int limit ) throws Exception {
           SiteManagment instance = SiteManagment.getInstance();
           long start = System.currentTimeMillis();
           ModuleMember[] allLogBrowsersIds = instance.getAllLogBrowsersIds();
           builder.append("testLoadingLogs1 members len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

            int count = 0;
           start = System.currentTimeMillis();
           for (ModuleMember member : allLogBrowsersIds) {
                LogManager logManager = new LogManager(member.getId());
                logManager.init();
                count++;
                if (limit > 0 && count > limit) break;
           }


           builder.append("testLoadingLogs1 logs len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

    }

    void testLoadingLogs2(StringBuilder builder ,int limit) throws Exception {
           SiteManagment instance = SiteManagment.getInstance();
           long start = System.currentTimeMillis();
           ModuleMember[] allLogBrowsersIds = instance.getAllLogBrowsersIds();
           builder.append("testLoadingLogs2 members len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

            int count = 0;
           start = System.currentTimeMillis();
           for (ModuleMember member : allLogBrowsersIds) {
                LogManager logManager = new LogManager(member.getId());
                logManager.init();
                logManager.initDataInfo();
                count++;
                if (limit > 0 && count > limit) break;
           }


           builder.append("testLoadingLogs2 logs len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

        }

        void testLoadingLogs3(StringBuilder builder ,int limit) throws Exception {
           SiteManagment instance = SiteManagment.getInstance();
           long start = System.currentTimeMillis();
           ModuleMember[] allLogBrowsersIds = instance.getAllLogBrowsersIds();
           builder.append("testLoadingLogs3 members len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");


            int count = 0;
           start = System.currentTimeMillis();
           for (ModuleMember member : allLogBrowsersIds) {
                LbmRequest request = (LbmRequest)LogsManager.getInstance().getLoadOfflineLbmFromFileRequest();
                request.setLbmId(member.getId());
                request.setUseCachedLbm(false);
                request.setReuse(true);
                request.setAllowNullId(true);

                instance.getLogBrowserManager(member.getId(), request);

                count++;
                if (limit > 0 && count > limit) break;
           }


           builder.append("testLoadingLogs3 logs len = " + allLogBrowsersIds.length + " , " + (System.currentTimeMillis() - start)).append("<br>");

        }
%>

<html>
<head>
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
<META HTTP-EQUIV="EXPIRES" CONTENT="0">
</head>
<body>


<%

WebSecurityManager manager = WebSecurityManager.getInstance();
if (!manager.checkForPermission(request, response, ActionsPermissionConstants.SettingsPermissions.GENERAL_PERMISSION, true)) {
	return;
}
UserContext userContext = UserEnvironment.getUserContext(request);
String message = "";
ErrorModel errmod = null;
SiteManagment mgmt = SiteManagment.getInstance();
String errorLogs = null;
StringBuilder builder = new StringBuilder();


    try{
        String type = request.getParameter("type");
        String limitStr = request.getParameter("limit");
        int limit = -1;
        if (limitStr != null){
            try {
                limit = Integer.parseInt(limitStr);
            }catch (Exception e){}
        }
        if (type == null || type.length() == 0){
            testLoadingLogs(builder,limit);
        }else if (type.equals("1")){
            testLoadingLogs1(builder,limit);
         }else if (type.equals("2")){
            testLoadingLogs2(builder,limit);
         }else if (type.equals("3")){
            testLoadingLogs3(builder,limit);
        }else {
            builder.append("wrong type = " + type);
        }
    } catch (Exception e ){
        builder.append(e.getMessage());
    }

%>

<%=builder.toString()%>

</body>
</html>