<%@page import="xpolog.eye.plugin.PluginManager"%>
<%@page import="xpolog.eye.plugin.PluginSubtypes"%>
<%@page import="xpolog.eye.plugin.PluginKey"%>
<%@page import="org.json.simple.JSONObject"%>
<%@page import="xpolog.eye.media.plugins.PluginAccount"%>
<%@page import="xpolog.eye.media.kafkalistener.KafkaListenerAccount"%>
<%@ page language="java"%>

<%@ page import="xpolog.config.Configuration"%>
<%@ page import="xpolog.eye.audit.*" %>
<%@ page import="xpolog.eye.data.masks.MaskColumn"%>
<%@ page import="xpolog.eye.data.RecordMask"%>
<%@ page import="xpolog.eye.error.*"%>
<%@ page import="xpolog.eye.LogBrowsingManager"%>
<%@ page import="xpolog.eye.media.*"%>
<%@ page import="xpolog.eye.media.listeners.*"%>
<%@ page import="xpolog.eye.media.syslog.*"%>
<%@ page import="xpolog.eye.Module"%>
<%@ page import="xpolog.eye.security.ActionsPermissionConstants"%>
<%@ page import="xpolog.eye.security.WebSecurityManager"%>
<%@ page import="xpolog.eye.site.*" %>
<%@ page import="xpolog.eye.SiteAdministrator"%>
<%@ page import="xpolog.eye.SiteManagment"%>
<%@ page import="xpolog.eye.util.naming.ColumnNamePattern"%>
<%@ page import="xpolog.eye.util.naming.LogNameExtractor"%>
<%@ page import="xpolog.eye.util.naming.FixedNamePattern"%>
<%@ page import="xpolog.eye.util.WebUtil"%>
<%@ page import="xpolog.eye.util.XpologUtil"%>

<%@ page import="java.util.HashMap"%>
<%@ page import="java.util.List"%>
<%!
	static final String BASE_DIRECTORY = "../../../";
%>
<%
	if (!WebSecurityManager.getInstance().checkForPermission(request, response, ActionsPermissionConstants.DataSupportPermissions.ADDRESS_BOOK_PERMISSION, true)) {
		return;
	}
	
  UserEnvironment env = UserEnvironment.getUserEnvironment(request);
  UserContext userContext = UserEnvironment.getUserContext(request);
	
  String PREFIX = "accountSyslogServer_";
	String ERROR_OBJ = "ERROR_OBJ";
	
	String errorMsg = "";
	String result = "";
	String isEmbededStr = request.getParameter("isEmbeded");
	boolean isEmbeded = isEmbededStr != null && isEmbededStr.equals("true");
	
	String name,Description,assignedNode,processingNode,assignedNodeAddress,portStr,protocol,syslogPersistencyPath,parentModuleId,Id,logName;
	int port = -1;
	boolean splitByServers = false;
	boolean splitByFacilities = false;
	boolean enabled = true;
	int version = 1;
	
	name = request.getParameter("Name").trim();
	Description = request.getParameter("Description");
	String Host = request.getParameter("host");
	String Topics = request.getParameter("topics");
	String regTopic = request.getParameter("regTopic");
	String rbChecked = request.getParameter("rbTopic");
    String kafkaUserName = request.getParameter("kafkaUserName");
	String kafkaPass = request.getParameter("kafkaPass");
	String kafkaSecurityProtocol = request.getParameter("kafkaSecurityProtocol");
	String kafkaAuthMechanism = request.getParameter("kafkaAuthMechanism");
	String kafkaSecurityModule = request.getParameter("kafkaSecurityModule");
	String keystoreFilePath = request.getParameter("keystoreFilePath");
	String privateKeyPassword = request.getParameter("privateKeyPassword");
	String truststoreFilePath = request.getParameter("truststoreFilePath");
	String keystoreType = request.getParameter("keystoreType");
	String kafkaConsumerGroupId = request.getParameter("kafkaConsumerGroupId");

//KAFKA PROP INSERT HERE

	assignedNode = request.getParameter("listeningNodes");
	processingNode = request.getParameter("processingNode");
	assignedNodeAddress = request.getParameter("listeningNodeAddress");
	protocol = request.getParameter("protocol");
	Id = request.getParameter("Id");
	portStr = request.getParameter("port");
	String enabledStr = request.getParameter("enabled");
	enabled = enabledStr != null && enabledStr.equals("true");
	parentModuleId = request.getParameter("MODULE_ID").trim();
	syslogPersistencyPath = request.getParameter("fullPath_0");
	logName = request.getParameter("logName");
	String splitByServersStr = request.getParameter("splitByServers");
	splitByServers = splitByServersStr != null && !splitByServersStr.equals("none");
	String serversMasksRules = request.getParameter("serversMasksRules");
    String serverRegexRules = request.getParameter("serversRegexRules");

	String splitByFacilitiesStr = request.getParameter("splitByFacilities");
	splitByFacilities = splitByFacilitiesStr != null && splitByFacilitiesStr.equals("true");
	String logCollectionPolicyId = request.getParameter("logCollectionPolicyId");
	String indexingInterval = request.getParameter("indexingInterval");
	String parentApplication = request.getParameter("parentApplication");
	String appTags = null;
	if (parentApplication != null && parentApplication.length() > 0){
		String[] appsArr = parentApplication.split("#");
		StringBuilder sb = new StringBuilder();
		for (int i=0; i<appsArr.length; i++){
			if (sb.length() > 0){
				sb.append(";");
			}
			sb.append(appsArr[i]);
		}
		appTags = sb.toString();
	}

	boolean hasAssignedNode = false;
	ErrorModel errmodel = new ErrorModel(); 
	
	if(name == null || name.equals("")){
   	errmodel.addError("Name was not supplied");
   	if(isEmbeded){
   		errorMsg += "Name was not supplied<br>";
   	}
 	}	
	if(WebUtil.isContainSpecialCharecter(name)){
		errmodel.addError("The following characters are prohibited in the Name field: "+ WebUtil.getSpecialCharectersList());
   	if(isEmbeded){
			errorMsg += ("The following characters are prohibited in the Name field: "+ WebUtil.getSpecialCharectersList() + "<br>");
   	}
  }
	if (logName == null)
		logName = "";
	if(WebUtil.isContainSpecialCharecter(logName)){
		errmodel.addError("The following characters are prohibited in the Log Name Prefix field: "+ WebUtil.getSpecialCharectersList());
   	if(isEmbeded){
			errorMsg += ("The following characters are prohibited in the Log Name Prefix field: "+ WebUtil.getSpecialCharectersList() + "<br>");
   	}
  }
	
 	if (parentModuleId == null || parentModuleId.length() == 0){
 		errmodel.addError("Parent folder was not supplied");
 		if(isEmbeded){
	   		errorMsg += "Parent folder was not supplied<br>";
	   	}
 	}else if (errmodel.getErrorCount()==0){

        //System.out.println("parent module id is : " + parentModuleId);
        String defaultParentModuleId = PluginManager.getInstance().getSubpartMetadataByKey(new PluginKey("kafka", "kafka-listener"), PluginSubtypes.Listener).getParentModuleId();
        SiteManagment mgmt = SiteManagment.getInstance();
        Module parentModule = mgmt.getModuleFromId(parentModuleId);
        if (parentModule == null)
        {
            boolean moduleCreated = false;
            parentModule = new Module();
            parentModule.setId(parentModuleId);
            parentModule.setName(name);
            if (parentModuleId.equals(defaultParentModuleId)){
                Module rootModule = mgmt.getModuleFromId(Module.ROOT_MODULE_ID);
                SiteManagment.getAdminInstance().addModule(parentModule, rootModule);
            } else {
                Module lastPathModule = mgmt.getModuleFromId(Module.ROOT_MODULE_ID);
                if (lastPathModule != null) {
                    parentModuleId = SiteManagment.getAdminInstance().addModule(parentModule, lastPathModule);
                    moduleCreated = true;
                }
                if (!moduleCreated) {
                    errmodel.addError("Failed to create folders path " + "Root" + "->" + name);
                }
            }
        }
    }
 	
 	if (logCollectionPolicyId == null || logCollectionPolicyId.length() == 0){
 		errmodel.addError("Log collection policy was not supplied");
 		if(isEmbeded){
   		errorMsg += "Log collection policy was not supplied<br>";
   	}
 	}

  
	AddressBook adbok = AddressBook.getInstance();
	if (Id == null || Id.length() == 0){
		Account acc = adbok.getAccountByName(name);
		if (acc instanceof ListenerAccount){
			errmodel.addError("Account name " + name + " already exists. Please enter a different account name");
			if(isEmbeded){
	    	errorMsg += "Account name " + name + " already exists. Please enter a different account name<br>";
	    }
		}
	}
	
	boolean samePort = false;	
		
	boolean isListenerRunner = true;
	if(assignedNode != null && assignedNode.trim().length() > 0 && Configuration.getInstance().isCluster()) {
		long assignedNodeKeepAliveTimeout = Configuration.getInstance().getPropertiesManager().getPropertyAsLong("cluster.job.logCollection.assignedNodeKeepAliveTimeout", 300000);
		
		HashMap<String, Object> extraData = new HashMap<String, Object>();
		extraData.put(Configuration.ASSIGNED_NODE_ONLY, "true");
		isListenerRunner = Configuration.shouldRunTaskByAssignedNode(assignedNode, assignedNodeKeepAliveTimeout, extraData);
	}
	
	if (Host.length() == 0) {
		errmodel.addError("Host was not supplied");
 		if(isEmbeded){
	   		errorMsg += "Host was not supplied<br>";
	   	}
	}

	if (Topics.length() == 0 && regTopic.length() == 0) {
		errmodel.addError("Topic was not supplied");
 		if(isEmbeded){
	   		errorMsg += "Topic was not supplied<br>";
	   	}
	}

 	if(errmodel.getErrorCount() != 0){
 		if(!isEmbeded){
 	 		request.getSession().setAttribute(ERROR_OBJ,errmodel);
  			response.sendRedirect(BASE_DIRECTORY + "common/errorpage.jsp?cancelURL=tools/addresses/addressview.jsp");
 	 	}else{
 			result += "error@#" + errorMsg;
 			out.write(result);
 			out.flush();
 		}
   	return;
 	}
 	
 	ListenerAccount mtac = null;
 	PluginListenerAccount pluginAcc = null;
	if(Id != null){
		mtac = (ListenerAccount)adbok.getAccountById(Id);
		if (mtac instanceof PluginListenerAccount){
		    pluginAcc = (PluginListenerAccount)mtac;
		}else if (xpolog.config.Configuration.getInstance().getPropertiesManager().getPropertyAsBoolean("listeners.plugin.upgradeAccount", false)){
		    pluginAcc = new PluginListenerAccount();
		    pluginAcc.setId(mtac.getId());
		    mtac = pluginAcc;
		}
	}
	if(mtac == null){
	    pluginAcc = new PluginListenerAccount();
		mtac = pluginAcc;
	}
	version = mtac.getVersion();
	mtac.setPluginKey(new PluginKey("kafka", "kafka-listener"));
	mtac.setPluginType(PluginSubtypes.Listener);
	mtac.setAccountName(name);
	mtac.setDescription(Description);
	System.out.println("assignedNode = " + assignedNode + " , " + pluginAcc);
	if(assignedNode != null){
	    if(pluginAcc != null){
            String[] listeningNodes = assignedNode.split(",");
            if(assignedNode.equals(Configuration.DEFAULT_ASSIGNED_NODE)) {
                pluginAcc.setListeningNodes(null);
            }else {
                pluginAcc.setListeningNodes(listeningNodes);
            }
             mtac.setAssignedNode(null);
        }else {
            if(assignedNode.equals(Configuration.DEFAULT_ASSIGNED_NODE)) {
                mtac.setAssignedNode(null);
            }else {
                if(Configuration.getInstance().isAllowedMasterOrProcessor(assignedNode, true)) {
                    mtac.setAssignedNode(assignedNode);
                }
            }
        }
	}
	if (processingNode != null){
		if(processingNode.equals(Configuration.DEFAULT_ASSIGNED_NODE)) {
			mtac.setProcessingNode(null);
		}else if(processingNode.equals(ListenersManagerHelper.LISTENING_NODE) || Configuration.getInstance().isAllowedMasterOrProcessor(processingNode, true)){
			mtac.setProcessingNode(processingNode);
		}
	}
	
	mtac.setEnabled(enabled);	
	int index = indexingInterval.indexOf("|");
	String indexingIntervalName = null;
	if (index != -1){
		indexingIntervalName = indexingInterval.substring(index+1);
		indexingInterval = indexingInterval.substring(0,index);
	}
	mtac.setIndexingInterval(indexingInterval);
	mtac.setIndexingIntervalName(indexingIntervalName);
	mtac.setParentFolder(parentModuleId);
	mtac.setCollectionPolicy(logCollectionPolicyId);
	mtac.setAppTags(appTags);	
	JSONObject extraParams = new JSONObject();
// 	extraParams.put("xplg.id", mtac.getId());	
	if (!rbChecked.equals("reguTopic")) {
		extraParams.put("topic.regex", regTopic);
	} else {
		extraParams.put("topic", Topics);
	}
	extraParams.put("bootstrap.servers", Host);
	if (splitByServersStr.equals("splitByTopic")) {
		extraParams.put("split.column", "topic");
	} else if (splitByServersStr.equals("splitByProdHost")) {
		extraParams.put("split.column", "prod.host");
	}
	extraParams.put("kafkaUserName" , kafkaUserName);
	extraParams.put("kafkaPass" , kafkaPass);
	extraParams.put("kafkaSecurityProtocol" , kafkaSecurityProtocol);
	extraParams.put("kafkaAuthMechanism" , kafkaAuthMechanism);
	extraParams.put("kafkaSecurityModule" , kafkaSecurityModule);
	extraParams.put("kafkaConsumerGroupId" , kafkaConsumerGroupId);

	extraParams.put("keystoreFilePath" , keystoreFilePath);
	extraParams.put("privateKeyPassword" , privateKeyPassword);
	extraParams.put("truststoreFilePath" , truststoreFilePath);
	extraParams.put("keystoreType" , keystoreType);

//KAFKA PROP INSERT HERE1


	((PluginAccount)mtac).setUserData(extraParams);
	mtac.setPersistencyPath(syslogPersistencyPath);
	
	LogNameExtractor logNameExtractor = new LogNameExtractor();
	mtac.setLogNameExtractor(logNameExtractor);
// 	logName = "kafka-listener";
	if (logName != null && logName.trim().length() > 0){
		FixedNamePattern fixedNamePattern = new FixedNamePattern();
		fixedNamePattern.setValue(logName);
		logNameExtractor.addLogNamePattern(fixedNamePattern);
	}
	if (splitByServers && !splitByServersStr.equals("splitByProdHost") && !splitByServersStr.equals("splitByTopic")) {
        //create a ColumnNamePattern based on the system syslog log record mask
        String internalListenerLbmId = ListenersManager.getInstance().getSystemListenerLbmId(mtac.getType(), version);
        LogBrowsingManager lbm = SiteManagment.getInstance().getLogBrowserManager(internalListenerLbmId);
        if (splitByServersStr.equals("splitByRegexp")){
            if (lbm != null) {
                RecordMask recordMask = lbm.getRecordMask();
                int columnIndex = -1;
                int colsNumber = recordMask.getCulomnsNumber();
                for (int i = 0; i < colsNumber; i++) {
                    MaskColumn col = recordMask.getMaskColumn(i);
                    if (col.getName() != null && col.getName().equals(ListenersManager.SYSLOG_LOG_MESSAGE_COLUMN_NAME)) {
                        columnIndex = i;
                        break;
                    }
                }
                if (columnIndex != -1) {
                    ColumnNamePattern serverNamePattern = new ColumnNamePattern();
                    serverNamePattern.setRecordMask(recordMask);
                    serverNamePattern.setColumnName(ListenersManager.SYSLOG_LOG_MESSAGE_COLUMN_NAME);
                    serverNamePattern.setColumnNameRules(serverRegexRules);
                    logNameExtractor.addLogNamePattern(serverNamePattern);
                }
            }
        } else {
            if (lbm != null) {
                RecordMask recordMask = lbm.getRecordMask();
                int columnIndex = -1;
                int colsNumber = recordMask.getCulomnsNumber();
                for (int i = 0; i < colsNumber; i++) {
                    MaskColumn col = recordMask.getMaskColumn(i);
                    if (col.getName() != null && col.getName().equals("Host")) {
                        columnIndex = i;
                        break;
                    }
                }
                if (columnIndex != -1) {
                    ColumnNamePattern serverNamePattern = new ColumnNamePattern();
                    serverNamePattern.setRecordMask(recordMask);
                    serverNamePattern.setColumnName("Host");
                    serverNamePattern.setColumnNameRules(serversMasksRules);
                    logNameExtractor.addLogNamePattern(serverNamePattern);
                }

                if (splitByFacilities) {
                    columnIndex = -1;
                    for (int i = 0; i < colsNumber; i++) {
                        MaskColumn col = recordMask.getMaskColumn(i);
                        if (col.getName() != null && col.getName().equals(ListenersManager.SYSLOG_LOG_FACILITY_COLUMN_NAME)) {
                            columnIndex = i;
                            break;
                        }
                    }
                    if (columnIndex != -1) {
                        ColumnNamePattern serverNamePattern = new ColumnNamePattern();
                        serverNamePattern.setRecordMask(recordMask);
                        serverNamePattern.setColumnName(ListenersManager.SYSLOG_LOG_FACILITY_COLUMN_NAME);
                        logNameExtractor.addLogNamePattern(serverNamePattern);
                    }
                }
            }
        }
    }
	
	
	try {
	adbok.addAccount(mtac,userContext);
	adbok.saveAddressBook();
	}catch (Exception e){
		e.printStackTrace();
	}
	
	if(!isEmbeded) {
		request.getSession().setAttribute("lastSelectedAccount",mtac.getId());
	}

	//	audit
	AuditManager.getInstance().write(AuditConstants.BASIC_AUDIT_LEVEL,
		  			userContext, AuditConstants.CHANGE, "add/edit account", AuditConstants.CONFIGURATION, "add/edit kafka server account " + name);

	if(isEmbeded){
		response.setContentType("text/html");
		//result: action type + acc type + action result status + 
		//        error msg OR new acc name + new acc Id
		result += "ok@#";
		result += "snmp@#";		
		result += "save@#";
		result += mtac.getAccountName() + "@#";
		result += mtac.getId() + "@#";;
		result += Id != null && Id.length() > 0 ? "edit" : "new";
		out.write(result);
		out.flush();
	}else{
		env.setTempAttribute(SiteConstants.FORWARD_URL_ATTRIBUTE,"tools/addresses/addressview.jsp?addressType=snmp");
  	response.sendRedirect(BASE_DIRECTORY + "common/actions/nextAction.jsp");
	}
	
%>

