<%--
<%@ page language="java"%>
<%@page import="java.awt.image.BufferedImage"%>
<%@page import="java.util.HashMap" %>
<%@page import="java.util.Iterator" %>
<%@page import="java.io.File" %>
<%@page import="java.io.OutputStream" %>
<%@page import="java.util.StringTokenizer" %>
<%@page import="javax.imageio.ImageIO"%>
<%@page import="javax.imageio.stream.FileImageOutputStream"%>
<%@page import="com.fusioncharts.exporter.FusionChartsExportHelper" %>
<%@page import="com.fusioncharts.exporter.beans.ChartMetadata"%>
<%@page import="com.fusioncharts.exporter.beans.ExportBean" %>
<%@page import="com.fusioncharts.exporter.encoders.BasicEncoder"%>
<%@page import="com.fusioncharts.exporter.encoders.JPEGEncoder"%>
<%@page import="com.fusioncharts.exporter.generators.ImageGenerator"%>
<%@page import="xpolog.config.Configuration"%>
<%@page import="xpolog.eye.site.SiteUtil"%>
<%@page import="xpolog.eye.util.XpologUtil"%>

<%
//StringBuffer err_warn_Codes = new StringBuffer();
String pathSeparator = File.separator; // will return either "\" or "/", depends on OS
ExportBean localExportBean=FusionChartsExportHelper.parseExportRequestStream(request);

String exportFormat = (String)localExportBean.getExportParameterValue("exportformat");
String exporterFilePath = FusionChartsExportHelper.getExporterFilePath(exportFormat);
String exportTargetWindow = (String)localExportBean.getExportParameterValue("exporttargetwindow");

if (localExportBean.getMetadata().getWidth() == -1 || localExportBean.getMetadata().getHeight() == -1 || 
		localExportBean.getMetadata().getWidth() == 0 || localExportBean.getMetadata().getHeight() == 0 ) {
	
	//If Width/Height parameter is not sent, the ChartMetadata will have width/height as -1
	//Raise Error E101 - Width/Height not found
	//err_warn_Codes.append("E101,");	
}

if (localExportBean.getMetadata().getBgColor() == null) {
	
	//Background color not available
	//err_warn_Codes.append("W513,");	
}

if (localExportBean.getStream() == null  ) {
	
	//If image data not available
	//Raise Error E100
	//err_warn_Codes.append("E100,");	
}

String exportAction = (String)localExportBean.getExportParameterValue("exportaction");
boolean isHTML = false;
if(exportAction.equals("download"))
	isHTML=true;

if(!exportAction.equals("download")) {
	String fileNameWithoutExt = (String)localExportBean.getExportParameterValue("exportfilename");
	String extension = FusionChartsExportHelper.getExtensionFor(exportFormat.toLowerCase());;
	String fileName = fileNameWithoutExt+"."+ extension;	
	//err_warn_Codes.append(ErrorHandler.checkServerSaveStatus(WEB_ROOT_PATH,fileName));
	
}

String fileNameWithoutExt = (String)localExportBean.getExportParameterValue("exportfilename");
String extension = FusionChartsExportHelper.getExtensionFor(exportFormat.toLowerCase());;
String fileName = fileNameWithoutExt+"_"+(XpologUtil.generateSystemTimeId())+"."+ extension;

String stream = (String)localExportBean.getStream();
ChartMetadata metadata= localExportBean.getMetadata();

StringBuffer err_warn_Codes = new StringBuffer();

BufferedImage chartImage = ImageGenerator.getChartImage(stream,metadata);
String noticeMessage = "";
String meta_values= localExportBean.getMetadataAsQueryString(null,false,isHTML);

if(!exportAction.equals("download")){
	noticeMessage = "&notice=";
	String pathToSaveFolder = Configuration.XPOLOG_SITE_ROOT + "temp/charts/";
	File saveFolder = new File(pathToSaveFolder);
	if(!saveFolder.exists()) {
		saveFolder.mkdirs();
	}
	
	String completeFilePath = pathToSaveFolder + File.separator + fileName;
	String completeFilePathWithoutExt = pathToSaveFolder + File.separator + fileNameWithoutExt;
	File saveFile = new File(completeFilePath);
	if(saveFile.exists()) {
			//noticeMessage+=ErrorHandler.getErrorForCode("W509");
			if(!FusionChartsExportHelper.OVERWRITEFILE){
				if(FusionChartsExportHelper.INTELLIGENTFILENAMING) {
					//noticeMessage+=ErrorHandler.getErrorForCode("W514");
					completeFilePath= FusionChartsExportHelper.getUniqueFileName(completeFilePathWithoutExt,extension);
					File tempFile= new File(completeFilePath);
					fileName = tempFile.getName();
					//noticeMessage+=ErrorHandler.getErrorForCode("W515")+ fileName;
					//err_warn_Codes.append("W515,");
				}
			}
	}
	// In Save mode, send back Successful response back to chart
	// In save mode, isHTML is false
	String applicationRoot = SiteUtil.getApplicationRoot(request);
	String pathToDisplay=applicationRoot+"temp/charts/"+fileName;
	
				
	 meta_values =localExportBean.getMetadataAsQueryString(pathToDisplay,false,isHTML);
	
	// Now encode and save to file
	FileImageOutputStream fios = new FileImageOutputStream(new File(completeFilePath));
	if( exportFormat.toLowerCase().equalsIgnoreCase("jpg") || exportFormat.toLowerCase().equalsIgnoreCase("jpeg")){
		JPEGEncoder jpegEncoder = new JPEGEncoder();
		try {
			jpegEncoder.encode(chartImage,fios);
		}catch(Throwable e){
			//TODO Unable to encode the buffered image
			//err_warn_Codes.append("E516,");
		}
		chartImage=null;
	}
	else {
		
		BasicEncoder basicEncoder = new BasicEncoder();
		try {
			basicEncoder.encode(chartImage,fios,1F,exportFormat.toLowerCase());
		}catch(Throwable e){
			System.out.println(" Unable to encode the buffered image");
			//err_warn_Codes.append("E516,");
		}
		chartImage=null;
	}
		if(err_warn_Codes.indexOf("E")<0){
			// if there are no errors
			String result = meta_values+noticeMessage+"&statusCode=1&statusMessage=successful";
			out.print(result);
		}

	}
	else{
			response.setContentType(FusionChartsExportHelper.getMimeTypeFor(exportFormat.toLowerCase()));
			
			OutputStream os = response.getOutputStream();
			
			if(exportTargetWindow.equalsIgnoreCase("_self")){
				response.addHeader("Content-Disposition", "attachment; filename=\""+fileName+"\"");
				//response.addHeader("Content-length",""+ios.length());
			}
			else {
				response.addHeader("Content-Disposition", "inline; filename=\""+fileName+"\"");
			}
			if( exportFormat.toLowerCase().equalsIgnoreCase("jpg") || exportFormat.toLowerCase().equalsIgnoreCase("jpeg")){
				JPEGEncoder jpegEncoder = new JPEGEncoder();
				try {
					jpegEncoder.encode(chartImage,os);
					os.flush();
				}catch(Throwable e){
					//Unable to encode the buffered image
					//System.out.println("Unable to (JPEG) encode the buffered image");
					//err_warn_Codes.append("E516,");
					//os.flush();
					// Note forward will not work in this case, as the output stream has already been opened
					// Hence we have to output the error directly.
					//meta_values =localExportBean.getMetadataAsQueryString(null,true,isHTML);
					// Reset the response to set new content type and use out instead of outputstream
					//response.reset();
					//response.setContentType("text/html");
					//out.print(meta_values+noticeMessage+ErrorHandler.buildResponse(err_warn_Codes.toString(),isHTML));
					return;
				}
				chartImage=null;
			}
			else {
				
				BasicEncoder basicEncoder = new BasicEncoder();
				try {
					basicEncoder.encode(chartImage,os,1F,exportFormat.toLowerCase());
					os.flush();
				}catch(Throwable e){
					//System.out.println("Unable to encode the buffered image");
					//err_warn_Codes.append("E516,");
					//os.flush();
					// Note forward will not work in this case, as the output stream has already been opened
					// Hence we have to output the error directly.
					//meta_values =exportBean.getMetadataAsQueryString(null,true,isHTML);
					// Reset the response to set new content type and use out instead of outputstream
					//response.reset();
					//response.setContentType("text/html");
					//out.print(meta_values+noticeMessage+ErrorHandler.buildResponse(err_warn_Codes.toString(),isHTML));
					//return;
				}
				chartImage=null;
			}
			// Don't close the servlet output stream
			//os.close();
			
	}
%>
--%>