/// <reference types="mcustomscrollbar" />
/// <reference types="jquery" />
/// <reference types="jquery" />
import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { MalihuScrollbarService } from './malihu-scrollbar.service';
import * as i0 from "@angular/core";
/**
 * Malihu Custom Scrollbar directive
 * Use this reference link for options definition
 * http://manos.malihu.gr/jquery-custom-content-scroller/
 */
export declare class MalihuScrollbarDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private mScrollbarService;
    scrollElementId: string;
    scrollbarOptions: MCustomScrollbar.CustomScrollbarOptions;
    scrollableElement: JQuery;
    constructor(elementRef: ElementRef, mScrollbarService: MalihuScrollbarService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initElements(): void;
    initScrollbar(): void;
    destroyScrollbar(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MalihuScrollbarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MalihuScrollbarDirective, "[MalihuScrollbar], [malihu-scrollbar]", never, { "scrollElementId": { "alias": "scrollElementId"; "required": false; }; "scrollbarOptions": { "alias": "scrollbarOptions"; "required": false; }; }, {}, never, never, false, never>;
}
