function getName() {
	return "atlassian";
}
xplgRegisterSystemDef({
	"xplg_system_def": {
		"uid": "atlassian",
		"apptags": "",
		"logtypes": [
		    {
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "Jira Audit",
					"typetag": "jira,audit",
					"name": "Jira Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:Message,created#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSZ;summary#_#ftype=summary#_#name=summary;description#_#ftype=description#_#name=description;category#_#ftype=category#_#name=category;objectItem->parentName#_#ftype=parentname#_#name=parentName;objectItem->name#_#ftype=objectname#_#name=Object Name;objectItem->typeName#_#ftype=typename#_#name=typeName;objectItem->id#_#ftype=objectid#_#name=ObjectID;objectItem->parentId#_#ftype=parentid#_#name=parentID;eventSource#_#ftype=eventsource;associatedItems#_#ftype=associateditems;id#_#ftype=id#_#name=ID;changedValues#_#ftype=changedvalues;authorKey#_#ftype=authorkey;authorAccountId#_#ftype=authoraccountid;remoteAddress#_#ftype=remoteaddress}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "jira_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:Message,created#_#date::dateFormat=yyyy-MM-dd'T'HH:mm:ss.SSSZ;summary#_#ftype=summary#_#name=summary;description#_#ftype=description#_#name=description;category#_#ftype=category#_#name=category;objectItem->parentName#_#ftype=parentname#_#name=parentName;objectItem->name#_#ftype=objectname#_#name=Object Name;objectItem->typeName#_#ftype=typename#_#name=typeName;objectItem->id#_#ftype=objectid#_#name=ObjectID;objectItem->parentId#_#ftype=parentid#_#name=parentID;eventSource#_#ftype=eventsource;associatedItems#_#ftype=associateditems;id#_#ftype=id#_#name=ID;changedValues#_#ftype=changedvalues;authorKey#_#ftype=authorkey;authorAccountId#_#ftype=authoraccountid;remoteAddress#_#ftype=remoteaddress}",
						"externalJS": "link or code"
					}
				}
			},
			{
				"log": {
					"xdoclink": "",
					"defaultPattern": "NONE",
					"howto": "Confluence Audit",
					"typetag": "confluence,audit",
					"name": "Confluence Audit",
					"custom_parser_location": "<LINK to JS>",
					"defaultXpoLogPattern": "{json:Message,creationDate#_#timestamp::dateFormat=MM/dd/yyyy HH:mm:ss.SSS;author->type#_#ftype=type#_#name=type;author->displayName#_#ftype=displayname#_#name=displayName;author->operations#_#ftype=operations#_#name=operations;author->isExternalCollaborator#_#name=isExternalCollaborator;author->accountId#_#ftype=accountid#_#name=accountid;author->accountType#_#ftype=accounttype#_#name=accountType;author->userKey#_#ftype=userkey#_#name=userKey;author->username#_#ftype=username#_#name=Username;author->publicName#_#ftype=publicname#_#name=publicName;author->externalCollaborator#_#name=externalCollaborator;remoteAddress#_#ftype=remoteadrdress#_#name=remoteAddress;summary#_#ftype=summart#_#name=summary;description#_#ftype=description#_#name=description;category#_#ftype=category#_#name=category;sysAdmin#_#ftype=sysadmin#_#name-sysAdmin;superAdmin#_#ftype=superadmin#_#name=superAdmin;affectedObject->name#_#name=affectedObject name;affectedObject->objectType#_#ftype=affectedobjecttype#_#name=affectedObject type;changedValues#_#ftype=changedvalues;associatedObjects}",
					"parser_type": "default",
					"xwikilink": "http://wiki.xpolog.com/",
					"type_uid": "confluence_audit",
					"parser_specification": {
						"defaultPattern": "NONE",
						"parserparam": "",
						"defaultXpoLogPattern": "{json:Message,creationDate#_#timestamp::dateFormat=MM/dd/yyyy HH:mm:ss.SSS;author->type#_#ftype=type#_#name=type;author->displayName#_#ftype=displayname#_#name=displayName;author->operations#_#ftype=operations#_#name=operations;author->isExternalCollaborator#_#name=isExternalCollaborator;author->accountId#_#ftype=accountid#_#name=accountid;author->accountType#_#ftype=accounttype#_#name=accountType;author->userKey#_#ftype=userkey#_#name=userKey;author->username#_#ftype=username#_#name=Username;author->publicName#_#ftype=publicname#_#name=publicName;author->externalCollaborator#_#name=externalCollaborator;remoteAddress#_#ftype=remoteadrdress#_#name=remoteAddress;summary#_#ftype=summart#_#name=summary;description#_#ftype=description#_#name=description;category#_#ftype=category#_#name=category;sysAdmin#_#ftype=sysadmin#_#name-sysAdmin;superAdmin#_#ftype=superadmin#_#name=superAdmin;affectedObject->name#_#name=affectedObject name;affectedObject->objectType#_#ftype=affectedobjecttype#_#name=affectedObject type;changedValues#_#ftype=changedvalues;associatedObjects}",
						"externalJS": "link or code"
					}
				}
			}

		],
		"displayName": "Atlassian",
		"typetag": "atlassian",
		"name": "atlassian",
		"description": "",
		"type": "cloud",
		"doclink": "FILL",
		"version": "NONE",
		"supportedDataSources": "",
		"xwikilink": "",
		"example": ""
	}
});
