<%@ page language="java" contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.json.simple.JSONObject" %>
<%@ page import="org.json.simple.parser.JSONParser" %>




<%@ include file="../../../common/rest/restCommonServices.jsp" %>
<%@ include file="../../../common/rest/sso/ssoCommon.jsp" %>
<%@ include file="../../../common/rest/sso/oauth2Common.jsp" %>

<%!



%>

<%

    String pluginToken = request.getParameter("plugin-token");
     if (pluginToken == null || pluginToken.length() == 0){
        pluginToken = request.getHeader("plugin-token");
     }
     if (pluginToken == null || pluginToken.length() == 0){
          pluginToken = "Bearer " + System.currentTimeMillis();
     }

     StringBuilder requestBody = new StringBuilder();
        String line;
        while ((line = request.getReader().readLine()) != null) {
            requestBody.append(line);
        }

        if (requestBody.length() == 0){
            requestBody.append("{}");
        }

       boolean validate = checkSecurity(request);
       if (!validate){
          response.setStatus(401);
          String errorMessage = buildErrorResult("Failed to init from security reason",null,401);

          %>
            <%=errorMessage%>
          <%

          return;
       }


        JSONParser parser = new JSONParser();

    JSONObject jsonObject = (JSONObject)parser.parse(requestBody.toString());

    JSONObject initObject = new JSONObject();


    String pluginRestBase = null;
    JSONObject clientResponse = null;
	String spSignatureDirectory = null;
	String spPrivateSignature = null;
	boolean allowSigned = false;
    JSONObject formObject = (JSONObject)jsonObject.get("accountFormData");
    Map<String, String> contextParams = createReplacementMap(formObject);
    if (formObject != null){
        pluginRestBase = (String)formObject.get("pluginRestBase");
		spSignatureDirectory = (String)formObject.get("ouath-spSignatureDirectory");
		String certificateCNName = (String)formObject.get("oauth-certificateCNName");
        if (certificateCNName != null && certificateCNName.length() > 0){
            allowSigned = true;
        }
    }else {
		formObject = new JSONObject();	
	}

   //System.out.println("formObject = " + formObject);



    String content = "";


	String requestBaseUrl = null;
    JSONObject requestObject = (JSONObject)jsonObject.get("request");
    if (requestObject != null){
        Object bodyObj = requestObject.get("body");
        if (bodyObj != null){
            content = bodyObj.toString();
        }
        JSONObject headersObject = (JSONObject)requestObject.get("headers");
        JSONObject parametersObject = (JSONObject)requestObject.get("parameters");
		
		if(headersObject != null){
			requestBaseUrl = (String)headersObject.get("requestBaseUrl");
			contextParams.put("requestBaseUrl",requestBaseUrl);
		}

        //System.out.println("url = " + requestObject.get("url"));
    }

    OAuth2Common oauthCommon = new OAuth2Common(contextParams);
     oauthCommon.initialize();

    String url = oauthCommon.buildAuthUrl();
    if (url != null){
		 try {							
			 
			clientResponse = new JSONObject();
			clientResponse.put("statusCode",301);			

			clientResponse.put("content","{}");
			JSONObject responseHeaderFields = new JSONObject();
			JSONArray array = new JSONArray();
			clientResponse.put("content","{}");			
			array.add(url);
			responseHeaderFields.put("Location",array);
			clientResponse.put("responseHeaderFields",responseHeaderFields);
		 }catch (Exception e){
			 //e.printStackTrace();
			 oauthCommon.getSSOCommon().ssoLogError("Failed on login",e);
		 }
    }else {
        oauthCommon.getSSOCommon().ssoLogInfo("No destination was definied");
    }

    initObject.put("pluginToken",pluginToken);
    session.setAttribute(pluginToken, initObject);

   //System.out.println("init formObject = " + formObject);
   //System.out.println("clientResponse = " + clientResponse);




    response.setContentType("application/json");
    response.setCharacterEncoding("UTF-8");
%>
{
    "authResponse": {
        "headers" : {
            "plugin-token" : "<%=pluginToken%>"
        }
    }
    <% if (clientResponse != null){%>
        ,"clientResponse" : <%=clientResponse.toString()%>
    <%}%>

}
