<%@ page language="java" contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.json.simple.JSONObject" %>
<%@ page import="org.json.simple.parser.JSONParser" %>




<%@ include file="../../../common/rest/restCommonServices.jsp" %>
<%@ include file="../../../common/rest/sso/ssoCommon.jsp" %>
<%@ include file="../../../common/rest/sso/oauth2Common.jsp" %>

<%!



%>

<%
	
    String pluginToken = request.getParameter("plugin-token");
     if (pluginToken == null || pluginToken.length() == 0){
        pluginToken = request.getHeader("plugin-token");
     }
     if (pluginToken == null || pluginToken.length() == 0){
          pluginToken = "Bearer " + System.currentTimeMillis();
     }

     StringBuilder requestBody = new StringBuilder();
        String line;
        while ((line = request.getReader().readLine()) != null) {
            requestBody.append(line);
        }

        if (requestBody.length() == 0){
            requestBody.append("{}");
        }

       boolean validate = checkSecurity(request);
       if (!validate){
          response.setStatus(401);
          String errorMessage = buildErrorResult("Failed to init from security reason",null,401);

          %>
            <%=errorMessage%>
          <%

          return;
       }


        JSONParser parser = new JSONParser();

    JSONObject jsonObject = (JSONObject)parser.parse(requestBody.toString());

    JSONObject initObject = new JSONObject();


    String pluginRestBase = null;
    JSONObject clientResponse = null;
	String spSignatureDirectory = null;
	String spPrivateSignature = null;
	boolean allowSigned = false;
    JSONObject formObject =  (JSONObject)jsonObject.get("accountFormData");
    Map<String, String> contextParams = createReplacementMap(formObject);
    if (formObject != null){
        pluginRestBase = (String)formObject.get("pluginRestBase");
    }else {
		formObject = new JSONObject();	
	}

	OAuth2Common oauthCommon = new OAuth2Common(contextParams);
     oauthCommon.initialize();

   //System.out.println("save formObject = " + formObject);

    String content = "";
	
	formObject.put("oauth-clientSecret",encryptField(getOrDefault(contextParams,"oauth-clientSecret","")));	
	clientResponse = new JSONObject();
    clientResponse.put("statusCode",200);
    clientResponse.put("content",formObject.toString());



    response.setContentType("application/json");
    response.setCharacterEncoding("UTF-8");
	//System.out.println("formObject " + formObject);
%>
{
    <% if (clientResponse != null){%>
           "clientResponse" : <%=clientResponse.toString()%>
       <%}%>
}
